#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1722
#define LARGE_STATE_COUNT 326
#define SYMBOL_COUNT 259
#define ALIAS_COUNT 4
#define TOKEN_COUNT 133
#define EXTERNAL_TOKEN_COUNT 8
#define FIELD_COUNT 36
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 111

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_with = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_else = 16,
  anon_sym_if = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_SEMI = 21,
  anon_sym_RPAREN = 22,
  anon_sym_await = 23,
  anon_sym_in = 24,
  anon_sym_of = 25,
  anon_sym_while = 26,
  anon_sym_do = 27,
  anon_sym_try = 28,
  anon_sym_break = 29,
  anon_sym_continue = 30,
  anon_sym_debugger = 31,
  anon_sym_return = 32,
  anon_sym_throw = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym_html_character_reference = 42,
  anon_sym_LT = 43,
  anon_sym_GT = 44,
  sym_jsx_identifier = 45,
  anon_sym_DOT = 46,
  anon_sym_LT_SLASH = 47,
  anon_sym_SLASH_GT = 48,
  anon_sym_DQUOTE = 49,
  anon_sym_SQUOTE = 50,
  sym_unescaped_double_jsx_string_fragment = 51,
  sym_unescaped_single_jsx_string_fragment = 52,
  anon_sym_class = 53,
  anon_sym_extends = 54,
  anon_sym_async = 55,
  anon_sym_function = 56,
  anon_sym_EQ_GT = 57,
  sym_optional_chain = 58,
  anon_sym_new = 59,
  anon_sym_PLUS_EQ = 60,
  anon_sym_DASH_EQ = 61,
  anon_sym_STAR_EQ = 62,
  anon_sym_SLASH_EQ = 63,
  anon_sym_PERCENT_EQ = 64,
  anon_sym_CARET_EQ = 65,
  anon_sym_AMP_EQ = 66,
  anon_sym_PIPE_EQ = 67,
  anon_sym_GT_GT_EQ = 68,
  anon_sym_GT_GT_GT_EQ = 69,
  anon_sym_LT_LT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_AMP_AMP_EQ = 72,
  anon_sym_PIPE_PIPE_EQ = 73,
  anon_sym_QMARK_QMARK_EQ = 74,
  anon_sym_DOT_DOT_DOT = 75,
  anon_sym_AMP_AMP = 76,
  anon_sym_PIPE_PIPE = 77,
  anon_sym_GT_GT = 78,
  anon_sym_GT_GT_GT = 79,
  anon_sym_LT_LT = 80,
  anon_sym_AMP = 81,
  anon_sym_CARET = 82,
  anon_sym_PIPE = 83,
  anon_sym_PLUS = 84,
  anon_sym_DASH = 85,
  anon_sym_SLASH = 86,
  anon_sym_PERCENT = 87,
  anon_sym_STAR_STAR = 88,
  anon_sym_LT_EQ = 89,
  anon_sym_EQ_EQ = 90,
  anon_sym_EQ_EQ_EQ = 91,
  anon_sym_BANG_EQ = 92,
  anon_sym_BANG_EQ_EQ = 93,
  anon_sym_GT_EQ = 94,
  anon_sym_QMARK_QMARK = 95,
  anon_sym_instanceof = 96,
  anon_sym_BANG = 97,
  anon_sym_TILDE = 98,
  anon_sym_typeof = 99,
  anon_sym_void = 100,
  anon_sym_delete = 101,
  anon_sym_PLUS_PLUS = 102,
  anon_sym_DASH_DASH = 103,
  sym_unescaped_double_string_fragment = 104,
  sym_unescaped_single_string_fragment = 105,
  sym_escape_sequence = 106,
  sym_comment = 107,
  anon_sym_BQUOTE = 108,
  anon_sym_DOLLAR_LBRACE = 109,
  anon_sym_SLASH2 = 110,
  sym_regex_pattern = 111,
  sym_regex_flags = 112,
  sym_number = 113,
  sym_private_property_identifier = 114,
  anon_sym_target = 115,
  anon_sym_meta = 116,
  sym_this = 117,
  sym_super = 118,
  sym_true = 119,
  sym_false = 120,
  sym_null = 121,
  sym_undefined = 122,
  anon_sym_AT = 123,
  anon_sym_static = 124,
  aux_sym_method_definition_token1 = 125,
  anon_sym_get = 126,
  anon_sym_set = 127,
  sym__automatic_semicolon = 128,
  sym__template_chars = 129,
  sym__ternary_qmark = 130,
  sym_html_comment = 131,
  sym_jsx_text = 132,
  sym_program = 133,
  sym_export_statement = 134,
  sym_namespace_export = 135,
  sym_export_clause = 136,
  sym_export_specifier = 137,
  sym__module_export_name = 138,
  sym_declaration = 139,
  sym_import = 140,
  sym_import_statement = 141,
  sym_import_clause = 142,
  sym__from_clause = 143,
  sym_namespace_import = 144,
  sym_named_imports = 145,
  sym_import_specifier = 146,
  sym_import_attribute = 147,
  sym_statement = 148,
  sym_expression_statement = 149,
  sym_variable_declaration = 150,
  sym_lexical_declaration = 151,
  sym_variable_declarator = 152,
  sym_statement_block = 153,
  sym_else_clause = 154,
  sym_if_statement = 155,
  sym_switch_statement = 156,
  sym_for_statement = 157,
  sym_for_in_statement = 158,
  sym__for_header = 159,
  sym_while_statement = 160,
  sym_do_statement = 161,
  sym_try_statement = 162,
  sym_with_statement = 163,
  sym_break_statement = 164,
  sym_continue_statement = 165,
  sym_debugger_statement = 166,
  sym_return_statement = 167,
  sym_throw_statement = 168,
  sym_empty_statement = 169,
  sym_labeled_statement = 170,
  sym_switch_body = 171,
  sym_switch_case = 172,
  sym_switch_default = 173,
  sym_catch_clause = 174,
  sym_finally_clause = 175,
  sym_parenthesized_expression = 176,
  sym_expression = 177,
  sym_primary_expression = 178,
  sym_yield_expression = 179,
  sym_object = 180,
  sym_object_pattern = 181,
  sym_assignment_pattern = 182,
  sym_object_assignment_pattern = 183,
  sym_array = 184,
  sym_array_pattern = 185,
  sym_jsx_element = 186,
  sym_jsx_expression = 187,
  sym_jsx_opening_element = 188,
  sym_nested_identifier = 189,
  sym_jsx_namespace_name = 190,
  sym_jsx_closing_element = 191,
  sym_jsx_self_closing_element = 192,
  sym_jsx_attribute = 193,
  sym__jsx_string = 194,
  sym_class = 195,
  sym_class_declaration = 196,
  sym_class_heritage = 197,
  sym_function_expression = 198,
  sym_function_declaration = 199,
  sym_generator_function = 200,
  sym_generator_function_declaration = 201,
  sym_arrow_function = 202,
  sym_call_expression = 203,
  sym_new_expression = 204,
  sym_await_expression = 205,
  sym_member_expression = 206,
  sym_subscript_expression = 207,
  sym_assignment_expression = 208,
  sym__augmented_assignment_lhs = 209,
  sym_augmented_assignment_expression = 210,
  sym__initializer = 211,
  sym__destructuring_pattern = 212,
  sym_spread_element = 213,
  sym_ternary_expression = 214,
  sym_binary_expression = 215,
  sym_unary_expression = 216,
  sym_update_expression = 217,
  sym_sequence_expression = 218,
  sym_string = 219,
  sym_template_string = 220,
  sym_template_substitution = 221,
  sym_regex = 222,
  sym_meta_property = 223,
  sym_arguments = 224,
  sym_decorator = 225,
  sym_decorator_member_expression = 226,
  sym_decorator_call_expression = 227,
  sym_class_body = 228,
  sym_field_definition = 229,
  sym_formal_parameters = 230,
  sym_class_static_block = 231,
  sym_pattern = 232,
  sym_rest_pattern = 233,
  sym_method_definition = 234,
  sym_pair = 235,
  sym_pair_pattern = 236,
  sym__property_name = 237,
  sym_computed_property_name = 238,
  aux_sym_program_repeat1 = 239,
  aux_sym_export_statement_repeat1 = 240,
  aux_sym_export_clause_repeat1 = 241,
  aux_sym_named_imports_repeat1 = 242,
  aux_sym_variable_declaration_repeat1 = 243,
  aux_sym_switch_body_repeat1 = 244,
  aux_sym_object_repeat1 = 245,
  aux_sym_object_pattern_repeat1 = 246,
  aux_sym_array_repeat1 = 247,
  aux_sym_array_pattern_repeat1 = 248,
  aux_sym_jsx_element_repeat1 = 249,
  aux_sym_jsx_opening_element_repeat1 = 250,
  aux_sym__jsx_string_repeat1 = 251,
  aux_sym__jsx_string_repeat2 = 252,
  aux_sym_sequence_expression_repeat1 = 253,
  aux_sym_string_repeat1 = 254,
  aux_sym_string_repeat2 = 255,
  aux_sym_template_string_repeat1 = 256,
  aux_sym_class_body_repeat1 = 257,
  aux_sym_formal_parameters_repeat1 = 258,
  alias_sym_property_identifier = 259,
  alias_sym_shorthand_property_identifier = 260,
  alias_sym_shorthand_property_identifier_pattern = 261,
  alias_sym_statement_identifier = 262,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_SEMI] = ";",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [anon_sym_meta] = "meta",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_jsx_text] = "jsx_text",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [anon_sym_meta] = anon_sym_meta,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_jsx_text] = sym_jsx_text,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_meta] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_declaration = 11,
  field_decorator = 12,
  field_finalizer = 13,
  field_flags = 14,
  field_function = 15,
  field_handler = 16,
  field_increment = 17,
  field_index = 18,
  field_initializer = 19,
  field_key = 20,
  field_kind = 21,
  field_label = 22,
  field_left = 23,
  field_member = 24,
  field_name = 25,
  field_object = 26,
  field_open_tag = 27,
  field_operator = 28,
  field_optional_chain = 29,
  field_parameter = 30,
  field_parameters = 31,
  field_pattern = 32,
  field_property = 33,
  field_right = 34,
  field_source = 35,
  field_value = 36,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 6},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 1},
  [32] = {.index = 46, .length = 1},
  [33] = {.index = 47, .length = 1},
  [34] = {.index = 48, .length = 1},
  [35] = {.index = 49, .length = 2},
  [36] = {.index = 51, .length = 1},
  [37] = {.index = 52, .length = 2},
  [38] = {.index = 54, .length = 2},
  [39] = {.index = 56, .length = 1},
  [40] = {.index = 18, .length = 2},
  [41] = {.index = 20, .length = 2},
  [42] = {.index = 57, .length = 3},
  [43] = {.index = 60, .length = 2},
  [44] = {.index = 60, .length = 2},
  [45] = {.index = 62, .length = 3},
  [46] = {.index = 62, .length = 3},
  [47] = {.index = 65, .length = 3},
  [48] = {.index = 68, .length = 2},
  [49] = {.index = 70, .length = 2},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 1},
  [53] = {.index = 77, .length = 1},
  [54] = {.index = 18, .length = 2},
  [55] = {.index = 78, .length = 2},
  [56] = {.index = 80, .length = 3},
  [57] = {.index = 83, .length = 1},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 6},
  [60] = {.index = 93, .length = 2},
  [61] = {.index = 95, .length = 3},
  [62] = {.index = 98, .length = 2},
  [63] = {.index = 100, .length = 2},
  [64] = {.index = 102, .length = 1},
  [65] = {.index = 103, .length = 2},
  [66] = {.index = 105, .length = 2},
  [67] = {.index = 107, .length = 1},
  [68] = {.index = 108, .length = 2},
  [69] = {.index = 110, .length = 2},
  [70] = {.index = 112, .length = 2},
  [71] = {.index = 114, .length = 2},
  [72] = {.index = 112, .length = 2},
  [73] = {.index = 116, .length = 2},
  [74] = {.index = 118, .length = 3},
  [75] = {.index = 121, .length = 2},
  [76] = {.index = 123, .length = 2},
  [77] = {.index = 125, .length = 2},
  [78] = {.index = 127, .length = 3},
  [79] = {.index = 130, .length = 2},
  [80] = {.index = 132, .length = 2},
  [81] = {.index = 134, .length = 4},
  [82] = {.index = 138, .length = 2},
  [83] = {.index = 140, .length = 2},
  [84] = {.index = 142, .length = 3},
  [85] = {.index = 145, .length = 2},
  [86] = {.index = 147, .length = 3},
  [87] = {.index = 150, .length = 3},
  [88] = {.index = 153, .length = 3},
  [89] = {.index = 156, .length = 2},
  [90] = {.index = 158, .length = 3},
  [91] = {.index = 161, .length = 4},
  [92] = {.index = 165, .length = 3},
  [93] = {.index = 165, .length = 3},
  [94] = {.index = 168, .length = 3},
  [95] = {.index = 171, .length = 3},
  [96] = {.index = 174, .length = 3},
  [97] = {.index = 177, .length = 4},
  [98] = {.index = 181, .length = 2},
  [99] = {.index = 183, .length = 4},
  [100] = {.index = 187, .length = 4},
  [101] = {.index = 191, .length = 4},
  [102] = {.index = 195, .length = 3},
  [103] = {.index = 198, .length = 2},
  [104] = {.index = 200, .length = 4},
  [105] = {.index = 204, .length = 5},
  [106] = {.index = 209, .length = 4},
  [107] = {.index = 213, .length = 5},
  [108] = {.index = 218, .length = 4},
  [109] = {.index = 222, .length = 4},
  [110] = {.index = 226, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_body, 2},
    {field_object, 1},
  [25] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [27] =
    {field_kind, 0},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_value, 1},
  [32] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 1},
    {field_handler, 2},
  [42] =
    {field_body, 1},
    {field_finalizer, 2},
  [44] =
    {field_label, 1},
  [45] =
    {field_name, 1},
  [46] =
    {field_attribute, 0},
  [47] =
    {field_member, 0},
  [48] =
    {field_property, 0},
  [49] =
    {field_body, 2},
    {field_name, 1},
  [51] =
    {field_body, 2},
  [52] =
    {field_body, 2},
    {field_parameters, 1},
  [54] =
    {field_arguments, 2},
    {field_constructor, 1},
  [56] =
    {field_pattern, 1},
  [57] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [60] =
    {field_object, 0},
    {field_property, 2},
  [62] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [65] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [68] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [70] =
    {field_body, 2},
    {field_parameters, 0},
  [72] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [74] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [76] =
    {field_source, 2, .inherited = true},
  [77] =
    {field_value, 2},
  [78] =
    {field_key, 0},
    {field_value, 2},
  [80] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [83] =
    {field_value, 1},
  [84] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [87] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [93] =
    {field_body, 1},
    {field_condition, 3},
  [95] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [98] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [100] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [102] =
    {field_property, 1},
  [103] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [105] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [107] =
    {field_member, 1, .inherited = true},
  [108] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
  [110] =
    {field_body, 3},
    {field_name, 1},
  [112] =
    {field_body, 3},
    {field_parameter, 1},
  [114] =
    {field_body, 3},
    {field_parameters, 2},
  [116] =
    {field_body, 3},
    {field_parameters, 1},
  [118] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [121] =
    {field_flags, 3},
    {field_pattern, 1},
  [123] =
    {field_index, 2},
    {field_object, 0},
  [125] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [127] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [130] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [132] =
    {field_alias, 2},
    {field_name, 0},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [138] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [140] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [142] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [145] =
    {field_body, 4},
    {field_parameters, 3},
  [147] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [150] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [153] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [156] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [158] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [161] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [165] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [168] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [171] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [174] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [177] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [181] =
    {field_body, 3},
    {field_value, 1},
  [183] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [187] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [191] =
    {field_body, 6},
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 2},
  [195] =
    {field_body, 6},
    {field_condition, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 4},
    {field_parameter, 2},
  [200] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [204] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [209] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
  [213] =
    {field_body, 7},
    {field_condition, 3},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [218] =
    {field_body, 7},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [222] =
    {field_body, 7},
    {field_condition, 4},
    {field_condition, 5},
    {field_initializer, 2},
  [226] =
    {field_body, 8},
    {field_condition, 4},
    {field_condition, 5},
    {field_increment, 6},
    {field_initializer, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [43] = {
    [2] = alias_sym_property_identifier,
  },
  [45] = {
    [2] = alias_sym_property_identifier,
  },
  [54] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [70] = {
    [1] = sym_identifier,
  },
  [92] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 12,
  [15] = 15,
  [16] = 12,
  [17] = 15,
  [18] = 18,
  [19] = 15,
  [20] = 20,
  [21] = 12,
  [22] = 15,
  [23] = 15,
  [24] = 12,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 30,
  [32] = 32,
  [33] = 27,
  [34] = 28,
  [35] = 25,
  [36] = 36,
  [37] = 37,
  [38] = 29,
  [39] = 39,
  [40] = 37,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 26,
  [46] = 39,
  [47] = 47,
  [48] = 48,
  [49] = 41,
  [50] = 32,
  [51] = 42,
  [52] = 36,
  [53] = 43,
  [54] = 44,
  [55] = 48,
  [56] = 56,
  [57] = 56,
  [58] = 56,
  [59] = 56,
  [60] = 56,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 76,
  [79] = 76,
  [80] = 76,
  [81] = 76,
  [82] = 76,
  [83] = 83,
  [84] = 84,
  [85] = 84,
  [86] = 83,
  [87] = 87,
  [88] = 87,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 89,
  [93] = 93,
  [94] = 93,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 96,
  [100] = 100,
  [101] = 96,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 104,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 110,
  [112] = 108,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 115,
  [117] = 117,
  [118] = 118,
  [119] = 118,
  [120] = 113,
  [121] = 117,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 122,
  [129] = 122,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 132,
  [135] = 135,
  [136] = 131,
  [137] = 137,
  [138] = 132,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 125,
  [143] = 131,
  [144] = 123,
  [145] = 126,
  [146] = 127,
  [147] = 127,
  [148] = 148,
  [149] = 124,
  [150] = 140,
  [151] = 125,
  [152] = 126,
  [153] = 127,
  [154] = 154,
  [155] = 155,
  [156] = 122,
  [157] = 155,
  [158] = 148,
  [159] = 123,
  [160] = 124,
  [161] = 125,
  [162] = 131,
  [163] = 163,
  [164] = 124,
  [165] = 165,
  [166] = 123,
  [167] = 124,
  [168] = 125,
  [169] = 126,
  [170] = 127,
  [171] = 122,
  [172] = 131,
  [173] = 126,
  [174] = 123,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 176,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 179,
  [200] = 181,
  [201] = 201,
  [202] = 175,
  [203] = 182,
  [204] = 183,
  [205] = 185,
  [206] = 186,
  [207] = 187,
  [208] = 188,
  [209] = 189,
  [210] = 190,
  [211] = 191,
  [212] = 192,
  [213] = 193,
  [214] = 194,
  [215] = 195,
  [216] = 196,
  [217] = 198,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 178,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 219,
  [226] = 219,
  [227] = 222,
  [228] = 228,
  [229] = 179,
  [230] = 181,
  [231] = 201,
  [232] = 182,
  [233] = 183,
  [234] = 185,
  [235] = 187,
  [236] = 188,
  [237] = 189,
  [238] = 190,
  [239] = 191,
  [240] = 192,
  [241] = 193,
  [242] = 194,
  [243] = 195,
  [244] = 196,
  [245] = 198,
  [246] = 178,
  [247] = 222,
  [248] = 248,
  [249] = 249,
  [250] = 181,
  [251] = 201,
  [252] = 175,
  [253] = 182,
  [254] = 183,
  [255] = 176,
  [256] = 185,
  [257] = 187,
  [258] = 188,
  [259] = 189,
  [260] = 190,
  [261] = 191,
  [262] = 192,
  [263] = 193,
  [264] = 194,
  [265] = 195,
  [266] = 196,
  [267] = 198,
  [268] = 220,
  [269] = 269,
  [270] = 270,
  [271] = 178,
  [272] = 176,
  [273] = 222,
  [274] = 179,
  [275] = 201,
  [276] = 179,
  [277] = 181,
  [278] = 201,
  [279] = 175,
  [280] = 182,
  [281] = 183,
  [282] = 185,
  [283] = 187,
  [284] = 188,
  [285] = 189,
  [286] = 190,
  [287] = 191,
  [288] = 192,
  [289] = 193,
  [290] = 194,
  [291] = 195,
  [292] = 196,
  [293] = 198,
  [294] = 178,
  [295] = 222,
  [296] = 176,
  [297] = 175,
  [298] = 298,
  [299] = 299,
  [300] = 298,
  [301] = 298,
  [302] = 299,
  [303] = 303,
  [304] = 303,
  [305] = 305,
  [306] = 305,
  [307] = 305,
  [308] = 303,
  [309] = 309,
  [310] = 309,
  [311] = 63,
  [312] = 64,
  [313] = 313,
  [314] = 313,
  [315] = 313,
  [316] = 316,
  [317] = 317,
  [318] = 309,
  [319] = 316,
  [320] = 309,
  [321] = 309,
  [322] = 317,
  [323] = 309,
  [324] = 324,
  [325] = 325,
  [326] = 61,
  [327] = 65,
  [328] = 328,
  [329] = 325,
  [330] = 316,
  [331] = 309,
  [332] = 332,
  [333] = 333,
  [334] = 332,
  [335] = 64,
  [336] = 63,
  [337] = 61,
  [338] = 338,
  [339] = 339,
  [340] = 65,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 328,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 66,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 343,
  [353] = 353,
  [354] = 354,
  [355] = 67,
  [356] = 309,
  [357] = 309,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 359,
  [434] = 432,
  [435] = 435,
  [436] = 436,
  [437] = 432,
  [438] = 438,
  [439] = 438,
  [440] = 440,
  [441] = 440,
  [442] = 442,
  [443] = 430,
  [444] = 444,
  [445] = 429,
  [446] = 436,
  [447] = 438,
  [448] = 448,
  [449] = 440,
  [450] = 427,
  [451] = 438,
  [452] = 452,
  [453] = 453,
  [454] = 440,
  [455] = 455,
  [456] = 452,
  [457] = 435,
  [458] = 440,
  [459] = 459,
  [460] = 438,
  [461] = 430,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 455,
  [467] = 467,
  [468] = 464,
  [469] = 469,
  [470] = 438,
  [471] = 440,
  [472] = 472,
  [473] = 473,
  [474] = 359,
  [475] = 431,
  [476] = 359,
  [477] = 428,
  [478] = 453,
  [479] = 469,
  [480] = 480,
  [481] = 430,
  [482] = 467,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 483,
  [487] = 430,
  [488] = 455,
  [489] = 489,
  [490] = 440,
  [491] = 438,
  [492] = 464,
  [493] = 485,
  [494] = 480,
  [495] = 440,
  [496] = 438,
  [497] = 484,
  [498] = 483,
  [499] = 438,
  [500] = 440,
  [501] = 489,
  [502] = 430,
  [503] = 503,
  [504] = 504,
  [505] = 62,
  [506] = 63,
  [507] = 507,
  [508] = 64,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 66,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 67,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 61,
  [571] = 571,
  [572] = 65,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 511,
  [578] = 578,
  [579] = 503,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 504,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 525,
  [598] = 598,
  [599] = 533,
  [600] = 600,
  [601] = 542,
  [602] = 602,
  [603] = 603,
  [604] = 62,
  [605] = 62,
  [606] = 525,
  [607] = 607,
  [608] = 569,
  [609] = 510,
  [610] = 533,
  [611] = 507,
  [612] = 511,
  [613] = 542,
  [614] = 509,
  [615] = 512,
  [616] = 571,
  [617] = 513,
  [618] = 74,
  [619] = 550,
  [620] = 555,
  [621] = 556,
  [622] = 558,
  [623] = 587,
  [624] = 580,
  [625] = 532,
  [626] = 551,
  [627] = 559,
  [628] = 560,
  [629] = 589,
  [630] = 561,
  [631] = 603,
  [632] = 632,
  [633] = 562,
  [634] = 515,
  [635] = 563,
  [636] = 564,
  [637] = 526,
  [638] = 72,
  [639] = 565,
  [640] = 566,
  [641] = 527,
  [642] = 70,
  [643] = 511,
  [644] = 534,
  [645] = 645,
  [646] = 71,
  [647] = 516,
  [648] = 517,
  [649] = 518,
  [650] = 73,
  [651] = 528,
  [652] = 75,
  [653] = 519,
  [654] = 520,
  [655] = 521,
  [656] = 68,
  [657] = 522,
  [658] = 535,
  [659] = 552,
  [660] = 553,
  [661] = 69,
  [662] = 554,
  [663] = 567,
  [664] = 568,
  [665] = 514,
  [666] = 596,
  [667] = 525,
  [668] = 533,
  [669] = 542,
  [670] = 529,
  [671] = 632,
  [672] = 524,
  [673] = 575,
  [674] = 530,
  [675] = 536,
  [676] = 537,
  [677] = 523,
  [678] = 531,
  [679] = 539,
  [680] = 540,
  [681] = 541,
  [682] = 514,
  [683] = 573,
  [684] = 583,
  [685] = 543,
  [686] = 585,
  [687] = 586,
  [688] = 544,
  [689] = 580,
  [690] = 582,
  [691] = 588,
  [692] = 575,
  [693] = 583,
  [694] = 585,
  [695] = 586,
  [696] = 588,
  [697] = 590,
  [698] = 590,
  [699] = 591,
  [700] = 592,
  [701] = 574,
  [702] = 593,
  [703] = 594,
  [704] = 595,
  [705] = 598,
  [706] = 600,
  [707] = 602,
  [708] = 576,
  [709] = 578,
  [710] = 591,
  [711] = 592,
  [712] = 587,
  [713] = 589,
  [714] = 603,
  [715] = 574,
  [716] = 593,
  [717] = 594,
  [718] = 596,
  [719] = 595,
  [720] = 598,
  [721] = 600,
  [722] = 602,
  [723] = 545,
  [724] = 546,
  [725] = 511,
  [726] = 547,
  [727] = 581,
  [728] = 576,
  [729] = 548,
  [730] = 578,
  [731] = 549,
  [732] = 581,
  [733] = 582,
  [734] = 734,
  [735] = 645,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 525,
  [741] = 533,
  [742] = 542,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 754,
  [756] = 753,
  [757] = 596,
  [758] = 607,
  [759] = 525,
  [760] = 760,
  [761] = 533,
  [762] = 542,
  [763] = 763,
  [764] = 603,
  [765] = 753,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 754,
  [770] = 760,
  [771] = 771,
  [772] = 772,
  [773] = 768,
  [774] = 774,
  [775] = 775,
  [776] = 753,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 580,
  [782] = 582,
  [783] = 783,
  [784] = 751,
  [785] = 575,
  [786] = 589,
  [787] = 585,
  [788] = 788,
  [789] = 777,
  [790] = 586,
  [791] = 791,
  [792] = 588,
  [793] = 590,
  [794] = 591,
  [795] = 592,
  [796] = 581,
  [797] = 771,
  [798] = 574,
  [799] = 593,
  [800] = 594,
  [801] = 595,
  [802] = 598,
  [803] = 778,
  [804] = 600,
  [805] = 783,
  [806] = 602,
  [807] = 791,
  [808] = 576,
  [809] = 809,
  [810] = 578,
  [811] = 788,
  [812] = 767,
  [813] = 813,
  [814] = 587,
  [815] = 736,
  [816] = 632,
  [817] = 766,
  [818] = 583,
  [819] = 576,
  [820] = 511,
  [821] = 821,
  [822] = 514,
  [823] = 823,
  [824] = 823,
  [825] = 825,
  [826] = 823,
  [827] = 823,
  [828] = 823,
  [829] = 823,
  [830] = 744,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 580,
  [835] = 582,
  [836] = 575,
  [837] = 583,
  [838] = 585,
  [839] = 586,
  [840] = 588,
  [841] = 590,
  [842] = 591,
  [843] = 592,
  [844] = 574,
  [845] = 593,
  [846] = 594,
  [847] = 595,
  [848] = 598,
  [849] = 600,
  [850] = 602,
  [851] = 578,
  [852] = 587,
  [853] = 589,
  [854] = 603,
  [855] = 596,
  [856] = 581,
  [857] = 857,
  [858] = 858,
  [859] = 857,
  [860] = 857,
  [861] = 861,
  [862] = 857,
  [863] = 736,
  [864] = 857,
  [865] = 861,
  [866] = 866,
  [867] = 867,
  [868] = 867,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 870,
  [873] = 870,
  [874] = 871,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 877,
  [879] = 871,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 881,
  [884] = 882,
  [885] = 881,
  [886] = 882,
  [887] = 882,
  [888] = 882,
  [889] = 881,
  [890] = 882,
  [891] = 881,
  [892] = 881,
  [893] = 893,
  [894] = 893,
  [895] = 895,
  [896] = 893,
  [897] = 893,
  [898] = 893,
  [899] = 893,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 63,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 64,
  [954] = 954,
  [955] = 955,
  [956] = 61,
  [957] = 65,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 906,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 907,
  [966] = 966,
  [967] = 906,
  [968] = 960,
  [969] = 969,
  [970] = 911,
  [971] = 971,
  [972] = 916,
  [973] = 973,
  [974] = 923,
  [975] = 975,
  [976] = 544,
  [977] = 920,
  [978] = 978,
  [979] = 919,
  [980] = 980,
  [981] = 981,
  [982] = 916,
  [983] = 983,
  [984] = 978,
  [985] = 983,
  [986] = 975,
  [987] = 987,
  [988] = 980,
  [989] = 989,
  [990] = 987,
  [991] = 991,
  [992] = 992,
  [993] = 991,
  [994] = 992,
  [995] = 995,
  [996] = 996,
  [997] = 918,
  [998] = 995,
  [999] = 996,
  [1000] = 564,
  [1001] = 568,
  [1002] = 1002,
  [1003] = 981,
  [1004] = 1004,
  [1005] = 989,
  [1006] = 1006,
  [1007] = 973,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1009,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1012,
  [1017] = 1017,
  [1018] = 1015,
  [1019] = 1015,
  [1020] = 1020,
  [1021] = 1011,
  [1022] = 1022,
  [1023] = 1015,
  [1024] = 1022,
  [1025] = 1010,
  [1026] = 1020,
  [1027] = 1008,
  [1028] = 1017,
  [1029] = 1015,
  [1030] = 1014,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1032,
  [1036] = 1034,
  [1037] = 1033,
  [1038] = 1032,
  [1039] = 1033,
  [1040] = 1034,
  [1041] = 1032,
  [1042] = 1034,
  [1043] = 1033,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1044,
  [1047] = 1047,
  [1048] = 1047,
  [1049] = 1044,
  [1050] = 1047,
  [1051] = 1044,
  [1052] = 1047,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1054,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1058,
  [1060] = 1057,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1062,
  [1064] = 1061,
  [1065] = 1057,
  [1066] = 1054,
  [1067] = 1061,
  [1068] = 1061,
  [1069] = 1058,
  [1070] = 1070,
  [1071] = 1058,
  [1072] = 1054,
  [1073] = 1062,
  [1074] = 1062,
  [1075] = 1057,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1082,
  [1084] = 1082,
  [1085] = 1082,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1082,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1082,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 569,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1089,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 571,
  [1121] = 1088,
  [1122] = 1106,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1102,
  [1128] = 1100,
  [1129] = 1093,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1115,
  [1133] = 1133,
  [1134] = 547,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1137,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1144,
  [1146] = 553,
  [1147] = 554,
  [1148] = 1137,
  [1149] = 555,
  [1150] = 556,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 565,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1141,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 531,
  [1163] = 1136,
  [1164] = 1137,
  [1165] = 1165,
  [1166] = 1142,
  [1167] = 569,
  [1168] = 1168,
  [1169] = 1161,
  [1170] = 1156,
  [1171] = 1171,
  [1172] = 531,
  [1173] = 537,
  [1174] = 1174,
  [1175] = 1135,
  [1176] = 1176,
  [1177] = 546,
  [1178] = 547,
  [1179] = 537,
  [1180] = 553,
  [1181] = 554,
  [1182] = 555,
  [1183] = 556,
  [1184] = 565,
  [1185] = 1153,
  [1186] = 1186,
  [1187] = 1144,
  [1188] = 1144,
  [1189] = 1189,
  [1190] = 1151,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 546,
  [1196] = 571,
  [1197] = 1174,
  [1198] = 1186,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1203,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1086,
  [1212] = 1201,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1110,
  [1216] = 1126,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1159,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1200,
  [1225] = 1222,
  [1226] = 1226,
  [1227] = 1200,
  [1228] = 1210,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1217,
  [1234] = 1234,
  [1235] = 1214,
  [1236] = 1222,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1200,
  [1240] = 1240,
  [1241] = 1229,
  [1242] = 1078,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1226,
  [1246] = 1208,
  [1247] = 1226,
  [1248] = 1248,
  [1249] = 1214,
  [1250] = 1222,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1204,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1118,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1230,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1254,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1226,
  [1267] = 1234,
  [1268] = 1268,
  [1269] = 1214,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1232,
  [1273] = 1237,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1289,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1292,
  [1310] = 1296,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1305,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1306,
  [1318] = 1318,
  [1319] = 1303,
  [1320] = 1304,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 345,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1281,
  [1333] = 1289,
  [1334] = 1292,
  [1335] = 1312,
  [1336] = 1297,
  [1337] = 1337,
  [1338] = 1285,
  [1339] = 1339,
  [1340] = 1337,
  [1341] = 1341,
  [1342] = 1325,
  [1343] = 1343,
  [1344] = 1326,
  [1345] = 1328,
  [1346] = 1341,
  [1347] = 1305,
  [1348] = 1274,
  [1349] = 1322,
  [1350] = 1296,
  [1351] = 1316,
  [1352] = 1311,
  [1353] = 1324,
  [1354] = 1297,
  [1355] = 1283,
  [1356] = 1284,
  [1357] = 1357,
  [1358] = 1315,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1303,
  [1363] = 1363,
  [1364] = 1304,
  [1365] = 1305,
  [1366] = 1366,
  [1367] = 1306,
  [1368] = 1368,
  [1369] = 1343,
  [1370] = 1275,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 534,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 550,
  [1407] = 551,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1390,
  [1416] = 1416,
  [1417] = 1392,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1412,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1377,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1433,
  [1470] = 1436,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1438,
  [1474] = 1431,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1380,
  [1486] = 1486,
  [1487] = 1410,
  [1488] = 1414,
  [1489] = 1422,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1444,
  [1495] = 1374,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1463,
  [1504] = 1405,
  [1505] = 1408,
  [1506] = 1409,
  [1507] = 1416,
  [1508] = 1462,
  [1509] = 1465,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1418,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1396,
  [1523] = 1523,
  [1524] = 1478,
  [1525] = 1372,
  [1526] = 1371,
  [1527] = 1510,
  [1528] = 1528,
  [1529] = 1376,
  [1530] = 1515,
  [1531] = 1516,
  [1532] = 1517,
  [1533] = 1533,
  [1534] = 1390,
  [1535] = 1480,
  [1536] = 1392,
  [1537] = 1537,
  [1538] = 1384,
  [1539] = 1386,
  [1540] = 1540,
  [1541] = 1395,
  [1542] = 1403,
  [1543] = 1543,
  [1544] = 1391,
  [1545] = 1428,
  [1546] = 1546,
  [1547] = 1432,
  [1548] = 1492,
  [1549] = 1549,
  [1550] = 1537,
  [1551] = 1521,
  [1552] = 1518,
  [1553] = 1519,
  [1554] = 1520,
  [1555] = 1439,
  [1556] = 1452,
  [1557] = 1459,
  [1558] = 1558,
  [1559] = 1270,
  [1560] = 1533,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1427,
  [1565] = 1434,
  [1566] = 1566,
  [1567] = 1437,
  [1568] = 1568,
  [1569] = 1442,
  [1570] = 1570,
  [1571] = 1499,
  [1572] = 1572,
  [1573] = 1481,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1496,
  [1578] = 1486,
  [1579] = 1426,
  [1580] = 1580,
  [1581] = 1390,
  [1582] = 1392,
  [1583] = 1500,
  [1584] = 1566,
  [1585] = 1501,
  [1586] = 1586,
  [1587] = 1441,
  [1588] = 1588,
  [1589] = 1450,
  [1590] = 1373,
  [1591] = 1497,
  [1592] = 1375,
  [1593] = 1378,
  [1594] = 1404,
  [1595] = 1493,
  [1596] = 1514,
  [1597] = 1456,
  [1598] = 1563,
  [1599] = 1580,
  [1600] = 1460,
  [1601] = 1413,
  [1602] = 1471,
  [1603] = 1472,
  [1604] = 1475,
  [1605] = 1502,
  [1606] = 1586,
  [1607] = 1419,
  [1608] = 1608,
  [1609] = 1420,
  [1610] = 1484,
  [1611] = 1425,
  [1612] = 1449,
  [1613] = 1512,
  [1614] = 1467,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1622,
  [1631] = 1240,
  [1632] = 1632,
  [1633] = 1619,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1622,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1638,
  [1640] = 1640,
  [1641] = 1637,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1621,
  [1648] = 1637,
  [1649] = 1644,
  [1650] = 1617,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1623,
  [1656] = 1656,
  [1657] = 1651,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1644,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1623,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1652,
  [1670] = 1617,
  [1671] = 1619,
  [1672] = 1660,
  [1673] = 1645,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1658,
  [1679] = 1624,
  [1680] = 1680,
  [1681] = 1617,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1635,
  [1689] = 1682,
  [1690] = 1675,
  [1691] = 1686,
  [1692] = 1635,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1694,
  [1696] = 1682,
  [1697] = 1697,
  [1698] = 1635,
  [1699] = 1637,
  [1700] = 1637,
  [1701] = 1623,
  [1702] = 1682,
  [1703] = 1632,
  [1704] = 1619,
  [1705] = 1632,
  [1706] = 1624,
  [1707] = 1619,
  [1708] = 1644,
  [1709] = 1623,
  [1710] = 1632,
  [1711] = 1711,
  [1712] = 1677,
  [1713] = 1713,
  [1714] = 1622,
  [1715] = 1715,
  [1716] = 1682,
  [1717] = 1717,
  [1718] = 1632,
  [1719] = 1717,
  [1720] = 1644,
  [1721] = 1624,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(126);
      ADVANCE_MAP(
        '!', 226,
        '"', 159,
        '#', 3,
        '$', 273,
        '%', 214,
        '&', 201,
        '\'', 160,
        '(', 134,
        ')', 136,
        '*', 129,
        '+', 208,
        ',', 132,
        '-', 210,
        '.', 155,
        '/', 253,
        '0', 258,
        ':', 137,
        ';', 135,
        '<', 147,
        '=', 140,
        '>', 151,
        '?', 28,
        '@', 277,
        '[', 142,
        '\\', 80,
        ']', 143,
        '^', 204,
        '`', 251,
        's', 271,
        '{', 131,
        '|', 205,
        '}', 133,
        '~', 227,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(123);
      if (lookahead > '@') ADVANCE(275);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(278);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(33);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(122);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(254);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(127);
      if (lookahead == '\\') ADVANCE(81);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(276);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 225,
        '"', 159,
        '#', 75,
        '\'', 160,
        '(', 134,
        '*', 128,
        '+', 207,
        ',', 132,
        '-', 209,
        '.', 27,
        '/', 211,
        '0', 258,
        ';', 135,
        '<', 145,
        '@', 277,
        '[', 142,
        '\\', 82,
        '`', 251,
        's', 271,
        '{', 131,
        '}', 133,
        '~', 227,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(275);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 225,
        '"', 159,
        '#', 75,
        '\'', 160,
        '(', 134,
        '+', 207,
        '-', 209,
        '.', 156,
        '/', 211,
        '0', 258,
        ':', 137,
        '<', 145,
        '>', 150,
        '@', 277,
        '[', 142,
        '\\', 82,
        '`', 251,
        '{', 131,
        '~', 227,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(275);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 73,
        '"', 159,
        '#', 75,
        '%', 214,
        '&', 201,
        '\'', 160,
        '(', 134,
        ')', 136,
        '*', 129,
        '+', 208,
        ',', 132,
        '-', 210,
        '.', 156,
        '/', 212,
        '0', 258,
        ':', 137,
        ';', 135,
        '<', 148,
        '=', 140,
        '>', 151,
        '?', 28,
        '@', 277,
        '[', 142,
        '\\', 82,
        ']', 143,
        '^', 204,
        '`', 251,
        '{', 131,
        '|', 205,
        '}', 133,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(275);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 73,
        '%', 213,
        '&', 202,
        '(', 134,
        ')', 136,
        '*', 130,
        '+', 207,
        ',', 132,
        '-', 209,
        '.', 154,
        '/', 211,
        ':', 137,
        ';', 135,
        '<', 149,
        '=', 74,
        '>', 152,
        '?', 29,
        '[', 142,
        '\\', 82,
        ']', 143,
        '^', 203,
        '`', 251,
        '{', 131,
        '|', 206,
        '}', 133,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(8);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(275);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 73,
        '%', 213,
        '&', 202,
        '(', 134,
        ')', 136,
        '*', 130,
        '+', 207,
        ',', 132,
        '-', 209,
        '.', 154,
        '/', 211,
        ':', 137,
        ';', 135,
        '<', 149,
        '=', 74,
        '>', 152,
        '?', 29,
        '[', 142,
        '\\', 82,
        ']', 143,
        '^', 203,
        '`', 251,
        '{', 131,
        '|', 206,
        '}', 133,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(8);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(275);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '"', 159,
        '#', 75,
        '&', 13,
        '\'', 160,
        '(', 134,
        '*', 128,
        '.', 156,
        '/', 21,
        '0', 258,
        '<', 146,
        '@', 277,
        '[', 142,
        '\\', 82,
        's', 271,
        '{', 131,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(275);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(159);
      if (lookahead == '&') ADVANCE(14);
      if (lookahead == '/') ADVANCE(162);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(161);
      if (lookahead != 0) ADVANCE(163);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(159);
      if (lookahead == '/') ADVANCE(21);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(159);
      if (lookahead == '/') ADVANCE(230);
      if (lookahead == '\\') ADVANCE(83);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(11);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(233);
      if (lookahead != 0) ADVANCE(235);
      END_STATE();
    case 13:
      if (lookahead == '#') ADVANCE(94);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 14:
      if (lookahead == '#') ADVANCE(94);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      if (lookahead != 0) ADVANCE(163);
      END_STATE();
    case 15:
      if (lookahead == '#') ADVANCE(94);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      if (lookahead != 0) ADVANCE(169);
      END_STATE();
    case 16:
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '\\') ADVANCE(83);
      if (lookahead == '`') ADVANCE(251);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(17);
      END_STATE();
    case 17:
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '`') ADVANCE(251);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(17);
      END_STATE();
    case 18:
      if (lookahead == '&') ADVANCE(15);
      if (lookahead == '\'') ADVANCE(160);
      if (lookahead == '/') ADVANCE(168);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(167);
      if (lookahead != 0) ADVANCE(169);
      END_STATE();
    case 19:
      if (lookahead == '\'') ADVANCE(160);
      if (lookahead == '/') ADVANCE(21);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(19);
      END_STATE();
    case 20:
      if (lookahead == '\'') ADVANCE(160);
      if (lookahead == '/') ADVANCE(236);
      if (lookahead == '\\') ADVANCE(83);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(19);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(239);
      if (lookahead != 0) ADVANCE(241);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(250);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(250);
      if (lookahead == '>') ADVANCE(158);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(247);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 24:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '*') ADVANCE(164);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 26:
      if (lookahead == '*') ADVANCE(170);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 27:
      if (lookahead == '.') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(264);
      END_STATE();
    case 28:
      if (lookahead == '.') ADVANCE(174);
      if (lookahead == '?') ADVANCE(224);
      END_STATE();
    case 29:
      if (lookahead == '.') ADVANCE(174);
      if (lookahead == '?') ADVANCE(223);
      END_STATE();
    case 30:
      if (lookahead == '.') ADVANCE(190);
      END_STATE();
    case 31:
      if (lookahead == '.') ADVANCE(154);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == ':') ADVANCE(137);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == '{') ADVANCE(131);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(31);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      if (lookahead > '~') ADVANCE(275);
      END_STATE();
    case 32:
      if (lookahead == '/') ADVANCE(253);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(33);
      END_STATE();
    case 33:
      if (lookahead == '/') ADVANCE(21);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(33);
      END_STATE();
    case 34:
      if (lookahead == ';') ADVANCE(144);
      END_STATE();
    case 35:
      if (lookahead == ';') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(34);
      END_STATE();
    case 36:
      if (lookahead == ';') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(35);
      END_STATE();
    case 37:
      if (lookahead == ';') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(36);
      END_STATE();
    case 38:
      if (lookahead == ';') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(37);
      END_STATE();
    case 39:
      if (lookahead == ';') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 40:
      if (lookahead == ';') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 41:
      if (lookahead == ';') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 42:
      if (lookahead == ';') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 43:
      if (lookahead == ';') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 44:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(34);
      END_STATE();
    case 45:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(49);
      END_STATE();
    case 51:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(51);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 54:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 56:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(57);
      END_STATE();
    case 59:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == '=') ADVANCE(220);
      END_STATE();
    case 74:
      if (lookahead == '=') ADVANCE(218);
      END_STATE();
    case 75:
      if (lookahead == '\\') ADVANCE(81);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(276);
      END_STATE();
    case 76:
      if (lookahead == '\\') ADVANCE(121);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(76);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 78:
      if (lookahead == 'g') ADVANCE(77);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(78);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 80:
      if (lookahead == 'u') ADVANCE(85);
      if (lookahead == 'x') ADVANCE(111);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(246);
      if (lookahead != 0) ADVANCE(242);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 82:
      if (lookahead == 'u') ADVANCE(87);
      END_STATE();
    case 83:
      if (lookahead == 'u') ADVANCE(88);
      if (lookahead == 'x') ADVANCE(111);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(246);
      if (lookahead != 0) ADVANCE(242);
      END_STATE();
    case 84:
      if (lookahead == '{') ADVANCE(252);
      END_STATE();
    case 85:
      if (lookahead == '{') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 86:
      if (lookahead == '{') ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 87:
      if (lookahead == '{') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 88:
      if (lookahead == '{') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 89:
      if (lookahead == '}') ADVANCE(275);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      END_STATE();
    case 90:
      if (lookahead == '}') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 91:
      if (lookahead == '}') ADVANCE(242);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 92:
      if (lookahead == '}') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 93:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(100);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(265);
      END_STATE();
    case 94:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(38);
      END_STATE();
    case 95:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(261);
      END_STATE();
    case 96:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(262);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(259);
      END_STATE();
    case 98:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(264);
      END_STATE();
    case 99:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(260);
      END_STATE();
    case 100:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(265);
      END_STATE();
    case 101:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(275);
      END_STATE();
    case 102:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(276);
      END_STATE();
    case 103:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 104:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(263);
      END_STATE();
    case 105:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 106:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(243);
      END_STATE();
    case 107:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 108:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 109:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 110:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      END_STATE();
    case 111:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      END_STATE();
    case 112:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 113:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 114:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 115:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(101);
      END_STATE();
    case 116:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 117:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 118:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 119:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(163);
      END_STATE();
    case 120:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(169);
      END_STATE();
    case 121:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(76);
      END_STATE();
    case 122:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(255);
      END_STATE();
    case 123:
      if (eof) ADVANCE(126);
      ADVANCE_MAP(
        '!', 226,
        '"', 159,
        '#', 3,
        '$', 273,
        '%', 214,
        '&', 201,
        '\'', 160,
        '(', 134,
        ')', 136,
        '*', 129,
        '+', 208,
        ',', 132,
        '-', 210,
        '.', 155,
        '/', 212,
        '0', 258,
        ':', 137,
        ';', 135,
        '<', 147,
        '=', 140,
        '>', 151,
        '?', 28,
        '@', 277,
        '[', 142,
        '\\', 82,
        ']', 143,
        '^', 204,
        '`', 251,
        's', 271,
        '{', 131,
        '|', 205,
        '}', 133,
        '~', 227,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(123);
      if (lookahead > '@') ADVANCE(275);
      END_STATE();
    case 124:
      if (eof) ADVANCE(126);
      ADVANCE_MAP(
        '!', 226,
        '"', 159,
        '#', 75,
        '%', 213,
        '&', 202,
        '\'', 160,
        '(', 134,
        ')', 136,
        '*', 130,
        '+', 207,
        ',', 132,
        '-', 209,
        '.', 156,
        '/', 211,
        '0', 258,
        ':', 137,
        ';', 135,
        '<', 149,
        '=', 139,
        '>', 152,
        '?', 29,
        '@', 277,
        '[', 142,
        '\\', 82,
        ']', 143,
        '^', 203,
        '`', 251,
        '{', 131,
        '|', 206,
        '}', 133,
        '~', 227,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(124);
      if (lookahead > '#') ADVANCE(275);
      END_STATE();
    case 125:
      if (eof) ADVANCE(126);
      ADVANCE_MAP(
        '!', 225,
        '"', 159,
        '#', 3,
        '\'', 160,
        '(', 134,
        ')', 136,
        '*', 128,
        '+', 207,
        ',', 132,
        '-', 209,
        '.', 27,
        '/', 211,
        '0', 258,
        ':', 137,
        ';', 135,
        '<', 145,
        '=', 141,
        '>', 150,
        '@', 277,
        '[', 142,
        '\\', 82,
        ']', 143,
        '`', 251,
        '{', 131,
        '}', 133,
        '~', 227,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(125);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(275);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(216);
      if (lookahead == '=') ADVANCE(177);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(215);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(218);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(173);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(173);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(157);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '<') ADVANCE(200);
      if (lookahead == '=') ADVANCE(217);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(200);
      if (lookahead == '=') ADVANCE(217);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(199);
      if (lookahead == '=') ADVANCE(217);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(222);
      if (lookahead == '>') ADVANCE(195);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(222);
      if (lookahead == '>') ADVANCE(196);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(264);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(264);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(14);
      if (lookahead == '/') ADVANCE(162);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(163);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(119);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(163);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(119);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(25);
      if (lookahead == '*') ADVANCE(164);
      if (lookahead == '/') ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(165);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(25);
      if (lookahead == '*') ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(165);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(248);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(15);
      if (lookahead == '/') ADVANCE(168);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(169);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(120);
      if (lookahead == '*') ADVANCE(171);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(169);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(120);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(169);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(26);
      if (lookahead == '*') ADVANCE(170);
      if (lookahead == '/') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(171);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(26);
      if (lookahead == '*') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(171);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(249);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(172);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(187);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(188);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(183);
      if (lookahead == '>') ADVANCE(198);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(197);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(184);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(185);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '=') ADVANCE(181);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(191);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(180);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(182);
      if (lookahead == '|') ADVANCE(194);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(228);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(228);
      if (lookahead == '=') ADVANCE(175);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(229);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(250);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(250);
      if (lookahead == '=') ADVANCE(178);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(179);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(186);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(221);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(189);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(220);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(235);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '/') ADVANCE(235);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(232);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(232);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(230);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(233);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(235);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(235);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(234);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(235);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(238);
      if (lookahead == '/') ADVANCE(240);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(241);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(237);
      if (lookahead == '/') ADVANCE(241);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(238);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(237);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(238);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(236);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(239);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(241);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(241);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(240);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(241);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(82);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(275);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(242);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(242);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(245);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(163);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(250);
      if (lookahead != 0) ADVANCE(166);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(169);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(250);
      if (lookahead != 0) ADVANCE(172);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(250);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(33);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(122);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(254);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(122);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(255);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(82);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(275);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 266,
        '0', 260,
        '_', 99,
        'n', 257,
        'B', 95,
        'b', 95,
        'E', 93,
        'e', 93,
        'O', 96,
        'o', 96,
        'X', 104,
        'x', 104,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(266);
      if (lookahead == '_') ADVANCE(97);
      if (lookahead == 'n') ADVANCE(257);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(259);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(99);
      if (lookahead == 'n') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(260);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(95);
      if (lookahead == 'n') ADVANCE(257);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(261);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(262);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(104);
      if (lookahead == 'n') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(263);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(98);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(264);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(100);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(265);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(264);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(153);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(275);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == 'a') ADVANCE(272);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(275);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == 'c') ADVANCE(274);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(275);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == 'i') ADVANCE(269);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(275);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == 't') ADVANCE(268);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(275);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == 't') ADVANCE(270);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(275);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == '{') ADVANCE(252);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(275);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(82);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(78);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(275);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(82);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(275);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(81);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(276);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(278);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'n', 11,
        'o', 12,
        'r', 13,
        's', 14,
        't', 15,
        'u', 16,
        'v', 17,
        'w', 18,
        'y', 19,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'l') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(27);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'x') ADVANCE(29);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      if (lookahead == 'r') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(36);
      if (lookahead == 'm') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(38);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(39);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(43);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(45);
      if (lookahead == 't') ADVANCE(46);
      if (lookahead == 'u') ADVANCE(47);
      if (lookahead == 'w') ADVANCE(48);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(49);
      if (lookahead == 'h') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      if (lookahead == 'y') ADVANCE(52);
      END_STATE();
    case 16:
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'o') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(56);
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 19:
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(59);
      END_STATE();
    case 21:
      if (lookahead == 'a') ADVANCE(60);
      END_STATE();
    case 22:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(62);
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 25:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 26:
      if (lookahead == 'b') ADVANCE(66);
      if (lookahead == 'f') ADVANCE(67);
      if (lookahead == 'l') ADVANCE(68);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'p') ADVANCE(70);
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(72);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(74);
      END_STATE();
    case 33:
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 37:
      if (lookahead == 'p') ADVANCE(78);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 40:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 41:
      if (lookahead == 'w') ADVANCE(82);
      END_STATE();
    case 42:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(84);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(86);
      END_STATE();
    case 47:
      if (lookahead == 'p') ADVANCE(87);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'r') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'u') ADVANCE(92);
      if (lookahead == 'y') ADVANCE(93);
      END_STATE();
    case 52:
      if (lookahead == 'p') ADVANCE(94);
      END_STATE();
    case 53:
      if (lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(101);
      END_STATE();
    case 60:
      if (lookahead == 'i') ADVANCE(102);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(103);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 63:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(107);
      if (lookahead == 't') ADVANCE(108);
      END_STATE();
    case 66:
      if (lookahead == 'u') ADVANCE(109);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(110);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 70:
      if (lookahead == 'o') ADVANCE(113);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(114);
      END_STATE();
    case 72:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(116);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 75:
      if (lookahead == 'm') ADVANCE(117);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(118);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 78:
      if (lookahead == 'o') ADVANCE(119);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(121);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 83:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 84:
      if (lookahead == 'u') ADVANCE(123);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 86:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(125);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 89:
      if (lookahead == 'g') ADVANCE(127);
      END_STATE();
    case 90:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(129);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 97:
      if (lookahead == 'd') ADVANCE(133);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 99:
      if (lookahead == 'h') ADVANCE(135);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 101:
      if (lookahead == 'c') ADVANCE(137);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 103:
      if (lookahead == 'k') ADVANCE(139);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 105:
      if (lookahead == 'h') ADVANCE(140);
      END_STATE();
    case 106:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 107:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 108:
      if (lookahead == 'i') ADVANCE(143);
      END_STATE();
    case 109:
      if (lookahead == 'g') ADVANCE(144);
      END_STATE();
    case 110:
      if (lookahead == 'u') ADVANCE(145);
      END_STATE();
    case 111:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 113:
      if (lookahead == 'r') ADVANCE(147);
      END_STATE();
    case 114:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(150);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 118:
      if (lookahead == 't') ADVANCE(151);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 120:
      if (lookahead == 'a') ADVANCE(153);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_meta);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(154);
      END_STATE();
    case 124:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 125:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 126:
      if (lookahead == 'c') ADVANCE(157);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 129:
      if (lookahead == 'w') ADVANCE(159);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 131:
      if (lookahead == 'o') ADVANCE(160);
      END_STATE();
    case 132:
      if (lookahead == 'f') ADVANCE(161);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 136:
      if (lookahead == 'd') ADVANCE(163);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'g') ADVANCE(165);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 148:
      if (lookahead == 'd') ADVANCE(169);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 150:
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'i') ADVANCE(171);
      END_STATE();
    case 152:
      if (lookahead == 't') ADVANCE(172);
      END_STATE();
    case 153:
      if (lookahead == 'n') ADVANCE(173);
      END_STATE();
    case 154:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 155:
      if (lookahead == 'c') ADVANCE(175);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 157:
      if (lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 158:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 160:
      if (lookahead == 'f') ADVANCE(178);
      END_STATE();
    case 161:
      if (lookahead == 'i') ADVANCE(179);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 164:
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(181);
      END_STATE();
    case 166:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 170:
      if (lookahead == 'y') ADVANCE(184);
      END_STATE();
    case 171:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 173:
      if (lookahead == 'c') ADVANCE(186);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 179:
      if (lookahead == 'n') ADVANCE(187);
      END_STATE();
    case 180:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 181:
      if (lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 185:
      if (lookahead == 'n') ADVANCE(190);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 191:
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 192:
      if (lookahead == 'd') ADVANCE(194);
      END_STATE();
    case 193:
      if (lookahead == 'f') ADVANCE(195);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 125, .external_lex_state = 2},
  [2] = {.lex_state = 4, .external_lex_state = 2},
  [3] = {.lex_state = 4, .external_lex_state = 2},
  [4] = {.lex_state = 4, .external_lex_state = 2},
  [5] = {.lex_state = 4, .external_lex_state = 2},
  [6] = {.lex_state = 4, .external_lex_state = 2},
  [7] = {.lex_state = 125, .external_lex_state = 2},
  [8] = {.lex_state = 125, .external_lex_state = 2},
  [9] = {.lex_state = 125, .external_lex_state = 2},
  [10] = {.lex_state = 125, .external_lex_state = 2},
  [11] = {.lex_state = 125, .external_lex_state = 2},
  [12] = {.lex_state = 125, .external_lex_state = 2},
  [13] = {.lex_state = 125, .external_lex_state = 2},
  [14] = {.lex_state = 125, .external_lex_state = 2},
  [15] = {.lex_state = 125, .external_lex_state = 2},
  [16] = {.lex_state = 125, .external_lex_state = 2},
  [17] = {.lex_state = 125, .external_lex_state = 2},
  [18] = {.lex_state = 125, .external_lex_state = 2},
  [19] = {.lex_state = 125, .external_lex_state = 2},
  [20] = {.lex_state = 125, .external_lex_state = 2},
  [21] = {.lex_state = 125, .external_lex_state = 2},
  [22] = {.lex_state = 125, .external_lex_state = 2},
  [23] = {.lex_state = 125, .external_lex_state = 2},
  [24] = {.lex_state = 125, .external_lex_state = 2},
  [25] = {.lex_state = 125, .external_lex_state = 2},
  [26] = {.lex_state = 125, .external_lex_state = 2},
  [27] = {.lex_state = 125, .external_lex_state = 2},
  [28] = {.lex_state = 125, .external_lex_state = 2},
  [29] = {.lex_state = 125, .external_lex_state = 2},
  [30] = {.lex_state = 125, .external_lex_state = 2},
  [31] = {.lex_state = 125, .external_lex_state = 2},
  [32] = {.lex_state = 125, .external_lex_state = 2},
  [33] = {.lex_state = 125, .external_lex_state = 2},
  [34] = {.lex_state = 125, .external_lex_state = 2},
  [35] = {.lex_state = 125, .external_lex_state = 2},
  [36] = {.lex_state = 125, .external_lex_state = 2},
  [37] = {.lex_state = 125, .external_lex_state = 2},
  [38] = {.lex_state = 125, .external_lex_state = 2},
  [39] = {.lex_state = 125, .external_lex_state = 2},
  [40] = {.lex_state = 125, .external_lex_state = 2},
  [41] = {.lex_state = 125, .external_lex_state = 2},
  [42] = {.lex_state = 125, .external_lex_state = 2},
  [43] = {.lex_state = 125, .external_lex_state = 2},
  [44] = {.lex_state = 125, .external_lex_state = 2},
  [45] = {.lex_state = 125, .external_lex_state = 2},
  [46] = {.lex_state = 125, .external_lex_state = 2},
  [47] = {.lex_state = 125, .external_lex_state = 2},
  [48] = {.lex_state = 125, .external_lex_state = 2},
  [49] = {.lex_state = 125, .external_lex_state = 2},
  [50] = {.lex_state = 125, .external_lex_state = 2},
  [51] = {.lex_state = 125, .external_lex_state = 2},
  [52] = {.lex_state = 125, .external_lex_state = 2},
  [53] = {.lex_state = 125, .external_lex_state = 2},
  [54] = {.lex_state = 125, .external_lex_state = 2},
  [55] = {.lex_state = 125, .external_lex_state = 2},
  [56] = {.lex_state = 124, .external_lex_state = 3},
  [57] = {.lex_state = 124, .external_lex_state = 4},
  [58] = {.lex_state = 124, .external_lex_state = 4},
  [59] = {.lex_state = 124, .external_lex_state = 3},
  [60] = {.lex_state = 124, .external_lex_state = 3},
  [61] = {.lex_state = 124, .external_lex_state = 4},
  [62] = {.lex_state = 124, .external_lex_state = 4},
  [63] = {.lex_state = 124, .external_lex_state = 4},
  [64] = {.lex_state = 124, .external_lex_state = 4},
  [65] = {.lex_state = 124, .external_lex_state = 4},
  [66] = {.lex_state = 124, .external_lex_state = 4},
  [67] = {.lex_state = 124, .external_lex_state = 4},
  [68] = {.lex_state = 124, .external_lex_state = 4},
  [69] = {.lex_state = 124, .external_lex_state = 4},
  [70] = {.lex_state = 124, .external_lex_state = 4},
  [71] = {.lex_state = 124, .external_lex_state = 4},
  [72] = {.lex_state = 124, .external_lex_state = 4},
  [73] = {.lex_state = 124, .external_lex_state = 4},
  [74] = {.lex_state = 124, .external_lex_state = 4},
  [75] = {.lex_state = 124, .external_lex_state = 4},
  [76] = {.lex_state = 125, .external_lex_state = 2},
  [77] = {.lex_state = 125, .external_lex_state = 2},
  [78] = {.lex_state = 125, .external_lex_state = 2},
  [79] = {.lex_state = 125, .external_lex_state = 2},
  [80] = {.lex_state = 125, .external_lex_state = 2},
  [81] = {.lex_state = 125, .external_lex_state = 2},
  [82] = {.lex_state = 125, .external_lex_state = 2},
  [83] = {.lex_state = 125, .external_lex_state = 2},
  [84] = {.lex_state = 125, .external_lex_state = 2},
  [85] = {.lex_state = 125, .external_lex_state = 2},
  [86] = {.lex_state = 125, .external_lex_state = 2},
  [87] = {.lex_state = 125, .external_lex_state = 2},
  [88] = {.lex_state = 125, .external_lex_state = 2},
  [89] = {.lex_state = 125, .external_lex_state = 2},
  [90] = {.lex_state = 125, .external_lex_state = 2},
  [91] = {.lex_state = 125, .external_lex_state = 2},
  [92] = {.lex_state = 125, .external_lex_state = 2},
  [93] = {.lex_state = 125, .external_lex_state = 2},
  [94] = {.lex_state = 125, .external_lex_state = 2},
  [95] = {.lex_state = 125, .external_lex_state = 2},
  [96] = {.lex_state = 125, .external_lex_state = 2},
  [97] = {.lex_state = 125, .external_lex_state = 2},
  [98] = {.lex_state = 125, .external_lex_state = 2},
  [99] = {.lex_state = 125, .external_lex_state = 2},
  [100] = {.lex_state = 125, .external_lex_state = 2},
  [101] = {.lex_state = 125, .external_lex_state = 2},
  [102] = {.lex_state = 125, .external_lex_state = 2},
  [103] = {.lex_state = 125, .external_lex_state = 2},
  [104] = {.lex_state = 125, .external_lex_state = 2},
  [105] = {.lex_state = 125, .external_lex_state = 2},
  [106] = {.lex_state = 125, .external_lex_state = 2},
  [107] = {.lex_state = 125, .external_lex_state = 2},
  [108] = {.lex_state = 125, .external_lex_state = 2},
  [109] = {.lex_state = 125, .external_lex_state = 5},
  [110] = {.lex_state = 125, .external_lex_state = 2},
  [111] = {.lex_state = 125, .external_lex_state = 2},
  [112] = {.lex_state = 125, .external_lex_state = 2},
  [113] = {.lex_state = 125, .external_lex_state = 2},
  [114] = {.lex_state = 125, .external_lex_state = 2},
  [115] = {.lex_state = 125, .external_lex_state = 2},
  [116] = {.lex_state = 125, .external_lex_state = 2},
  [117] = {.lex_state = 125, .external_lex_state = 2},
  [118] = {.lex_state = 125, .external_lex_state = 2},
  [119] = {.lex_state = 125, .external_lex_state = 2},
  [120] = {.lex_state = 125, .external_lex_state = 2},
  [121] = {.lex_state = 125, .external_lex_state = 2},
  [122] = {.lex_state = 125, .external_lex_state = 2},
  [123] = {.lex_state = 125, .external_lex_state = 2},
  [124] = {.lex_state = 125, .external_lex_state = 2},
  [125] = {.lex_state = 125, .external_lex_state = 2},
  [126] = {.lex_state = 125, .external_lex_state = 2},
  [127] = {.lex_state = 125, .external_lex_state = 2},
  [128] = {.lex_state = 125, .external_lex_state = 2},
  [129] = {.lex_state = 125, .external_lex_state = 2},
  [130] = {.lex_state = 125, .external_lex_state = 2},
  [131] = {.lex_state = 5, .external_lex_state = 2},
  [132] = {.lex_state = 6, .external_lex_state = 4},
  [133] = {.lex_state = 125, .external_lex_state = 2},
  [134] = {.lex_state = 6, .external_lex_state = 4},
  [135] = {.lex_state = 125, .external_lex_state = 2},
  [136] = {.lex_state = 5, .external_lex_state = 2},
  [137] = {.lex_state = 125, .external_lex_state = 2},
  [138] = {.lex_state = 6, .external_lex_state = 4},
  [139] = {.lex_state = 125, .external_lex_state = 2},
  [140] = {.lex_state = 125, .external_lex_state = 2},
  [141] = {.lex_state = 125, .external_lex_state = 2},
  [142] = {.lex_state = 125, .external_lex_state = 2},
  [143] = {.lex_state = 5, .external_lex_state = 2},
  [144] = {.lex_state = 125, .external_lex_state = 2},
  [145] = {.lex_state = 125, .external_lex_state = 2},
  [146] = {.lex_state = 125, .external_lex_state = 2},
  [147] = {.lex_state = 125, .external_lex_state = 2},
  [148] = {.lex_state = 125, .external_lex_state = 2},
  [149] = {.lex_state = 125, .external_lex_state = 2},
  [150] = {.lex_state = 125, .external_lex_state = 2},
  [151] = {.lex_state = 125, .external_lex_state = 2},
  [152] = {.lex_state = 125, .external_lex_state = 2},
  [153] = {.lex_state = 125, .external_lex_state = 2},
  [154] = {.lex_state = 125, .external_lex_state = 2},
  [155] = {.lex_state = 125, .external_lex_state = 2},
  [156] = {.lex_state = 125, .external_lex_state = 2},
  [157] = {.lex_state = 125, .external_lex_state = 2},
  [158] = {.lex_state = 125, .external_lex_state = 2},
  [159] = {.lex_state = 125, .external_lex_state = 2},
  [160] = {.lex_state = 125, .external_lex_state = 2},
  [161] = {.lex_state = 125, .external_lex_state = 2},
  [162] = {.lex_state = 5, .external_lex_state = 2},
  [163] = {.lex_state = 125, .external_lex_state = 2},
  [164] = {.lex_state = 125, .external_lex_state = 2},
  [165] = {.lex_state = 125, .external_lex_state = 2},
  [166] = {.lex_state = 125, .external_lex_state = 2},
  [167] = {.lex_state = 125, .external_lex_state = 2},
  [168] = {.lex_state = 125, .external_lex_state = 2},
  [169] = {.lex_state = 125, .external_lex_state = 2},
  [170] = {.lex_state = 125, .external_lex_state = 2},
  [171] = {.lex_state = 125, .external_lex_state = 2},
  [172] = {.lex_state = 5, .external_lex_state = 2},
  [173] = {.lex_state = 125, .external_lex_state = 2},
  [174] = {.lex_state = 125, .external_lex_state = 2},
  [175] = {.lex_state = 125, .external_lex_state = 2},
  [176] = {.lex_state = 125, .external_lex_state = 2},
  [177] = {.lex_state = 125, .external_lex_state = 2},
  [178] = {.lex_state = 125, .external_lex_state = 2},
  [179] = {.lex_state = 125, .external_lex_state = 2},
  [180] = {.lex_state = 125, .external_lex_state = 2},
  [181] = {.lex_state = 125, .external_lex_state = 2},
  [182] = {.lex_state = 125, .external_lex_state = 2},
  [183] = {.lex_state = 125, .external_lex_state = 2},
  [184] = {.lex_state = 125, .external_lex_state = 2},
  [185] = {.lex_state = 125, .external_lex_state = 2},
  [186] = {.lex_state = 125, .external_lex_state = 2},
  [187] = {.lex_state = 125, .external_lex_state = 2},
  [188] = {.lex_state = 125, .external_lex_state = 2},
  [189] = {.lex_state = 125, .external_lex_state = 2},
  [190] = {.lex_state = 125, .external_lex_state = 2},
  [191] = {.lex_state = 125, .external_lex_state = 2},
  [192] = {.lex_state = 125, .external_lex_state = 2},
  [193] = {.lex_state = 125, .external_lex_state = 2},
  [194] = {.lex_state = 125, .external_lex_state = 2},
  [195] = {.lex_state = 125, .external_lex_state = 2},
  [196] = {.lex_state = 125, .external_lex_state = 2},
  [197] = {.lex_state = 125, .external_lex_state = 2},
  [198] = {.lex_state = 125, .external_lex_state = 2},
  [199] = {.lex_state = 125, .external_lex_state = 2},
  [200] = {.lex_state = 125, .external_lex_state = 2},
  [201] = {.lex_state = 125, .external_lex_state = 2},
  [202] = {.lex_state = 125, .external_lex_state = 2},
  [203] = {.lex_state = 125, .external_lex_state = 2},
  [204] = {.lex_state = 125, .external_lex_state = 2},
  [205] = {.lex_state = 125, .external_lex_state = 2},
  [206] = {.lex_state = 125, .external_lex_state = 2},
  [207] = {.lex_state = 125, .external_lex_state = 2},
  [208] = {.lex_state = 125, .external_lex_state = 2},
  [209] = {.lex_state = 125, .external_lex_state = 2},
  [210] = {.lex_state = 125, .external_lex_state = 2},
  [211] = {.lex_state = 125, .external_lex_state = 2},
  [212] = {.lex_state = 125, .external_lex_state = 2},
  [213] = {.lex_state = 125, .external_lex_state = 2},
  [214] = {.lex_state = 125, .external_lex_state = 2},
  [215] = {.lex_state = 125, .external_lex_state = 2},
  [216] = {.lex_state = 125, .external_lex_state = 2},
  [217] = {.lex_state = 125, .external_lex_state = 2},
  [218] = {.lex_state = 125, .external_lex_state = 2},
  [219] = {.lex_state = 125, .external_lex_state = 2},
  [220] = {.lex_state = 125, .external_lex_state = 2},
  [221] = {.lex_state = 125, .external_lex_state = 2},
  [222] = {.lex_state = 125, .external_lex_state = 2},
  [223] = {.lex_state = 125, .external_lex_state = 2},
  [224] = {.lex_state = 125, .external_lex_state = 2},
  [225] = {.lex_state = 125, .external_lex_state = 2},
  [226] = {.lex_state = 125, .external_lex_state = 2},
  [227] = {.lex_state = 125, .external_lex_state = 2},
  [228] = {.lex_state = 125, .external_lex_state = 2},
  [229] = {.lex_state = 125, .external_lex_state = 2},
  [230] = {.lex_state = 125, .external_lex_state = 2},
  [231] = {.lex_state = 125, .external_lex_state = 2},
  [232] = {.lex_state = 125, .external_lex_state = 2},
  [233] = {.lex_state = 125, .external_lex_state = 2},
  [234] = {.lex_state = 125, .external_lex_state = 2},
  [235] = {.lex_state = 125, .external_lex_state = 2},
  [236] = {.lex_state = 125, .external_lex_state = 2},
  [237] = {.lex_state = 125, .external_lex_state = 2},
  [238] = {.lex_state = 125, .external_lex_state = 2},
  [239] = {.lex_state = 125, .external_lex_state = 2},
  [240] = {.lex_state = 125, .external_lex_state = 2},
  [241] = {.lex_state = 125, .external_lex_state = 2},
  [242] = {.lex_state = 125, .external_lex_state = 2},
  [243] = {.lex_state = 125, .external_lex_state = 2},
  [244] = {.lex_state = 125, .external_lex_state = 2},
  [245] = {.lex_state = 125, .external_lex_state = 2},
  [246] = {.lex_state = 125, .external_lex_state = 2},
  [247] = {.lex_state = 125, .external_lex_state = 2},
  [248] = {.lex_state = 125, .external_lex_state = 2},
  [249] = {.lex_state = 125, .external_lex_state = 2},
  [250] = {.lex_state = 125, .external_lex_state = 2},
  [251] = {.lex_state = 125, .external_lex_state = 2},
  [252] = {.lex_state = 125, .external_lex_state = 2},
  [253] = {.lex_state = 125, .external_lex_state = 2},
  [254] = {.lex_state = 125, .external_lex_state = 2},
  [255] = {.lex_state = 125, .external_lex_state = 2},
  [256] = {.lex_state = 125, .external_lex_state = 2},
  [257] = {.lex_state = 125, .external_lex_state = 2},
  [258] = {.lex_state = 125, .external_lex_state = 2},
  [259] = {.lex_state = 125, .external_lex_state = 2},
  [260] = {.lex_state = 125, .external_lex_state = 2},
  [261] = {.lex_state = 125, .external_lex_state = 2},
  [262] = {.lex_state = 125, .external_lex_state = 2},
  [263] = {.lex_state = 125, .external_lex_state = 2},
  [264] = {.lex_state = 125, .external_lex_state = 2},
  [265] = {.lex_state = 125, .external_lex_state = 2},
  [266] = {.lex_state = 125, .external_lex_state = 2},
  [267] = {.lex_state = 125, .external_lex_state = 2},
  [268] = {.lex_state = 125, .external_lex_state = 2},
  [269] = {.lex_state = 125, .external_lex_state = 2},
  [270] = {.lex_state = 125, .external_lex_state = 2},
  [271] = {.lex_state = 125, .external_lex_state = 2},
  [272] = {.lex_state = 125, .external_lex_state = 2},
  [273] = {.lex_state = 125, .external_lex_state = 2},
  [274] = {.lex_state = 125, .external_lex_state = 2},
  [275] = {.lex_state = 125, .external_lex_state = 2},
  [276] = {.lex_state = 125, .external_lex_state = 2},
  [277] = {.lex_state = 125, .external_lex_state = 2},
  [278] = {.lex_state = 125, .external_lex_state = 2},
  [279] = {.lex_state = 125, .external_lex_state = 2},
  [280] = {.lex_state = 125, .external_lex_state = 2},
  [281] = {.lex_state = 125, .external_lex_state = 2},
  [282] = {.lex_state = 125, .external_lex_state = 2},
  [283] = {.lex_state = 125, .external_lex_state = 2},
  [284] = {.lex_state = 125, .external_lex_state = 2},
  [285] = {.lex_state = 125, .external_lex_state = 2},
  [286] = {.lex_state = 125, .external_lex_state = 2},
  [287] = {.lex_state = 125, .external_lex_state = 2},
  [288] = {.lex_state = 125, .external_lex_state = 2},
  [289] = {.lex_state = 125, .external_lex_state = 2},
  [290] = {.lex_state = 125, .external_lex_state = 2},
  [291] = {.lex_state = 125, .external_lex_state = 2},
  [292] = {.lex_state = 125, .external_lex_state = 2},
  [293] = {.lex_state = 125, .external_lex_state = 2},
  [294] = {.lex_state = 125, .external_lex_state = 2},
  [295] = {.lex_state = 125, .external_lex_state = 2},
  [296] = {.lex_state = 125, .external_lex_state = 2},
  [297] = {.lex_state = 125, .external_lex_state = 2},
  [298] = {.lex_state = 6, .external_lex_state = 4},
  [299] = {.lex_state = 6, .external_lex_state = 4},
  [300] = {.lex_state = 6, .external_lex_state = 4},
  [301] = {.lex_state = 6, .external_lex_state = 4},
  [302] = {.lex_state = 6, .external_lex_state = 4},
  [303] = {.lex_state = 6, .external_lex_state = 4},
  [304] = {.lex_state = 6, .external_lex_state = 4},
  [305] = {.lex_state = 6, .external_lex_state = 4},
  [306] = {.lex_state = 6, .external_lex_state = 4},
  [307] = {.lex_state = 6, .external_lex_state = 4},
  [308] = {.lex_state = 6, .external_lex_state = 4},
  [309] = {.lex_state = 6, .external_lex_state = 3},
  [310] = {.lex_state = 6, .external_lex_state = 3},
  [311] = {.lex_state = 125, .external_lex_state = 5},
  [312] = {.lex_state = 125, .external_lex_state = 5},
  [313] = {.lex_state = 6, .external_lex_state = 4},
  [314] = {.lex_state = 6, .external_lex_state = 4},
  [315] = {.lex_state = 6, .external_lex_state = 4},
  [316] = {.lex_state = 6, .external_lex_state = 3},
  [317] = {.lex_state = 6, .external_lex_state = 4},
  [318] = {.lex_state = 6, .external_lex_state = 4},
  [319] = {.lex_state = 6, .external_lex_state = 3},
  [320] = {.lex_state = 6, .external_lex_state = 4},
  [321] = {.lex_state = 6, .external_lex_state = 4},
  [322] = {.lex_state = 6, .external_lex_state = 4},
  [323] = {.lex_state = 6, .external_lex_state = 4},
  [324] = {.lex_state = 125, .external_lex_state = 2},
  [325] = {.lex_state = 6, .external_lex_state = 3},
  [326] = {.lex_state = 125, .external_lex_state = 2},
  [327] = {.lex_state = 125, .external_lex_state = 2},
  [328] = {.lex_state = 6, .external_lex_state = 3},
  [329] = {.lex_state = 6, .external_lex_state = 3},
  [330] = {.lex_state = 6, .external_lex_state = 3},
  [331] = {.lex_state = 6, .external_lex_state = 3},
  [332] = {.lex_state = 6, .external_lex_state = 4},
  [333] = {.lex_state = 125, .external_lex_state = 2},
  [334] = {.lex_state = 6, .external_lex_state = 4},
  [335] = {.lex_state = 125, .external_lex_state = 5},
  [336] = {.lex_state = 125, .external_lex_state = 5},
  [337] = {.lex_state = 125, .external_lex_state = 5},
  [338] = {.lex_state = 125, .external_lex_state = 5},
  [339] = {.lex_state = 125, .external_lex_state = 2},
  [340] = {.lex_state = 125, .external_lex_state = 5},
  [341] = {.lex_state = 125, .external_lex_state = 5},
  [342] = {.lex_state = 125, .external_lex_state = 2},
  [343] = {.lex_state = 6, .external_lex_state = 4},
  [344] = {.lex_state = 6, .external_lex_state = 3},
  [345] = {.lex_state = 125, .external_lex_state = 2},
  [346] = {.lex_state = 125, .external_lex_state = 2},
  [347] = {.lex_state = 125, .external_lex_state = 5},
  [348] = {.lex_state = 125, .external_lex_state = 5},
  [349] = {.lex_state = 125, .external_lex_state = 5},
  [350] = {.lex_state = 125, .external_lex_state = 5},
  [351] = {.lex_state = 125, .external_lex_state = 5},
  [352] = {.lex_state = 6, .external_lex_state = 4},
  [353] = {.lex_state = 125, .external_lex_state = 5},
  [354] = {.lex_state = 125, .external_lex_state = 5},
  [355] = {.lex_state = 125, .external_lex_state = 5},
  [356] = {.lex_state = 6, .external_lex_state = 3},
  [357] = {.lex_state = 6, .external_lex_state = 3},
  [358] = {.lex_state = 125, .external_lex_state = 5},
  [359] = {.lex_state = 125, .external_lex_state = 5},
  [360] = {.lex_state = 125, .external_lex_state = 2},
  [361] = {.lex_state = 125, .external_lex_state = 2},
  [362] = {.lex_state = 125, .external_lex_state = 2},
  [363] = {.lex_state = 125, .external_lex_state = 2},
  [364] = {.lex_state = 125, .external_lex_state = 2},
  [365] = {.lex_state = 125, .external_lex_state = 2},
  [366] = {.lex_state = 125, .external_lex_state = 2},
  [367] = {.lex_state = 125, .external_lex_state = 2},
  [368] = {.lex_state = 125, .external_lex_state = 2},
  [369] = {.lex_state = 125, .external_lex_state = 2},
  [370] = {.lex_state = 125, .external_lex_state = 2},
  [371] = {.lex_state = 125, .external_lex_state = 2},
  [372] = {.lex_state = 125, .external_lex_state = 2},
  [373] = {.lex_state = 125, .external_lex_state = 2},
  [374] = {.lex_state = 125, .external_lex_state = 2},
  [375] = {.lex_state = 125, .external_lex_state = 2},
  [376] = {.lex_state = 125, .external_lex_state = 2},
  [377] = {.lex_state = 125, .external_lex_state = 2},
  [378] = {.lex_state = 125, .external_lex_state = 2},
  [379] = {.lex_state = 125, .external_lex_state = 2},
  [380] = {.lex_state = 125, .external_lex_state = 2},
  [381] = {.lex_state = 125, .external_lex_state = 2},
  [382] = {.lex_state = 125, .external_lex_state = 2},
  [383] = {.lex_state = 125, .external_lex_state = 2},
  [384] = {.lex_state = 125, .external_lex_state = 2},
  [385] = {.lex_state = 125, .external_lex_state = 2},
  [386] = {.lex_state = 125, .external_lex_state = 2},
  [387] = {.lex_state = 125, .external_lex_state = 2},
  [388] = {.lex_state = 125, .external_lex_state = 2},
  [389] = {.lex_state = 125, .external_lex_state = 2},
  [390] = {.lex_state = 125, .external_lex_state = 2},
  [391] = {.lex_state = 125, .external_lex_state = 2},
  [392] = {.lex_state = 125, .external_lex_state = 2},
  [393] = {.lex_state = 125, .external_lex_state = 2},
  [394] = {.lex_state = 125, .external_lex_state = 2},
  [395] = {.lex_state = 125, .external_lex_state = 2},
  [396] = {.lex_state = 125, .external_lex_state = 2},
  [397] = {.lex_state = 125, .external_lex_state = 2},
  [398] = {.lex_state = 125, .external_lex_state = 2},
  [399] = {.lex_state = 125, .external_lex_state = 2},
  [400] = {.lex_state = 125, .external_lex_state = 2},
  [401] = {.lex_state = 125, .external_lex_state = 2},
  [402] = {.lex_state = 125, .external_lex_state = 2},
  [403] = {.lex_state = 125, .external_lex_state = 2},
  [404] = {.lex_state = 125, .external_lex_state = 2},
  [405] = {.lex_state = 125, .external_lex_state = 2},
  [406] = {.lex_state = 125, .external_lex_state = 2},
  [407] = {.lex_state = 125, .external_lex_state = 2},
  [408] = {.lex_state = 125, .external_lex_state = 2},
  [409] = {.lex_state = 125, .external_lex_state = 2},
  [410] = {.lex_state = 6, .external_lex_state = 3},
  [411] = {.lex_state = 125, .external_lex_state = 2},
  [412] = {.lex_state = 125, .external_lex_state = 2},
  [413] = {.lex_state = 125, .external_lex_state = 2},
  [414] = {.lex_state = 125, .external_lex_state = 2},
  [415] = {.lex_state = 125, .external_lex_state = 2},
  [416] = {.lex_state = 125, .external_lex_state = 2},
  [417] = {.lex_state = 125, .external_lex_state = 2},
  [418] = {.lex_state = 125, .external_lex_state = 2},
  [419] = {.lex_state = 125, .external_lex_state = 2},
  [420] = {.lex_state = 125, .external_lex_state = 2},
  [421] = {.lex_state = 125, .external_lex_state = 2},
  [422] = {.lex_state = 125, .external_lex_state = 2},
  [423] = {.lex_state = 125, .external_lex_state = 2},
  [424] = {.lex_state = 125, .external_lex_state = 2},
  [425] = {.lex_state = 125, .external_lex_state = 2},
  [426] = {.lex_state = 6, .external_lex_state = 4},
  [427] = {.lex_state = 6, .external_lex_state = 3},
  [428] = {.lex_state = 6, .external_lex_state = 3},
  [429] = {.lex_state = 6, .external_lex_state = 3},
  [430] = {.lex_state = 6, .external_lex_state = 3},
  [431] = {.lex_state = 6, .external_lex_state = 3},
  [432] = {.lex_state = 6, .external_lex_state = 4},
  [433] = {.lex_state = 6, .external_lex_state = 3},
  [434] = {.lex_state = 6, .external_lex_state = 4},
  [435] = {.lex_state = 6, .external_lex_state = 3},
  [436] = {.lex_state = 6, .external_lex_state = 3},
  [437] = {.lex_state = 6, .external_lex_state = 4},
  [438] = {.lex_state = 6, .external_lex_state = 3},
  [439] = {.lex_state = 6, .external_lex_state = 3},
  [440] = {.lex_state = 6, .external_lex_state = 3},
  [441] = {.lex_state = 6, .external_lex_state = 3},
  [442] = {.lex_state = 6, .external_lex_state = 3},
  [443] = {.lex_state = 6, .external_lex_state = 3},
  [444] = {.lex_state = 125, .external_lex_state = 2},
  [445] = {.lex_state = 6, .external_lex_state = 4},
  [446] = {.lex_state = 6, .external_lex_state = 4},
  [447] = {.lex_state = 6, .external_lex_state = 4},
  [448] = {.lex_state = 125, .external_lex_state = 2},
  [449] = {.lex_state = 6, .external_lex_state = 4},
  [450] = {.lex_state = 6, .external_lex_state = 4},
  [451] = {.lex_state = 6, .external_lex_state = 4},
  [452] = {.lex_state = 6, .external_lex_state = 4},
  [453] = {.lex_state = 6, .external_lex_state = 4},
  [454] = {.lex_state = 6, .external_lex_state = 4},
  [455] = {.lex_state = 6, .external_lex_state = 3},
  [456] = {.lex_state = 6, .external_lex_state = 4},
  [457] = {.lex_state = 6, .external_lex_state = 4},
  [458] = {.lex_state = 6, .external_lex_state = 4},
  [459] = {.lex_state = 125, .external_lex_state = 2},
  [460] = {.lex_state = 6, .external_lex_state = 4},
  [461] = {.lex_state = 6, .external_lex_state = 4},
  [462] = {.lex_state = 125, .external_lex_state = 2},
  [463] = {.lex_state = 125, .external_lex_state = 2},
  [464] = {.lex_state = 6, .external_lex_state = 3},
  [465] = {.lex_state = 125, .external_lex_state = 2},
  [466] = {.lex_state = 6, .external_lex_state = 3},
  [467] = {.lex_state = 6, .external_lex_state = 3},
  [468] = {.lex_state = 6, .external_lex_state = 3},
  [469] = {.lex_state = 6, .external_lex_state = 3},
  [470] = {.lex_state = 6, .external_lex_state = 4},
  [471] = {.lex_state = 6, .external_lex_state = 4},
  [472] = {.lex_state = 125, .external_lex_state = 2},
  [473] = {.lex_state = 125, .external_lex_state = 2},
  [474] = {.lex_state = 125, .external_lex_state = 2},
  [475] = {.lex_state = 6, .external_lex_state = 4},
  [476] = {.lex_state = 6, .external_lex_state = 4},
  [477] = {.lex_state = 6, .external_lex_state = 4},
  [478] = {.lex_state = 6, .external_lex_state = 4},
  [479] = {.lex_state = 6, .external_lex_state = 3},
  [480] = {.lex_state = 6, .external_lex_state = 3},
  [481] = {.lex_state = 6, .external_lex_state = 4},
  [482] = {.lex_state = 6, .external_lex_state = 3},
  [483] = {.lex_state = 6, .external_lex_state = 3},
  [484] = {.lex_state = 6, .external_lex_state = 3},
  [485] = {.lex_state = 6, .external_lex_state = 3},
  [486] = {.lex_state = 6, .external_lex_state = 3},
  [487] = {.lex_state = 6, .external_lex_state = 4},
  [488] = {.lex_state = 6, .external_lex_state = 3},
  [489] = {.lex_state = 6, .external_lex_state = 3},
  [490] = {.lex_state = 6, .external_lex_state = 3},
  [491] = {.lex_state = 6, .external_lex_state = 3},
  [492] = {.lex_state = 6, .external_lex_state = 3},
  [493] = {.lex_state = 6, .external_lex_state = 3},
  [494] = {.lex_state = 6, .external_lex_state = 3},
  [495] = {.lex_state = 6, .external_lex_state = 3},
  [496] = {.lex_state = 6, .external_lex_state = 3},
  [497] = {.lex_state = 6, .external_lex_state = 3},
  [498] = {.lex_state = 6, .external_lex_state = 3},
  [499] = {.lex_state = 6, .external_lex_state = 3},
  [500] = {.lex_state = 6, .external_lex_state = 3},
  [501] = {.lex_state = 6, .external_lex_state = 3},
  [502] = {.lex_state = 6, .external_lex_state = 3},
  [503] = {.lex_state = 124, .external_lex_state = 3},
  [504] = {.lex_state = 124, .external_lex_state = 3},
  [505] = {.lex_state = 124, .external_lex_state = 4},
  [506] = {.lex_state = 124, .external_lex_state = 4},
  [507] = {.lex_state = 124, .external_lex_state = 3},
  [508] = {.lex_state = 124, .external_lex_state = 4},
  [509] = {.lex_state = 124, .external_lex_state = 3},
  [510] = {.lex_state = 124, .external_lex_state = 3},
  [511] = {.lex_state = 124, .external_lex_state = 3},
  [512] = {.lex_state = 124, .external_lex_state = 3},
  [513] = {.lex_state = 124, .external_lex_state = 3},
  [514] = {.lex_state = 7, .external_lex_state = 3},
  [515] = {.lex_state = 124, .external_lex_state = 3},
  [516] = {.lex_state = 124, .external_lex_state = 3},
  [517] = {.lex_state = 124, .external_lex_state = 3},
  [518] = {.lex_state = 124, .external_lex_state = 3},
  [519] = {.lex_state = 124, .external_lex_state = 3},
  [520] = {.lex_state = 124, .external_lex_state = 3},
  [521] = {.lex_state = 124, .external_lex_state = 3},
  [522] = {.lex_state = 124, .external_lex_state = 3},
  [523] = {.lex_state = 124, .external_lex_state = 3},
  [524] = {.lex_state = 124, .external_lex_state = 3},
  [525] = {.lex_state = 124, .external_lex_state = 3},
  [526] = {.lex_state = 124, .external_lex_state = 3},
  [527] = {.lex_state = 124, .external_lex_state = 3},
  [528] = {.lex_state = 124, .external_lex_state = 3},
  [529] = {.lex_state = 124, .external_lex_state = 3},
  [530] = {.lex_state = 124, .external_lex_state = 3},
  [531] = {.lex_state = 124, .external_lex_state = 3},
  [532] = {.lex_state = 124, .external_lex_state = 3},
  [533] = {.lex_state = 124, .external_lex_state = 3},
  [534] = {.lex_state = 124, .external_lex_state = 3},
  [535] = {.lex_state = 124, .external_lex_state = 3},
  [536] = {.lex_state = 124, .external_lex_state = 3},
  [537] = {.lex_state = 124, .external_lex_state = 3},
  [538] = {.lex_state = 124, .external_lex_state = 3},
  [539] = {.lex_state = 124, .external_lex_state = 3},
  [540] = {.lex_state = 124, .external_lex_state = 3},
  [541] = {.lex_state = 124, .external_lex_state = 3},
  [542] = {.lex_state = 124, .external_lex_state = 3},
  [543] = {.lex_state = 124, .external_lex_state = 3},
  [544] = {.lex_state = 124, .external_lex_state = 3},
  [545] = {.lex_state = 124, .external_lex_state = 3},
  [546] = {.lex_state = 124, .external_lex_state = 3},
  [547] = {.lex_state = 124, .external_lex_state = 3},
  [548] = {.lex_state = 124, .external_lex_state = 3},
  [549] = {.lex_state = 124, .external_lex_state = 3},
  [550] = {.lex_state = 124, .external_lex_state = 3},
  [551] = {.lex_state = 124, .external_lex_state = 3},
  [552] = {.lex_state = 124, .external_lex_state = 3},
  [553] = {.lex_state = 124, .external_lex_state = 3},
  [554] = {.lex_state = 124, .external_lex_state = 3},
  [555] = {.lex_state = 124, .external_lex_state = 3},
  [556] = {.lex_state = 124, .external_lex_state = 3},
  [557] = {.lex_state = 124, .external_lex_state = 3},
  [558] = {.lex_state = 124, .external_lex_state = 3},
  [559] = {.lex_state = 124, .external_lex_state = 3},
  [560] = {.lex_state = 124, .external_lex_state = 3},
  [561] = {.lex_state = 124, .external_lex_state = 3},
  [562] = {.lex_state = 124, .external_lex_state = 3},
  [563] = {.lex_state = 124, .external_lex_state = 3},
  [564] = {.lex_state = 124, .external_lex_state = 3},
  [565] = {.lex_state = 124, .external_lex_state = 3},
  [566] = {.lex_state = 124, .external_lex_state = 3},
  [567] = {.lex_state = 124, .external_lex_state = 3},
  [568] = {.lex_state = 124, .external_lex_state = 3},
  [569] = {.lex_state = 124, .external_lex_state = 3},
  [570] = {.lex_state = 124, .external_lex_state = 3},
  [571] = {.lex_state = 124, .external_lex_state = 3},
  [572] = {.lex_state = 124, .external_lex_state = 3},
  [573] = {.lex_state = 124, .external_lex_state = 3},
  [574] = {.lex_state = 124, .external_lex_state = 3},
  [575] = {.lex_state = 124, .external_lex_state = 3},
  [576] = {.lex_state = 124, .external_lex_state = 3},
  [577] = {.lex_state = 124, .external_lex_state = 3},
  [578] = {.lex_state = 124, .external_lex_state = 3},
  [579] = {.lex_state = 124, .external_lex_state = 4},
  [580] = {.lex_state = 124, .external_lex_state = 3},
  [581] = {.lex_state = 124, .external_lex_state = 3},
  [582] = {.lex_state = 124, .external_lex_state = 3},
  [583] = {.lex_state = 124, .external_lex_state = 3},
  [584] = {.lex_state = 124, .external_lex_state = 4},
  [585] = {.lex_state = 124, .external_lex_state = 3},
  [586] = {.lex_state = 124, .external_lex_state = 3},
  [587] = {.lex_state = 124, .external_lex_state = 3},
  [588] = {.lex_state = 124, .external_lex_state = 3},
  [589] = {.lex_state = 124, .external_lex_state = 3},
  [590] = {.lex_state = 124, .external_lex_state = 3},
  [591] = {.lex_state = 124, .external_lex_state = 3},
  [592] = {.lex_state = 124, .external_lex_state = 3},
  [593] = {.lex_state = 124, .external_lex_state = 3},
  [594] = {.lex_state = 124, .external_lex_state = 3},
  [595] = {.lex_state = 124, .external_lex_state = 3},
  [596] = {.lex_state = 124, .external_lex_state = 3},
  [597] = {.lex_state = 124, .external_lex_state = 3},
  [598] = {.lex_state = 124, .external_lex_state = 3},
  [599] = {.lex_state = 124, .external_lex_state = 3},
  [600] = {.lex_state = 124, .external_lex_state = 3},
  [601] = {.lex_state = 124, .external_lex_state = 3},
  [602] = {.lex_state = 124, .external_lex_state = 3},
  [603] = {.lex_state = 124, .external_lex_state = 3},
  [604] = {.lex_state = 124, .external_lex_state = 4},
  [605] = {.lex_state = 124, .external_lex_state = 4},
  [606] = {.lex_state = 124, .external_lex_state = 4},
  [607] = {.lex_state = 124, .external_lex_state = 3},
  [608] = {.lex_state = 124, .external_lex_state = 4},
  [609] = {.lex_state = 124, .external_lex_state = 4},
  [610] = {.lex_state = 124, .external_lex_state = 4},
  [611] = {.lex_state = 124, .external_lex_state = 4},
  [612] = {.lex_state = 124, .external_lex_state = 4},
  [613] = {.lex_state = 124, .external_lex_state = 4},
  [614] = {.lex_state = 124, .external_lex_state = 4},
  [615] = {.lex_state = 124, .external_lex_state = 4},
  [616] = {.lex_state = 124, .external_lex_state = 4},
  [617] = {.lex_state = 124, .external_lex_state = 4},
  [618] = {.lex_state = 124, .external_lex_state = 4},
  [619] = {.lex_state = 124, .external_lex_state = 4},
  [620] = {.lex_state = 124, .external_lex_state = 4},
  [621] = {.lex_state = 124, .external_lex_state = 4},
  [622] = {.lex_state = 124, .external_lex_state = 4},
  [623] = {.lex_state = 124, .external_lex_state = 4},
  [624] = {.lex_state = 124, .external_lex_state = 4},
  [625] = {.lex_state = 124, .external_lex_state = 4},
  [626] = {.lex_state = 124, .external_lex_state = 4},
  [627] = {.lex_state = 124, .external_lex_state = 4},
  [628] = {.lex_state = 124, .external_lex_state = 4},
  [629] = {.lex_state = 124, .external_lex_state = 4},
  [630] = {.lex_state = 124, .external_lex_state = 4},
  [631] = {.lex_state = 124, .external_lex_state = 4},
  [632] = {.lex_state = 124, .external_lex_state = 3},
  [633] = {.lex_state = 124, .external_lex_state = 4},
  [634] = {.lex_state = 124, .external_lex_state = 4},
  [635] = {.lex_state = 124, .external_lex_state = 4},
  [636] = {.lex_state = 124, .external_lex_state = 4},
  [637] = {.lex_state = 124, .external_lex_state = 4},
  [638] = {.lex_state = 124, .external_lex_state = 4},
  [639] = {.lex_state = 124, .external_lex_state = 4},
  [640] = {.lex_state = 124, .external_lex_state = 4},
  [641] = {.lex_state = 124, .external_lex_state = 4},
  [642] = {.lex_state = 124, .external_lex_state = 4},
  [643] = {.lex_state = 124, .external_lex_state = 4},
  [644] = {.lex_state = 124, .external_lex_state = 4},
  [645] = {.lex_state = 124, .external_lex_state = 3},
  [646] = {.lex_state = 124, .external_lex_state = 4},
  [647] = {.lex_state = 124, .external_lex_state = 4},
  [648] = {.lex_state = 124, .external_lex_state = 4},
  [649] = {.lex_state = 124, .external_lex_state = 4},
  [650] = {.lex_state = 124, .external_lex_state = 4},
  [651] = {.lex_state = 124, .external_lex_state = 4},
  [652] = {.lex_state = 124, .external_lex_state = 4},
  [653] = {.lex_state = 124, .external_lex_state = 4},
  [654] = {.lex_state = 124, .external_lex_state = 4},
  [655] = {.lex_state = 124, .external_lex_state = 4},
  [656] = {.lex_state = 124, .external_lex_state = 4},
  [657] = {.lex_state = 124, .external_lex_state = 4},
  [658] = {.lex_state = 124, .external_lex_state = 4},
  [659] = {.lex_state = 124, .external_lex_state = 4},
  [660] = {.lex_state = 124, .external_lex_state = 4},
  [661] = {.lex_state = 124, .external_lex_state = 4},
  [662] = {.lex_state = 124, .external_lex_state = 4},
  [663] = {.lex_state = 124, .external_lex_state = 4},
  [664] = {.lex_state = 124, .external_lex_state = 4},
  [665] = {.lex_state = 7, .external_lex_state = 4},
  [666] = {.lex_state = 124, .external_lex_state = 4},
  [667] = {.lex_state = 124, .external_lex_state = 3},
  [668] = {.lex_state = 124, .external_lex_state = 3},
  [669] = {.lex_state = 124, .external_lex_state = 3},
  [670] = {.lex_state = 124, .external_lex_state = 4},
  [671] = {.lex_state = 124, .external_lex_state = 3},
  [672] = {.lex_state = 124, .external_lex_state = 4},
  [673] = {.lex_state = 124, .external_lex_state = 4},
  [674] = {.lex_state = 124, .external_lex_state = 4},
  [675] = {.lex_state = 124, .external_lex_state = 4},
  [676] = {.lex_state = 124, .external_lex_state = 4},
  [677] = {.lex_state = 124, .external_lex_state = 4},
  [678] = {.lex_state = 124, .external_lex_state = 4},
  [679] = {.lex_state = 124, .external_lex_state = 4},
  [680] = {.lex_state = 124, .external_lex_state = 4},
  [681] = {.lex_state = 124, .external_lex_state = 4},
  [682] = {.lex_state = 7, .external_lex_state = 4},
  [683] = {.lex_state = 124, .external_lex_state = 4},
  [684] = {.lex_state = 124, .external_lex_state = 4},
  [685] = {.lex_state = 124, .external_lex_state = 4},
  [686] = {.lex_state = 124, .external_lex_state = 4},
  [687] = {.lex_state = 124, .external_lex_state = 4},
  [688] = {.lex_state = 124, .external_lex_state = 4},
  [689] = {.lex_state = 124, .external_lex_state = 4},
  [690] = {.lex_state = 124, .external_lex_state = 4},
  [691] = {.lex_state = 124, .external_lex_state = 4},
  [692] = {.lex_state = 124, .external_lex_state = 4},
  [693] = {.lex_state = 124, .external_lex_state = 4},
  [694] = {.lex_state = 124, .external_lex_state = 4},
  [695] = {.lex_state = 124, .external_lex_state = 4},
  [696] = {.lex_state = 124, .external_lex_state = 4},
  [697] = {.lex_state = 124, .external_lex_state = 4},
  [698] = {.lex_state = 124, .external_lex_state = 4},
  [699] = {.lex_state = 124, .external_lex_state = 4},
  [700] = {.lex_state = 124, .external_lex_state = 4},
  [701] = {.lex_state = 124, .external_lex_state = 4},
  [702] = {.lex_state = 124, .external_lex_state = 4},
  [703] = {.lex_state = 124, .external_lex_state = 4},
  [704] = {.lex_state = 124, .external_lex_state = 4},
  [705] = {.lex_state = 124, .external_lex_state = 4},
  [706] = {.lex_state = 124, .external_lex_state = 4},
  [707] = {.lex_state = 124, .external_lex_state = 4},
  [708] = {.lex_state = 124, .external_lex_state = 4},
  [709] = {.lex_state = 124, .external_lex_state = 4},
  [710] = {.lex_state = 124, .external_lex_state = 4},
  [711] = {.lex_state = 124, .external_lex_state = 4},
  [712] = {.lex_state = 124, .external_lex_state = 4},
  [713] = {.lex_state = 124, .external_lex_state = 4},
  [714] = {.lex_state = 124, .external_lex_state = 4},
  [715] = {.lex_state = 124, .external_lex_state = 4},
  [716] = {.lex_state = 124, .external_lex_state = 4},
  [717] = {.lex_state = 124, .external_lex_state = 4},
  [718] = {.lex_state = 124, .external_lex_state = 4},
  [719] = {.lex_state = 124, .external_lex_state = 4},
  [720] = {.lex_state = 124, .external_lex_state = 4},
  [721] = {.lex_state = 124, .external_lex_state = 4},
  [722] = {.lex_state = 124, .external_lex_state = 4},
  [723] = {.lex_state = 124, .external_lex_state = 4},
  [724] = {.lex_state = 124, .external_lex_state = 4},
  [725] = {.lex_state = 124, .external_lex_state = 4},
  [726] = {.lex_state = 124, .external_lex_state = 4},
  [727] = {.lex_state = 124, .external_lex_state = 4},
  [728] = {.lex_state = 124, .external_lex_state = 4},
  [729] = {.lex_state = 124, .external_lex_state = 4},
  [730] = {.lex_state = 124, .external_lex_state = 4},
  [731] = {.lex_state = 124, .external_lex_state = 4},
  [732] = {.lex_state = 124, .external_lex_state = 4},
  [733] = {.lex_state = 124, .external_lex_state = 4},
  [734] = {.lex_state = 124, .external_lex_state = 4},
  [735] = {.lex_state = 124, .external_lex_state = 3},
  [736] = {.lex_state = 124, .external_lex_state = 4},
  [737] = {.lex_state = 124, .external_lex_state = 3},
  [738] = {.lex_state = 124, .external_lex_state = 4},
  [739] = {.lex_state = 124, .external_lex_state = 3},
  [740] = {.lex_state = 124, .external_lex_state = 3},
  [741] = {.lex_state = 124, .external_lex_state = 3},
  [742] = {.lex_state = 124, .external_lex_state = 3},
  [743] = {.lex_state = 124, .external_lex_state = 4},
  [744] = {.lex_state = 124, .external_lex_state = 3},
  [745] = {.lex_state = 124, .external_lex_state = 4},
  [746] = {.lex_state = 124, .external_lex_state = 4},
  [747] = {.lex_state = 124, .external_lex_state = 4},
  [748] = {.lex_state = 124, .external_lex_state = 4},
  [749] = {.lex_state = 124, .external_lex_state = 4},
  [750] = {.lex_state = 124, .external_lex_state = 3},
  [751] = {.lex_state = 124, .external_lex_state = 3},
  [752] = {.lex_state = 124, .external_lex_state = 3},
  [753] = {.lex_state = 124, .external_lex_state = 3},
  [754] = {.lex_state = 124, .external_lex_state = 3},
  [755] = {.lex_state = 124, .external_lex_state = 3},
  [756] = {.lex_state = 124, .external_lex_state = 3},
  [757] = {.lex_state = 124, .external_lex_state = 3},
  [758] = {.lex_state = 124, .external_lex_state = 4},
  [759] = {.lex_state = 124, .external_lex_state = 3},
  [760] = {.lex_state = 124, .external_lex_state = 3},
  [761] = {.lex_state = 124, .external_lex_state = 3},
  [762] = {.lex_state = 124, .external_lex_state = 3},
  [763] = {.lex_state = 124, .external_lex_state = 3},
  [764] = {.lex_state = 124, .external_lex_state = 3},
  [765] = {.lex_state = 124, .external_lex_state = 3},
  [766] = {.lex_state = 124, .external_lex_state = 3},
  [767] = {.lex_state = 124, .external_lex_state = 3},
  [768] = {.lex_state = 124, .external_lex_state = 3},
  [769] = {.lex_state = 124, .external_lex_state = 3},
  [770] = {.lex_state = 124, .external_lex_state = 3},
  [771] = {.lex_state = 124, .external_lex_state = 3},
  [772] = {.lex_state = 124, .external_lex_state = 3},
  [773] = {.lex_state = 124, .external_lex_state = 3},
  [774] = {.lex_state = 124, .external_lex_state = 3},
  [775] = {.lex_state = 124, .external_lex_state = 3},
  [776] = {.lex_state = 124, .external_lex_state = 3},
  [777] = {.lex_state = 124, .external_lex_state = 3},
  [778] = {.lex_state = 124, .external_lex_state = 3},
  [779] = {.lex_state = 124, .external_lex_state = 3},
  [780] = {.lex_state = 124, .external_lex_state = 3},
  [781] = {.lex_state = 124, .external_lex_state = 3},
  [782] = {.lex_state = 124, .external_lex_state = 3},
  [783] = {.lex_state = 124, .external_lex_state = 3},
  [784] = {.lex_state = 124, .external_lex_state = 3},
  [785] = {.lex_state = 124, .external_lex_state = 3},
  [786] = {.lex_state = 124, .external_lex_state = 3},
  [787] = {.lex_state = 124, .external_lex_state = 3},
  [788] = {.lex_state = 124, .external_lex_state = 3},
  [789] = {.lex_state = 124, .external_lex_state = 3},
  [790] = {.lex_state = 124, .external_lex_state = 3},
  [791] = {.lex_state = 124, .external_lex_state = 3},
  [792] = {.lex_state = 124, .external_lex_state = 3},
  [793] = {.lex_state = 124, .external_lex_state = 3},
  [794] = {.lex_state = 124, .external_lex_state = 3},
  [795] = {.lex_state = 124, .external_lex_state = 3},
  [796] = {.lex_state = 124, .external_lex_state = 3},
  [797] = {.lex_state = 124, .external_lex_state = 3},
  [798] = {.lex_state = 124, .external_lex_state = 3},
  [799] = {.lex_state = 124, .external_lex_state = 3},
  [800] = {.lex_state = 124, .external_lex_state = 3},
  [801] = {.lex_state = 124, .external_lex_state = 3},
  [802] = {.lex_state = 124, .external_lex_state = 3},
  [803] = {.lex_state = 124, .external_lex_state = 3},
  [804] = {.lex_state = 124, .external_lex_state = 3},
  [805] = {.lex_state = 124, .external_lex_state = 3},
  [806] = {.lex_state = 124, .external_lex_state = 3},
  [807] = {.lex_state = 124, .external_lex_state = 3},
  [808] = {.lex_state = 124, .external_lex_state = 3},
  [809] = {.lex_state = 124, .external_lex_state = 3},
  [810] = {.lex_state = 124, .external_lex_state = 3},
  [811] = {.lex_state = 124, .external_lex_state = 3},
  [812] = {.lex_state = 124, .external_lex_state = 3},
  [813] = {.lex_state = 124, .external_lex_state = 3},
  [814] = {.lex_state = 124, .external_lex_state = 3},
  [815] = {.lex_state = 124, .external_lex_state = 4},
  [816] = {.lex_state = 124, .external_lex_state = 3},
  [817] = {.lex_state = 124, .external_lex_state = 3},
  [818] = {.lex_state = 124, .external_lex_state = 3},
  [819] = {.lex_state = 124, .external_lex_state = 3},
  [820] = {.lex_state = 124, .external_lex_state = 3},
  [821] = {.lex_state = 124, .external_lex_state = 3},
  [822] = {.lex_state = 7, .external_lex_state = 3},
  [823] = {.lex_state = 4, .external_lex_state = 2},
  [824] = {.lex_state = 4, .external_lex_state = 2},
  [825] = {.lex_state = 124, .external_lex_state = 4},
  [826] = {.lex_state = 4, .external_lex_state = 2},
  [827] = {.lex_state = 4, .external_lex_state = 2},
  [828] = {.lex_state = 4, .external_lex_state = 2},
  [829] = {.lex_state = 4, .external_lex_state = 2},
  [830] = {.lex_state = 124, .external_lex_state = 3},
  [831] = {.lex_state = 124, .external_lex_state = 4},
  [832] = {.lex_state = 124, .external_lex_state = 3},
  [833] = {.lex_state = 124, .external_lex_state = 3},
  [834] = {.lex_state = 124, .external_lex_state = 3},
  [835] = {.lex_state = 124, .external_lex_state = 3},
  [836] = {.lex_state = 124, .external_lex_state = 3},
  [837] = {.lex_state = 124, .external_lex_state = 3},
  [838] = {.lex_state = 124, .external_lex_state = 3},
  [839] = {.lex_state = 124, .external_lex_state = 3},
  [840] = {.lex_state = 124, .external_lex_state = 3},
  [841] = {.lex_state = 124, .external_lex_state = 3},
  [842] = {.lex_state = 124, .external_lex_state = 3},
  [843] = {.lex_state = 124, .external_lex_state = 3},
  [844] = {.lex_state = 124, .external_lex_state = 3},
  [845] = {.lex_state = 124, .external_lex_state = 3},
  [846] = {.lex_state = 124, .external_lex_state = 3},
  [847] = {.lex_state = 124, .external_lex_state = 3},
  [848] = {.lex_state = 124, .external_lex_state = 3},
  [849] = {.lex_state = 124, .external_lex_state = 3},
  [850] = {.lex_state = 124, .external_lex_state = 3},
  [851] = {.lex_state = 124, .external_lex_state = 3},
  [852] = {.lex_state = 124, .external_lex_state = 3},
  [853] = {.lex_state = 124, .external_lex_state = 3},
  [854] = {.lex_state = 124, .external_lex_state = 3},
  [855] = {.lex_state = 124, .external_lex_state = 3},
  [856] = {.lex_state = 124, .external_lex_state = 3},
  [857] = {.lex_state = 124, .external_lex_state = 3},
  [858] = {.lex_state = 124, .external_lex_state = 3},
  [859] = {.lex_state = 124, .external_lex_state = 3},
  [860] = {.lex_state = 124, .external_lex_state = 3},
  [861] = {.lex_state = 124, .external_lex_state = 3},
  [862] = {.lex_state = 124, .external_lex_state = 3},
  [863] = {.lex_state = 124, .external_lex_state = 3},
  [864] = {.lex_state = 124, .external_lex_state = 3},
  [865] = {.lex_state = 124, .external_lex_state = 3},
  [866] = {.lex_state = 4, .external_lex_state = 2},
  [867] = {.lex_state = 124, .external_lex_state = 3},
  [868] = {.lex_state = 124, .external_lex_state = 3},
  [869] = {.lex_state = 4, .external_lex_state = 2},
  [870] = {.lex_state = 4, .external_lex_state = 2},
  [871] = {.lex_state = 4, .external_lex_state = 2},
  [872] = {.lex_state = 4, .external_lex_state = 2},
  [873] = {.lex_state = 4, .external_lex_state = 2},
  [874] = {.lex_state = 4, .external_lex_state = 2},
  [875] = {.lex_state = 4, .external_lex_state = 2},
  [876] = {.lex_state = 4, .external_lex_state = 2},
  [877] = {.lex_state = 125, .external_lex_state = 2},
  [878] = {.lex_state = 125, .external_lex_state = 2},
  [879] = {.lex_state = 4, .external_lex_state = 2},
  [880] = {.lex_state = 125, .external_lex_state = 2},
  [881] = {.lex_state = 125, .external_lex_state = 2},
  [882] = {.lex_state = 125, .external_lex_state = 2},
  [883] = {.lex_state = 125, .external_lex_state = 2},
  [884] = {.lex_state = 125, .external_lex_state = 2},
  [885] = {.lex_state = 125, .external_lex_state = 2},
  [886] = {.lex_state = 125, .external_lex_state = 2},
  [887] = {.lex_state = 125, .external_lex_state = 2},
  [888] = {.lex_state = 125, .external_lex_state = 2},
  [889] = {.lex_state = 125, .external_lex_state = 2},
  [890] = {.lex_state = 125, .external_lex_state = 2},
  [891] = {.lex_state = 125, .external_lex_state = 2},
  [892] = {.lex_state = 125, .external_lex_state = 2},
  [893] = {.lex_state = 125, .external_lex_state = 2},
  [894] = {.lex_state = 125, .external_lex_state = 2},
  [895] = {.lex_state = 125, .external_lex_state = 5},
  [896] = {.lex_state = 125, .external_lex_state = 2},
  [897] = {.lex_state = 125, .external_lex_state = 2},
  [898] = {.lex_state = 125, .external_lex_state = 2},
  [899] = {.lex_state = 125, .external_lex_state = 2},
  [900] = {.lex_state = 125, .external_lex_state = 2},
  [901] = {.lex_state = 125, .external_lex_state = 2},
  [902] = {.lex_state = 125, .external_lex_state = 2},
  [903] = {.lex_state = 4, .external_lex_state = 2},
  [904] = {.lex_state = 125, .external_lex_state = 2},
  [905] = {.lex_state = 125, .external_lex_state = 2},
  [906] = {.lex_state = 125, .external_lex_state = 5},
  [907] = {.lex_state = 125, .external_lex_state = 5},
  [908] = {.lex_state = 125, .external_lex_state = 5},
  [909] = {.lex_state = 125, .external_lex_state = 2},
  [910] = {.lex_state = 4, .external_lex_state = 2},
  [911] = {.lex_state = 125, .external_lex_state = 5},
  [912] = {.lex_state = 125, .external_lex_state = 2},
  [913] = {.lex_state = 125, .external_lex_state = 5},
  [914] = {.lex_state = 125, .external_lex_state = 2},
  [915] = {.lex_state = 4, .external_lex_state = 2},
  [916] = {.lex_state = 125, .external_lex_state = 5},
  [917] = {.lex_state = 9, .external_lex_state = 2},
  [918] = {.lex_state = 125, .external_lex_state = 5},
  [919] = {.lex_state = 125, .external_lex_state = 5},
  [920] = {.lex_state = 125, .external_lex_state = 5},
  [921] = {.lex_state = 125, .external_lex_state = 5},
  [922] = {.lex_state = 125, .external_lex_state = 2},
  [923] = {.lex_state = 125, .external_lex_state = 5},
  [924] = {.lex_state = 4, .external_lex_state = 2},
  [925] = {.lex_state = 4, .external_lex_state = 2},
  [926] = {.lex_state = 4, .external_lex_state = 2},
  [927] = {.lex_state = 4, .external_lex_state = 2},
  [928] = {.lex_state = 4, .external_lex_state = 2},
  [929] = {.lex_state = 9, .external_lex_state = 2},
  [930] = {.lex_state = 4, .external_lex_state = 2},
  [931] = {.lex_state = 4, .external_lex_state = 2},
  [932] = {.lex_state = 4, .external_lex_state = 2},
  [933] = {.lex_state = 4, .external_lex_state = 2},
  [934] = {.lex_state = 4, .external_lex_state = 2},
  [935] = {.lex_state = 4, .external_lex_state = 2},
  [936] = {.lex_state = 4, .external_lex_state = 2},
  [937] = {.lex_state = 4, .external_lex_state = 2},
  [938] = {.lex_state = 4, .external_lex_state = 2},
  [939] = {.lex_state = 4, .external_lex_state = 2},
  [940] = {.lex_state = 4, .external_lex_state = 2},
  [941] = {.lex_state = 4, .external_lex_state = 2},
  [942] = {.lex_state = 4, .external_lex_state = 2},
  [943] = {.lex_state = 4, .external_lex_state = 2},
  [944] = {.lex_state = 4, .external_lex_state = 2},
  [945] = {.lex_state = 4, .external_lex_state = 2},
  [946] = {.lex_state = 4, .external_lex_state = 2},
  [947] = {.lex_state = 4, .external_lex_state = 2},
  [948] = {.lex_state = 4, .external_lex_state = 5},
  [949] = {.lex_state = 4, .external_lex_state = 2},
  [950] = {.lex_state = 4, .external_lex_state = 2},
  [951] = {.lex_state = 4, .external_lex_state = 2},
  [952] = {.lex_state = 4, .external_lex_state = 2},
  [953] = {.lex_state = 4, .external_lex_state = 5},
  [954] = {.lex_state = 4, .external_lex_state = 2},
  [955] = {.lex_state = 4, .external_lex_state = 2},
  [956] = {.lex_state = 4, .external_lex_state = 2},
  [957] = {.lex_state = 4, .external_lex_state = 2},
  [958] = {.lex_state = 4, .external_lex_state = 2},
  [959] = {.lex_state = 125, .external_lex_state = 2},
  [960] = {.lex_state = 125, .external_lex_state = 2},
  [961] = {.lex_state = 125, .external_lex_state = 2},
  [962] = {.lex_state = 4, .external_lex_state = 2},
  [963] = {.lex_state = 4, .external_lex_state = 2},
  [964] = {.lex_state = 125, .external_lex_state = 2},
  [965] = {.lex_state = 125, .external_lex_state = 2},
  [966] = {.lex_state = 125, .external_lex_state = 2},
  [967] = {.lex_state = 125, .external_lex_state = 2},
  [968] = {.lex_state = 125, .external_lex_state = 2},
  [969] = {.lex_state = 4, .external_lex_state = 2},
  [970] = {.lex_state = 125, .external_lex_state = 2},
  [971] = {.lex_state = 4, .external_lex_state = 2},
  [972] = {.lex_state = 125, .external_lex_state = 2},
  [973] = {.lex_state = 125, .external_lex_state = 2},
  [974] = {.lex_state = 125, .external_lex_state = 2},
  [975] = {.lex_state = 125, .external_lex_state = 2},
  [976] = {.lex_state = 4, .external_lex_state = 2},
  [977] = {.lex_state = 125, .external_lex_state = 2},
  [978] = {.lex_state = 125, .external_lex_state = 2},
  [979] = {.lex_state = 125, .external_lex_state = 2},
  [980] = {.lex_state = 125, .external_lex_state = 2},
  [981] = {.lex_state = 125, .external_lex_state = 2},
  [982] = {.lex_state = 125, .external_lex_state = 2},
  [983] = {.lex_state = 125, .external_lex_state = 2},
  [984] = {.lex_state = 125, .external_lex_state = 2},
  [985] = {.lex_state = 125, .external_lex_state = 2},
  [986] = {.lex_state = 125, .external_lex_state = 2},
  [987] = {.lex_state = 125, .external_lex_state = 2},
  [988] = {.lex_state = 125, .external_lex_state = 2},
  [989] = {.lex_state = 125, .external_lex_state = 2},
  [990] = {.lex_state = 125, .external_lex_state = 2},
  [991] = {.lex_state = 125, .external_lex_state = 2},
  [992] = {.lex_state = 125, .external_lex_state = 2},
  [993] = {.lex_state = 125, .external_lex_state = 2},
  [994] = {.lex_state = 125, .external_lex_state = 2},
  [995] = {.lex_state = 125, .external_lex_state = 2},
  [996] = {.lex_state = 125, .external_lex_state = 2},
  [997] = {.lex_state = 125, .external_lex_state = 2},
  [998] = {.lex_state = 125, .external_lex_state = 2},
  [999] = {.lex_state = 125, .external_lex_state = 2},
  [1000] = {.lex_state = 4, .external_lex_state = 2},
  [1001] = {.lex_state = 4, .external_lex_state = 2},
  [1002] = {.lex_state = 4, .external_lex_state = 2},
  [1003] = {.lex_state = 125, .external_lex_state = 2},
  [1004] = {.lex_state = 4, .external_lex_state = 2},
  [1005] = {.lex_state = 125, .external_lex_state = 2},
  [1006] = {.lex_state = 4, .external_lex_state = 2},
  [1007] = {.lex_state = 125, .external_lex_state = 2},
  [1008] = {.lex_state = 125, .external_lex_state = 2},
  [1009] = {.lex_state = 125, .external_lex_state = 2},
  [1010] = {.lex_state = 125, .external_lex_state = 2},
  [1011] = {.lex_state = 125, .external_lex_state = 2},
  [1012] = {.lex_state = 125, .external_lex_state = 2},
  [1013] = {.lex_state = 125, .external_lex_state = 2},
  [1014] = {.lex_state = 125, .external_lex_state = 2},
  [1015] = {.lex_state = 6, .external_lex_state = 2},
  [1016] = {.lex_state = 125, .external_lex_state = 2},
  [1017] = {.lex_state = 125, .external_lex_state = 2},
  [1018] = {.lex_state = 6, .external_lex_state = 2},
  [1019] = {.lex_state = 6, .external_lex_state = 2},
  [1020] = {.lex_state = 125, .external_lex_state = 2},
  [1021] = {.lex_state = 125, .external_lex_state = 2},
  [1022] = {.lex_state = 125, .external_lex_state = 2},
  [1023] = {.lex_state = 6, .external_lex_state = 2},
  [1024] = {.lex_state = 125, .external_lex_state = 2},
  [1025] = {.lex_state = 125, .external_lex_state = 2},
  [1026] = {.lex_state = 125, .external_lex_state = 2},
  [1027] = {.lex_state = 125, .external_lex_state = 2},
  [1028] = {.lex_state = 125, .external_lex_state = 2},
  [1029] = {.lex_state = 6, .external_lex_state = 2},
  [1030] = {.lex_state = 125, .external_lex_state = 2},
  [1031] = {.lex_state = 124, .external_lex_state = 2},
  [1032] = {.lex_state = 9, .external_lex_state = 6},
  [1033] = {.lex_state = 9, .external_lex_state = 6},
  [1034] = {.lex_state = 31, .external_lex_state = 2},
  [1035] = {.lex_state = 9, .external_lex_state = 6},
  [1036] = {.lex_state = 31, .external_lex_state = 2},
  [1037] = {.lex_state = 9, .external_lex_state = 6},
  [1038] = {.lex_state = 9, .external_lex_state = 6},
  [1039] = {.lex_state = 9, .external_lex_state = 6},
  [1040] = {.lex_state = 31, .external_lex_state = 2},
  [1041] = {.lex_state = 9, .external_lex_state = 6},
  [1042] = {.lex_state = 31, .external_lex_state = 2},
  [1043] = {.lex_state = 9, .external_lex_state = 6},
  [1044] = {.lex_state = 31, .external_lex_state = 2},
  [1045] = {.lex_state = 9, .external_lex_state = 6},
  [1046] = {.lex_state = 31, .external_lex_state = 2},
  [1047] = {.lex_state = 31, .external_lex_state = 2},
  [1048] = {.lex_state = 31, .external_lex_state = 2},
  [1049] = {.lex_state = 31, .external_lex_state = 2},
  [1050] = {.lex_state = 31, .external_lex_state = 2},
  [1051] = {.lex_state = 31, .external_lex_state = 2},
  [1052] = {.lex_state = 31, .external_lex_state = 2},
  [1053] = {.lex_state = 125, .external_lex_state = 2},
  [1054] = {.lex_state = 31, .external_lex_state = 2},
  [1055] = {.lex_state = 31, .external_lex_state = 2},
  [1056] = {.lex_state = 125, .external_lex_state = 2},
  [1057] = {.lex_state = 31, .external_lex_state = 2},
  [1058] = {.lex_state = 31, .external_lex_state = 2},
  [1059] = {.lex_state = 31, .external_lex_state = 2},
  [1060] = {.lex_state = 31, .external_lex_state = 2},
  [1061] = {.lex_state = 31, .external_lex_state = 2},
  [1062] = {.lex_state = 31, .external_lex_state = 2},
  [1063] = {.lex_state = 31, .external_lex_state = 2},
  [1064] = {.lex_state = 31, .external_lex_state = 2},
  [1065] = {.lex_state = 31, .external_lex_state = 2},
  [1066] = {.lex_state = 31, .external_lex_state = 2},
  [1067] = {.lex_state = 31, .external_lex_state = 2},
  [1068] = {.lex_state = 31, .external_lex_state = 2},
  [1069] = {.lex_state = 31, .external_lex_state = 2},
  [1070] = {.lex_state = 31, .external_lex_state = 2},
  [1071] = {.lex_state = 31, .external_lex_state = 2},
  [1072] = {.lex_state = 31, .external_lex_state = 2},
  [1073] = {.lex_state = 31, .external_lex_state = 2},
  [1074] = {.lex_state = 31, .external_lex_state = 2},
  [1075] = {.lex_state = 31, .external_lex_state = 2},
  [1076] = {.lex_state = 125, .external_lex_state = 2},
  [1077] = {.lex_state = 125, .external_lex_state = 2},
  [1078] = {.lex_state = 125, .external_lex_state = 2},
  [1079] = {.lex_state = 125, .external_lex_state = 2},
  [1080] = {.lex_state = 125, .external_lex_state = 2},
  [1081] = {.lex_state = 125, .external_lex_state = 2},
  [1082] = {.lex_state = 125, .external_lex_state = 2},
  [1083] = {.lex_state = 125, .external_lex_state = 2},
  [1084] = {.lex_state = 125, .external_lex_state = 2},
  [1085] = {.lex_state = 125, .external_lex_state = 2},
  [1086] = {.lex_state = 125, .external_lex_state = 2},
  [1087] = {.lex_state = 125, .external_lex_state = 2},
  [1088] = {.lex_state = 125, .external_lex_state = 2},
  [1089] = {.lex_state = 125, .external_lex_state = 2},
  [1090] = {.lex_state = 125, .external_lex_state = 2},
  [1091] = {.lex_state = 125, .external_lex_state = 2},
  [1092] = {.lex_state = 125, .external_lex_state = 5},
  [1093] = {.lex_state = 125, .external_lex_state = 2},
  [1094] = {.lex_state = 31, .external_lex_state = 2},
  [1095] = {.lex_state = 125, .external_lex_state = 2},
  [1096] = {.lex_state = 125, .external_lex_state = 2},
  [1097] = {.lex_state = 125, .external_lex_state = 2},
  [1098] = {.lex_state = 125, .external_lex_state = 2},
  [1099] = {.lex_state = 125, .external_lex_state = 5},
  [1100] = {.lex_state = 125, .external_lex_state = 2},
  [1101] = {.lex_state = 125, .external_lex_state = 2},
  [1102] = {.lex_state = 125, .external_lex_state = 2},
  [1103] = {.lex_state = 125, .external_lex_state = 2},
  [1104] = {.lex_state = 125, .external_lex_state = 2},
  [1105] = {.lex_state = 31, .external_lex_state = 2},
  [1106] = {.lex_state = 16, .external_lex_state = 7},
  [1107] = {.lex_state = 125, .external_lex_state = 2},
  [1108] = {.lex_state = 125, .external_lex_state = 2},
  [1109] = {.lex_state = 125, .external_lex_state = 5},
  [1110] = {.lex_state = 125, .external_lex_state = 5},
  [1111] = {.lex_state = 125, .external_lex_state = 5},
  [1112] = {.lex_state = 125, .external_lex_state = 2},
  [1113] = {.lex_state = 125, .external_lex_state = 2},
  [1114] = {.lex_state = 125, .external_lex_state = 5},
  [1115] = {.lex_state = 16, .external_lex_state = 7},
  [1116] = {.lex_state = 125, .external_lex_state = 5},
  [1117] = {.lex_state = 125, .external_lex_state = 2},
  [1118] = {.lex_state = 125, .external_lex_state = 5},
  [1119] = {.lex_state = 31, .external_lex_state = 2},
  [1120] = {.lex_state = 125, .external_lex_state = 2},
  [1121] = {.lex_state = 125, .external_lex_state = 5},
  [1122] = {.lex_state = 16, .external_lex_state = 7},
  [1123] = {.lex_state = 16, .external_lex_state = 7},
  [1124] = {.lex_state = 31, .external_lex_state = 2},
  [1125] = {.lex_state = 125, .external_lex_state = 2},
  [1126] = {.lex_state = 125, .external_lex_state = 5},
  [1127] = {.lex_state = 125, .external_lex_state = 5},
  [1128] = {.lex_state = 125, .external_lex_state = 5},
  [1129] = {.lex_state = 125, .external_lex_state = 5},
  [1130] = {.lex_state = 125, .external_lex_state = 5},
  [1131] = {.lex_state = 125, .external_lex_state = 2},
  [1132] = {.lex_state = 16, .external_lex_state = 7},
  [1133] = {.lex_state = 125, .external_lex_state = 2},
  [1134] = {.lex_state = 9, .external_lex_state = 6},
  [1135] = {.lex_state = 125, .external_lex_state = 2},
  [1136] = {.lex_state = 9, .external_lex_state = 6},
  [1137] = {.lex_state = 31, .external_lex_state = 2},
  [1138] = {.lex_state = 125, .external_lex_state = 2},
  [1139] = {.lex_state = 31, .external_lex_state = 2},
  [1140] = {.lex_state = 31, .external_lex_state = 2},
  [1141] = {.lex_state = 125, .external_lex_state = 2},
  [1142] = {.lex_state = 125, .external_lex_state = 2},
  [1143] = {.lex_state = 31, .external_lex_state = 2},
  [1144] = {.lex_state = 31, .external_lex_state = 2},
  [1145] = {.lex_state = 31, .external_lex_state = 2},
  [1146] = {.lex_state = 9, .external_lex_state = 6},
  [1147] = {.lex_state = 9, .external_lex_state = 6},
  [1148] = {.lex_state = 31, .external_lex_state = 2},
  [1149] = {.lex_state = 9, .external_lex_state = 6},
  [1150] = {.lex_state = 9, .external_lex_state = 6},
  [1151] = {.lex_state = 125, .external_lex_state = 2},
  [1152] = {.lex_state = 9, .external_lex_state = 6},
  [1153] = {.lex_state = 125, .external_lex_state = 2},
  [1154] = {.lex_state = 9, .external_lex_state = 6},
  [1155] = {.lex_state = 9, .external_lex_state = 6},
  [1156] = {.lex_state = 125, .external_lex_state = 2},
  [1157] = {.lex_state = 9, .external_lex_state = 6},
  [1158] = {.lex_state = 125, .external_lex_state = 2},
  [1159] = {.lex_state = 125, .external_lex_state = 2},
  [1160] = {.lex_state = 125, .external_lex_state = 2},
  [1161] = {.lex_state = 125, .external_lex_state = 2},
  [1162] = {.lex_state = 31, .external_lex_state = 2},
  [1163] = {.lex_state = 31, .external_lex_state = 2},
  [1164] = {.lex_state = 31, .external_lex_state = 2},
  [1165] = {.lex_state = 9, .external_lex_state = 6},
  [1166] = {.lex_state = 125, .external_lex_state = 2},
  [1167] = {.lex_state = 125, .external_lex_state = 5},
  [1168] = {.lex_state = 31, .external_lex_state = 2},
  [1169] = {.lex_state = 125, .external_lex_state = 2},
  [1170] = {.lex_state = 125, .external_lex_state = 2},
  [1171] = {.lex_state = 125, .external_lex_state = 2},
  [1172] = {.lex_state = 9, .external_lex_state = 6},
  [1173] = {.lex_state = 31, .external_lex_state = 2},
  [1174] = {.lex_state = 125, .external_lex_state = 2},
  [1175] = {.lex_state = 125, .external_lex_state = 2},
  [1176] = {.lex_state = 125, .external_lex_state = 2},
  [1177] = {.lex_state = 31, .external_lex_state = 2},
  [1178] = {.lex_state = 31, .external_lex_state = 2},
  [1179] = {.lex_state = 9, .external_lex_state = 6},
  [1180] = {.lex_state = 31, .external_lex_state = 2},
  [1181] = {.lex_state = 31, .external_lex_state = 2},
  [1182] = {.lex_state = 31, .external_lex_state = 2},
  [1183] = {.lex_state = 31, .external_lex_state = 2},
  [1184] = {.lex_state = 31, .external_lex_state = 2},
  [1185] = {.lex_state = 125, .external_lex_state = 2},
  [1186] = {.lex_state = 9, .external_lex_state = 6},
  [1187] = {.lex_state = 31, .external_lex_state = 2},
  [1188] = {.lex_state = 31, .external_lex_state = 2},
  [1189] = {.lex_state = 9, .external_lex_state = 6},
  [1190] = {.lex_state = 125, .external_lex_state = 2},
  [1191] = {.lex_state = 125, .external_lex_state = 5},
  [1192] = {.lex_state = 31, .external_lex_state = 2},
  [1193] = {.lex_state = 31, .external_lex_state = 2},
  [1194] = {.lex_state = 125, .external_lex_state = 5},
  [1195] = {.lex_state = 9, .external_lex_state = 6},
  [1196] = {.lex_state = 125, .external_lex_state = 5},
  [1197] = {.lex_state = 125, .external_lex_state = 2},
  [1198] = {.lex_state = 31, .external_lex_state = 2},
  [1199] = {.lex_state = 9, .external_lex_state = 6},
  [1200] = {.lex_state = 20, .external_lex_state = 8},
  [1201] = {.lex_state = 125, .external_lex_state = 2},
  [1202] = {.lex_state = 125, .external_lex_state = 2},
  [1203] = {.lex_state = 125, .external_lex_state = 2},
  [1204] = {.lex_state = 125, .external_lex_state = 2},
  [1205] = {.lex_state = 10, .external_lex_state = 2},
  [1206] = {.lex_state = 125, .external_lex_state = 2},
  [1207] = {.lex_state = 125, .external_lex_state = 2},
  [1208] = {.lex_state = 125, .external_lex_state = 2},
  [1209] = {.lex_state = 18, .external_lex_state = 2},
  [1210] = {.lex_state = 125, .external_lex_state = 2},
  [1211] = {.lex_state = 125, .external_lex_state = 5},
  [1212] = {.lex_state = 125, .external_lex_state = 2},
  [1213] = {.lex_state = 10, .external_lex_state = 2},
  [1214] = {.lex_state = 12, .external_lex_state = 8},
  [1215] = {.lex_state = 125, .external_lex_state = 2},
  [1216] = {.lex_state = 125, .external_lex_state = 2},
  [1217] = {.lex_state = 125, .external_lex_state = 2},
  [1218] = {.lex_state = 18, .external_lex_state = 2},
  [1219] = {.lex_state = 125, .external_lex_state = 2},
  [1220] = {.lex_state = 125, .external_lex_state = 2},
  [1221] = {.lex_state = 125, .external_lex_state = 2},
  [1222] = {.lex_state = 20, .external_lex_state = 8},
  [1223] = {.lex_state = 125, .external_lex_state = 5},
  [1224] = {.lex_state = 20, .external_lex_state = 8},
  [1225] = {.lex_state = 20, .external_lex_state = 8},
  [1226] = {.lex_state = 12, .external_lex_state = 8},
  [1227] = {.lex_state = 20, .external_lex_state = 8},
  [1228] = {.lex_state = 125, .external_lex_state = 2},
  [1229] = {.lex_state = 125, .external_lex_state = 2},
  [1230] = {.lex_state = 125, .external_lex_state = 2},
  [1231] = {.lex_state = 125, .external_lex_state = 5},
  [1232] = {.lex_state = 124, .external_lex_state = 2},
  [1233] = {.lex_state = 125, .external_lex_state = 2},
  [1234] = {.lex_state = 125, .external_lex_state = 2},
  [1235] = {.lex_state = 12, .external_lex_state = 8},
  [1236] = {.lex_state = 20, .external_lex_state = 8},
  [1237] = {.lex_state = 125, .external_lex_state = 2},
  [1238] = {.lex_state = 125, .external_lex_state = 2},
  [1239] = {.lex_state = 20, .external_lex_state = 8},
  [1240] = {.lex_state = 125, .external_lex_state = 5},
  [1241] = {.lex_state = 125, .external_lex_state = 2},
  [1242] = {.lex_state = 125, .external_lex_state = 5},
  [1243] = {.lex_state = 125, .external_lex_state = 2},
  [1244] = {.lex_state = 12, .external_lex_state = 8},
  [1245] = {.lex_state = 12, .external_lex_state = 8},
  [1246] = {.lex_state = 125, .external_lex_state = 2},
  [1247] = {.lex_state = 12, .external_lex_state = 8},
  [1248] = {.lex_state = 125, .external_lex_state = 5},
  [1249] = {.lex_state = 12, .external_lex_state = 8},
  [1250] = {.lex_state = 20, .external_lex_state = 8},
  [1251] = {.lex_state = 125, .external_lex_state = 2},
  [1252] = {.lex_state = 20, .external_lex_state = 8},
  [1253] = {.lex_state = 125, .external_lex_state = 2},
  [1254] = {.lex_state = 125, .external_lex_state = 2},
  [1255] = {.lex_state = 125, .external_lex_state = 5},
  [1256] = {.lex_state = 125, .external_lex_state = 2},
  [1257] = {.lex_state = 125, .external_lex_state = 2},
  [1258] = {.lex_state = 125, .external_lex_state = 2},
  [1259] = {.lex_state = 125, .external_lex_state = 2},
  [1260] = {.lex_state = 125, .external_lex_state = 5},
  [1261] = {.lex_state = 125, .external_lex_state = 5},
  [1262] = {.lex_state = 125, .external_lex_state = 2},
  [1263] = {.lex_state = 10, .external_lex_state = 2},
  [1264] = {.lex_state = 18, .external_lex_state = 2},
  [1265] = {.lex_state = 16, .external_lex_state = 7},
  [1266] = {.lex_state = 12, .external_lex_state = 8},
  [1267] = {.lex_state = 125, .external_lex_state = 2},
  [1268] = {.lex_state = 125, .external_lex_state = 5},
  [1269] = {.lex_state = 12, .external_lex_state = 8},
  [1270] = {.lex_state = 125, .external_lex_state = 5},
  [1271] = {.lex_state = 125, .external_lex_state = 5},
  [1272] = {.lex_state = 124, .external_lex_state = 2},
  [1273] = {.lex_state = 125, .external_lex_state = 2},
  [1274] = {.lex_state = 125, .external_lex_state = 2},
  [1275] = {.lex_state = 125, .external_lex_state = 2},
  [1276] = {.lex_state = 125, .external_lex_state = 2},
  [1277] = {.lex_state = 125, .external_lex_state = 2},
  [1278] = {.lex_state = 125, .external_lex_state = 2},
  [1279] = {.lex_state = 125, .external_lex_state = 2},
  [1280] = {.lex_state = 125, .external_lex_state = 2},
  [1281] = {.lex_state = 125, .external_lex_state = 2},
  [1282] = {.lex_state = 125, .external_lex_state = 2},
  [1283] = {.lex_state = 125, .external_lex_state = 2},
  [1284] = {.lex_state = 125, .external_lex_state = 2},
  [1285] = {.lex_state = 125, .external_lex_state = 2},
  [1286] = {.lex_state = 125, .external_lex_state = 2},
  [1287] = {.lex_state = 125, .external_lex_state = 2},
  [1288] = {.lex_state = 125, .external_lex_state = 2},
  [1289] = {.lex_state = 125, .external_lex_state = 2},
  [1290] = {.lex_state = 125, .external_lex_state = 2},
  [1291] = {.lex_state = 125, .external_lex_state = 2},
  [1292] = {.lex_state = 125, .external_lex_state = 2},
  [1293] = {.lex_state = 125, .external_lex_state = 5},
  [1294] = {.lex_state = 125, .external_lex_state = 2},
  [1295] = {.lex_state = 125, .external_lex_state = 2},
  [1296] = {.lex_state = 125, .external_lex_state = 2},
  [1297] = {.lex_state = 125, .external_lex_state = 2},
  [1298] = {.lex_state = 125, .external_lex_state = 2},
  [1299] = {.lex_state = 125, .external_lex_state = 2},
  [1300] = {.lex_state = 125, .external_lex_state = 2},
  [1301] = {.lex_state = 125, .external_lex_state = 2},
  [1302] = {.lex_state = 125, .external_lex_state = 5},
  [1303] = {.lex_state = 125, .external_lex_state = 2},
  [1304] = {.lex_state = 125, .external_lex_state = 2},
  [1305] = {.lex_state = 5, .external_lex_state = 2},
  [1306] = {.lex_state = 125, .external_lex_state = 2},
  [1307] = {.lex_state = 125, .external_lex_state = 2},
  [1308] = {.lex_state = 125, .external_lex_state = 5},
  [1309] = {.lex_state = 125, .external_lex_state = 2},
  [1310] = {.lex_state = 125, .external_lex_state = 2},
  [1311] = {.lex_state = 125, .external_lex_state = 2},
  [1312] = {.lex_state = 125, .external_lex_state = 2},
  [1313] = {.lex_state = 125, .external_lex_state = 5},
  [1314] = {.lex_state = 5, .external_lex_state = 2},
  [1315] = {.lex_state = 125, .external_lex_state = 2},
  [1316] = {.lex_state = 125, .external_lex_state = 2},
  [1317] = {.lex_state = 125, .external_lex_state = 2},
  [1318] = {.lex_state = 125, .external_lex_state = 5},
  [1319] = {.lex_state = 125, .external_lex_state = 2},
  [1320] = {.lex_state = 125, .external_lex_state = 2},
  [1321] = {.lex_state = 125, .external_lex_state = 2},
  [1322] = {.lex_state = 125, .external_lex_state = 2},
  [1323] = {.lex_state = 125, .external_lex_state = 2},
  [1324] = {.lex_state = 125, .external_lex_state = 2},
  [1325] = {.lex_state = 125, .external_lex_state = 2},
  [1326] = {.lex_state = 125, .external_lex_state = 2},
  [1327] = {.lex_state = 125, .external_lex_state = 5},
  [1328] = {.lex_state = 125, .external_lex_state = 2},
  [1329] = {.lex_state = 125, .external_lex_state = 5},
  [1330] = {.lex_state = 125, .external_lex_state = 2},
  [1331] = {.lex_state = 125, .external_lex_state = 5},
  [1332] = {.lex_state = 125, .external_lex_state = 2},
  [1333] = {.lex_state = 125, .external_lex_state = 2},
  [1334] = {.lex_state = 125, .external_lex_state = 2},
  [1335] = {.lex_state = 125, .external_lex_state = 2},
  [1336] = {.lex_state = 125, .external_lex_state = 2},
  [1337] = {.lex_state = 124, .external_lex_state = 2},
  [1338] = {.lex_state = 125, .external_lex_state = 2},
  [1339] = {.lex_state = 125, .external_lex_state = 2},
  [1340] = {.lex_state = 124, .external_lex_state = 2},
  [1341] = {.lex_state = 125, .external_lex_state = 2},
  [1342] = {.lex_state = 125, .external_lex_state = 2},
  [1343] = {.lex_state = 125, .external_lex_state = 2},
  [1344] = {.lex_state = 125, .external_lex_state = 2},
  [1345] = {.lex_state = 125, .external_lex_state = 2},
  [1346] = {.lex_state = 125, .external_lex_state = 2},
  [1347] = {.lex_state = 5, .external_lex_state = 2},
  [1348] = {.lex_state = 125, .external_lex_state = 2},
  [1349] = {.lex_state = 125, .external_lex_state = 2},
  [1350] = {.lex_state = 125, .external_lex_state = 2},
  [1351] = {.lex_state = 125, .external_lex_state = 2},
  [1352] = {.lex_state = 125, .external_lex_state = 2},
  [1353] = {.lex_state = 125, .external_lex_state = 2},
  [1354] = {.lex_state = 125, .external_lex_state = 2},
  [1355] = {.lex_state = 125, .external_lex_state = 2},
  [1356] = {.lex_state = 125, .external_lex_state = 2},
  [1357] = {.lex_state = 125, .external_lex_state = 2},
  [1358] = {.lex_state = 125, .external_lex_state = 2},
  [1359] = {.lex_state = 125, .external_lex_state = 5},
  [1360] = {.lex_state = 125, .external_lex_state = 5},
  [1361] = {.lex_state = 125, .external_lex_state = 2},
  [1362] = {.lex_state = 125, .external_lex_state = 2},
  [1363] = {.lex_state = 125, .external_lex_state = 2},
  [1364] = {.lex_state = 125, .external_lex_state = 2},
  [1365] = {.lex_state = 5, .external_lex_state = 2},
  [1366] = {.lex_state = 125, .external_lex_state = 2},
  [1367] = {.lex_state = 125, .external_lex_state = 2},
  [1368] = {.lex_state = 125, .external_lex_state = 2},
  [1369] = {.lex_state = 125, .external_lex_state = 2},
  [1370] = {.lex_state = 125, .external_lex_state = 2},
  [1371] = {.lex_state = 125, .external_lex_state = 2},
  [1372] = {.lex_state = 125, .external_lex_state = 2},
  [1373] = {.lex_state = 125, .external_lex_state = 2},
  [1374] = {.lex_state = 125, .external_lex_state = 2},
  [1375] = {.lex_state = 125, .external_lex_state = 2},
  [1376] = {.lex_state = 125, .external_lex_state = 2},
  [1377] = {.lex_state = 125, .external_lex_state = 2},
  [1378] = {.lex_state = 125, .external_lex_state = 2},
  [1379] = {.lex_state = 125, .external_lex_state = 2},
  [1380] = {.lex_state = 125, .external_lex_state = 2},
  [1381] = {.lex_state = 125, .external_lex_state = 2},
  [1382] = {.lex_state = 125, .external_lex_state = 2},
  [1383] = {.lex_state = 125, .external_lex_state = 2},
  [1384] = {.lex_state = 125, .external_lex_state = 2},
  [1385] = {.lex_state = 125, .external_lex_state = 2},
  [1386] = {.lex_state = 125, .external_lex_state = 2},
  [1387] = {.lex_state = 125, .external_lex_state = 2},
  [1388] = {.lex_state = 125, .external_lex_state = 2},
  [1389] = {.lex_state = 125, .external_lex_state = 2},
  [1390] = {.lex_state = 125, .external_lex_state = 2},
  [1391] = {.lex_state = 125, .external_lex_state = 2},
  [1392] = {.lex_state = 5, .external_lex_state = 2},
  [1393] = {.lex_state = 125, .external_lex_state = 2},
  [1394] = {.lex_state = 125, .external_lex_state = 2},
  [1395] = {.lex_state = 125, .external_lex_state = 2},
  [1396] = {.lex_state = 125, .external_lex_state = 2},
  [1397] = {.lex_state = 125, .external_lex_state = 5},
  [1398] = {.lex_state = 125, .external_lex_state = 5},
  [1399] = {.lex_state = 125, .external_lex_state = 5},
  [1400] = {.lex_state = 125, .external_lex_state = 2},
  [1401] = {.lex_state = 125, .external_lex_state = 5},
  [1402] = {.lex_state = 125, .external_lex_state = 5},
  [1403] = {.lex_state = 125, .external_lex_state = 2},
  [1404] = {.lex_state = 125, .external_lex_state = 2},
  [1405] = {.lex_state = 125, .external_lex_state = 2},
  [1406] = {.lex_state = 125, .external_lex_state = 5},
  [1407] = {.lex_state = 125, .external_lex_state = 5},
  [1408] = {.lex_state = 125, .external_lex_state = 2},
  [1409] = {.lex_state = 125, .external_lex_state = 2},
  [1410] = {.lex_state = 125, .external_lex_state = 2},
  [1411] = {.lex_state = 125, .external_lex_state = 2},
  [1412] = {.lex_state = 125, .external_lex_state = 2},
  [1413] = {.lex_state = 125, .external_lex_state = 2},
  [1414] = {.lex_state = 125, .external_lex_state = 2},
  [1415] = {.lex_state = 125, .external_lex_state = 2},
  [1416] = {.lex_state = 125, .external_lex_state = 2},
  [1417] = {.lex_state = 5, .external_lex_state = 2},
  [1418] = {.lex_state = 125, .external_lex_state = 2},
  [1419] = {.lex_state = 125, .external_lex_state = 2},
  [1420] = {.lex_state = 125, .external_lex_state = 2},
  [1421] = {.lex_state = 125, .external_lex_state = 2},
  [1422] = {.lex_state = 125, .external_lex_state = 2},
  [1423] = {.lex_state = 125, .external_lex_state = 2},
  [1424] = {.lex_state = 125, .external_lex_state = 2},
  [1425] = {.lex_state = 125, .external_lex_state = 2},
  [1426] = {.lex_state = 125, .external_lex_state = 2},
  [1427] = {.lex_state = 125, .external_lex_state = 2},
  [1428] = {.lex_state = 125, .external_lex_state = 2},
  [1429] = {.lex_state = 125, .external_lex_state = 2},
  [1430] = {.lex_state = 125, .external_lex_state = 2},
  [1431] = {.lex_state = 125, .external_lex_state = 2},
  [1432] = {.lex_state = 125, .external_lex_state = 2},
  [1433] = {.lex_state = 125, .external_lex_state = 2},
  [1434] = {.lex_state = 125, .external_lex_state = 2},
  [1435] = {.lex_state = 125, .external_lex_state = 5},
  [1436] = {.lex_state = 125, .external_lex_state = 2},
  [1437] = {.lex_state = 125, .external_lex_state = 2},
  [1438] = {.lex_state = 125, .external_lex_state = 2},
  [1439] = {.lex_state = 125, .external_lex_state = 2},
  [1440] = {.lex_state = 125, .external_lex_state = 2},
  [1441] = {.lex_state = 125, .external_lex_state = 2},
  [1442] = {.lex_state = 125, .external_lex_state = 2},
  [1443] = {.lex_state = 125, .external_lex_state = 2},
  [1444] = {.lex_state = 125, .external_lex_state = 2},
  [1445] = {.lex_state = 125, .external_lex_state = 2},
  [1446] = {.lex_state = 125, .external_lex_state = 2},
  [1447] = {.lex_state = 125, .external_lex_state = 5},
  [1448] = {.lex_state = 125, .external_lex_state = 5},
  [1449] = {.lex_state = 125, .external_lex_state = 2},
  [1450] = {.lex_state = 125, .external_lex_state = 2},
  [1451] = {.lex_state = 125, .external_lex_state = 5},
  [1452] = {.lex_state = 125, .external_lex_state = 2},
  [1453] = {.lex_state = 125, .external_lex_state = 5},
  [1454] = {.lex_state = 125, .external_lex_state = 2},
  [1455] = {.lex_state = 125, .external_lex_state = 5},
  [1456] = {.lex_state = 125, .external_lex_state = 2},
  [1457] = {.lex_state = 125, .external_lex_state = 2},
  [1458] = {.lex_state = 125, .external_lex_state = 2},
  [1459] = {.lex_state = 125, .external_lex_state = 2},
  [1460] = {.lex_state = 125, .external_lex_state = 2},
  [1461] = {.lex_state = 125, .external_lex_state = 5},
  [1462] = {.lex_state = 125, .external_lex_state = 2},
  [1463] = {.lex_state = 125, .external_lex_state = 2},
  [1464] = {.lex_state = 125, .external_lex_state = 2},
  [1465] = {.lex_state = 125, .external_lex_state = 2},
  [1466] = {.lex_state = 125, .external_lex_state = 2},
  [1467] = {.lex_state = 125, .external_lex_state = 2},
  [1468] = {.lex_state = 125, .external_lex_state = 2},
  [1469] = {.lex_state = 125, .external_lex_state = 2},
  [1470] = {.lex_state = 125, .external_lex_state = 2},
  [1471] = {.lex_state = 125, .external_lex_state = 2},
  [1472] = {.lex_state = 125, .external_lex_state = 2},
  [1473] = {.lex_state = 125, .external_lex_state = 2},
  [1474] = {.lex_state = 125, .external_lex_state = 2},
  [1475] = {.lex_state = 125, .external_lex_state = 2},
  [1476] = {.lex_state = 125, .external_lex_state = 5},
  [1477] = {.lex_state = 125, .external_lex_state = 2},
  [1478] = {.lex_state = 125, .external_lex_state = 2},
  [1479] = {.lex_state = 125, .external_lex_state = 2},
  [1480] = {.lex_state = 125, .external_lex_state = 2},
  [1481] = {.lex_state = 125, .external_lex_state = 2},
  [1482] = {.lex_state = 125, .external_lex_state = 2},
  [1483] = {.lex_state = 125, .external_lex_state = 2},
  [1484] = {.lex_state = 125, .external_lex_state = 2},
  [1485] = {.lex_state = 125, .external_lex_state = 2},
  [1486] = {.lex_state = 125, .external_lex_state = 2},
  [1487] = {.lex_state = 125, .external_lex_state = 2},
  [1488] = {.lex_state = 125, .external_lex_state = 2},
  [1489] = {.lex_state = 125, .external_lex_state = 2},
  [1490] = {.lex_state = 125, .external_lex_state = 2},
  [1491] = {.lex_state = 125, .external_lex_state = 2},
  [1492] = {.lex_state = 125, .external_lex_state = 2},
  [1493] = {.lex_state = 125, .external_lex_state = 2},
  [1494] = {.lex_state = 125, .external_lex_state = 2},
  [1495] = {.lex_state = 125, .external_lex_state = 2},
  [1496] = {.lex_state = 125, .external_lex_state = 2},
  [1497] = {.lex_state = 125, .external_lex_state = 2},
  [1498] = {.lex_state = 125, .external_lex_state = 2},
  [1499] = {.lex_state = 125, .external_lex_state = 2},
  [1500] = {.lex_state = 125, .external_lex_state = 2},
  [1501] = {.lex_state = 125, .external_lex_state = 2},
  [1502] = {.lex_state = 125, .external_lex_state = 2},
  [1503] = {.lex_state = 125, .external_lex_state = 2},
  [1504] = {.lex_state = 125, .external_lex_state = 2},
  [1505] = {.lex_state = 125, .external_lex_state = 2},
  [1506] = {.lex_state = 125, .external_lex_state = 2},
  [1507] = {.lex_state = 125, .external_lex_state = 2},
  [1508] = {.lex_state = 125, .external_lex_state = 2},
  [1509] = {.lex_state = 125, .external_lex_state = 2},
  [1510] = {.lex_state = 125, .external_lex_state = 2},
  [1511] = {.lex_state = 125, .external_lex_state = 2},
  [1512] = {.lex_state = 125, .external_lex_state = 2},
  [1513] = {.lex_state = 125, .external_lex_state = 2},
  [1514] = {.lex_state = 125, .external_lex_state = 2},
  [1515] = {.lex_state = 125, .external_lex_state = 2},
  [1516] = {.lex_state = 125, .external_lex_state = 2},
  [1517] = {.lex_state = 125, .external_lex_state = 2},
  [1518] = {.lex_state = 125, .external_lex_state = 2},
  [1519] = {.lex_state = 125, .external_lex_state = 2},
  [1520] = {.lex_state = 125, .external_lex_state = 2},
  [1521] = {.lex_state = 125, .external_lex_state = 2},
  [1522] = {.lex_state = 125, .external_lex_state = 2},
  [1523] = {.lex_state = 125, .external_lex_state = 2},
  [1524] = {.lex_state = 125, .external_lex_state = 2},
  [1525] = {.lex_state = 125, .external_lex_state = 2},
  [1526] = {.lex_state = 125, .external_lex_state = 2},
  [1527] = {.lex_state = 125, .external_lex_state = 2},
  [1528] = {.lex_state = 125, .external_lex_state = 5},
  [1529] = {.lex_state = 125, .external_lex_state = 2},
  [1530] = {.lex_state = 125, .external_lex_state = 2},
  [1531] = {.lex_state = 125, .external_lex_state = 2},
  [1532] = {.lex_state = 125, .external_lex_state = 2},
  [1533] = {.lex_state = 125, .external_lex_state = 2},
  [1534] = {.lex_state = 125, .external_lex_state = 2},
  [1535] = {.lex_state = 125, .external_lex_state = 2},
  [1536] = {.lex_state = 5, .external_lex_state = 2},
  [1537] = {.lex_state = 125, .external_lex_state = 2},
  [1538] = {.lex_state = 125, .external_lex_state = 2},
  [1539] = {.lex_state = 125, .external_lex_state = 2},
  [1540] = {.lex_state = 31, .external_lex_state = 2},
  [1541] = {.lex_state = 125, .external_lex_state = 2},
  [1542] = {.lex_state = 125, .external_lex_state = 2},
  [1543] = {.lex_state = 125, .external_lex_state = 5},
  [1544] = {.lex_state = 125, .external_lex_state = 2},
  [1545] = {.lex_state = 125, .external_lex_state = 2},
  [1546] = {.lex_state = 125, .external_lex_state = 2},
  [1547] = {.lex_state = 125, .external_lex_state = 2},
  [1548] = {.lex_state = 125, .external_lex_state = 2},
  [1549] = {.lex_state = 125, .external_lex_state = 5},
  [1550] = {.lex_state = 125, .external_lex_state = 2},
  [1551] = {.lex_state = 125, .external_lex_state = 2},
  [1552] = {.lex_state = 125, .external_lex_state = 2},
  [1553] = {.lex_state = 125, .external_lex_state = 2},
  [1554] = {.lex_state = 125, .external_lex_state = 2},
  [1555] = {.lex_state = 125, .external_lex_state = 2},
  [1556] = {.lex_state = 125, .external_lex_state = 2},
  [1557] = {.lex_state = 125, .external_lex_state = 2},
  [1558] = {.lex_state = 125, .external_lex_state = 2},
  [1559] = {.lex_state = 125, .external_lex_state = 2},
  [1560] = {.lex_state = 125, .external_lex_state = 2},
  [1561] = {.lex_state = 125, .external_lex_state = 5},
  [1562] = {.lex_state = 125, .external_lex_state = 5},
  [1563] = {.lex_state = 125, .external_lex_state = 2},
  [1564] = {.lex_state = 125, .external_lex_state = 2},
  [1565] = {.lex_state = 125, .external_lex_state = 2},
  [1566] = {.lex_state = 125, .external_lex_state = 2},
  [1567] = {.lex_state = 125, .external_lex_state = 2},
  [1568] = {.lex_state = 125, .external_lex_state = 5},
  [1569] = {.lex_state = 125, .external_lex_state = 2},
  [1570] = {.lex_state = 125, .external_lex_state = 5},
  [1571] = {.lex_state = 125, .external_lex_state = 2},
  [1572] = {.lex_state = 125, .external_lex_state = 2},
  [1573] = {.lex_state = 125, .external_lex_state = 2},
  [1574] = {.lex_state = 125, .external_lex_state = 2},
  [1575] = {.lex_state = 125, .external_lex_state = 2},
  [1576] = {.lex_state = 125, .external_lex_state = 2},
  [1577] = {.lex_state = 125, .external_lex_state = 2},
  [1578] = {.lex_state = 125, .external_lex_state = 2},
  [1579] = {.lex_state = 125, .external_lex_state = 2},
  [1580] = {.lex_state = 125, .external_lex_state = 2},
  [1581] = {.lex_state = 125, .external_lex_state = 2},
  [1582] = {.lex_state = 5, .external_lex_state = 2},
  [1583] = {.lex_state = 125, .external_lex_state = 2},
  [1584] = {.lex_state = 125, .external_lex_state = 2},
  [1585] = {.lex_state = 125, .external_lex_state = 2},
  [1586] = {.lex_state = 125, .external_lex_state = 2},
  [1587] = {.lex_state = 125, .external_lex_state = 2},
  [1588] = {.lex_state = 125, .external_lex_state = 2},
  [1589] = {.lex_state = 125, .external_lex_state = 2},
  [1590] = {.lex_state = 125, .external_lex_state = 2},
  [1591] = {.lex_state = 125, .external_lex_state = 2},
  [1592] = {.lex_state = 125, .external_lex_state = 2},
  [1593] = {.lex_state = 125, .external_lex_state = 2},
  [1594] = {.lex_state = 125, .external_lex_state = 2},
  [1595] = {.lex_state = 125, .external_lex_state = 2},
  [1596] = {.lex_state = 125, .external_lex_state = 2},
  [1597] = {.lex_state = 125, .external_lex_state = 2},
  [1598] = {.lex_state = 125, .external_lex_state = 2},
  [1599] = {.lex_state = 125, .external_lex_state = 2},
  [1600] = {.lex_state = 125, .external_lex_state = 2},
  [1601] = {.lex_state = 125, .external_lex_state = 2},
  [1602] = {.lex_state = 125, .external_lex_state = 2},
  [1603] = {.lex_state = 125, .external_lex_state = 2},
  [1604] = {.lex_state = 125, .external_lex_state = 2},
  [1605] = {.lex_state = 125, .external_lex_state = 2},
  [1606] = {.lex_state = 125, .external_lex_state = 2},
  [1607] = {.lex_state = 125, .external_lex_state = 2},
  [1608] = {.lex_state = 125, .external_lex_state = 2},
  [1609] = {.lex_state = 125, .external_lex_state = 2},
  [1610] = {.lex_state = 125, .external_lex_state = 2},
  [1611] = {.lex_state = 125, .external_lex_state = 2},
  [1612] = {.lex_state = 125, .external_lex_state = 2},
  [1613] = {.lex_state = 125, .external_lex_state = 2},
  [1614] = {.lex_state = 125, .external_lex_state = 2},
  [1615] = {.lex_state = 125, .external_lex_state = 2},
  [1616] = {.lex_state = 125, .external_lex_state = 2},
  [1617] = {.lex_state = 125, .external_lex_state = 2},
  [1618] = {.lex_state = 125, .external_lex_state = 2},
  [1619] = {.lex_state = 125, .external_lex_state = 2},
  [1620] = {.lex_state = 125, .external_lex_state = 2},
  [1621] = {.lex_state = 125, .external_lex_state = 2},
  [1622] = {.lex_state = 32, .external_lex_state = 2},
  [1623] = {.lex_state = 125, .external_lex_state = 2},
  [1624] = {.lex_state = 125, .external_lex_state = 2},
  [1625] = {.lex_state = 125, .external_lex_state = 2},
  [1626] = {.lex_state = 125, .external_lex_state = 2},
  [1627] = {.lex_state = 125, .external_lex_state = 2},
  [1628] = {.lex_state = 125, .external_lex_state = 2},
  [1629] = {.lex_state = 125, .external_lex_state = 2},
  [1630] = {.lex_state = 32, .external_lex_state = 2},
  [1631] = {.lex_state = 125, .external_lex_state = 2},
  [1632] = {.lex_state = 125, .external_lex_state = 2},
  [1633] = {.lex_state = 125, .external_lex_state = 2},
  [1634] = {.lex_state = 125, .external_lex_state = 2},
  [1635] = {.lex_state = 2, .external_lex_state = 9},
  [1636] = {.lex_state = 32, .external_lex_state = 2},
  [1637] = {.lex_state = 125, .external_lex_state = 2},
  [1638] = {.lex_state = 125, .external_lex_state = 2},
  [1639] = {.lex_state = 125, .external_lex_state = 2},
  [1640] = {.lex_state = 125, .external_lex_state = 2},
  [1641] = {.lex_state = 125, .external_lex_state = 2},
  [1642] = {.lex_state = 125, .external_lex_state = 2},
  [1643] = {.lex_state = 125, .external_lex_state = 2},
  [1644] = {.lex_state = 125, .external_lex_state = 2},
  [1645] = {.lex_state = 125, .external_lex_state = 2},
  [1646] = {.lex_state = 125, .external_lex_state = 2},
  [1647] = {.lex_state = 125, .external_lex_state = 2},
  [1648] = {.lex_state = 125, .external_lex_state = 2},
  [1649] = {.lex_state = 125, .external_lex_state = 2},
  [1650] = {.lex_state = 125, .external_lex_state = 2},
  [1651] = {.lex_state = 125, .external_lex_state = 2},
  [1652] = {.lex_state = 125, .external_lex_state = 2},
  [1653] = {.lex_state = 125, .external_lex_state = 2},
  [1654] = {.lex_state = 125, .external_lex_state = 2},
  [1655] = {.lex_state = 125, .external_lex_state = 2},
  [1656] = {.lex_state = 125, .external_lex_state = 2},
  [1657] = {.lex_state = 125, .external_lex_state = 2},
  [1658] = {.lex_state = 125, .external_lex_state = 2},
  [1659] = {.lex_state = 125, .external_lex_state = 2},
  [1660] = {.lex_state = 125, .external_lex_state = 2},
  [1661] = {.lex_state = 125, .external_lex_state = 2},
  [1662] = {.lex_state = 125, .external_lex_state = 2},
  [1663] = {.lex_state = 125, .external_lex_state = 2},
  [1664] = {.lex_state = 125, .external_lex_state = 2},
  [1665] = {.lex_state = 125, .external_lex_state = 2},
  [1666] = {.lex_state = 125, .external_lex_state = 2},
  [1667] = {.lex_state = 125, .external_lex_state = 2},
  [1668] = {.lex_state = 125, .external_lex_state = 2},
  [1669] = {.lex_state = 125, .external_lex_state = 2},
  [1670] = {.lex_state = 125, .external_lex_state = 2},
  [1671] = {.lex_state = 125, .external_lex_state = 2},
  [1672] = {.lex_state = 125, .external_lex_state = 2},
  [1673] = {.lex_state = 125, .external_lex_state = 2},
  [1674] = {.lex_state = 125, .external_lex_state = 2},
  [1675] = {.lex_state = 125, .external_lex_state = 2},
  [1676] = {.lex_state = 125, .external_lex_state = 2},
  [1677] = {.lex_state = 125, .external_lex_state = 2},
  [1678] = {.lex_state = 125, .external_lex_state = 2},
  [1679] = {.lex_state = 125, .external_lex_state = 2},
  [1680] = {.lex_state = 125, .external_lex_state = 2},
  [1681] = {.lex_state = 125, .external_lex_state = 2},
  [1682] = {.lex_state = 125, .external_lex_state = 2},
  [1683] = {.lex_state = 125, .external_lex_state = 2},
  [1684] = {.lex_state = 125, .external_lex_state = 2},
  [1685] = {.lex_state = 125, .external_lex_state = 2},
  [1686] = {.lex_state = 125, .external_lex_state = 2},
  [1687] = {.lex_state = 125, .external_lex_state = 2},
  [1688] = {.lex_state = 2, .external_lex_state = 9},
  [1689] = {.lex_state = 125, .external_lex_state = 2},
  [1690] = {.lex_state = 125, .external_lex_state = 2},
  [1691] = {.lex_state = 125, .external_lex_state = 2},
  [1692] = {.lex_state = 2, .external_lex_state = 9},
  [1693] = {.lex_state = 125, .external_lex_state = 2},
  [1694] = {.lex_state = 125, .external_lex_state = 2},
  [1695] = {.lex_state = 125, .external_lex_state = 2},
  [1696] = {.lex_state = 125, .external_lex_state = 2},
  [1697] = {.lex_state = 125, .external_lex_state = 2},
  [1698] = {.lex_state = 2, .external_lex_state = 9},
  [1699] = {.lex_state = 125, .external_lex_state = 2},
  [1700] = {.lex_state = 125, .external_lex_state = 2},
  [1701] = {.lex_state = 125, .external_lex_state = 2},
  [1702] = {.lex_state = 125, .external_lex_state = 2},
  [1703] = {.lex_state = 125, .external_lex_state = 2},
  [1704] = {.lex_state = 125, .external_lex_state = 2},
  [1705] = {.lex_state = 125, .external_lex_state = 2},
  [1706] = {.lex_state = 125, .external_lex_state = 2},
  [1707] = {.lex_state = 125, .external_lex_state = 2},
  [1708] = {.lex_state = 125, .external_lex_state = 2},
  [1709] = {.lex_state = 125, .external_lex_state = 2},
  [1710] = {.lex_state = 125, .external_lex_state = 2},
  [1711] = {.lex_state = 125, .external_lex_state = 2},
  [1712] = {.lex_state = 125, .external_lex_state = 2},
  [1713] = {.lex_state = 125, .external_lex_state = 2},
  [1714] = {.lex_state = 32, .external_lex_state = 2},
  [1715] = {.lex_state = 125, .external_lex_state = 2},
  [1716] = {.lex_state = 125, .external_lex_state = 2},
  [1717] = {.lex_state = 125, .external_lex_state = 2},
  [1718] = {.lex_state = 125, .external_lex_state = 2},
  [1719] = {.lex_state = 125, .external_lex_state = 2},
  [1720] = {.lex_state = 125, .external_lex_state = 2},
  [1721] = {.lex_state = 125, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [anon_sym_meta] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym_jsx_text] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1626),
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(18),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1661),
    [sym_object_assignment_pattern] = STATE(1281),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1661),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1661),
    [sym_spread_element] = STATE(1333),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(743),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [sym_rest_pattern] = STATE(1281),
    [sym_method_definition] = STATE(1333),
    [sym_pair] = STATE(1333),
    [sym_pair_pattern] = STATE(1281),
    [sym__property_name] = STATE(1290),
    [sym_computed_property_name] = STATE(1290),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(903),
    [aux_sym_object_repeat1] = STATE(1334),
    [aux_sym_object_pattern_repeat1] = STATE(1312),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(97),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(103),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(109),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(113),
    [sym_private_property_identifier] = ACTIONS(115),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1661),
    [sym_object_assignment_pattern] = STATE(1281),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1661),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1661),
    [sym_spread_element] = STATE(1289),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(743),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [sym_rest_pattern] = STATE(1281),
    [sym_method_definition] = STATE(1289),
    [sym_pair] = STATE(1289),
    [sym_pair_pattern] = STATE(1281),
    [sym__property_name] = STATE(1290),
    [sym_computed_property_name] = STATE(1290),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(903),
    [aux_sym_object_repeat1] = STATE(1309),
    [aux_sym_object_pattern_repeat1] = STATE(1312),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_export] = ACTIONS(125),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(113),
    [sym_private_property_identifier] = ACTIONS(115),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(133),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1661),
    [sym_object_assignment_pattern] = STATE(1281),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1661),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1661),
    [sym_spread_element] = STATE(1289),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(743),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [sym_rest_pattern] = STATE(1281),
    [sym_method_definition] = STATE(1289),
    [sym_pair] = STATE(1289),
    [sym_pair_pattern] = STATE(1281),
    [sym__property_name] = STATE(1290),
    [sym_computed_property_name] = STATE(1290),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(903),
    [aux_sym_object_repeat1] = STATE(1309),
    [aux_sym_object_pattern_repeat1] = STATE(1312),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_export] = ACTIONS(125),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(113),
    [sym_private_property_identifier] = ACTIONS(115),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(133),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(16),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1661),
    [sym_object_assignment_pattern] = STATE(1281),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1661),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1661),
    [sym_spread_element] = STATE(1289),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(743),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [sym_rest_pattern] = STATE(1281),
    [sym_method_definition] = STATE(1289),
    [sym_pair] = STATE(1289),
    [sym_pair_pattern] = STATE(1281),
    [sym__property_name] = STATE(1290),
    [sym_computed_property_name] = STATE(1290),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(903),
    [aux_sym_object_repeat1] = STATE(1309),
    [aux_sym_object_pattern_repeat1] = STATE(1312),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_export] = ACTIONS(125),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(139),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(113),
    [sym_private_property_identifier] = ACTIONS(115),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(133),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1661),
    [sym_object_assignment_pattern] = STATE(1281),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1661),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1661),
    [sym_spread_element] = STATE(1333),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(743),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [sym_rest_pattern] = STATE(1281),
    [sym_method_definition] = STATE(1333),
    [sym_pair] = STATE(1333),
    [sym_pair_pattern] = STATE(1281),
    [sym__property_name] = STATE(1290),
    [sym_computed_property_name] = STATE(1290),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(903),
    [aux_sym_object_repeat1] = STATE(1334),
    [aux_sym_object_pattern_repeat1] = STATE(1312),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_export] = ACTIONS(143),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(103),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(145),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(113),
    [sym_private_property_identifier] = ACTIONS(115),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(149),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(151),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [ts_builtin_sym_end] = ACTIONS(153),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_export] = ACTIONS(158),
    [anon_sym_default] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(163),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(166),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(172),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_const] = ACTIONS(178),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_switch] = ACTIONS(184),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(190),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_await] = ACTIONS(196),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(202),
    [anon_sym_try] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(208),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_debugger] = ACTIONS(214),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_throw] = ACTIONS(220),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(226),
    [anon_sym_LT] = ACTIONS(229),
    [anon_sym_DQUOTE] = ACTIONS(232),
    [anon_sym_SQUOTE] = ACTIONS(235),
    [anon_sym_class] = ACTIONS(238),
    [anon_sym_async] = ACTIONS(241),
    [anon_sym_function] = ACTIONS(244),
    [anon_sym_new] = ACTIONS(247),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_BANG] = ACTIONS(256),
    [anon_sym_TILDE] = ACTIONS(256),
    [anon_sym_typeof] = ACTIONS(250),
    [anon_sym_void] = ACTIONS(250),
    [anon_sym_delete] = ACTIONS(250),
    [anon_sym_PLUS_PLUS] = ACTIONS(259),
    [anon_sym_DASH_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(262),
    [sym_number] = ACTIONS(265),
    [sym_private_property_identifier] = ACTIONS(268),
    [sym_this] = ACTIONS(271),
    [sym_super] = ACTIONS(271),
    [sym_true] = ACTIONS(271),
    [sym_false] = ACTIONS(271),
    [sym_null] = ACTIONS(271),
    [sym_undefined] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_static] = ACTIONS(280),
    [anon_sym_get] = ACTIONS(280),
    [anon_sym_set] = ACTIONS(280),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(11),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(283),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(287),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(287),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(291),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [ts_builtin_sym_end] = ACTIONS(301),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(16),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [ts_builtin_sym_end] = ACTIONS(301),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(311),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [ts_builtin_sym_end] = ACTIONS(313),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(315),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(21),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(384),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(377),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(416),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(361),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(422),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(414),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(414),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(1323),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(416),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(361),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(384),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(420),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(374),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(422),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(362),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(374),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(363),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(366),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(370),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(372),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(377),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(362),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(1653),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(425),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(363),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(345),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(366),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(420),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(370),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(372),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1166),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym_import] = STATE(1232),
    [sym_import_statement] = STATE(385),
    [sym_statement] = STATE(425),
    [sym_expression_statement] = STATE(385),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_statement_block] = STATE(385),
    [sym_if_statement] = STATE(385),
    [sym_switch_statement] = STATE(385),
    [sym_for_statement] = STATE(385),
    [sym_for_in_statement] = STATE(385),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(385),
    [sym_try_statement] = STATE(385),
    [sym_with_statement] = STATE(385),
    [sym_break_statement] = STATE(385),
    [sym_continue_statement] = STATE(385),
    [sym_debugger_statement] = STATE(385),
    [sym_return_statement] = STATE(385),
    [sym_throw_statement] = STATE(385),
    [sym_empty_statement] = STATE(385),
    [sym_labeled_statement] = STATE(385),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1435),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(345),
    [anon_sym_get] = ACTIONS(345),
    [anon_sym_set] = ACTIONS(345),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(581),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_STAR] = ACTIONS(351),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_COMMA] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_RPAREN] = ACTIONS(355),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_COLON] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_RBRACK] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(369),
    [anon_sym_GT] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [sym_optional_chain] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_AMP_AMP] = ACTIONS(355),
    [anon_sym_PIPE_PIPE] = ACTIONS(355),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_GT_GT_GT] = ACTIONS(355),
    [anon_sym_LT_LT] = ACTIONS(355),
    [anon_sym_AMP] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(355),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(355),
    [anon_sym_STAR_STAR] = ACTIONS(355),
    [anon_sym_LT_EQ] = ACTIONS(355),
    [anon_sym_EQ_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(355),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(355),
    [anon_sym_GT_EQ] = ACTIONS(355),
    [anon_sym_QMARK_QMARK] = ACTIONS(355),
    [anon_sym_instanceof] = ACTIONS(363),
    [anon_sym_BANG] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym__ternary_qmark] = ACTIONS(355),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(732),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_COMMA] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(411),
    [anon_sym_GT] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [sym_optional_chain] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(355),
    [anon_sym_PIPE_PIPE] = ACTIONS(355),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_GT_GT_GT] = ACTIONS(355),
    [anon_sym_LT_LT] = ACTIONS(355),
    [anon_sym_AMP] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(355),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(355),
    [anon_sym_STAR_STAR] = ACTIONS(355),
    [anon_sym_LT_EQ] = ACTIONS(355),
    [anon_sym_EQ_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(355),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(355),
    [anon_sym_GT_EQ] = ACTIONS(355),
    [anon_sym_QMARK_QMARK] = ACTIONS(355),
    [anon_sym_instanceof] = ACTIONS(363),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym__automatic_semicolon] = ACTIONS(355),
    [sym__ternary_qmark] = ACTIONS(355),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(727),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_COMMA] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(355),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(411),
    [anon_sym_GT] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [sym_optional_chain] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_AMP_AMP] = ACTIONS(355),
    [anon_sym_PIPE_PIPE] = ACTIONS(355),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_GT_GT_GT] = ACTIONS(355),
    [anon_sym_LT_LT] = ACTIONS(355),
    [anon_sym_AMP] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(355),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_PERCENT] = ACTIONS(355),
    [anon_sym_STAR_STAR] = ACTIONS(355),
    [anon_sym_LT_EQ] = ACTIONS(355),
    [anon_sym_EQ_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(355),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(355),
    [anon_sym_GT_EQ] = ACTIONS(355),
    [anon_sym_QMARK_QMARK] = ACTIONS(355),
    [anon_sym_instanceof] = ACTIONS(363),
    [anon_sym_BANG] = ACTIONS(433),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym__automatic_semicolon] = ACTIONS(355),
    [sym__ternary_qmark] = ACTIONS(355),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(796),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_STAR] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_COLON] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(369),
    [anon_sym_GT] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [sym_optional_chain] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_AMP_AMP] = ACTIONS(355),
    [anon_sym_PIPE_PIPE] = ACTIONS(355),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_GT_GT_GT] = ACTIONS(355),
    [anon_sym_LT_LT] = ACTIONS(355),
    [anon_sym_AMP] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(355),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(355),
    [anon_sym_STAR_STAR] = ACTIONS(355),
    [anon_sym_LT_EQ] = ACTIONS(355),
    [anon_sym_EQ_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(355),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(355),
    [anon_sym_GT_EQ] = ACTIONS(355),
    [anon_sym_QMARK_QMARK] = ACTIONS(355),
    [anon_sym_instanceof] = ACTIONS(363),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym__ternary_qmark] = ACTIONS(355),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(856),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_STAR] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(369),
    [anon_sym_GT] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [sym_optional_chain] = ACTIONS(355),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_AMP_AMP] = ACTIONS(355),
    [anon_sym_PIPE_PIPE] = ACTIONS(355),
    [anon_sym_GT_GT] = ACTIONS(363),
    [anon_sym_GT_GT_GT] = ACTIONS(355),
    [anon_sym_LT_LT] = ACTIONS(355),
    [anon_sym_AMP] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(355),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_PERCENT] = ACTIONS(355),
    [anon_sym_STAR_STAR] = ACTIONS(355),
    [anon_sym_LT_EQ] = ACTIONS(355),
    [anon_sym_EQ_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(355),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(355),
    [anon_sym_GT_EQ] = ACTIONS(355),
    [anon_sym_QMARK_QMARK] = ACTIONS(355),
    [anon_sym_instanceof] = ACTIONS(363),
    [anon_sym_BANG] = ACTIONS(487),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym__ternary_qmark] = ACTIONS(355),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [ts_builtin_sym_end] = ACTIONS(499),
    [sym_identifier] = ACTIONS(501),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym_STAR] = ACTIONS(501),
    [anon_sym_default] = ACTIONS(501),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_COMMA] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(499),
    [anon_sym_import] = ACTIONS(501),
    [anon_sym_with] = ACTIONS(501),
    [anon_sym_var] = ACTIONS(501),
    [anon_sym_let] = ACTIONS(501),
    [anon_sym_const] = ACTIONS(501),
    [anon_sym_else] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_SEMI] = ACTIONS(499),
    [anon_sym_await] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(501),
    [anon_sym_of] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_do] = ACTIONS(501),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_break] = ACTIONS(501),
    [anon_sym_continue] = ACTIONS(501),
    [anon_sym_debugger] = ACTIONS(501),
    [anon_sym_return] = ACTIONS(501),
    [anon_sym_throw] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(501),
    [anon_sym_yield] = ACTIONS(501),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_LT] = ACTIONS(501),
    [anon_sym_GT] = ACTIONS(501),
    [anon_sym_DOT] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(499),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_class] = ACTIONS(501),
    [anon_sym_async] = ACTIONS(501),
    [anon_sym_function] = ACTIONS(501),
    [sym_optional_chain] = ACTIONS(499),
    [anon_sym_new] = ACTIONS(501),
    [anon_sym_AMP_AMP] = ACTIONS(499),
    [anon_sym_PIPE_PIPE] = ACTIONS(499),
    [anon_sym_GT_GT] = ACTIONS(501),
    [anon_sym_GT_GT_GT] = ACTIONS(499),
    [anon_sym_LT_LT] = ACTIONS(499),
    [anon_sym_AMP] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(499),
    [anon_sym_PIPE] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_SLASH] = ACTIONS(501),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(499),
    [anon_sym_LT_EQ] = ACTIONS(499),
    [anon_sym_EQ_EQ] = ACTIONS(501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(499),
    [anon_sym_BANG_EQ] = ACTIONS(501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(499),
    [anon_sym_GT_EQ] = ACTIONS(499),
    [anon_sym_QMARK_QMARK] = ACTIONS(499),
    [anon_sym_instanceof] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(499),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(499),
    [anon_sym_DASH_DASH] = ACTIONS(499),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(499),
    [sym_number] = ACTIONS(499),
    [sym_private_property_identifier] = ACTIONS(499),
    [sym_this] = ACTIONS(501),
    [sym_super] = ACTIONS(501),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [sym_null] = ACTIONS(501),
    [sym_undefined] = ACTIONS(501),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_static] = ACTIONS(501),
    [anon_sym_get] = ACTIONS(501),
    [anon_sym_set] = ACTIONS(501),
    [sym__automatic_semicolon] = ACTIONS(499),
    [sym__ternary_qmark] = ACTIONS(499),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [ts_builtin_sym_end] = ACTIONS(503),
    [sym_identifier] = ACTIONS(505),
    [anon_sym_export] = ACTIONS(505),
    [anon_sym_STAR] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(505),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COMMA] = ACTIONS(509),
    [anon_sym_RBRACE] = ACTIONS(503),
    [anon_sym_import] = ACTIONS(505),
    [anon_sym_with] = ACTIONS(505),
    [anon_sym_var] = ACTIONS(505),
    [anon_sym_let] = ACTIONS(505),
    [anon_sym_const] = ACTIONS(505),
    [anon_sym_else] = ACTIONS(505),
    [anon_sym_if] = ACTIONS(505),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(503),
    [anon_sym_SEMI] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_in] = ACTIONS(507),
    [anon_sym_while] = ACTIONS(505),
    [anon_sym_do] = ACTIONS(505),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_break] = ACTIONS(505),
    [anon_sym_continue] = ACTIONS(505),
    [anon_sym_debugger] = ACTIONS(505),
    [anon_sym_return] = ACTIONS(505),
    [anon_sym_throw] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(505),
    [anon_sym_yield] = ACTIONS(505),
    [anon_sym_EQ] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(503),
    [anon_sym_LT] = ACTIONS(505),
    [anon_sym_GT] = ACTIONS(507),
    [anon_sym_DOT] = ACTIONS(507),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [anon_sym_SQUOTE] = ACTIONS(503),
    [anon_sym_class] = ACTIONS(505),
    [anon_sym_async] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(505),
    [sym_optional_chain] = ACTIONS(509),
    [anon_sym_new] = ACTIONS(505),
    [anon_sym_AMP_AMP] = ACTIONS(509),
    [anon_sym_PIPE_PIPE] = ACTIONS(509),
    [anon_sym_GT_GT] = ACTIONS(507),
    [anon_sym_GT_GT_GT] = ACTIONS(509),
    [anon_sym_LT_LT] = ACTIONS(509),
    [anon_sym_AMP] = ACTIONS(507),
    [anon_sym_CARET] = ACTIONS(509),
    [anon_sym_PIPE] = ACTIONS(507),
    [anon_sym_PLUS] = ACTIONS(505),
    [anon_sym_DASH] = ACTIONS(505),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_PERCENT] = ACTIONS(509),
    [anon_sym_STAR_STAR] = ACTIONS(509),
    [anon_sym_LT_EQ] = ACTIONS(509),
    [anon_sym_EQ_EQ] = ACTIONS(507),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(509),
    [anon_sym_BANG_EQ] = ACTIONS(507),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(509),
    [anon_sym_GT_EQ] = ACTIONS(509),
    [anon_sym_QMARK_QMARK] = ACTIONS(509),
    [anon_sym_instanceof] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(503),
    [anon_sym_typeof] = ACTIONS(505),
    [anon_sym_void] = ACTIONS(505),
    [anon_sym_delete] = ACTIONS(505),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_number] = ACTIONS(503),
    [sym_private_property_identifier] = ACTIONS(503),
    [sym_this] = ACTIONS(505),
    [sym_super] = ACTIONS(505),
    [sym_true] = ACTIONS(505),
    [sym_false] = ACTIONS(505),
    [sym_null] = ACTIONS(505),
    [sym_undefined] = ACTIONS(505),
    [anon_sym_AT] = ACTIONS(503),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [sym__automatic_semicolon] = ACTIONS(513),
    [sym__ternary_qmark] = ACTIONS(509),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [ts_builtin_sym_end] = ACTIONS(499),
    [sym_identifier] = ACTIONS(501),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym_STAR] = ACTIONS(501),
    [anon_sym_default] = ACTIONS(501),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_COMMA] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(499),
    [anon_sym_import] = ACTIONS(501),
    [anon_sym_with] = ACTIONS(501),
    [anon_sym_var] = ACTIONS(501),
    [anon_sym_let] = ACTIONS(501),
    [anon_sym_const] = ACTIONS(501),
    [anon_sym_else] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_SEMI] = ACTIONS(499),
    [anon_sym_await] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(501),
    [anon_sym_of] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_do] = ACTIONS(501),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_break] = ACTIONS(501),
    [anon_sym_continue] = ACTIONS(501),
    [anon_sym_debugger] = ACTIONS(501),
    [anon_sym_return] = ACTIONS(501),
    [anon_sym_throw] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(501),
    [anon_sym_yield] = ACTIONS(501),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_LT] = ACTIONS(501),
    [anon_sym_GT] = ACTIONS(501),
    [anon_sym_DOT] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(499),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_class] = ACTIONS(501),
    [anon_sym_async] = ACTIONS(501),
    [anon_sym_function] = ACTIONS(501),
    [sym_optional_chain] = ACTIONS(499),
    [anon_sym_new] = ACTIONS(501),
    [anon_sym_AMP_AMP] = ACTIONS(499),
    [anon_sym_PIPE_PIPE] = ACTIONS(499),
    [anon_sym_GT_GT] = ACTIONS(501),
    [anon_sym_GT_GT_GT] = ACTIONS(499),
    [anon_sym_LT_LT] = ACTIONS(499),
    [anon_sym_AMP] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(499),
    [anon_sym_PIPE] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_SLASH] = ACTIONS(501),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(499),
    [anon_sym_LT_EQ] = ACTIONS(499),
    [anon_sym_EQ_EQ] = ACTIONS(501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(499),
    [anon_sym_BANG_EQ] = ACTIONS(501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(499),
    [anon_sym_GT_EQ] = ACTIONS(499),
    [anon_sym_QMARK_QMARK] = ACTIONS(499),
    [anon_sym_instanceof] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(499),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(499),
    [anon_sym_DASH_DASH] = ACTIONS(499),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(499),
    [sym_number] = ACTIONS(499),
    [sym_private_property_identifier] = ACTIONS(499),
    [sym_this] = ACTIONS(501),
    [sym_super] = ACTIONS(501),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [sym_null] = ACTIONS(501),
    [sym_undefined] = ACTIONS(501),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_static] = ACTIONS(501),
    [anon_sym_get] = ACTIONS(501),
    [anon_sym_set] = ACTIONS(501),
    [sym__automatic_semicolon] = ACTIONS(515),
    [sym__ternary_qmark] = ACTIONS(499),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [ts_builtin_sym_end] = ACTIONS(503),
    [sym_identifier] = ACTIONS(505),
    [anon_sym_export] = ACTIONS(505),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(505),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COMMA] = ACTIONS(503),
    [anon_sym_RBRACE] = ACTIONS(503),
    [anon_sym_import] = ACTIONS(505),
    [anon_sym_with] = ACTIONS(505),
    [anon_sym_var] = ACTIONS(505),
    [anon_sym_let] = ACTIONS(505),
    [anon_sym_const] = ACTIONS(505),
    [anon_sym_else] = ACTIONS(505),
    [anon_sym_if] = ACTIONS(505),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(503),
    [anon_sym_SEMI] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_in] = ACTIONS(505),
    [anon_sym_of] = ACTIONS(505),
    [anon_sym_while] = ACTIONS(505),
    [anon_sym_do] = ACTIONS(505),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_break] = ACTIONS(505),
    [anon_sym_continue] = ACTIONS(505),
    [anon_sym_debugger] = ACTIONS(505),
    [anon_sym_return] = ACTIONS(505),
    [anon_sym_throw] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(505),
    [anon_sym_yield] = ACTIONS(505),
    [anon_sym_LBRACK] = ACTIONS(503),
    [anon_sym_LT] = ACTIONS(505),
    [anon_sym_GT] = ACTIONS(505),
    [anon_sym_DOT] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [anon_sym_SQUOTE] = ACTIONS(503),
    [anon_sym_class] = ACTIONS(505),
    [anon_sym_async] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(505),
    [sym_optional_chain] = ACTIONS(503),
    [anon_sym_new] = ACTIONS(505),
    [anon_sym_AMP_AMP] = ACTIONS(503),
    [anon_sym_PIPE_PIPE] = ACTIONS(503),
    [anon_sym_GT_GT] = ACTIONS(505),
    [anon_sym_GT_GT_GT] = ACTIONS(503),
    [anon_sym_LT_LT] = ACTIONS(503),
    [anon_sym_AMP] = ACTIONS(505),
    [anon_sym_CARET] = ACTIONS(503),
    [anon_sym_PIPE] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(505),
    [anon_sym_DASH] = ACTIONS(505),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_PERCENT] = ACTIONS(503),
    [anon_sym_STAR_STAR] = ACTIONS(503),
    [anon_sym_LT_EQ] = ACTIONS(503),
    [anon_sym_EQ_EQ] = ACTIONS(505),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(503),
    [anon_sym_BANG_EQ] = ACTIONS(505),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(503),
    [anon_sym_GT_EQ] = ACTIONS(503),
    [anon_sym_QMARK_QMARK] = ACTIONS(503),
    [anon_sym_instanceof] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(503),
    [anon_sym_typeof] = ACTIONS(505),
    [anon_sym_void] = ACTIONS(505),
    [anon_sym_delete] = ACTIONS(505),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_number] = ACTIONS(503),
    [sym_private_property_identifier] = ACTIONS(503),
    [sym_this] = ACTIONS(505),
    [sym_super] = ACTIONS(505),
    [sym_true] = ACTIONS(505),
    [sym_false] = ACTIONS(505),
    [sym_null] = ACTIONS(505),
    [sym_undefined] = ACTIONS(505),
    [anon_sym_AT] = ACTIONS(503),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [sym__automatic_semicolon] = ACTIONS(517),
    [sym__ternary_qmark] = ACTIONS(503),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [ts_builtin_sym_end] = ACTIONS(519),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_export] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(521),
    [anon_sym_default] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(519),
    [anon_sym_COMMA] = ACTIONS(519),
    [anon_sym_RBRACE] = ACTIONS(519),
    [anon_sym_import] = ACTIONS(521),
    [anon_sym_with] = ACTIONS(521),
    [anon_sym_var] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(521),
    [anon_sym_else] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(521),
    [anon_sym_switch] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_SEMI] = ACTIONS(519),
    [anon_sym_await] = ACTIONS(521),
    [anon_sym_in] = ACTIONS(521),
    [anon_sym_of] = ACTIONS(521),
    [anon_sym_while] = ACTIONS(521),
    [anon_sym_do] = ACTIONS(521),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(521),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_debugger] = ACTIONS(521),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_throw] = ACTIONS(521),
    [anon_sym_case] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(521),
    [anon_sym_GT] = ACTIONS(521),
    [anon_sym_DOT] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_class] = ACTIONS(521),
    [anon_sym_async] = ACTIONS(521),
    [anon_sym_function] = ACTIONS(521),
    [sym_optional_chain] = ACTIONS(519),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_PIPE_PIPE] = ACTIONS(519),
    [anon_sym_GT_GT] = ACTIONS(521),
    [anon_sym_GT_GT_GT] = ACTIONS(519),
    [anon_sym_LT_LT] = ACTIONS(519),
    [anon_sym_AMP] = ACTIONS(521),
    [anon_sym_CARET] = ACTIONS(519),
    [anon_sym_PIPE] = ACTIONS(521),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_SLASH] = ACTIONS(521),
    [anon_sym_PERCENT] = ACTIONS(519),
    [anon_sym_STAR_STAR] = ACTIONS(519),
    [anon_sym_LT_EQ] = ACTIONS(519),
    [anon_sym_EQ_EQ] = ACTIONS(521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(519),
    [anon_sym_BANG_EQ] = ACTIONS(521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(519),
    [anon_sym_GT_EQ] = ACTIONS(519),
    [anon_sym_QMARK_QMARK] = ACTIONS(519),
    [anon_sym_instanceof] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(519),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(519),
    [anon_sym_DASH_DASH] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(519),
    [sym_number] = ACTIONS(519),
    [sym_private_property_identifier] = ACTIONS(519),
    [sym_this] = ACTIONS(521),
    [sym_super] = ACTIONS(521),
    [sym_true] = ACTIONS(521),
    [sym_false] = ACTIONS(521),
    [sym_null] = ACTIONS(521),
    [sym_undefined] = ACTIONS(521),
    [anon_sym_AT] = ACTIONS(519),
    [anon_sym_static] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(521),
    [sym__automatic_semicolon] = ACTIONS(519),
    [sym__ternary_qmark] = ACTIONS(519),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [ts_builtin_sym_end] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_export] = ACTIONS(525),
    [anon_sym_STAR] = ACTIONS(525),
    [anon_sym_default] = ACTIONS(525),
    [anon_sym_LBRACE] = ACTIONS(523),
    [anon_sym_COMMA] = ACTIONS(523),
    [anon_sym_RBRACE] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_with] = ACTIONS(525),
    [anon_sym_var] = ACTIONS(525),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_const] = ACTIONS(525),
    [anon_sym_else] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(525),
    [anon_sym_switch] = ACTIONS(525),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_SEMI] = ACTIONS(523),
    [anon_sym_await] = ACTIONS(525),
    [anon_sym_in] = ACTIONS(525),
    [anon_sym_of] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(525),
    [anon_sym_do] = ACTIONS(525),
    [anon_sym_try] = ACTIONS(525),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_continue] = ACTIONS(525),
    [anon_sym_debugger] = ACTIONS(525),
    [anon_sym_return] = ACTIONS(525),
    [anon_sym_throw] = ACTIONS(525),
    [anon_sym_case] = ACTIONS(525),
    [anon_sym_yield] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(523),
    [anon_sym_LT] = ACTIONS(525),
    [anon_sym_GT] = ACTIONS(525),
    [anon_sym_DOT] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_SQUOTE] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_async] = ACTIONS(525),
    [anon_sym_function] = ACTIONS(525),
    [sym_optional_chain] = ACTIONS(523),
    [anon_sym_new] = ACTIONS(525),
    [anon_sym_AMP_AMP] = ACTIONS(523),
    [anon_sym_PIPE_PIPE] = ACTIONS(523),
    [anon_sym_GT_GT] = ACTIONS(525),
    [anon_sym_GT_GT_GT] = ACTIONS(523),
    [anon_sym_LT_LT] = ACTIONS(523),
    [anon_sym_AMP] = ACTIONS(525),
    [anon_sym_CARET] = ACTIONS(523),
    [anon_sym_PIPE] = ACTIONS(525),
    [anon_sym_PLUS] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(525),
    [anon_sym_SLASH] = ACTIONS(525),
    [anon_sym_PERCENT] = ACTIONS(523),
    [anon_sym_STAR_STAR] = ACTIONS(523),
    [anon_sym_LT_EQ] = ACTIONS(523),
    [anon_sym_EQ_EQ] = ACTIONS(525),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(523),
    [anon_sym_BANG_EQ] = ACTIONS(525),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(523),
    [anon_sym_GT_EQ] = ACTIONS(523),
    [anon_sym_QMARK_QMARK] = ACTIONS(523),
    [anon_sym_instanceof] = ACTIONS(525),
    [anon_sym_BANG] = ACTIONS(525),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(525),
    [anon_sym_void] = ACTIONS(525),
    [anon_sym_delete] = ACTIONS(525),
    [anon_sym_PLUS_PLUS] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(523),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(523),
    [sym_number] = ACTIONS(523),
    [sym_private_property_identifier] = ACTIONS(523),
    [sym_this] = ACTIONS(525),
    [sym_super] = ACTIONS(525),
    [sym_true] = ACTIONS(525),
    [sym_false] = ACTIONS(525),
    [sym_null] = ACTIONS(525),
    [sym_undefined] = ACTIONS(525),
    [anon_sym_AT] = ACTIONS(523),
    [anon_sym_static] = ACTIONS(525),
    [anon_sym_get] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(525),
    [sym__automatic_semicolon] = ACTIONS(523),
    [sym__ternary_qmark] = ACTIONS(523),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [ts_builtin_sym_end] = ACTIONS(527),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(529),
    [anon_sym_STAR] = ACTIONS(529),
    [anon_sym_default] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(527),
    [anon_sym_COMMA] = ACTIONS(527),
    [anon_sym_RBRACE] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_with] = ACTIONS(529),
    [anon_sym_var] = ACTIONS(529),
    [anon_sym_let] = ACTIONS(529),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_else] = ACTIONS(529),
    [anon_sym_if] = ACTIONS(529),
    [anon_sym_switch] = ACTIONS(529),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(527),
    [anon_sym_await] = ACTIONS(529),
    [anon_sym_in] = ACTIONS(529),
    [anon_sym_of] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(529),
    [anon_sym_do] = ACTIONS(529),
    [anon_sym_try] = ACTIONS(529),
    [anon_sym_break] = ACTIONS(529),
    [anon_sym_continue] = ACTIONS(529),
    [anon_sym_debugger] = ACTIONS(529),
    [anon_sym_return] = ACTIONS(529),
    [anon_sym_throw] = ACTIONS(529),
    [anon_sym_case] = ACTIONS(529),
    [anon_sym_yield] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_LT] = ACTIONS(529),
    [anon_sym_GT] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [anon_sym_class] = ACTIONS(529),
    [anon_sym_async] = ACTIONS(529),
    [anon_sym_function] = ACTIONS(529),
    [sym_optional_chain] = ACTIONS(527),
    [anon_sym_new] = ACTIONS(529),
    [anon_sym_AMP_AMP] = ACTIONS(527),
    [anon_sym_PIPE_PIPE] = ACTIONS(527),
    [anon_sym_GT_GT] = ACTIONS(529),
    [anon_sym_GT_GT_GT] = ACTIONS(527),
    [anon_sym_LT_LT] = ACTIONS(527),
    [anon_sym_AMP] = ACTIONS(529),
    [anon_sym_CARET] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_SLASH] = ACTIONS(529),
    [anon_sym_PERCENT] = ACTIONS(527),
    [anon_sym_STAR_STAR] = ACTIONS(527),
    [anon_sym_LT_EQ] = ACTIONS(527),
    [anon_sym_EQ_EQ] = ACTIONS(529),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(527),
    [anon_sym_BANG_EQ] = ACTIONS(529),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(527),
    [anon_sym_GT_EQ] = ACTIONS(527),
    [anon_sym_QMARK_QMARK] = ACTIONS(527),
    [anon_sym_instanceof] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(527),
    [anon_sym_typeof] = ACTIONS(529),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_delete] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(527),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(527),
    [sym_number] = ACTIONS(527),
    [sym_private_property_identifier] = ACTIONS(527),
    [sym_this] = ACTIONS(529),
    [sym_super] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_null] = ACTIONS(529),
    [sym_undefined] = ACTIONS(529),
    [anon_sym_AT] = ACTIONS(527),
    [anon_sym_static] = ACTIONS(529),
    [anon_sym_get] = ACTIONS(529),
    [anon_sym_set] = ACTIONS(529),
    [sym__automatic_semicolon] = ACTIONS(527),
    [sym__ternary_qmark] = ACTIONS(527),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [ts_builtin_sym_end] = ACTIONS(531),
    [sym_identifier] = ACTIONS(533),
    [anon_sym_export] = ACTIONS(533),
    [anon_sym_STAR] = ACTIONS(535),
    [anon_sym_default] = ACTIONS(533),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(537),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_import] = ACTIONS(533),
    [anon_sym_with] = ACTIONS(533),
    [anon_sym_var] = ACTIONS(533),
    [anon_sym_let] = ACTIONS(533),
    [anon_sym_const] = ACTIONS(533),
    [anon_sym_else] = ACTIONS(533),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_switch] = ACTIONS(533),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(531),
    [anon_sym_await] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(535),
    [anon_sym_while] = ACTIONS(533),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_try] = ACTIONS(533),
    [anon_sym_break] = ACTIONS(533),
    [anon_sym_continue] = ACTIONS(533),
    [anon_sym_debugger] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(533),
    [anon_sym_throw] = ACTIONS(533),
    [anon_sym_case] = ACTIONS(533),
    [anon_sym_yield] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(531),
    [anon_sym_LT] = ACTIONS(533),
    [anon_sym_GT] = ACTIONS(535),
    [anon_sym_DOT] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(531),
    [anon_sym_class] = ACTIONS(533),
    [anon_sym_async] = ACTIONS(533),
    [anon_sym_function] = ACTIONS(533),
    [sym_optional_chain] = ACTIONS(537),
    [anon_sym_new] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(537),
    [anon_sym_PIPE_PIPE] = ACTIONS(537),
    [anon_sym_GT_GT] = ACTIONS(535),
    [anon_sym_GT_GT_GT] = ACTIONS(537),
    [anon_sym_LT_LT] = ACTIONS(537),
    [anon_sym_AMP] = ACTIONS(535),
    [anon_sym_CARET] = ACTIONS(537),
    [anon_sym_PIPE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(533),
    [anon_sym_DASH] = ACTIONS(533),
    [anon_sym_SLASH] = ACTIONS(533),
    [anon_sym_PERCENT] = ACTIONS(537),
    [anon_sym_STAR_STAR] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(537),
    [anon_sym_EQ_EQ] = ACTIONS(535),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(537),
    [anon_sym_BANG_EQ] = ACTIONS(535),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(537),
    [anon_sym_QMARK_QMARK] = ACTIONS(537),
    [anon_sym_instanceof] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_typeof] = ACTIONS(533),
    [anon_sym_void] = ACTIONS(533),
    [anon_sym_delete] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(531),
    [anon_sym_DASH_DASH] = ACTIONS(531),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(531),
    [sym_number] = ACTIONS(531),
    [sym_private_property_identifier] = ACTIONS(531),
    [sym_this] = ACTIONS(533),
    [sym_super] = ACTIONS(533),
    [sym_true] = ACTIONS(533),
    [sym_false] = ACTIONS(533),
    [sym_null] = ACTIONS(533),
    [sym_undefined] = ACTIONS(533),
    [anon_sym_AT] = ACTIONS(531),
    [anon_sym_static] = ACTIONS(533),
    [anon_sym_get] = ACTIONS(533),
    [anon_sym_set] = ACTIONS(533),
    [sym__automatic_semicolon] = ACTIONS(539),
    [sym__ternary_qmark] = ACTIONS(537),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [ts_builtin_sym_end] = ACTIONS(541),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_export] = ACTIONS(543),
    [anon_sym_STAR] = ACTIONS(545),
    [anon_sym_default] = ACTIONS(543),
    [anon_sym_LBRACE] = ACTIONS(541),
    [anon_sym_COMMA] = ACTIONS(547),
    [anon_sym_RBRACE] = ACTIONS(541),
    [anon_sym_import] = ACTIONS(543),
    [anon_sym_with] = ACTIONS(543),
    [anon_sym_var] = ACTIONS(543),
    [anon_sym_let] = ACTIONS(543),
    [anon_sym_const] = ACTIONS(543),
    [anon_sym_else] = ACTIONS(543),
    [anon_sym_if] = ACTIONS(543),
    [anon_sym_switch] = ACTIONS(543),
    [anon_sym_for] = ACTIONS(543),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_await] = ACTIONS(543),
    [anon_sym_in] = ACTIONS(545),
    [anon_sym_while] = ACTIONS(543),
    [anon_sym_do] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(543),
    [anon_sym_continue] = ACTIONS(543),
    [anon_sym_debugger] = ACTIONS(543),
    [anon_sym_return] = ACTIONS(543),
    [anon_sym_throw] = ACTIONS(543),
    [anon_sym_case] = ACTIONS(543),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_LBRACK] = ACTIONS(541),
    [anon_sym_LT] = ACTIONS(543),
    [anon_sym_GT] = ACTIONS(545),
    [anon_sym_DOT] = ACTIONS(545),
    [anon_sym_DQUOTE] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(541),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_async] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(543),
    [sym_optional_chain] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(543),
    [anon_sym_AMP_AMP] = ACTIONS(547),
    [anon_sym_PIPE_PIPE] = ACTIONS(547),
    [anon_sym_GT_GT] = ACTIONS(545),
    [anon_sym_GT_GT_GT] = ACTIONS(547),
    [anon_sym_LT_LT] = ACTIONS(547),
    [anon_sym_AMP] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(547),
    [anon_sym_PIPE] = ACTIONS(545),
    [anon_sym_PLUS] = ACTIONS(543),
    [anon_sym_DASH] = ACTIONS(543),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_PERCENT] = ACTIONS(547),
    [anon_sym_STAR_STAR] = ACTIONS(547),
    [anon_sym_LT_EQ] = ACTIONS(547),
    [anon_sym_EQ_EQ] = ACTIONS(545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(547),
    [anon_sym_BANG_EQ] = ACTIONS(545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(547),
    [anon_sym_GT_EQ] = ACTIONS(547),
    [anon_sym_QMARK_QMARK] = ACTIONS(547),
    [anon_sym_instanceof] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(543),
    [anon_sym_TILDE] = ACTIONS(541),
    [anon_sym_typeof] = ACTIONS(543),
    [anon_sym_void] = ACTIONS(543),
    [anon_sym_delete] = ACTIONS(543),
    [anon_sym_PLUS_PLUS] = ACTIONS(541),
    [anon_sym_DASH_DASH] = ACTIONS(541),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(541),
    [sym_number] = ACTIONS(541),
    [sym_private_property_identifier] = ACTIONS(541),
    [sym_this] = ACTIONS(543),
    [sym_super] = ACTIONS(543),
    [sym_true] = ACTIONS(543),
    [sym_false] = ACTIONS(543),
    [sym_null] = ACTIONS(543),
    [sym_undefined] = ACTIONS(543),
    [anon_sym_AT] = ACTIONS(541),
    [anon_sym_static] = ACTIONS(543),
    [anon_sym_get] = ACTIONS(543),
    [anon_sym_set] = ACTIONS(543),
    [sym__automatic_semicolon] = ACTIONS(549),
    [sym__ternary_qmark] = ACTIONS(547),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(551),
    [sym_identifier] = ACTIONS(553),
    [anon_sym_export] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(553),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(551),
    [anon_sym_import] = ACTIONS(553),
    [anon_sym_with] = ACTIONS(553),
    [anon_sym_var] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_const] = ACTIONS(553),
    [anon_sym_else] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(553),
    [anon_sym_for] = ACTIONS(553),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_SEMI] = ACTIONS(551),
    [anon_sym_await] = ACTIONS(553),
    [anon_sym_in] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(553),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_break] = ACTIONS(553),
    [anon_sym_continue] = ACTIONS(553),
    [anon_sym_debugger] = ACTIONS(553),
    [anon_sym_return] = ACTIONS(553),
    [anon_sym_throw] = ACTIONS(553),
    [anon_sym_case] = ACTIONS(553),
    [anon_sym_yield] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(551),
    [anon_sym_LT] = ACTIONS(553),
    [anon_sym_GT] = ACTIONS(555),
    [anon_sym_DOT] = ACTIONS(555),
    [anon_sym_DQUOTE] = ACTIONS(551),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [anon_sym_class] = ACTIONS(553),
    [anon_sym_async] = ACTIONS(553),
    [anon_sym_function] = ACTIONS(553),
    [sym_optional_chain] = ACTIONS(557),
    [anon_sym_new] = ACTIONS(553),
    [anon_sym_AMP_AMP] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(555),
    [anon_sym_GT_GT_GT] = ACTIONS(557),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_AMP] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_SLASH] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(557),
    [anon_sym_STAR_STAR] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(557),
    [anon_sym_EQ_EQ] = ACTIONS(555),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(557),
    [anon_sym_BANG_EQ] = ACTIONS(555),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(557),
    [anon_sym_GT_EQ] = ACTIONS(557),
    [anon_sym_QMARK_QMARK] = ACTIONS(557),
    [anon_sym_instanceof] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(553),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(553),
    [anon_sym_void] = ACTIONS(553),
    [anon_sym_delete] = ACTIONS(553),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(551),
    [sym_number] = ACTIONS(551),
    [sym_private_property_identifier] = ACTIONS(551),
    [sym_this] = ACTIONS(553),
    [sym_super] = ACTIONS(553),
    [sym_true] = ACTIONS(553),
    [sym_false] = ACTIONS(553),
    [sym_null] = ACTIONS(553),
    [sym_undefined] = ACTIONS(553),
    [anon_sym_AT] = ACTIONS(551),
    [anon_sym_static] = ACTIONS(553),
    [anon_sym_get] = ACTIONS(553),
    [anon_sym_set] = ACTIONS(553),
    [sym__automatic_semicolon] = ACTIONS(559),
    [sym__ternary_qmark] = ACTIONS(557),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [ts_builtin_sym_end] = ACTIONS(561),
    [sym_identifier] = ACTIONS(563),
    [anon_sym_export] = ACTIONS(563),
    [anon_sym_STAR] = ACTIONS(565),
    [anon_sym_default] = ACTIONS(563),
    [anon_sym_LBRACE] = ACTIONS(561),
    [anon_sym_COMMA] = ACTIONS(567),
    [anon_sym_RBRACE] = ACTIONS(561),
    [anon_sym_import] = ACTIONS(563),
    [anon_sym_with] = ACTIONS(563),
    [anon_sym_var] = ACTIONS(563),
    [anon_sym_let] = ACTIONS(563),
    [anon_sym_const] = ACTIONS(563),
    [anon_sym_else] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(563),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(561),
    [anon_sym_await] = ACTIONS(563),
    [anon_sym_in] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_try] = ACTIONS(563),
    [anon_sym_break] = ACTIONS(563),
    [anon_sym_continue] = ACTIONS(563),
    [anon_sym_debugger] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(563),
    [anon_sym_throw] = ACTIONS(563),
    [anon_sym_case] = ACTIONS(563),
    [anon_sym_yield] = ACTIONS(563),
    [anon_sym_LBRACK] = ACTIONS(561),
    [anon_sym_LT] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(565),
    [anon_sym_DOT] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_class] = ACTIONS(563),
    [anon_sym_async] = ACTIONS(563),
    [anon_sym_function] = ACTIONS(563),
    [sym_optional_chain] = ACTIONS(567),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_AMP_AMP] = ACTIONS(567),
    [anon_sym_PIPE_PIPE] = ACTIONS(567),
    [anon_sym_GT_GT] = ACTIONS(565),
    [anon_sym_GT_GT_GT] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(567),
    [anon_sym_AMP] = ACTIONS(565),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_PIPE] = ACTIONS(565),
    [anon_sym_PLUS] = ACTIONS(563),
    [anon_sym_DASH] = ACTIONS(563),
    [anon_sym_SLASH] = ACTIONS(563),
    [anon_sym_PERCENT] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(567),
    [anon_sym_LT_EQ] = ACTIONS(567),
    [anon_sym_EQ_EQ] = ACTIONS(565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_BANG_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(567),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_QMARK_QMARK] = ACTIONS(567),
    [anon_sym_instanceof] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(563),
    [anon_sym_TILDE] = ACTIONS(561),
    [anon_sym_typeof] = ACTIONS(563),
    [anon_sym_void] = ACTIONS(563),
    [anon_sym_delete] = ACTIONS(563),
    [anon_sym_PLUS_PLUS] = ACTIONS(561),
    [anon_sym_DASH_DASH] = ACTIONS(561),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [sym_number] = ACTIONS(561),
    [sym_private_property_identifier] = ACTIONS(561),
    [sym_this] = ACTIONS(563),
    [sym_super] = ACTIONS(563),
    [sym_true] = ACTIONS(563),
    [sym_false] = ACTIONS(563),
    [sym_null] = ACTIONS(563),
    [sym_undefined] = ACTIONS(563),
    [anon_sym_AT] = ACTIONS(561),
    [anon_sym_static] = ACTIONS(563),
    [anon_sym_get] = ACTIONS(563),
    [anon_sym_set] = ACTIONS(563),
    [sym__automatic_semicolon] = ACTIONS(569),
    [sym__ternary_qmark] = ACTIONS(567),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(571),
    [sym_identifier] = ACTIONS(573),
    [anon_sym_export] = ACTIONS(573),
    [anon_sym_STAR] = ACTIONS(575),
    [anon_sym_default] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(577),
    [anon_sym_RBRACE] = ACTIONS(571),
    [anon_sym_import] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(573),
    [anon_sym_var] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(573),
    [anon_sym_const] = ACTIONS(573),
    [anon_sym_else] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(573),
    [anon_sym_switch] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_SEMI] = ACTIONS(571),
    [anon_sym_await] = ACTIONS(573),
    [anon_sym_in] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_do] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(573),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_debugger] = ACTIONS(573),
    [anon_sym_return] = ACTIONS(573),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_yield] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(571),
    [anon_sym_LT] = ACTIONS(573),
    [anon_sym_GT] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [anon_sym_SQUOTE] = ACTIONS(571),
    [anon_sym_class] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(573),
    [sym_optional_chain] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_AMP_AMP] = ACTIONS(577),
    [anon_sym_PIPE_PIPE] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(575),
    [anon_sym_GT_GT_GT] = ACTIONS(577),
    [anon_sym_LT_LT] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_CARET] = ACTIONS(577),
    [anon_sym_PIPE] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_PERCENT] = ACTIONS(577),
    [anon_sym_STAR_STAR] = ACTIONS(577),
    [anon_sym_LT_EQ] = ACTIONS(577),
    [anon_sym_EQ_EQ] = ACTIONS(575),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(577),
    [anon_sym_BANG_EQ] = ACTIONS(575),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(577),
    [anon_sym_GT_EQ] = ACTIONS(577),
    [anon_sym_QMARK_QMARK] = ACTIONS(577),
    [anon_sym_instanceof] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(571),
    [anon_sym_typeof] = ACTIONS(573),
    [anon_sym_void] = ACTIONS(573),
    [anon_sym_delete] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(571),
    [anon_sym_DASH_DASH] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(571),
    [sym_number] = ACTIONS(571),
    [sym_private_property_identifier] = ACTIONS(571),
    [sym_this] = ACTIONS(573),
    [sym_super] = ACTIONS(573),
    [sym_true] = ACTIONS(573),
    [sym_false] = ACTIONS(573),
    [sym_null] = ACTIONS(573),
    [sym_undefined] = ACTIONS(573),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_static] = ACTIONS(573),
    [anon_sym_get] = ACTIONS(573),
    [anon_sym_set] = ACTIONS(573),
    [sym__automatic_semicolon] = ACTIONS(579),
    [sym__ternary_qmark] = ACTIONS(577),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(581),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_export] = ACTIONS(583),
    [anon_sym_STAR] = ACTIONS(585),
    [anon_sym_default] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(587),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_with] = ACTIONS(583),
    [anon_sym_var] = ACTIONS(583),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_const] = ACTIONS(583),
    [anon_sym_else] = ACTIONS(583),
    [anon_sym_if] = ACTIONS(583),
    [anon_sym_switch] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_SEMI] = ACTIONS(581),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_in] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(583),
    [anon_sym_do] = ACTIONS(583),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_break] = ACTIONS(583),
    [anon_sym_continue] = ACTIONS(583),
    [anon_sym_debugger] = ACTIONS(583),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(583),
    [anon_sym_case] = ACTIONS(583),
    [anon_sym_yield] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(583),
    [anon_sym_GT] = ACTIONS(585),
    [anon_sym_DOT] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(581),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [anon_sym_class] = ACTIONS(583),
    [anon_sym_async] = ACTIONS(583),
    [anon_sym_function] = ACTIONS(583),
    [sym_optional_chain] = ACTIONS(587),
    [anon_sym_new] = ACTIONS(583),
    [anon_sym_AMP_AMP] = ACTIONS(587),
    [anon_sym_PIPE_PIPE] = ACTIONS(587),
    [anon_sym_GT_GT] = ACTIONS(585),
    [anon_sym_GT_GT_GT] = ACTIONS(587),
    [anon_sym_LT_LT] = ACTIONS(587),
    [anon_sym_AMP] = ACTIONS(585),
    [anon_sym_CARET] = ACTIONS(587),
    [anon_sym_PIPE] = ACTIONS(585),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_SLASH] = ACTIONS(583),
    [anon_sym_PERCENT] = ACTIONS(587),
    [anon_sym_STAR_STAR] = ACTIONS(587),
    [anon_sym_LT_EQ] = ACTIONS(587),
    [anon_sym_EQ_EQ] = ACTIONS(585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(587),
    [anon_sym_BANG_EQ] = ACTIONS(585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(587),
    [anon_sym_GT_EQ] = ACTIONS(587),
    [anon_sym_QMARK_QMARK] = ACTIONS(587),
    [anon_sym_instanceof] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(581),
    [anon_sym_typeof] = ACTIONS(583),
    [anon_sym_void] = ACTIONS(583),
    [anon_sym_delete] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(581),
    [anon_sym_DASH_DASH] = ACTIONS(581),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(581),
    [sym_number] = ACTIONS(581),
    [sym_private_property_identifier] = ACTIONS(581),
    [sym_this] = ACTIONS(583),
    [sym_super] = ACTIONS(583),
    [sym_true] = ACTIONS(583),
    [sym_false] = ACTIONS(583),
    [sym_null] = ACTIONS(583),
    [sym_undefined] = ACTIONS(583),
    [anon_sym_AT] = ACTIONS(581),
    [anon_sym_static] = ACTIONS(583),
    [anon_sym_get] = ACTIONS(583),
    [anon_sym_set] = ACTIONS(583),
    [sym__automatic_semicolon] = ACTIONS(589),
    [sym__ternary_qmark] = ACTIONS(587),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [ts_builtin_sym_end] = ACTIONS(591),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_export] = ACTIONS(593),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_default] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(597),
    [anon_sym_RBRACE] = ACTIONS(591),
    [anon_sym_import] = ACTIONS(593),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(593),
    [anon_sym_let] = ACTIONS(593),
    [anon_sym_const] = ACTIONS(593),
    [anon_sym_else] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_switch] = ACTIONS(593),
    [anon_sym_for] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(591),
    [anon_sym_await] = ACTIONS(593),
    [anon_sym_in] = ACTIONS(595),
    [anon_sym_while] = ACTIONS(593),
    [anon_sym_do] = ACTIONS(593),
    [anon_sym_try] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [anon_sym_debugger] = ACTIONS(593),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(593),
    [anon_sym_case] = ACTIONS(593),
    [anon_sym_yield] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_DOT] = ACTIONS(595),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [anon_sym_SQUOTE] = ACTIONS(591),
    [anon_sym_class] = ACTIONS(593),
    [anon_sym_async] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(593),
    [sym_optional_chain] = ACTIONS(597),
    [anon_sym_new] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(597),
    [anon_sym_PIPE_PIPE] = ACTIONS(597),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_GT_GT_GT] = ACTIONS(597),
    [anon_sym_LT_LT] = ACTIONS(597),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(597),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_PERCENT] = ACTIONS(597),
    [anon_sym_STAR_STAR] = ACTIONS(597),
    [anon_sym_LT_EQ] = ACTIONS(597),
    [anon_sym_EQ_EQ] = ACTIONS(595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(597),
    [anon_sym_BANG_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(597),
    [anon_sym_GT_EQ] = ACTIONS(597),
    [anon_sym_QMARK_QMARK] = ACTIONS(597),
    [anon_sym_instanceof] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_typeof] = ACTIONS(593),
    [anon_sym_void] = ACTIONS(593),
    [anon_sym_delete] = ACTIONS(593),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(591),
    [sym_number] = ACTIONS(591),
    [sym_private_property_identifier] = ACTIONS(591),
    [sym_this] = ACTIONS(593),
    [sym_super] = ACTIONS(593),
    [sym_true] = ACTIONS(593),
    [sym_false] = ACTIONS(593),
    [sym_null] = ACTIONS(593),
    [sym_undefined] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(591),
    [anon_sym_static] = ACTIONS(593),
    [anon_sym_get] = ACTIONS(593),
    [anon_sym_set] = ACTIONS(593),
    [sym__automatic_semicolon] = ACTIONS(599),
    [sym__ternary_qmark] = ACTIONS(597),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [ts_builtin_sym_end] = ACTIONS(601),
    [sym_identifier] = ACTIONS(603),
    [anon_sym_export] = ACTIONS(603),
    [anon_sym_STAR] = ACTIONS(605),
    [anon_sym_default] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(601),
    [anon_sym_import] = ACTIONS(603),
    [anon_sym_with] = ACTIONS(603),
    [anon_sym_var] = ACTIONS(603),
    [anon_sym_let] = ACTIONS(603),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_else] = ACTIONS(603),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_SEMI] = ACTIONS(601),
    [anon_sym_await] = ACTIONS(603),
    [anon_sym_in] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(603),
    [anon_sym_break] = ACTIONS(603),
    [anon_sym_continue] = ACTIONS(603),
    [anon_sym_debugger] = ACTIONS(603),
    [anon_sym_return] = ACTIONS(603),
    [anon_sym_throw] = ACTIONS(603),
    [anon_sym_case] = ACTIONS(603),
    [anon_sym_yield] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(601),
    [anon_sym_LT] = ACTIONS(603),
    [anon_sym_GT] = ACTIONS(605),
    [anon_sym_DOT] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(601),
    [anon_sym_SQUOTE] = ACTIONS(601),
    [anon_sym_class] = ACTIONS(603),
    [anon_sym_async] = ACTIONS(603),
    [anon_sym_function] = ACTIONS(603),
    [sym_optional_chain] = ACTIONS(607),
    [anon_sym_new] = ACTIONS(603),
    [anon_sym_AMP_AMP] = ACTIONS(607),
    [anon_sym_PIPE_PIPE] = ACTIONS(607),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_GT_GT_GT] = ACTIONS(607),
    [anon_sym_LT_LT] = ACTIONS(607),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(607),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_SLASH] = ACTIONS(603),
    [anon_sym_PERCENT] = ACTIONS(607),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_LT_EQ] = ACTIONS(607),
    [anon_sym_EQ_EQ] = ACTIONS(605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(607),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(607),
    [anon_sym_GT_EQ] = ACTIONS(607),
    [anon_sym_QMARK_QMARK] = ACTIONS(607),
    [anon_sym_instanceof] = ACTIONS(605),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(601),
    [anon_sym_typeof] = ACTIONS(603),
    [anon_sym_void] = ACTIONS(603),
    [anon_sym_delete] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(601),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(601),
    [sym_number] = ACTIONS(601),
    [sym_private_property_identifier] = ACTIONS(601),
    [sym_this] = ACTIONS(603),
    [sym_super] = ACTIONS(603),
    [sym_true] = ACTIONS(603),
    [sym_false] = ACTIONS(603),
    [sym_null] = ACTIONS(603),
    [sym_undefined] = ACTIONS(603),
    [anon_sym_AT] = ACTIONS(601),
    [anon_sym_static] = ACTIONS(603),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [sym__automatic_semicolon] = ACTIONS(609),
    [sym__ternary_qmark] = ACTIONS(607),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1369),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_spread_element] = STATE(1344),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1207),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_repeat1] = STATE(1345),
    [aux_sym_array_pattern_repeat1] = STATE(1341),
    [sym_identifier] = ACTIONS(611),
    [anon_sym_export] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(615),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(613),
    [anon_sym_get] = ACTIONS(613),
    [anon_sym_set] = ACTIONS(613),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(750),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1369),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_spread_element] = STATE(1326),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1207),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_repeat1] = STATE(1328),
    [aux_sym_array_pattern_repeat1] = STATE(1341),
    [sym_identifier] = ACTIONS(611),
    [anon_sym_export] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(615),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(625),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(613),
    [anon_sym_get] = ACTIONS(613),
    [anon_sym_set] = ACTIONS(613),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1369),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_spread_element] = STATE(1344),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1207),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_repeat1] = STATE(1345),
    [aux_sym_array_pattern_repeat1] = STATE(1341),
    [sym_identifier] = ACTIONS(611),
    [anon_sym_export] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(615),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(627),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(613),
    [anon_sym_get] = ACTIONS(613),
    [anon_sym_set] = ACTIONS(613),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(812),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1369),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_spread_element] = STATE(1326),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1207),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_repeat1] = STATE(1328),
    [aux_sym_array_pattern_repeat1] = STATE(1341),
    [sym_identifier] = ACTIONS(611),
    [anon_sym_export] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(615),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(625),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(613),
    [anon_sym_get] = ACTIONS(613),
    [anon_sym_set] = ACTIONS(613),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1369),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_spread_element] = STATE(1344),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1207),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_repeat1] = STATE(1345),
    [aux_sym_array_pattern_repeat1] = STATE(1341),
    [sym_identifier] = ACTIONS(611),
    [anon_sym_export] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(615),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(613),
    [anon_sym_get] = ACTIONS(613),
    [anon_sym_set] = ACTIONS(613),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1369),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_spread_element] = STATE(1344),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1207),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_repeat1] = STATE(1345),
    [aux_sym_array_pattern_repeat1] = STATE(1341),
    [sym_identifier] = ACTIONS(611),
    [anon_sym_export] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(615),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(613),
    [anon_sym_get] = ACTIONS(613),
    [anon_sym_set] = ACTIONS(613),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1369),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_spread_element] = STATE(1344),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1207),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_repeat1] = STATE(1345),
    [aux_sym_array_pattern_repeat1] = STATE(1341),
    [sym_identifier] = ACTIONS(611),
    [anon_sym_export] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(615),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(633),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(613),
    [anon_sym_get] = ACTIONS(613),
    [anon_sym_set] = ACTIONS(613),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_declaration] = STATE(391),
    [sym_import] = STATE(1232),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(831),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_declaration] = STATE(401),
    [sym_import] = STATE(1232),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_declaration] = STATE(401),
    [sym_import] = STATE(1232),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_async] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_declaration] = STATE(391),
    [sym_import] = STATE(1232),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(831),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_class_declaration] = STATE(412),
    [sym_function_expression] = STATE(677),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function] = STATE(677),
    [sym_generator_function_declaration] = STATE(412),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_async] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(343),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_import] = STATE(1272),
    [sym_variable_declaration] = STATE(110),
    [sym_lexical_declaration] = STATE(110),
    [sym_empty_statement] = STATE(110),
    [sym_parenthesized_expression] = STATE(489),
    [sym_expression] = STATE(766),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1342),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1342),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(489),
    [sym_subscript_expression] = STATE(489),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1342),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1717),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(641),
    [anon_sym_export] = ACTIONS(643),
    [anon_sym_LBRACE] = ACTIONS(645),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(647),
    [anon_sym_let] = ACTIONS(649),
    [anon_sym_const] = ACTIONS(651),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(655),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(643),
    [anon_sym_get] = ACTIONS(643),
    [anon_sym_set] = ACTIONS(643),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_import] = STATE(1272),
    [sym_variable_declaration] = STATE(111),
    [sym_lexical_declaration] = STATE(111),
    [sym_empty_statement] = STATE(111),
    [sym_parenthesized_expression] = STATE(489),
    [sym_expression] = STATE(817),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1342),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1342),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(489),
    [sym_subscript_expression] = STATE(489),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1342),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1719),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(641),
    [anon_sym_export] = ACTIONS(643),
    [anon_sym_LBRACE] = ACTIONS(645),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(647),
    [anon_sym_let] = ACTIONS(649),
    [anon_sym_const] = ACTIONS(651),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(655),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(643),
    [anon_sym_get] = ACTIONS(643),
    [anon_sym_set] = ACTIONS(643),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1175),
    [sym_assignment_pattern] = STATE(1369),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1175),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1175),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [sym_pattern] = STATE(1207),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_pattern_repeat1] = STATE(1341),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_export] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(665),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(661),
    [anon_sym_set] = ACTIONS(661),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(779),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1429),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_spread_element] = STATE(1279),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1280),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(611),
    [anon_sym_export] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(677),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(613),
    [anon_sym_get] = ACTIONS(613),
    [anon_sym_set] = ACTIONS(613),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(865),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1369),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(498),
    [sym_subscript_expression] = STATE(498),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1207),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_pattern_repeat1] = STATE(1341),
    [sym_identifier] = ACTIONS(680),
    [anon_sym_export] = ACTIONS(682),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_COMMA] = ACTIONS(665),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(682),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(686),
    [anon_sym_RBRACK] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(688),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(690),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(682),
    [anon_sym_get] = ACTIONS(682),
    [anon_sym_set] = ACTIONS(682),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1175),
    [sym_assignment_pattern] = STATE(1343),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1175),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1175),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [sym_pattern] = STATE(1203),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_pattern_repeat1] = STATE(1346),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_export] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(665),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(692),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(661),
    [anon_sym_set] = ACTIONS(661),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(776),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1277),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1617),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1243),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(611),
    [anon_sym_export] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(694),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(613),
    [anon_sym_get] = ACTIONS(613),
    [anon_sym_set] = ACTIONS(613),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(753),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1277),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1670),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1243),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(611),
    [anon_sym_export] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(694),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(613),
    [anon_sym_get] = ACTIONS(613),
    [anon_sym_set] = ACTIONS(613),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1175),
    [sym_assignment_pattern] = STATE(1429),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1175),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1175),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [sym_pattern] = STATE(1280),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_export] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(696),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(696),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(661),
    [anon_sym_set] = ACTIONS(661),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(754),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_spread_element] = STATE(1319),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_COMMA] = ACTIONS(698),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(700),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(702),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1175),
    [sym_assignment_pattern] = STATE(1277),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1175),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1175),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [sym_pattern] = STATE(1243),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_export] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(694),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(661),
    [anon_sym_set] = ACTIONS(661),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1175),
    [sym_assignment_pattern] = STATE(1381),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1175),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1175),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [sym_pattern] = STATE(1298),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_export] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(704),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(661),
    [anon_sym_set] = ACTIONS(661),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(769),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_spread_element] = STATE(1362),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_repeat1] = STATE(1364),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_COMMA] = ACTIONS(698),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(706),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(702),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1175),
    [sym_assignment_pattern] = STATE(1381),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1175),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1175),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [sym_pattern] = STATE(1298),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_export] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(708),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(661),
    [anon_sym_set] = ACTIONS(661),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(755),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_spread_element] = STATE(1303),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [aux_sym_array_repeat1] = STATE(1304),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_COMMA] = ACTIONS(698),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(710),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(702),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(779),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_spread_element] = STATE(1279),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_COMMA] = ACTIONS(712),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(712),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_RBRACK] = ACTIONS(712),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(702),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(821),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1135),
    [sym_assignment_pattern] = STATE(1454),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1135),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1135),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [sym_pattern] = STATE(1282),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(611),
    [anon_sym_export] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(613),
    [anon_sym_get] = ACTIONS(613),
    [anon_sym_set] = ACTIONS(613),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(771),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_spread_element] = STATE(1675),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1675),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_RBRACE] = ACTIONS(714),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(702),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(797),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_spread_element] = STATE(1690),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1690),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(702),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1175),
    [sym_assignment_pattern] = STATE(1454),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1175),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1175),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [sym_pattern] = STATE(1282),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_export] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(661),
    [anon_sym_set] = ACTIONS(661),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1175),
    [sym_assignment_pattern] = STATE(1381),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1175),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1175),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [sym_pattern] = STATE(1298),
    [sym_rest_pattern] = STATE(1138),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_export] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(661),
    [anon_sym_set] = ACTIONS(661),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(1272),
    [sym_empty_statement] = STATE(121),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(783),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1621),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(746),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1568),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(718),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym__automatic_semicolon] = ACTIONS(718),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(1272),
    [sym_empty_statement] = STATE(113),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(778),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1639),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(1272),
    [sym_empty_statement] = STATE(120),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(803),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1638),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(1272),
    [sym_empty_statement] = STATE(117),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(805),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1647),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1657),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(720),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(501),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1325),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1325),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(501),
    [sym_subscript_expression] = STATE(501),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1325),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(722),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_LBRACE] = ACTIONS(645),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_var] = ACTIONS(726),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_const] = ACTIONS(730),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(732),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(734),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(724),
    [anon_sym_set] = ACTIONS(724),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(788),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1669),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(736),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(811),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1652),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(738),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(789),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1673),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(740),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(807),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1658),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(742),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(791),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1678),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(744),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(784),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1651),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(746),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(777),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1645),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(748),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(630),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(714),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(532),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(782),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(543),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(787),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(548),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(810),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(558),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(814),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(560),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(786),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(561),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(764),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(561),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(603),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(763),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1664),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_namespace_export] = STATE(1424),
    [sym_export_clause] = STATE(1271),
    [sym_declaration] = STATE(397),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_class_declaration] = STATE(412),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function_declaration] = STATE(412),
    [sym_decorator] = STATE(1006),
    [aux_sym_export_statement_repeat1] = STATE(1220),
    [aux_sym_object_repeat1] = STATE(1350),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [anon_sym_STAR] = ACTIONS(758),
    [anon_sym_default] = ACTIONS(760),
    [anon_sym_LBRACE] = ACTIONS(762),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(766),
    [anon_sym_var] = ACTIONS(768),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_const] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_class] = ACTIONS(782),
    [anon_sym_async] = ACTIONS(784),
    [anon_sym_function] = ACTIONS(786),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(764),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(813),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1656),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_namespace_export] = STATE(1424),
    [sym_export_clause] = STATE(1271),
    [sym_declaration] = STATE(397),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_class_declaration] = STATE(412),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function_declaration] = STATE(412),
    [sym_decorator] = STATE(1006),
    [aux_sym_export_statement_repeat1] = STATE(1220),
    [aux_sym_object_repeat1] = STATE(1310),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [anon_sym_STAR] = ACTIONS(758),
    [anon_sym_default] = ACTIONS(760),
    [anon_sym_LBRACE] = ACTIONS(762),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(792),
    [anon_sym_var] = ACTIONS(768),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_const] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_class] = ACTIONS(782),
    [anon_sym_async] = ACTIONS(784),
    [anon_sym_function] = ACTIONS(786),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(764),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(752),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1625),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(794),
    [anon_sym_export] = ACTIONS(796),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(798),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(796),
    [anon_sym_get] = ACTIONS(796),
    [anon_sym_set] = ACTIONS(796),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(772),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1627),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_namespace_export] = STATE(1424),
    [sym_export_clause] = STATE(1271),
    [sym_declaration] = STATE(397),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_class_declaration] = STATE(412),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function_declaration] = STATE(412),
    [sym_decorator] = STATE(1006),
    [aux_sym_export_statement_repeat1] = STATE(1220),
    [aux_sym_object_repeat1] = STATE(1350),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [anon_sym_STAR] = ACTIONS(758),
    [anon_sym_default] = ACTIONS(760),
    [anon_sym_LBRACE] = ACTIONS(762),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_var] = ACTIONS(768),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_const] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_class] = ACTIONS(782),
    [anon_sym_async] = ACTIONS(784),
    [anon_sym_function] = ACTIONS(786),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(764),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(780),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1642),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(760),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1660),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(747),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_sequence_expression] = STATE(1570),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(729),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(730),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(461),
    [sym_expression] = STATE(868),
    [sym_primary_expression] = STATE(579),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(584),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(804),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(804),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DOT] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(804),
    [anon_sym_get] = ACTIONS(804),
    [anon_sym_set] = ACTIONS(804),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(625),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(733),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(622),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(623),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(560),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(589),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(628),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(629),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(756),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1681),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(685),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(694),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(770),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1672),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(729),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(709),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(622),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(712),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(628),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(713),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(774),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1615),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(773),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1694),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(630),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(631),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(768),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1695),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(765),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1650),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(532),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(582),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(543),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(585),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(548),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(578),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(461),
    [sym_expression] = STATE(868),
    [sym_primary_expression] = STATE(579),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(584),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_export] = ACTIONS(814),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(814),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DOT] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(816),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(809),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1687),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(685),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(686),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(775),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1668),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(532),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(835),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(543),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(838),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(548),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(851),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(558),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(852),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(560),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(853),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(561),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(854),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(503),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_export] = ACTIONS(820),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(820),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(822),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(820),
    [anon_sym_get] = ACTIONS(820),
    [anon_sym_set] = ACTIONS(820),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(1272),
    [sym_statement_block] = STATE(558),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(587),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(1232),
    [sym_statement_block] = STATE(625),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(690),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(673),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(862),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(858),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(666),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(821),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(611),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(684),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(687),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(859),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(691),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(758),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(697),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(710),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(711),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(715),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(716),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(717),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(719),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(720),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(721),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(722),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(737),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1219),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1219),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(493),
    [sym_subscript_expression] = STATE(493),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1219),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(826),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(828),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(830),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(826),
    [anon_sym_set] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(728),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(510),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(507),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(580),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(575),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(583),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(586),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(588),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(607),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(590),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(591),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(592),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(574),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(593),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(594),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(595),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(602),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(576),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(863),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(865),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(596),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(513),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(734),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(738),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(815),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(736),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(739),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(510),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(507),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(781),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(818),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(790),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(792),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(793),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(794),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(795),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(798),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(799),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(800),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(801),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(802),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(804),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(806),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(808),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(757),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(513),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1159),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1159),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1159),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(832),
    [anon_sym_export] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(836),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(838),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(834),
    [anon_sym_get] = ACTIONS(834),
    [anon_sym_set] = ACTIONS(834),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(737),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(611),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(689),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(693),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(695),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(860),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(696),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(698),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(699),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(700),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(701),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(702),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(703),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(704),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(705),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(706),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(707),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(708),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(861),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(832),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(443),
    [sym_expression] = STATE(833),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1649),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1649),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1019),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1649),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1666),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(347),
    [anon_sym_export] = ACTIONS(349),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(383),
    [anon_sym_void] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(395),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(349),
    [anon_sym_get] = ACTIONS(349),
    [anon_sym_set] = ACTIONS(349),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(718),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1708),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1708),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1018),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1709),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_typeof] = ACTIONS(433),
    [anon_sym_void] = ACTIONS(433),
    [anon_sym_delete] = ACTIONS(433),
    [anon_sym_PLUS_PLUS] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(439),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(441),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(421),
    [anon_sym_set] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1232),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(624),
    [sym_primary_expression] = STATE(614),
    [sym_yield_expression] = STATE(672),
    [sym_object] = STATE(677),
    [sym_object_pattern] = STATE(1644),
    [sym_array] = STATE(677),
    [sym_array_pattern] = STATE(1644),
    [sym_jsx_element] = STATE(672),
    [sym_jsx_opening_element] = STATE(1043),
    [sym_jsx_self_closing_element] = STATE(672),
    [sym_class] = STATE(677),
    [sym_function_expression] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(672),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(672),
    [sym__augmented_assignment_lhs] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(672),
    [sym__destructuring_pattern] = STATE(1644),
    [sym_ternary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_string] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(1204),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_export] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(407),
    [anon_sym_import] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(73),
    [anon_sym_DASH] = ACTIONS(73),
    [anon_sym_SLASH] = ACTIONS(75),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_typeof] = ACTIONS(73),
    [anon_sym_void] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(403),
    [anon_sym_get] = ACTIONS(403),
    [anon_sym_set] = ACTIONS(403),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(510),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(507),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(836),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(837),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(839),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(840),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(841),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(842),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(843),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(844),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(845),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(846),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(847),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(848),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(849),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(850),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(819),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(855),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(502),
    [sym_expression] = STATE(513),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1720),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1720),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(502),
    [sym_subscript_expression] = STATE(502),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1720),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(473),
    [anon_sym_export] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_typeof] = ACTIONS(487),
    [anon_sym_void] = ACTIONS(487),
    [anon_sym_delete] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(493),
    [anon_sym_DASH_DASH] = ACTIONS(493),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(495),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(475),
    [anon_sym_get] = ACTIONS(475),
    [anon_sym_set] = ACTIONS(475),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(864),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(1272),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(785),
    [sym_primary_expression] = STATE(509),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(523),
    [sym_object_pattern] = STATE(1663),
    [sym_array] = STATE(523),
    [sym_array_pattern] = STATE(1663),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_opening_element] = STATE(1037),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(523),
    [sym_function_expression] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_arrow_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(524),
    [sym__augmented_assignment_lhs] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym__destructuring_pattern] = STATE(1663),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym_decorator] = STATE(1006),
    [sym_formal_parameters] = STATE(1655),
    [aux_sym_export_statement_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_class] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(459),
    [anon_sym_function] = ACTIONS(379),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_SLASH] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [sym_number] = ACTIONS(393),
    [sym_private_property_identifier] = ACTIONS(469),
    [sym_this] = ACTIONS(397),
    [sym_super] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_undefined] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_get] = ACTIONS(447),
    [anon_sym_set] = ACTIONS(447),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_string] = STATE(1412),
    [sym_formal_parameters] = STATE(1633),
    [sym__property_name] = STATE(1412),
    [sym_computed_property_name] = STATE(1412),
    [aux_sym_object_repeat1] = STATE(1350),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(840),
    [anon_sym_export] = ACTIONS(842),
    [anon_sym_STAR] = ACTIONS(844),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(766),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [anon_sym_SQUOTE] = ACTIONS(856),
    [anon_sym_async] = ACTIONS(842),
    [anon_sym_function] = ACTIONS(858),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym_number] = ACTIONS(860),
    [sym_private_property_identifier] = ACTIONS(860),
    [anon_sym_static] = ACTIONS(842),
    [anon_sym_get] = ACTIONS(862),
    [anon_sym_set] = ACTIONS(862),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_namespace_export] = STATE(1424),
    [sym_export_clause] = STATE(1271),
    [sym_declaration] = STATE(397),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_class_declaration] = STATE(412),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function_declaration] = STATE(412),
    [sym_decorator] = STATE(1006),
    [aux_sym_export_statement_repeat1] = STATE(1220),
    [anon_sym_STAR] = ACTIONS(758),
    [anon_sym_default] = ACTIONS(760),
    [anon_sym_LBRACE] = ACTIONS(762),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_var] = ACTIONS(768),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_const] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(764),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(864),
    [anon_sym_EQ] = ACTIONS(866),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_class] = ACTIONS(782),
    [anon_sym_async] = ACTIONS(784),
    [anon_sym_function] = ACTIONS(786),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(764),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_string] = STATE(1412),
    [sym_formal_parameters] = STATE(1633),
    [sym__property_name] = STATE(1412),
    [sym_computed_property_name] = STATE(1412),
    [aux_sym_object_repeat1] = STATE(1350),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(840),
    [anon_sym_export] = ACTIONS(842),
    [anon_sym_STAR] = ACTIONS(844),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [anon_sym_SQUOTE] = ACTIONS(856),
    [anon_sym_async] = ACTIONS(842),
    [anon_sym_function] = ACTIONS(858),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym_number] = ACTIONS(860),
    [sym_private_property_identifier] = ACTIONS(860),
    [anon_sym_static] = ACTIONS(842),
    [anon_sym_get] = ACTIONS(862),
    [anon_sym_set] = ACTIONS(862),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_string] = STATE(1412),
    [sym_formal_parameters] = STATE(1633),
    [sym__property_name] = STATE(1412),
    [sym_computed_property_name] = STATE(1412),
    [aux_sym_object_repeat1] = STATE(1310),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(840),
    [anon_sym_export] = ACTIONS(842),
    [anon_sym_STAR] = ACTIONS(844),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(792),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [anon_sym_SQUOTE] = ACTIONS(856),
    [anon_sym_async] = ACTIONS(842),
    [anon_sym_function] = ACTIONS(858),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym_number] = ACTIONS(860),
    [sym_private_property_identifier] = ACTIONS(860),
    [anon_sym_static] = ACTIONS(842),
    [anon_sym_get] = ACTIONS(862),
    [anon_sym_set] = ACTIONS(862),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_namespace_export] = STATE(1424),
    [sym_export_clause] = STATE(1271),
    [sym_declaration] = STATE(397),
    [sym_variable_declaration] = STATE(412),
    [sym_lexical_declaration] = STATE(412),
    [sym_class_declaration] = STATE(412),
    [sym_function_declaration] = STATE(412),
    [sym_generator_function_declaration] = STATE(412),
    [sym_decorator] = STATE(1006),
    [aux_sym_export_statement_repeat1] = STATE(1220),
    [anon_sym_STAR] = ACTIONS(758),
    [anon_sym_default] = ACTIONS(868),
    [anon_sym_LBRACE] = ACTIONS(762),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_var] = ACTIONS(768),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_const] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(764),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(870),
    [anon_sym_EQ] = ACTIONS(866),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_class] = ACTIONS(782),
    [anon_sym_async] = ACTIONS(784),
    [anon_sym_function] = ACTIONS(786),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(764),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_string] = STATE(1412),
    [sym__property_name] = STATE(1412),
    [sym_computed_property_name] = STATE(1412),
    [aux_sym_object_repeat1] = STATE(1310),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(872),
    [anon_sym_export] = ACTIONS(872),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(792),
    [anon_sym_let] = ACTIONS(872),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [anon_sym_SQUOTE] = ACTIONS(856),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym_number] = ACTIONS(860),
    [sym_private_property_identifier] = ACTIONS(860),
    [anon_sym_static] = ACTIONS(872),
    [anon_sym_get] = ACTIONS(872),
    [anon_sym_set] = ACTIONS(872),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_string] = STATE(1412),
    [sym__property_name] = STATE(1412),
    [sym_computed_property_name] = STATE(1412),
    [aux_sym_object_repeat1] = STATE(1350),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(872),
    [anon_sym_export] = ACTIONS(872),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_let] = ACTIONS(872),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [anon_sym_SQUOTE] = ACTIONS(856),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym_number] = ACTIONS(860),
    [sym_private_property_identifier] = ACTIONS(860),
    [anon_sym_static] = ACTIONS(872),
    [anon_sym_get] = ACTIONS(872),
    [anon_sym_set] = ACTIONS(872),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_string] = STATE(1412),
    [sym__property_name] = STATE(1412),
    [sym_computed_property_name] = STATE(1412),
    [aux_sym_object_repeat1] = STATE(1350),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(872),
    [anon_sym_export] = ACTIONS(872),
    [anon_sym_STAR] = ACTIONS(844),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_let] = ACTIONS(872),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [anon_sym_SQUOTE] = ACTIONS(856),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym_number] = ACTIONS(860),
    [sym_private_property_identifier] = ACTIONS(860),
    [anon_sym_static] = ACTIONS(872),
    [anon_sym_get] = ACTIONS(876),
    [anon_sym_set] = ACTIONS(876),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_string] = STATE(1412),
    [sym__property_name] = STATE(1412),
    [sym_computed_property_name] = STATE(1412),
    [aux_sym_object_repeat1] = STATE(1350),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(872),
    [anon_sym_export] = ACTIONS(872),
    [anon_sym_STAR] = ACTIONS(844),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(766),
    [anon_sym_let] = ACTIONS(872),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [anon_sym_SQUOTE] = ACTIONS(856),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym_number] = ACTIONS(860),
    [sym_private_property_identifier] = ACTIONS(860),
    [anon_sym_static] = ACTIONS(872),
    [anon_sym_get] = ACTIONS(876),
    [anon_sym_set] = ACTIONS(876),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_string] = STATE(1412),
    [sym__property_name] = STATE(1412),
    [sym_computed_property_name] = STATE(1412),
    [aux_sym_object_repeat1] = STATE(1310),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(872),
    [anon_sym_export] = ACTIONS(872),
    [anon_sym_STAR] = ACTIONS(844),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(792),
    [anon_sym_let] = ACTIONS(872),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [anon_sym_SQUOTE] = ACTIONS(856),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym_number] = ACTIONS(860),
    [sym_private_property_identifier] = ACTIONS(860),
    [anon_sym_static] = ACTIONS(872),
    [anon_sym_get] = ACTIONS(876),
    [anon_sym_set] = ACTIONS(876),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_string] = STATE(1412),
    [sym__property_name] = STATE(1412),
    [sym_computed_property_name] = STATE(1412),
    [aux_sym_object_repeat1] = STATE(1350),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(872),
    [anon_sym_export] = ACTIONS(872),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(766),
    [anon_sym_let] = ACTIONS(872),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [anon_sym_SQUOTE] = ACTIONS(856),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym_number] = ACTIONS(860),
    [sym_private_property_identifier] = ACTIONS(860),
    [anon_sym_static] = ACTIONS(872),
    [anon_sym_get] = ACTIONS(872),
    [anon_sym_set] = ACTIONS(872),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_formal_parameters] = STATE(1707),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(764),
    [anon_sym_let] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_RPAREN] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(764),
    [anon_sym_EQ] = ACTIONS(885),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_RBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(880),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_EQ_GT] = ACTIONS(889),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_formal_parameters] = STATE(1707),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(764),
    [anon_sym_let] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_RPAREN] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(764),
    [anon_sym_EQ] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_RBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(880),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_EQ_GT] = ACTIONS(889),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(499),
    [sym_identifier] = ACTIONS(501),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym_default] = ACTIONS(501),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_COMMA] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(499),
    [anon_sym_import] = ACTIONS(501),
    [anon_sym_with] = ACTIONS(501),
    [anon_sym_var] = ACTIONS(501),
    [anon_sym_let] = ACTIONS(501),
    [anon_sym_const] = ACTIONS(501),
    [anon_sym_else] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_SEMI] = ACTIONS(499),
    [anon_sym_await] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_do] = ACTIONS(501),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_break] = ACTIONS(501),
    [anon_sym_continue] = ACTIONS(501),
    [anon_sym_debugger] = ACTIONS(501),
    [anon_sym_return] = ACTIONS(501),
    [anon_sym_throw] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(501),
    [anon_sym_catch] = ACTIONS(501),
    [anon_sym_finally] = ACTIONS(501),
    [anon_sym_yield] = ACTIONS(501),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_LT] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(499),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_class] = ACTIONS(501),
    [anon_sym_async] = ACTIONS(501),
    [anon_sym_function] = ACTIONS(501),
    [anon_sym_new] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_SLASH] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(499),
    [anon_sym_TILDE] = ACTIONS(499),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(499),
    [anon_sym_DASH_DASH] = ACTIONS(499),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(499),
    [sym_number] = ACTIONS(499),
    [sym_private_property_identifier] = ACTIONS(499),
    [sym_this] = ACTIONS(501),
    [sym_super] = ACTIONS(501),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [sym_null] = ACTIONS(501),
    [sym_undefined] = ACTIONS(501),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_static] = ACTIONS(501),
    [anon_sym_get] = ACTIONS(501),
    [anon_sym_set] = ACTIONS(501),
    [sym__automatic_semicolon] = ACTIONS(893),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(503),
    [sym_identifier] = ACTIONS(505),
    [anon_sym_export] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(505),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COMMA] = ACTIONS(503),
    [anon_sym_RBRACE] = ACTIONS(503),
    [anon_sym_import] = ACTIONS(505),
    [anon_sym_with] = ACTIONS(505),
    [anon_sym_var] = ACTIONS(505),
    [anon_sym_let] = ACTIONS(505),
    [anon_sym_const] = ACTIONS(505),
    [anon_sym_else] = ACTIONS(505),
    [anon_sym_if] = ACTIONS(505),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_LPAREN] = ACTIONS(503),
    [anon_sym_SEMI] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_while] = ACTIONS(505),
    [anon_sym_do] = ACTIONS(505),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_break] = ACTIONS(505),
    [anon_sym_continue] = ACTIONS(505),
    [anon_sym_debugger] = ACTIONS(505),
    [anon_sym_return] = ACTIONS(505),
    [anon_sym_throw] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(505),
    [anon_sym_catch] = ACTIONS(505),
    [anon_sym_finally] = ACTIONS(505),
    [anon_sym_yield] = ACTIONS(505),
    [anon_sym_LBRACK] = ACTIONS(503),
    [anon_sym_LT] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [anon_sym_SQUOTE] = ACTIONS(503),
    [anon_sym_class] = ACTIONS(505),
    [anon_sym_async] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(505),
    [anon_sym_DASH] = ACTIONS(505),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(503),
    [anon_sym_TILDE] = ACTIONS(503),
    [anon_sym_typeof] = ACTIONS(505),
    [anon_sym_void] = ACTIONS(505),
    [anon_sym_delete] = ACTIONS(505),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_number] = ACTIONS(503),
    [sym_private_property_identifier] = ACTIONS(503),
    [sym_this] = ACTIONS(505),
    [sym_super] = ACTIONS(505),
    [sym_true] = ACTIONS(505),
    [sym_false] = ACTIONS(505),
    [sym_null] = ACTIONS(505),
    [sym_undefined] = ACTIONS(505),
    [anon_sym_AT] = ACTIONS(503),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [sym__automatic_semicolon] = ACTIONS(513),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_variable_declarator] = STATE(1260),
    [sym_object_pattern] = STATE(1191),
    [sym_array_pattern] = STATE(1191),
    [sym__destructuring_pattern] = STATE(1191),
    [aux_sym_object_repeat1] = STATE(1310),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(792),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_variable_declarator] = STATE(1260),
    [sym_object_pattern] = STATE(1191),
    [sym_array_pattern] = STATE(1191),
    [sym__destructuring_pattern] = STATE(1191),
    [aux_sym_object_repeat1] = STATE(1350),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_variable_declarator] = STATE(1260),
    [sym_object_pattern] = STATE(1191),
    [sym_array_pattern] = STATE(1191),
    [sym__destructuring_pattern] = STATE(1191),
    [aux_sym_object_repeat1] = STATE(1350),
    [aux_sym_object_pattern_repeat1] = STATE(1311),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(766),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_formal_parameters] = STATE(1707),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(880),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_let] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_RPAREN] = ACTIONS(901),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_RBRACK] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(880),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_EQ_GT] = ACTIONS(889),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_formal_parameters] = STATE(1633),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_export] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(870),
    [anon_sym_EQ] = ACTIONS(866),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(909),
    [anon_sym_function] = ACTIONS(911),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(909),
    [anon_sym_get] = ACTIONS(909),
    [anon_sym_set] = ACTIONS(909),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_formal_parameters] = STATE(1671),
    [sym_identifier] = ACTIONS(913),
    [anon_sym_export] = ACTIONS(915),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_of] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(919),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(915),
    [anon_sym_get] = ACTIONS(915),
    [anon_sym_set] = ACTIONS(915),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_formal_parameters] = STATE(1619),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_export] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_RPAREN] = ACTIONS(927),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(929),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_RBRACK] = ACTIONS(927),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_EQ_GT] = ACTIONS(932),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(925),
    [anon_sym_get] = ACTIONS(925),
    [anon_sym_set] = ACTIONS(925),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_formal_parameters] = STATE(1633),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_export] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(764),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(866),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(909),
    [anon_sym_function] = ACTIONS(919),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(909),
    [anon_sym_get] = ACTIONS(909),
    [anon_sym_set] = ACTIONS(909),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_formal_parameters] = STATE(1671),
    [sym_identifier] = ACTIONS(913),
    [anon_sym_export] = ACTIONS(915),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_of] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(919),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(915),
    [anon_sym_get] = ACTIONS(915),
    [anon_sym_set] = ACTIONS(915),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_formal_parameters] = STATE(1633),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_export] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(864),
    [anon_sym_EQ] = ACTIONS(866),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(909),
    [anon_sym_function] = ACTIONS(858),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(909),
    [anon_sym_get] = ACTIONS(909),
    [anon_sym_set] = ACTIONS(909),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_formal_parameters] = STATE(1633),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_export] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(764),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(909),
    [anon_sym_function] = ACTIONS(919),
    [anon_sym_EQ_GT] = ACTIONS(788),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(909),
    [anon_sym_get] = ACTIONS(909),
    [anon_sym_set] = ACTIONS(909),
    [sym__automatic_semicolon] = ACTIONS(764),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_catch_clause] = STATE(333),
    [sym_finally_clause] = STATE(367),
    [ts_builtin_sym_end] = ACTIONS(934),
    [sym_identifier] = ACTIONS(936),
    [anon_sym_export] = ACTIONS(936),
    [anon_sym_default] = ACTIONS(936),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_RBRACE] = ACTIONS(934),
    [anon_sym_import] = ACTIONS(936),
    [anon_sym_with] = ACTIONS(936),
    [anon_sym_var] = ACTIONS(936),
    [anon_sym_let] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(936),
    [anon_sym_else] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_switch] = ACTIONS(936),
    [anon_sym_for] = ACTIONS(936),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_await] = ACTIONS(936),
    [anon_sym_while] = ACTIONS(936),
    [anon_sym_do] = ACTIONS(936),
    [anon_sym_try] = ACTIONS(936),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(936),
    [anon_sym_debugger] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(936),
    [anon_sym_throw] = ACTIONS(936),
    [anon_sym_case] = ACTIONS(936),
    [anon_sym_catch] = ACTIONS(938),
    [anon_sym_finally] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(936),
    [anon_sym_LBRACK] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(934),
    [anon_sym_SQUOTE] = ACTIONS(934),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(936),
    [anon_sym_new] = ACTIONS(936),
    [anon_sym_PLUS] = ACTIONS(936),
    [anon_sym_DASH] = ACTIONS(936),
    [anon_sym_SLASH] = ACTIONS(936),
    [anon_sym_BANG] = ACTIONS(934),
    [anon_sym_TILDE] = ACTIONS(934),
    [anon_sym_typeof] = ACTIONS(936),
    [anon_sym_void] = ACTIONS(936),
    [anon_sym_delete] = ACTIONS(936),
    [anon_sym_PLUS_PLUS] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(934),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(934),
    [sym_number] = ACTIONS(934),
    [sym_private_property_identifier] = ACTIONS(934),
    [sym_this] = ACTIONS(936),
    [sym_super] = ACTIONS(936),
    [sym_true] = ACTIONS(936),
    [sym_false] = ACTIONS(936),
    [sym_null] = ACTIONS(936),
    [sym_undefined] = ACTIONS(936),
    [anon_sym_AT] = ACTIONS(934),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_get] = ACTIONS(936),
    [anon_sym_set] = ACTIONS(936),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_formal_parameters] = STATE(1619),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_export] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(942),
    [anon_sym_RBRACE] = ACTIONS(942),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_RPAREN] = ACTIONS(942),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_RBRACK] = ACTIONS(942),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_EQ_GT] = ACTIONS(932),
    [sym_optional_chain] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(790),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_GT_GT_GT] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_QMARK_QMARK] = ACTIONS(775),
    [anon_sym_instanceof] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(925),
    [anon_sym_get] = ACTIONS(925),
    [anon_sym_set] = ACTIONS(925),
    [sym__ternary_qmark] = ACTIONS(764),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(499), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(501), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [71] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(519), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(521), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [142] = 13,
    ACTIONS(878), 1,
      sym_identifier,
    ACTIONS(882), 1,
      anon_sym_LPAREN,
    ACTIONS(885), 1,
      anon_sym_EQ,
    ACTIONS(887), 1,
      anon_sym_function,
    ACTIONS(889), 1,
      anon_sym_EQ_GT,
    ACTIONS(944), 1,
      anon_sym_in,
    ACTIONS(947), 1,
      anon_sym_of,
    STATE(1707), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(880), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(764), 13,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [233] = 12,
    ACTIONS(878), 1,
      sym_identifier,
    ACTIONS(882), 1,
      anon_sym_LPAREN,
    ACTIONS(885), 1,
      anon_sym_EQ,
    ACTIONS(887), 1,
      anon_sym_function,
    ACTIONS(889), 1,
      anon_sym_EQ_GT,
    STATE(1707), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(949), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(880), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(764), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [322] = 13,
    ACTIONS(878), 1,
      sym_identifier,
    ACTIONS(882), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_function,
    ACTIONS(889), 1,
      anon_sym_EQ_GT,
    ACTIONS(901), 1,
      anon_sym_RBRACK,
    ACTIONS(904), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_COMMA,
    STATE(1707), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(880), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(764), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [412] = 11,
    ACTIONS(882), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_function,
    ACTIONS(891), 1,
      anon_sym_EQ,
    ACTIONS(923), 1,
      sym_identifier,
    ACTIONS(932), 1,
      anon_sym_EQ_GT,
    STATE(1619), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(925), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(764), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [498] = 11,
    ACTIONS(788), 1,
      anon_sym_EQ_GT,
    ACTIONS(858), 1,
      anon_sym_function,
    ACTIONS(866), 1,
      anon_sym_EQ,
    ACTIONS(882), 1,
      anon_sym_LPAREN,
    ACTIONS(907), 1,
      sym_identifier,
    STATE(1633), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(909), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(764), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [584] = 5,
    ACTIONS(940), 1,
      anon_sym_finally,
    STATE(375), 1,
      sym_finally_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(952), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(954), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [658] = 11,
    ACTIONS(788), 1,
      anon_sym_EQ_GT,
    ACTIONS(866), 1,
      anon_sym_EQ,
    ACTIONS(882), 1,
      anon_sym_LPAREN,
    ACTIONS(907), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_function,
    STATE(1633), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(909), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(764), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [744] = 4,
    ACTIONS(956), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(503), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(505), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [815] = 4,
    ACTIONS(958), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(499), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(501), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [886] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(499), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(501), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [955] = 4,
    ACTIONS(539), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(531), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(533), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1026] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(960), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(962), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1095] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(519), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(521), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1164] = 4,
    ACTIONS(549), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(541), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(543), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1235] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(964), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(966), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1304] = 12,
    ACTIONS(788), 1,
      anon_sym_EQ_GT,
    ACTIONS(866), 1,
      anon_sym_EQ,
    ACTIONS(870), 1,
      anon_sym_COLON,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(899), 1,
      anon_sym_LBRACK,
    STATE(1260), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1191), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(764), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1391] = 13,
    ACTIONS(882), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_function,
    ACTIONS(891), 1,
      anon_sym_EQ,
    ACTIONS(923), 1,
      sym_identifier,
    ACTIONS(932), 1,
      anon_sym_EQ_GT,
    ACTIONS(944), 1,
      anon_sym_in,
    ACTIONS(947), 1,
      anon_sym_of,
    STATE(1619), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(925), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(764), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1480] = 5,
    ACTIONS(972), 1,
      anon_sym_else,
    STATE(404), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(968), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(970), 41,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1553] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(974), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(976), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1622] = 4,
    ACTIONS(579), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(571), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(573), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1693] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(523), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(525), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1762] = 4,
    ACTIONS(589), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(581), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(583), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1833] = 4,
    ACTIONS(599), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(591), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(593), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1904] = 4,
    ACTIONS(609), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(601), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(603), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1975] = 12,
    ACTIONS(788), 1,
      anon_sym_EQ_GT,
    ACTIONS(864), 1,
      anon_sym_COLON,
    ACTIONS(866), 1,
      anon_sym_EQ,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(899), 1,
      anon_sym_LBRACK,
    STATE(1260), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1191), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(764), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2062] = 4,
    ACTIONS(559), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(551), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(553), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2133] = 4,
    ACTIONS(569), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(561), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(563), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2204] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(527), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(529), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2273] = 11,
    ACTIONS(882), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_function,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(982), 1,
      anon_sym_EQ,
    ACTIONS(984), 1,
      anon_sym_EQ_GT,
    STATE(1704), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(980), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(764), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2358] = 11,
    ACTIONS(882), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_function,
    ACTIONS(891), 1,
      anon_sym_EQ,
    ACTIONS(978), 1,
      sym_identifier,
    ACTIONS(984), 1,
      anon_sym_EQ_GT,
    STATE(1704), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(980), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(764), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2443] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(990), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(986), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(988), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2514] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(992), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(994), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2583] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(996), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(998), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2651] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1000), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1002), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2719] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1004), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1006), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2787] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1008), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1010), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2855] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1012), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1014), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2923] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1016), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1018), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2991] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1020), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1022), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3059] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1024), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1026), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3127] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1028), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1030), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3195] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1032), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1034), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3263] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1036), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1038), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3331] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1040), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1042), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3399] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1044), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1046), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3467] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1048), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1050), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3535] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1052), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1054), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3603] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1056), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1058), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3671] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1060), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1062), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3739] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1064), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1066), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3807] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1068), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1070), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3875] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1072), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1074), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3943] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1076), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1078), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4011] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1080), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1082), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4079] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1076), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1078), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4147] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1084), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1086), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4215] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1088), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1090), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4283] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1092), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1094), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4351] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1096), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1098), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4419] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1076), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1078), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4487] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1100), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1102), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4555] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1076), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1078), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4623] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1104), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1106), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4691] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1108), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1110), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4759] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1076), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1078), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4827] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1112), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1114), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4895] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1076), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1078), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4963] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1116), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1118), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5031] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1116), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1118), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5099] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1120), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1122), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5167] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1124), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1126), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5235] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1128), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1130), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5303] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1132), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1134), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5371] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1136), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1138), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5439] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1140), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1142), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5507] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1144), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1146), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5575] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1148), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1150), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5643] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1152), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1154), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5711] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1156), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1158), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5779] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1156), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1158), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5847] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1160), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1162), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5915] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1164), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1166), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5983] = 13,
    ACTIONS(885), 1,
      anon_sym_EQ,
    ACTIONS(889), 1,
      anon_sym_EQ_GT,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(899), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 1,
      anon_sym_in,
    ACTIONS(947), 1,
      anon_sym_of,
    ACTIONS(1168), 1,
      sym_identifier,
    STATE(1260), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1099), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(764), 13,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6071] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1170), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1172), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6139] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1174), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1176), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6207] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1178), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1180), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6275] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1182), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1184), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6343] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1186), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1188), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6411] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1190), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1192), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6479] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1012), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1014), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6547] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1194), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1196), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6615] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1198), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1200), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6683] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1202), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1204), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6751] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1206), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1208), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6819] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1212), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6887] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1214), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1216), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6955] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1218), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1220), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7023] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1222), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1224), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7091] = 11,
    ACTIONS(788), 1,
      anon_sym_EQ_GT,
    ACTIONS(866), 1,
      anon_sym_EQ,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(899), 1,
      anon_sym_LBRACK,
    STATE(1260), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1191), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(764), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [7174] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1226), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1228), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7240] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1230), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1232), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7306] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1234), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1236), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7372] = 5,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1240), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7442] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1246), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1248), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7508] = 11,
    ACTIONS(766), 1,
      anon_sym_RBRACE,
    ACTIONS(777), 1,
      anon_sym_COLON,
    ACTIONS(1250), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_EQ,
    ACTIONS(1255), 1,
      anon_sym_EQ_GT,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7590] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(994), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(992), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7656] = 11,
    ACTIONS(777), 1,
      anon_sym_COLON,
    ACTIONS(792), 1,
      anon_sym_RBRACE,
    ACTIONS(1250), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_EQ,
    ACTIONS(1255), 1,
      anon_sym_EQ_GT,
    STATE(1310), 1,
      aux_sym_object_repeat1,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7738] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1257), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1259), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7804] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1261), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1263), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7870] = 11,
    ACTIONS(777), 1,
      anon_sym_COLON,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(1250), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_EQ,
    ACTIONS(1255), 1,
      anon_sym_EQ_GT,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7952] = 6,
    ACTIONS(889), 1,
      anon_sym_EQ_GT,
    ACTIONS(891), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(764), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8023] = 6,
    ACTIONS(885), 1,
      anon_sym_EQ,
    ACTIONS(889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(764), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8094] = 6,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(1265), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8165] = 6,
    ACTIONS(1265), 1,
      anon_sym_EQ_GT,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8236] = 12,
    ACTIONS(891), 1,
      anon_sym_EQ,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(932), 1,
      anon_sym_EQ_GT,
    ACTIONS(944), 1,
      anon_sym_in,
    ACTIONS(947), 1,
      anon_sym_of,
    ACTIONS(1269), 1,
      sym_identifier,
    ACTIONS(1271), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1313), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(764), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [8319] = 5,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8387] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1276), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1274), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8450] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1234), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1236), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8513] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1261), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1263), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8576] = 6,
    ACTIONS(788), 1,
      anon_sym_EQ_GT,
    ACTIONS(866), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(764), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8645] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1280), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1278), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8708] = 6,
    ACTIONS(1255), 1,
      anon_sym_EQ_GT,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8777] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1226), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1228), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8840] = 6,
    ACTIONS(891), 1,
      anon_sym_EQ,
    ACTIONS(921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(764), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8909] = 7,
    ACTIONS(870), 1,
      anon_sym_COLON,
    ACTIONS(1255), 1,
      anon_sym_EQ_GT,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8980] = 7,
    ACTIONS(788), 1,
      anon_sym_EQ_GT,
    ACTIONS(866), 1,
      anon_sym_EQ,
    ACTIONS(870), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(764), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9051] = 6,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(1284), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9120] = 7,
    ACTIONS(889), 1,
      anon_sym_EQ_GT,
    ACTIONS(904), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(901), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(764), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9191] = 7,
    ACTIONS(864), 1,
      anon_sym_COLON,
    ACTIONS(1255), 1,
      anon_sym_EQ_GT,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9262] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1257), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1259), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9325] = 6,
    ACTIONS(1284), 1,
      anon_sym_EQ_GT,
    ACTIONS(1286), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9394] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1276), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1274), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9457] = 6,
    ACTIONS(917), 1,
      anon_sym_EQ,
    ACTIONS(921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(764), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9526] = 5,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9593] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1290), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1288), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9656] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1276), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1274), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9719] = 7,
    ACTIONS(1265), 1,
      anon_sym_EQ_GT,
    ACTIONS(1295), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1292), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9790] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1300), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1298), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9853] = 7,
    ACTIONS(929), 1,
      anon_sym_EQ,
    ACTIONS(932), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(927), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(764), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9924] = 7,
    ACTIONS(891), 1,
      anon_sym_EQ,
    ACTIONS(932), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(942), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(764), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9995] = 7,
    ACTIONS(1304), 1,
      anon_sym_EQ,
    ACTIONS(1307), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1302), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10066] = 7,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(1307), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1309), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10137] = 6,
    ACTIONS(788), 1,
      anon_sym_EQ_GT,
    ACTIONS(891), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(764), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10206] = 6,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(1255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10275] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1276), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1274), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10338] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1313), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1311), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10401] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(992), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(994), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10464] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1246), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1248), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10527] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(994), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(992), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10590] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1230), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1232), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10653] = 7,
    ACTIONS(788), 1,
      anon_sym_EQ_GT,
    ACTIONS(864), 1,
      anon_sym_COLON,
    ACTIONS(866), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(764), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10724] = 7,
    ACTIONS(1265), 1,
      anon_sym_EQ_GT,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1315), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10794] = 8,
    ACTIONS(1265), 1,
      anon_sym_EQ_GT,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(1318), 1,
      anon_sym_in,
    ACTIONS(1321), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10866] = 5,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10932] = 7,
    ACTIONS(885), 1,
      anon_sym_EQ,
    ACTIONS(889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(949), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(764), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11002] = 6,
    ACTIONS(1295), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1292), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11070] = 8,
    ACTIONS(885), 1,
      anon_sym_EQ,
    ACTIONS(889), 1,
      anon_sym_EQ_GT,
    ACTIONS(944), 1,
      anon_sym_in,
    ACTIONS(1323), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(764), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11142] = 6,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1309), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11210] = 6,
    ACTIONS(1304), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1302), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11278] = 5,
    ACTIONS(1286), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1240), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11344] = 8,
    ACTIONS(889), 1,
      anon_sym_EQ_GT,
    ACTIONS(901), 1,
      anon_sym_RBRACK,
    ACTIONS(904), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(764), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11415] = 7,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(1318), 1,
      anon_sym_in,
    ACTIONS(1321), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11484] = 6,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(1307), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11551] = 6,
    ACTIONS(891), 1,
      anon_sym_EQ,
    ACTIONS(932), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(764), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11618] = 8,
    ACTIONS(1265), 1,
      anon_sym_EQ_GT,
    ACTIONS(1292), 1,
      anon_sym_RBRACK,
    ACTIONS(1295), 1,
      anon_sym_EQ,
    ACTIONS(1302), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11689] = 6,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1315), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11756] = 8,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(1307), 1,
      anon_sym_EQ_GT,
    ACTIONS(1318), 1,
      anon_sym_in,
    ACTIONS(1321), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11826] = 6,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(1325), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11892] = 6,
    ACTIONS(982), 1,
      anon_sym_EQ,
    ACTIONS(984), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(764), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11958] = 8,
    ACTIONS(891), 1,
      anon_sym_EQ,
    ACTIONS(932), 1,
      anon_sym_EQ_GT,
    ACTIONS(944), 1,
      anon_sym_in,
    ACTIONS(1323), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(764), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12028] = 7,
    ACTIONS(1292), 1,
      anon_sym_RBRACK,
    ACTIONS(1295), 1,
      anon_sym_EQ,
    ACTIONS(1302), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12096] = 6,
    ACTIONS(891), 1,
      anon_sym_EQ,
    ACTIONS(984), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(764), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(790), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(775), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12162] = 6,
    ACTIONS(1325), 1,
      anon_sym_EQ_GT,
    ACTIONS(1327), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12228] = 7,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(1318), 1,
      anon_sym_in,
    ACTIONS(1321), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12295] = 5,
    ACTIONS(1327), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1240), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1238), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12358] = 10,
    ACTIONS(391), 1,
      anon_sym_BQUOTE,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1339), 1,
      sym_optional_chain,
    STATE(530), 1,
      sym_template_string,
    STATE(541), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1329), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12424] = 7,
    ACTIONS(391), 1,
      anon_sym_BQUOTE,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    STATE(530), 1,
      sym_template_string,
    STATE(541), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1329), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12484] = 5,
    ACTIONS(511), 1,
      anon_sym_EQ,
    ACTIONS(1341), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(505), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(503), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12540] = 4,
    ACTIONS(1343), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(501), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(499), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12593] = 8,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1345), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1347), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12654] = 4,
    ACTIONS(1341), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(505), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(503), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12707] = 8,
    ACTIONS(391), 1,
      anon_sym_BQUOTE,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1339), 1,
      sym_optional_chain,
    STATE(530), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1351), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1353), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12768] = 9,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1357), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [12831] = 4,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12884] = 5,
    ACTIONS(391), 1,
      anon_sym_BQUOTE,
    STATE(530), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1351), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1353), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12939] = 9,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1363), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [13002] = 4,
    ACTIONS(1369), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1365), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1367), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13054] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(545), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(547), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13104] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(575), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(577), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13154] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(555), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(557), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13204] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(565), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(567), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13254] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(585), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(587), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13304] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(595), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(597), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13354] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(605), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(607), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13404] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(537), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13454] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13504] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1351), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1353), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13554] = 5,
    ACTIONS(1378), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1375), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1371), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1373), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13608] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1380), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1382), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13658] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1384), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1386), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13708] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1388), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1390), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13758] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1392), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1394), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13808] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1388), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1390), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13858] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1396), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1398), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13908] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1400), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1402), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13958] = 5,
    ACTIONS(1411), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1408), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1404), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1406), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14012] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1413), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1415), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14062] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1417), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1419), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14112] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1421), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1423), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14162] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1425), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1427), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14212] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(525), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(523), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14262] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1429), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1431), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14312] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1433), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1435), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14362] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1437), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1439), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14412] = 5,
    ACTIONS(511), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1441), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(507), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(509), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14466] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1444), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1446), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14516] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1448), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1450), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1452), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14616] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1456), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1458), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14666] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1460), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1462), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14716] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1464), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1466), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14766] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14816] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1472), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1474), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14866] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1476), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1478), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14916] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1480), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1482), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14966] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1484), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1486), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15016] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1484), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1486), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15066] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1484), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1486), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15116] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1484), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1486), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15166] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(529), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(527), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15216] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1488), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1490), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15266] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1492), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1494), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15316] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1496), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1498), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15366] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1500), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1502), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15416] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1504), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1506), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15466] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1508), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1510), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15516] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1514), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1516), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1518), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15616] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1520), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1522), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15666] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1524), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1526), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15716] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1528), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1530), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15766] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1532), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1534), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15816] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(501), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(499), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15866] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1536), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1538), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15916] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(521), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(519), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15966] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1540), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1542), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16016] = 19,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1554), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [16097] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1568), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16190] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1584), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16283] = 4,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16334] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1466), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16427] = 10,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1592), 1,
      sym_optional_chain,
    STATE(674), 1,
      sym_template_string,
    STATE(681), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1329), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [16490] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1594), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16583] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1596), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16676] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1402), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16769] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1598), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16862] = 7,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    STATE(674), 1,
      sym_template_string,
    STATE(681), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1329), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [16919] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1446), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [17012] = 15,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1554), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [17085] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1490), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [17178] = 10,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 20,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [17241] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1498), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [17334] = 21,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 11,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17419] = 22,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17506] = 13,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1554), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [17575] = 20,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1554), 1,
      anon_sym_PIPE,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17658] = 21,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1554), 1,
      anon_sym_PIPE,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 11,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17743] = 12,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [17810] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1600), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [17903] = 4,
    ACTIONS(1378), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1371), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1373), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17954] = 10,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 20,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [18017] = 4,
    ACTIONS(1411), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1404), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1406), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18068] = 17,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1554), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 14,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [18145] = 4,
    ACTIONS(511), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(507), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(509), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18196] = 23,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [18285] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1502), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [18378] = 5,
    ACTIONS(511), 1,
      anon_sym_EQ,
    ACTIONS(517), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(505), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(503), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18430] = 6,
    ACTIONS(511), 1,
      anon_sym_EQ,
    ACTIONS(513), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(503), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(507), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(509), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18484] = 4,
    ACTIONS(1378), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1371), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1373), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18534] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1602), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [18626] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1532), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1534), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18674] = 9,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1357), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [18734] = 4,
    ACTIONS(1411), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1404), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1406), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18784] = 8,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1345), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1347), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18842] = 4,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18892] = 4,
    ACTIONS(511), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(507), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(509), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18942] = 8,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1592), 1,
      sym_optional_chain,
    STATE(674), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1351), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1353), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [19000] = 5,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    STATE(674), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1351), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1353), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [19052] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1536), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1538), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19100] = 9,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1363), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [19160] = 5,
    ACTIONS(599), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(591), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(595), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(597), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19211] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1472), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1474), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19258] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1484), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1486), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19305] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1484), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1486), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19352] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1488), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1490), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19399] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1490), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [19490] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1594), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [19581] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1400), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1402), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19628] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1476), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1478), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19675] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1492), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1494), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19722] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1496), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1498), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19769] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1498), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [19860] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1500), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1502), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19907] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1502), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [19998] = 5,
    ACTIONS(1304), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1302), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20049] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1504), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1506), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20096] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(545), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(547), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20143] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1508), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1510), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20190] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1514), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20237] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1380), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1382), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20284] = 5,
    ACTIONS(579), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(571), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(575), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(577), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20335] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1516), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1518), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20382] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1520), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1522), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20429] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1384), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1386), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20476] = 5,
    ACTIONS(559), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(551), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(555), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(557), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20527] = 4,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20576] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1413), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1415), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20623] = 5,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1309), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20674] = 5,
    ACTIONS(569), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(561), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(565), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(567), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20725] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(575), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(577), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20772] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(555), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(557), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20819] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(565), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(567), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20866] = 5,
    ACTIONS(589), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(581), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(585), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(587), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20917] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1388), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1390), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20964] = 5,
    ACTIONS(609), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(601), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(605), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(607), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21015] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(585), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(587), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21062] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(595), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(597), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21109] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(605), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(607), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21156] = 5,
    ACTIONS(539), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(531), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(537), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21207] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(537), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21254] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1417), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1419), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21301] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1480), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1482), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21348] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1484), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1486), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21395] = 5,
    ACTIONS(549), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(541), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(545), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(547), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21446] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1484), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1486), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21493] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1524), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1526), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21540] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1528), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1530), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21587] = 4,
    ACTIONS(1642), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1365), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1367), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21636] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1600), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [21727] = 5,
    ACTIONS(1378), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1644), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1371), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1373), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21778] = 5,
    ACTIONS(1411), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1646), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1404), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1406), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21829] = 5,
    ACTIONS(511), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1648), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(507), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(509), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21880] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1392), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1394), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21927] = 5,
    ACTIONS(1295), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1292), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21978] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1351), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1353), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22025] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1568), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [22116] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1388), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1390), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22163] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1421), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1423), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22210] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1425), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1427), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22257] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22304] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1396), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1398), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22351] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1429), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1431), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22398] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1433), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1435), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22445] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1437), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1439), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22492] = 4,
    ACTIONS(1642), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1365), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1367), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22541] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1540), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1542), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22588] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1598), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [22679] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1444), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1446), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22726] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1446), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [22817] = 15,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1554), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [22888] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1448), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1450), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22935] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1594), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [23026] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1402), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [23117] = 10,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [23178] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1568), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [23269] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1598), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [23360] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1446), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [23451] = 15,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1554), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [23522] = 10,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [23583] = 21,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23666] = 21,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23749] = 22,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23834] = 13,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1554), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [23901] = 19,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1554), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23980] = 20,
    ACTIONS(1554), 1,
      anon_sym_PIPE,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [24061] = 21,
    ACTIONS(1554), 1,
      anon_sym_PIPE,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [24144] = 12,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [24209] = 10,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [24270] = 17,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1554), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [24345] = 23,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [24432] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1584), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [24523] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1466), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [24614] = 22,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [24699] = 13,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1554), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [24766] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1490), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [24857] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1498), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [24948] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1502), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [25039] = 19,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1554), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [25118] = 20,
    ACTIONS(1554), 1,
      anon_sym_PIPE,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [25199] = 21,
    ACTIONS(1554), 1,
      anon_sym_PIPE,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [25282] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1600), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [25373] = 12,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [25438] = 10,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [25499] = 17,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1554), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [25574] = 23,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [25661] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1452), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25708] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1456), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1458), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25755] = 4,
    ACTIONS(1286), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25804] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1460), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1462), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25851] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1596), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [25942] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1584), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [26033] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1464), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1466), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26080] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1466), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [26171] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26218] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1596), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [26309] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1402), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [26400] = 27,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    ACTIONS(1684), 1,
      anon_sym_COMMA,
    ACTIONS(1687), 1,
      anon_sym_RBRACE,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1598), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26494] = 5,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1315), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26544] = 26,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1658), 1,
      anon_sym_GT_GT,
    ACTIONS(1662), 1,
      anon_sym_AMP,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(1666), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_PERCENT,
    ACTIONS(1672), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1680), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1682), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_in,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1660), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1676), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1678), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1674), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1689), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
  [26636] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1694), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [26726] = 27,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    ACTIONS(1696), 1,
      anon_sym_COMMA,
    ACTIONS(1699), 1,
      anon_sym_RBRACE,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1598), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26820] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1701), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [26910] = 6,
    ACTIONS(1378), 1,
      anon_sym_EQ,
    ACTIONS(1644), 1,
      anon_sym_of,
    ACTIONS(1703), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1371), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1373), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26962] = 6,
    ACTIONS(1411), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_of,
    ACTIONS(1706), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1404), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1406), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27014] = 6,
    ACTIONS(511), 1,
      anon_sym_EQ,
    ACTIONS(1648), 1,
      anon_sym_of,
    ACTIONS(1709), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(507), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(509), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27066] = 5,
    ACTIONS(1712), 1,
      anon_sym_LPAREN,
    ACTIONS(1715), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27116] = 6,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(1318), 1,
      anon_sym_in,
    ACTIONS(1321), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27168] = 27,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    STATE(651), 1,
      sym_arguments,
    STATE(1211), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1719), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27262] = 27,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    STATE(651), 1,
      sym_arguments,
    STATE(1211), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27356] = 27,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    STATE(651), 1,
      sym_arguments,
    STATE(1211), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1723), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27450] = 27,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    ACTIONS(1687), 1,
      anon_sym_RBRACE,
    ACTIONS(1725), 1,
      anon_sym_COMMA,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1594), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27544] = 5,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(1731), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1421), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1423), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27594] = 27,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1733), 1,
      anon_sym_RBRACK,
    STATE(528), 1,
      sym_arguments,
    STATE(1283), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27687] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1737), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27780] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1739), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27873] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1741), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27966] = 27,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1317), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28059] = 27,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1745), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1306), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28152] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1747), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28245] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1600), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28334] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28423] = 6,
    ACTIONS(1375), 1,
      anon_sym_RBRACK,
    ACTIONS(1378), 1,
      anon_sym_EQ,
    ACTIONS(1644), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1371), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1373), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28474] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1783), 1,
      anon_sym_RBRACK,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28567] = 6,
    ACTIONS(1408), 1,
      anon_sym_RBRACK,
    ACTIONS(1411), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1404), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1406), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28618] = 6,
    ACTIONS(511), 1,
      anon_sym_EQ,
    ACTIONS(1441), 1,
      anon_sym_RBRACK,
    ACTIONS(1648), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(507), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(509), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28669] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28762] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1502), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28851] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1787), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28944] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1789), 1,
      anon_sym_SEMI,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29037] = 27,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1791), 1,
      anon_sym_RBRACK,
    STATE(528), 1,
      sym_arguments,
    STATE(1355), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29130] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1793), 1,
      anon_sym_RBRACK,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29223] = 27,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1795), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1367), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29316] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1797), 1,
      anon_sym_RBRACK,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29409] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29502] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1801), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29595] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1803), 1,
      anon_sym_RBRACK,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29688] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1805), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29781] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1807), 1,
      anon_sym_COLON,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29874] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1809), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29967] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1811), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30060] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1813), 1,
      anon_sym_SEMI,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30153] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1815), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [30242] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1817), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30335] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1594), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30424] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1402), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30513] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1819), 1,
      anon_sym_SEMI,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30606] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30699] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1568), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30788] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1498), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30877] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1446), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30966] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1823), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31059] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1825), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31152] = 15,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1554), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [31221] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1827), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31314] = 10,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [31373] = 21,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [31454] = 22,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [31537] = 13,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1554), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [31602] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1596), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31691] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1829), 1,
      anon_sym_RBRACE,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31784] = 19,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 8,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [31861] = 20,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1554), 1,
      anon_sym_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 8,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [31940] = 21,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1554), 1,
      anon_sym_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [32021] = 12,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [32084] = 10,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [32143] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1831), 1,
      anon_sym_SEMI,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32236] = 17,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1554), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 10,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [32309] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1833), 1,
      anon_sym_SEMI,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32402] = 23,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [32487] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1835), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32580] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1584), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32669] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1837), 1,
      anon_sym_RBRACE,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32762] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1466), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32851] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32944] = 27,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1841), 1,
      anon_sym_RBRACK,
    STATE(528), 1,
      sym_arguments,
    STATE(1283), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33037] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1843), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33130] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1490), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33219] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1689), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [33308] = 6,
    ACTIONS(1292), 1,
      anon_sym_RBRACK,
    ACTIONS(1295), 1,
      anon_sym_EQ,
    ACTIONS(1302), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33359] = 27,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1845), 1,
      anon_sym_SEMI,
    STATE(528), 1,
      sym_arguments,
    STATE(1086), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33452] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1598), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33541] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1584), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33629] = 4,
    ACTIONS(1327), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33675] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1881), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33763] = 4,
    ACTIONS(1369), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1365), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1367), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33809] = 24,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(99), 1,
      anon_sym_STAR,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(111), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(1887), 1,
      anon_sym_RBRACE,
    ACTIONS(1889), 1,
      anon_sym_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_async,
    ACTIONS(1895), 1,
      anon_sym_static,
    STATE(915), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    STATE(1312), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1334), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1893), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1897), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1883), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1290), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1333), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1693), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [33895] = 24,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(99), 1,
      anon_sym_STAR,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(111), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(1889), 1,
      anon_sym_LBRACK,
    ACTIONS(1901), 1,
      anon_sym_RBRACE,
    ACTIONS(1903), 1,
      anon_sym_async,
    ACTIONS(1905), 1,
      anon_sym_static,
    STATE(915), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    STATE(1309), 1,
      aux_sym_object_repeat1,
    STATE(1312), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1893), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1907), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1899), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1289), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1290), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1693), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [33981] = 25,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1909), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34069] = 24,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(99), 1,
      anon_sym_STAR,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(111), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(1889), 1,
      anon_sym_LBRACK,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(1915), 1,
      anon_sym_async,
    ACTIONS(1917), 1,
      anon_sym_static,
    STATE(915), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    STATE(1312), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1334), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1893), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1919), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1911), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1290), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1333), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1693), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34155] = 24,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(99), 1,
      anon_sym_STAR,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(111), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(1889), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_RBRACE,
    ACTIONS(1925), 1,
      anon_sym_async,
    ACTIONS(1927), 1,
      anon_sym_static,
    STATE(915), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    STATE(1312), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1334), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1893), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1929), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1921), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1290), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1333), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1693), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34241] = 24,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(99), 1,
      anon_sym_STAR,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(111), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(1889), 1,
      anon_sym_LBRACK,
    ACTIONS(1933), 1,
      anon_sym_RBRACE,
    ACTIONS(1935), 1,
      anon_sym_async,
    ACTIONS(1937), 1,
      anon_sym_static,
    STATE(915), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    STATE(1312), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1334), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1893), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1939), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1931), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1290), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1333), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1693), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34327] = 24,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(99), 1,
      anon_sym_STAR,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(111), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(1889), 1,
      anon_sym_LBRACK,
    ACTIONS(1943), 1,
      anon_sym_RBRACE,
    ACTIONS(1945), 1,
      anon_sym_async,
    ACTIONS(1947), 1,
      anon_sym_static,
    STATE(915), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    STATE(1312), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1334), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1893), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1949), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1941), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1290), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1333), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1693), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34413] = 6,
    ACTIONS(1242), 1,
      anon_sym_EQ,
    ACTIONS(1318), 1,
      anon_sym_in,
    ACTIONS(1321), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1238), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1240), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [34463] = 26,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1616), 1,
      anon_sym_GT_GT,
    ACTIONS(1620), 1,
      anon_sym_AMP,
    ACTIONS(1622), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PIPE,
    ACTIONS(1628), 1,
      anon_sym_PERCENT,
    ACTIONS(1630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1640), 1,
      sym__ternary_qmark,
    ACTIONS(1951), 1,
      anon_sym_SEMI,
    ACTIONS(1953), 1,
      sym__automatic_semicolon,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1634), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1610), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1632), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34553] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34641] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1699), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34729] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1594), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34817] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1402), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34905] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1568), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34993] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1598), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35081] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1446), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35169] = 15,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1554), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 12,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35237] = 10,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35295] = 21,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [35375] = 22,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [35457] = 13,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1554), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35521] = 19,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 7,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [35597] = 20,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1554), 1,
      anon_sym_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 7,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [35675] = 21,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1554), 1,
      anon_sym_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [35755] = 12,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35817] = 10,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1554), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35875] = 17,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1554), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1546), 9,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [35947] = 23,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1546), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [36031] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1466), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36119] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1490), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36207] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1498), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36295] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1502), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36383] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1600), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36471] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1596), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1849), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36559] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    ACTIONS(1955), 1,
      anon_sym_COLON,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36646] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    ACTIONS(1957), 1,
      anon_sym_LBRACE,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36733] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    ACTIONS(1959), 1,
      anon_sym_COLON,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36820] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    ACTIONS(1961), 1,
      anon_sym_COLON,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36907] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1963), 1,
      anon_sym_RBRACK,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36994] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    ACTIONS(1965), 1,
      anon_sym_COLON,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37081] = 26,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1689), 1,
      anon_sym_of,
    ACTIONS(1851), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1853), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1855), 1,
      anon_sym_GT_GT,
    ACTIONS(1859), 1,
      anon_sym_AMP,
    ACTIONS(1861), 1,
      anon_sym_CARET,
    ACTIONS(1863), 1,
      anon_sym_PIPE,
    ACTIONS(1867), 1,
      anon_sym_PERCENT,
    ACTIONS(1869), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1877), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1879), 1,
      sym__ternary_qmark,
    ACTIONS(1967), 1,
      anon_sym_in,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1847), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1857), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1865), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1873), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1875), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1871), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37170] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    ACTIONS(1970), 1,
      anon_sym_COLON,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37257] = 25,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_PERCENT,
    ACTIONS(1560), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1574), 1,
      anon_sym_AMP,
    ACTIONS(1576), 1,
      anon_sym_CARET,
    ACTIONS(1578), 1,
      anon_sym_PIPE,
    ACTIONS(1580), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1582), 1,
      sym__ternary_qmark,
    ACTIONS(1972), 1,
      anon_sym_RBRACK,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1544), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1556), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37344] = 21,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(99), 1,
      anon_sym_STAR,
    ACTIONS(111), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(1889), 1,
      anon_sym_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_async,
    ACTIONS(1981), 1,
      anon_sym_static,
    STATE(915), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1893), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1983), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1974), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1290), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1421), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1430), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1693), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [37422] = 24,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1335), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1349), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37506] = 24,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      sym_optional_chain,
    ACTIONS(1753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1757), 1,
      anon_sym_GT_GT,
    ACTIONS(1761), 1,
      anon_sym_AMP,
    ACTIONS(1763), 1,
      anon_sym_CARET,
    ACTIONS(1765), 1,
      anon_sym_PIPE,
    ACTIONS(1769), 1,
      anon_sym_PERCENT,
    ACTIONS(1771), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      sym__ternary_qmark,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1749), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1775), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1751), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1773), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37590] = 20,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(99), 1,
      anon_sym_STAR,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(702), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(1989), 1,
      anon_sym_RBRACE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(1993), 1,
      anon_sym_async,
    ACTIONS(1997), 1,
      anon_sym_static,
    STATE(915), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    STATE(1292), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1995), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1999), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1985), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1291), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1301), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37660] = 21,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2003), 1,
      anon_sym_STAR,
    ACTIONS(2005), 1,
      anon_sym_RBRACE,
    ACTIONS(2007), 1,
      anon_sym_SEMI,
    ACTIONS(2009), 1,
      anon_sym_LBRACK,
    ACTIONS(2011), 1,
      anon_sym_DQUOTE,
    ACTIONS(2013), 1,
      anon_sym_SQUOTE,
    ACTIONS(2015), 1,
      anon_sym_async,
    ACTIONS(2019), 1,
      anon_sym_static,
    ACTIONS(2021), 1,
      aux_sym_method_definition_token1,
    STATE(876), 1,
      aux_sym_class_body_repeat1,
    STATE(910), 1,
      aux_sym_export_statement_repeat1,
    STATE(958), 1,
      sym_method_definition,
    STATE(971), 1,
      sym_class_static_block,
    STATE(1006), 1,
      sym_decorator,
    STATE(1399), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2023), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2001), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1130), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37731] = 21,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2003), 1,
      anon_sym_STAR,
    ACTIONS(2009), 1,
      anon_sym_LBRACK,
    ACTIONS(2011), 1,
      anon_sym_DQUOTE,
    ACTIONS(2013), 1,
      anon_sym_SQUOTE,
    ACTIONS(2015), 1,
      anon_sym_async,
    ACTIONS(2019), 1,
      anon_sym_static,
    ACTIONS(2021), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
    ACTIONS(2027), 1,
      anon_sym_SEMI,
    STATE(872), 1,
      aux_sym_class_body_repeat1,
    STATE(910), 1,
      aux_sym_export_statement_repeat1,
    STATE(958), 1,
      sym_method_definition,
    STATE(971), 1,
      sym_class_static_block,
    STATE(1006), 1,
      sym_decorator,
    STATE(1399), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2023), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2001), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1130), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37802] = 21,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2003), 1,
      anon_sym_STAR,
    ACTIONS(2007), 1,
      anon_sym_SEMI,
    ACTIONS(2009), 1,
      anon_sym_LBRACK,
    ACTIONS(2011), 1,
      anon_sym_DQUOTE,
    ACTIONS(2013), 1,
      anon_sym_SQUOTE,
    ACTIONS(2015), 1,
      anon_sym_async,
    ACTIONS(2019), 1,
      anon_sym_static,
    ACTIONS(2021), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2029), 1,
      anon_sym_RBRACE,
    STATE(876), 1,
      aux_sym_class_body_repeat1,
    STATE(910), 1,
      aux_sym_export_statement_repeat1,
    STATE(958), 1,
      sym_method_definition,
    STATE(971), 1,
      sym_class_static_block,
    STATE(1006), 1,
      sym_decorator,
    STATE(1399), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2023), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2001), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1130), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37873] = 21,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2003), 1,
      anon_sym_STAR,
    ACTIONS(2007), 1,
      anon_sym_SEMI,
    ACTIONS(2009), 1,
      anon_sym_LBRACK,
    ACTIONS(2011), 1,
      anon_sym_DQUOTE,
    ACTIONS(2013), 1,
      anon_sym_SQUOTE,
    ACTIONS(2015), 1,
      anon_sym_async,
    ACTIONS(2019), 1,
      anon_sym_static,
    ACTIONS(2021), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    STATE(876), 1,
      aux_sym_class_body_repeat1,
    STATE(910), 1,
      aux_sym_export_statement_repeat1,
    STATE(958), 1,
      sym_method_definition,
    STATE(971), 1,
      sym_class_static_block,
    STATE(1006), 1,
      sym_decorator,
    STATE(1399), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2023), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2001), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1130), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37944] = 21,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2003), 1,
      anon_sym_STAR,
    ACTIONS(2009), 1,
      anon_sym_LBRACK,
    ACTIONS(2011), 1,
      anon_sym_DQUOTE,
    ACTIONS(2013), 1,
      anon_sym_SQUOTE,
    ACTIONS(2015), 1,
      anon_sym_async,
    ACTIONS(2019), 1,
      anon_sym_static,
    ACTIONS(2021), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2033), 1,
      anon_sym_RBRACE,
    ACTIONS(2035), 1,
      anon_sym_SEMI,
    STATE(873), 1,
      aux_sym_class_body_repeat1,
    STATE(910), 1,
      aux_sym_export_statement_repeat1,
    STATE(958), 1,
      sym_method_definition,
    STATE(971), 1,
      sym_class_static_block,
    STATE(1006), 1,
      sym_decorator,
    STATE(1399), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2023), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2001), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1130), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38015] = 18,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(99), 1,
      anon_sym_STAR,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(702), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2041), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_static,
    STATE(915), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1995), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2039), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2045), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2037), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1301), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1430), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [38080] = 21,
    ACTIONS(2050), 1,
      anon_sym_STAR,
    ACTIONS(2053), 1,
      anon_sym_RBRACE,
    ACTIONS(2055), 1,
      anon_sym_SEMI,
    ACTIONS(2058), 1,
      anon_sym_LBRACK,
    ACTIONS(2061), 1,
      anon_sym_DQUOTE,
    ACTIONS(2064), 1,
      anon_sym_SQUOTE,
    ACTIONS(2067), 1,
      anon_sym_async,
    ACTIONS(2073), 1,
      anon_sym_AT,
    ACTIONS(2076), 1,
      anon_sym_static,
    ACTIONS(2079), 1,
      aux_sym_method_definition_token1,
    STATE(876), 1,
      aux_sym_class_body_repeat1,
    STATE(910), 1,
      aux_sym_export_statement_repeat1,
    STATE(958), 1,
      sym_method_definition,
    STATE(971), 1,
      sym_class_static_block,
    STATE(1006), 1,
      sym_decorator,
    STATE(1399), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2070), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2082), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2047), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1130), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38151] = 14,
    ACTIONS(673), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(1889), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    STATE(1312), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2091), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1620), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1693), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2085), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38208] = 14,
    ACTIONS(673), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(1889), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1335), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2091), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1332), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1620), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1693), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2093), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38265] = 21,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2003), 1,
      anon_sym_STAR,
    ACTIONS(2009), 1,
      anon_sym_LBRACK,
    ACTIONS(2011), 1,
      anon_sym_DQUOTE,
    ACTIONS(2013), 1,
      anon_sym_SQUOTE,
    ACTIONS(2015), 1,
      anon_sym_async,
    ACTIONS(2019), 1,
      anon_sym_static,
    ACTIONS(2021), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2097), 1,
      anon_sym_RBRACE,
    ACTIONS(2099), 1,
      anon_sym_SEMI,
    STATE(870), 1,
      aux_sym_class_body_repeat1,
    STATE(910), 1,
      aux_sym_export_statement_repeat1,
    STATE(958), 1,
      sym_method_definition,
    STATE(971), 1,
      sym_class_static_block,
    STATE(1006), 1,
      sym_decorator,
    STATE(1399), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2023), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2001), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1130), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38336] = 12,
    ACTIONS(673), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(1889), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2091), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2103), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1421), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1620), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1693), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2101), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38388] = 15,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38444] = 16,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(874), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(2113), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38502] = 15,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38558] = 16,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(874), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38616] = 15,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(792), 1,
      anon_sym_RBRACE,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1310), 1,
      aux_sym_object_repeat1,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38672] = 16,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(874), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38730] = 16,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(792), 1,
      anon_sym_RBRACE,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(874), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1310), 1,
      aux_sym_object_repeat1,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38788] = 16,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(874), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38846] = 15,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38902] = 16,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(766), 1,
      anon_sym_RBRACE,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(874), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38960] = 15,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(2113), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39016] = 15,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(766), 1,
      anon_sym_RBRACE,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39072] = 13,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(2113), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39123] = 13,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39174] = 14,
    ACTIONS(2009), 1,
      anon_sym_LBRACK,
    ACTIONS(2011), 1,
      anon_sym_DQUOTE,
    ACTIONS(2013), 1,
      anon_sym_SQUOTE,
    ACTIONS(2117), 1,
      anon_sym_STAR,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    ACTIONS(2121), 1,
      anon_sym_async,
    ACTIONS(2127), 1,
      sym__automatic_semicolon,
    STATE(962), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2123), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2125), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    STATE(1111), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2001), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39227] = 13,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39278] = 13,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(792), 1,
      anon_sym_RBRACE,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1310), 1,
      aux_sym_object_repeat1,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39329] = 13,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(766), 1,
      anon_sym_RBRACE,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39380] = 13,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39431] = 13,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(874), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39481] = 13,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2133), 1,
      anon_sym_RBRACE,
    STATE(1296), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39531] = 14,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(874), 1,
      anon_sym_async,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2133), 1,
      anon_sym_RBRACE,
    STATE(1296), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39583] = 18,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_export,
    ACTIONS(2137), 1,
      anon_sym_STAR,
    ACTIONS(2139), 1,
      anon_sym_class,
    ACTIONS(2141), 1,
      anon_sym_async,
    ACTIONS(2145), 1,
      anon_sym_static,
    ACTIONS(2147), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2149), 1,
      anon_sym_get,
    ACTIONS(2151), 1,
      anon_sym_set,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(872), 2,
      anon_sym_let,
      sym_identifier,
    ACTIONS(2143), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1588), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39643] = 12,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39691] = 11,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39736] = 10,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2159), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39779] = 11,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2161), 1,
      anon_sym_STAR,
    ACTIONS(2165), 1,
      anon_sym_get,
    ACTIONS(2167), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2163), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1486), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39824] = 10,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2169), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2171), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1458), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39867] = 12,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(874), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39914] = 16,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2009), 1,
      anon_sym_LBRACK,
    ACTIONS(2011), 1,
      anon_sym_DQUOTE,
    ACTIONS(2013), 1,
      anon_sym_SQUOTE,
    ACTIONS(2173), 1,
      anon_sym_STAR,
    ACTIONS(2175), 1,
      anon_sym_async,
    ACTIONS(2179), 1,
      anon_sym_static,
    ACTIONS(2181), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2183), 1,
      anon_sym_get,
    ACTIONS(2185), 1,
      anon_sym_set,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2177), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2001), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1114), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39969] = 11,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2187), 1,
      anon_sym_STAR,
    ACTIONS(2191), 1,
      anon_sym_get,
    ACTIONS(2193), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1504), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40014] = 10,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40057] = 12,
    ACTIONS(2009), 1,
      anon_sym_LBRACK,
    ACTIONS(2011), 1,
      anon_sym_DQUOTE,
    ACTIONS(2013), 1,
      anon_sym_SQUOTE,
    ACTIONS(2195), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_async,
    ACTIONS(2201), 1,
      anon_sym_get,
    ACTIONS(2203), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2199), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2001), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [40104] = 11,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2133), 1,
      anon_sym_RBRACE,
    STATE(1296), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40149] = 16,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2137), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_async,
    ACTIONS(2145), 1,
      anon_sym_static,
    ACTIONS(2147), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2149), 1,
      anon_sym_get,
    ACTIONS(2151), 1,
      anon_sym_set,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2143), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(872), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1588), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40204] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2157), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40242] = 6,
    ACTIONS(2209), 1,
      anon_sym_LPAREN,
    ACTIONS(2211), 1,
      anon_sym_DOT,
    STATE(1004), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2205), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2207), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40276] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2213), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1489), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40314] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2215), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40352] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2217), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40390] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2169), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1458), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40428] = 9,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40468] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2219), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40506] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2221), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2223), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40533] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2227), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40560] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2229), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2231), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40587] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2227), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40614] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2229), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2231), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40641] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2233), 9,
      anon_sym_export,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2235), 9,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40668] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2227), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40695] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2227), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40722] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2229), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2231), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40749] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2229), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2231), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40776] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2237), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2239), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40803] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2227), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40830] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2241), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2243), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40857] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2245), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2247), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40884] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2245), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2247), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40911] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2245), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2247), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40938] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2245), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2247), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40965] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2245), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2247), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40992] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2245), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2247), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41019] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2229), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2231), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41046] = 6,
    ACTIONS(2253), 1,
      anon_sym_AT,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2251), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      aux_sym_method_definition_token1,
    ACTIONS(2249), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41079] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2229), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2231), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41106] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2227), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41133] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2227), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41160] = 4,
    ACTIONS(2256), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(501), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(499), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41189] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2227), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41216] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2258), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2260), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41243] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2227), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41270] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2227), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41297] = 4,
    ACTIONS(2262), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(505), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(503), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41326] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2225), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2227), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41353] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2264), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2266), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41380] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(501), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(499), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41406] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(521), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(519), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41432] = 4,
    ACTIONS(2272), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2268), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2270), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41460] = 9,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(2275), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2277), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1610), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41498] = 11,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(2279), 1,
      anon_sym_STAR,
    ACTIONS(2283), 1,
      anon_sym_get,
    ACTIONS(2285), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2281), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1462), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41540] = 10,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(2287), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2277), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2289), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1610), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41580] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2291), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2293), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41606] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2295), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2297), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41632] = 13,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(768), 1,
      anon_sym_var,
    ACTIONS(782), 1,
      anon_sym_class,
    ACTIONS(784), 1,
      anon_sym_async,
    ACTIONS(786), 1,
      anon_sym_function,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(2299), 1,
      anon_sym_default,
    STATE(378), 1,
      sym_declaration,
    STATE(1006), 1,
      sym_decorator,
    STATE(1220), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(770), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(412), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [41678] = 11,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(2301), 1,
      anon_sym_STAR,
    ACTIONS(2305), 1,
      anon_sym_get,
    ACTIONS(2307), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2303), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1578), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41720] = 12,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_async,
    ACTIONS(2315), 1,
      anon_sym_get,
    ACTIONS(2317), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2313), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1558), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41764] = 10,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(2155), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2159), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41804] = 11,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_STAR,
    ACTIONS(2323), 1,
      anon_sym_get,
    ACTIONS(2325), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2321), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1508), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41846] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2327), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2329), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41872] = 11,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR,
    ACTIONS(2335), 1,
      anon_sym_get,
    ACTIONS(2337), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2333), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41914] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2268), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2270), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41940] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2157), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41975] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2339), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1605), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42010] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2341), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1409), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42045] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2343), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1585), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42080] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1448), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1450), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42105] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2345), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1408), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42140] = 11,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2347), 1,
      anon_sym_STAR,
    ACTIONS(2349), 1,
      anon_sym_async,
    ACTIONS(2353), 1,
      anon_sym_get,
    ACTIONS(2355), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2351), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1410), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42181] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2357), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1414), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42216] = 10,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2169), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2171), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1458), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42255] = 12,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(768), 1,
      anon_sym_var,
    ACTIONS(782), 1,
      anon_sym_class,
    ACTIONS(784), 1,
      anon_sym_async,
    ACTIONS(786), 1,
      anon_sym_function,
    ACTIONS(2361), 1,
      anon_sym_default,
    STATE(378), 1,
      sym_declaration,
    STATE(1006), 1,
      sym_decorator,
    STATE(1220), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(770), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(412), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [42298] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2277), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1610), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42333] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2363), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1571), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42368] = 11,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2365), 1,
      anon_sym_STAR,
    ACTIONS(2367), 1,
      anon_sym_async,
    ACTIONS(2371), 1,
      anon_sym_get,
    ACTIONS(2373), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2369), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1487), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42409] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2375), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1499), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42444] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1501), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42479] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2379), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1467), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42514] = 10,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(874), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2105), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(876), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42553] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1509), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42588] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2383), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1614), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42623] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2385), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1531), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42658] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2387), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1532), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42693] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2389), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1516), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42728] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2391), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1517), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42763] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2393), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1519), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42798] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2395), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1520), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42833] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2397), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42868] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2399), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1553), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42903] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2401), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1554), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42938] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1512), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1514), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42963] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1528), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1530), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42988] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2205), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2207), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43013] = 12,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(768), 1,
      anon_sym_var,
    ACTIONS(782), 1,
      anon_sym_class,
    ACTIONS(784), 1,
      anon_sym_async,
    ACTIONS(786), 1,
      anon_sym_function,
    ACTIONS(2299), 1,
      anon_sym_default,
    STATE(378), 1,
      sym_declaration,
    STATE(1006), 1,
      sym_decorator,
    STATE(1220), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(770), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(412), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [43056] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2403), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2405), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43081] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2407), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1465), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43116] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2409), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2411), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43141] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2413), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1502), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43176] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2277), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1610), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43208] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2415), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43240] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2417), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1485), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43272] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2419), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43304] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2421), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43336] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2423), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1530), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43368] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2375), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1499), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43400] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2425), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43422] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2427), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1552), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43454] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2429), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1500), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43486] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2431), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43508] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2433), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43530] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2169), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1458), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43562] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2435), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1503), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43594] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2437), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1507), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43626] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2439), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43648] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2441), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1416), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43680] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2443), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1380), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43712] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(860), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1412), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43744] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2157), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43776] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2445), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43808] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2447), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43830] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(1991), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2363), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1571), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(872), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43862] = 11,
    ACTIONS(2011), 1,
      anon_sym_DQUOTE,
    ACTIONS(2013), 1,
      anon_sym_SQUOTE,
    ACTIONS(2449), 1,
      sym_identifier,
    ACTIONS(2451), 1,
      anon_sym_STAR,
    ACTIONS(2453), 1,
      anon_sym_LBRACE,
    ACTIONS(2457), 1,
      anon_sym_DOT,
    STATE(1223), 1,
      sym_string,
    STATE(1446), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2455), 2,
      anon_sym_LPAREN,
      sym_optional_chain,
    STATE(1713), 2,
      sym_namespace_import,
      sym_named_imports,
  [43899] = 8,
    ACTIONS(2459), 1,
      anon_sym_LBRACE,
    ACTIONS(2463), 1,
      anon_sym_LT,
    ACTIONS(2465), 1,
      anon_sym_LT_SLASH,
    STATE(547), 1,
      sym_jsx_closing_element,
    STATE(1033), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2461), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1045), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43929] = 8,
    ACTIONS(2459), 1,
      anon_sym_LBRACE,
    ACTIONS(2463), 1,
      anon_sym_LT,
    ACTIONS(2469), 1,
      anon_sym_LT_SLASH,
    STATE(1033), 1,
      sym_jsx_opening_element,
    STATE(1172), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2467), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1035), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43959] = 11,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(2483), 1,
      anon_sym_SLASH_GT,
    STATE(1054), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [43995] = 8,
    ACTIONS(2459), 1,
      anon_sym_LBRACE,
    ACTIONS(2463), 1,
      anon_sym_LT,
    ACTIONS(2469), 1,
      anon_sym_LT_SLASH,
    STATE(1033), 1,
      sym_jsx_opening_element,
    STATE(1134), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2461), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1045), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44025] = 11,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(2485), 1,
      anon_sym_SLASH_GT,
    STATE(1066), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44061] = 8,
    ACTIONS(2459), 1,
      anon_sym_LBRACE,
    ACTIONS(2463), 1,
      anon_sym_LT,
    ACTIONS(2465), 1,
      anon_sym_LT_SLASH,
    STATE(531), 1,
      sym_jsx_closing_element,
    STATE(1033), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2487), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1032), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44091] = 8,
    ACTIONS(2459), 1,
      anon_sym_LBRACE,
    ACTIONS(2463), 1,
      anon_sym_LT,
    ACTIONS(2489), 1,
      anon_sym_LT_SLASH,
    STATE(726), 1,
      sym_jsx_closing_element,
    STATE(1033), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2461), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1045), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44121] = 8,
    ACTIONS(2459), 1,
      anon_sym_LBRACE,
    ACTIONS(2463), 1,
      anon_sym_LT,
    ACTIONS(2493), 1,
      anon_sym_LT_SLASH,
    STATE(1033), 1,
      sym_jsx_opening_element,
    STATE(1162), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2491), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1041), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44151] = 11,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1072), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44187] = 8,
    ACTIONS(2459), 1,
      anon_sym_LBRACE,
    ACTIONS(2463), 1,
      anon_sym_LT,
    ACTIONS(2493), 1,
      anon_sym_LT_SLASH,
    STATE(1033), 1,
      sym_jsx_opening_element,
    STATE(1178), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2461), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1045), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44217] = 11,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1055), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44253] = 8,
    ACTIONS(2459), 1,
      anon_sym_LBRACE,
    ACTIONS(2463), 1,
      anon_sym_LT,
    ACTIONS(2489), 1,
      anon_sym_LT_SLASH,
    STATE(678), 1,
      sym_jsx_closing_element,
    STATE(1033), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2499), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1038), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44283] = 10,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1061), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44316] = 7,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    ACTIONS(2507), 1,
      anon_sym_LT,
    ACTIONS(2510), 1,
      anon_sym_LT_SLASH,
    STATE(1033), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2504), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1045), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44343] = 10,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(2483), 1,
      anon_sym_SLASH_GT,
    STATE(1064), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44376] = 10,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1058), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44409] = 10,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2483), 1,
      anon_sym_SLASH_GT,
    STATE(1059), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44442] = 10,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(2485), 1,
      anon_sym_SLASH_GT,
    STATE(1067), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44475] = 10,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1071), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44508] = 10,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1068), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44541] = 10,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2485), 1,
      anon_sym_SLASH_GT,
    STATE(1069), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44574] = 7,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      anon_sym_LT,
    ACTIONS(2514), 1,
      anon_sym_DQUOTE,
    ACTIONS(2516), 1,
      anon_sym_SQUOTE,
    STATE(1039), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [44600] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2518), 1,
      anon_sym_GT,
    ACTIONS(2520), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44630] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2518), 1,
      anon_sym_GT,
    ACTIONS(2522), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44660] = 7,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      anon_sym_LT,
    ACTIONS(2514), 1,
      anon_sym_DQUOTE,
    ACTIONS(2516), 1,
      anon_sym_SQUOTE,
    STATE(1039), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1193), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [44686] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2483), 1,
      anon_sym_SLASH_GT,
    STATE(1063), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44716] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2524), 1,
      anon_sym_GT,
    ACTIONS(2526), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44746] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2524), 1,
      anon_sym_GT,
    ACTIONS(2528), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44776] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2485), 1,
      anon_sym_SLASH_GT,
    STATE(1074), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44806] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2530), 1,
      anon_sym_GT,
    ACTIONS(2532), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44836] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2534), 1,
      anon_sym_GT,
    ACTIONS(2536), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44866] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2534), 1,
      anon_sym_GT,
    ACTIONS(2538), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44896] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2530), 1,
      anon_sym_GT,
    ACTIONS(2540), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44926] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1073), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44956] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2518), 1,
      anon_sym_GT,
    ACTIONS(2542), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44986] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2530), 1,
      anon_sym_GT,
    ACTIONS(2544), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45016] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2530), 1,
      anon_sym_GT,
    ACTIONS(2546), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45046] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2524), 1,
      anon_sym_GT,
    ACTIONS(2548), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45076] = 8,
    ACTIONS(2550), 1,
      sym_identifier,
    ACTIONS(2553), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      sym_jsx_identifier,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2556), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45104] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2524), 1,
      anon_sym_GT,
    ACTIONS(2561), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45134] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2518), 1,
      anon_sym_GT,
    ACTIONS(2563), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45164] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2534), 1,
      anon_sym_GT,
    ACTIONS(2565), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45194] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2534), 1,
      anon_sym_GT,
    ACTIONS(2567), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45224] = 9,
    ACTIONS(2471), 1,
      sym_identifier,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    ACTIONS(2477), 1,
      anon_sym_GT,
    ACTIONS(2479), 1,
      sym_jsx_identifier,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1062), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1119), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1168), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45254] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      sym_identifier,
    ACTIONS(2571), 1,
      anon_sym_COMMA,
    ACTIONS(2573), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1300), 2,
      sym__module_export_name,
      sym_string,
  [45281] = 8,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(2575), 1,
      sym_identifier,
    ACTIONS(2577), 1,
      anon_sym_COMMA,
    ACTIONS(2579), 1,
      anon_sym_RBRACE,
    STATE(1299), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1628), 2,
      sym__module_export_name,
      sym_string,
  [45308] = 4,
    ACTIONS(2581), 1,
      anon_sym_COMMA,
    STATE(1078), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1602), 5,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [45326] = 6,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(899), 1,
      anon_sym_LBRACK,
    ACTIONS(2584), 1,
      sym_identifier,
    STATE(1308), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1191), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45348] = 6,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(899), 1,
      anon_sym_LBRACK,
    ACTIONS(2586), 1,
      sym_identifier,
    STATE(1255), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1092), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45370] = 6,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(899), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      sym_identifier,
    STATE(1260), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1099), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45392] = 7,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45416] = 7,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45440] = 7,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(766), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45464] = 7,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45488] = 4,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    STATE(1078), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2590), 5,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [45506] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(2575), 1,
      sym_identifier,
    ACTIONS(2592), 1,
      anon_sym_RBRACE,
    STATE(1491), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1628), 2,
      sym__module_export_name,
      sym_string,
  [45530] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2594), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45544] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2596), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45558] = 7,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(792), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    STATE(1310), 1,
      aux_sym_object_repeat1,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45582] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      sym_identifier,
    ACTIONS(2598), 1,
      anon_sym_RBRACE,
    STATE(1468), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1300), 2,
      sym__module_export_name,
      sym_string,
  [45606] = 5,
    ACTIONS(2604), 1,
      anon_sym_EQ,
    STATE(1194), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2602), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2600), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [45626] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2606), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45640] = 5,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2612), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2610), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [45660] = 6,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(899), 1,
      anon_sym_LBRACK,
    ACTIONS(2584), 1,
      sym_identifier,
    STATE(1255), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1191), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45682] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      sym_identifier,
    ACTIONS(2614), 1,
      anon_sym_RBRACE,
    STATE(1468), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1300), 2,
      sym__module_export_name,
      sym_string,
  [45706] = 7,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(2575), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_RBRACE,
    STATE(1491), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1628), 2,
      sym__module_export_name,
      sym_string,
  [45730] = 6,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(899), 1,
      anon_sym_LBRACK,
    ACTIONS(2584), 1,
      sym_identifier,
    STATE(1260), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1191), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45752] = 6,
    ACTIONS(2618), 1,
      anon_sym_EQ,
    ACTIONS(2620), 1,
      sym__automatic_semicolon,
    STATE(1318), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2600), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2602), 2,
      anon_sym_in,
      anon_sym_of,
  [45774] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2623), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45788] = 7,
    ACTIONS(101), 1,
      anon_sym_COMMA,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(2113), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45812] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2625), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45826] = 5,
    ACTIONS(897), 1,
      anon_sym_LBRACE,
    ACTIONS(899), 1,
      anon_sym_LBRACK,
    ACTIONS(2627), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1313), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45845] = 5,
    ACTIONS(2629), 1,
      anon_sym_default,
    ACTIONS(2631), 1,
      anon_sym_RBRACE,
    ACTIONS(2633), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1108), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [45864] = 3,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2637), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
  [45879] = 5,
    ACTIONS(2641), 1,
      anon_sym_BQUOTE,
    ACTIONS(2643), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2639), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1123), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [45898] = 6,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(2575), 1,
      sym_identifier,
    STATE(1491), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1628), 2,
      sym__module_export_name,
      sym_string,
  [45919] = 5,
    ACTIONS(2629), 1,
      anon_sym_default,
    ACTIONS(2633), 1,
      anon_sym_case,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1131), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [45938] = 6,
    ACTIONS(2618), 1,
      anon_sym_EQ,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1451), 1,
      sym__initializer,
    STATE(1601), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2649), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45959] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1648), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [45972] = 6,
    ACTIONS(2618), 1,
      anon_sym_EQ,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1447), 1,
      sym__initializer,
    STATE(1586), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2651), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45993] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1534), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46006] = 5,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_identifier,
    ACTIONS(2655), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1251), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46025] = 6,
    ACTIONS(2618), 1,
      anon_sym_EQ,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1448), 1,
      sym__initializer,
    STATE(1587), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46046] = 5,
    ACTIONS(2643), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2661), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2659), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1106), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46065] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2596), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46078] = 5,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(2655), 1,
      anon_sym_LBRACK,
    ACTIONS(2663), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1634), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46097] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1646), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46110] = 4,
    ACTIONS(2665), 1,
      sym_identifier,
    ACTIONS(2669), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2667), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46127] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1538), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46140] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2594), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46153] = 5,
    ACTIONS(2643), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2671), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2639), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1123), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46172] = 5,
    ACTIONS(2676), 1,
      anon_sym_BQUOTE,
    ACTIONS(2678), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2673), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1123), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46191] = 3,
    ACTIONS(2681), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2683), 5,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46206] = 6,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      sym_identifier,
    STATE(1468), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1300), 2,
      sym__module_export_name,
      sym_string,
  [46227] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1644), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46240] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2625), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46253] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2623), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46266] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2606), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46279] = 6,
    ACTIONS(2618), 1,
      anon_sym_EQ,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1455), 1,
      sym__initializer,
    STATE(1551), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2685), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46300] = 5,
    ACTIONS(2687), 1,
      anon_sym_default,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    ACTIONS(2692), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1131), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46319] = 5,
    ACTIONS(2643), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2697), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2695), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1122), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46338] = 5,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(2699), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1654), 2,
      sym__module_export_name,
      sym_string,
  [46356] = 3,
    ACTIONS(1460), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1462), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [46370] = 3,
    ACTIONS(2701), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1302), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46384] = 3,
    ACTIONS(2706), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2704), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [46398] = 6,
    ACTIONS(2708), 1,
      sym_identifier,
    ACTIONS(2710), 1,
      anon_sym_GT,
    ACTIONS(2712), 1,
      sym_jsx_identifier,
    STATE(1044), 1,
      sym_nested_identifier,
    STATE(1075), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46418] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1302), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46430] = 6,
    ACTIONS(2710), 1,
      anon_sym_GT,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2716), 1,
      sym_jsx_identifier,
    STATE(1051), 1,
      sym_nested_identifier,
    STATE(1065), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46450] = 3,
    ACTIONS(2718), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2720), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46464] = 6,
    ACTIONS(2722), 1,
      sym_identifier,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    ACTIONS(2726), 1,
      anon_sym_extends,
    STATE(526), 1,
      sym_class_body,
    STATE(1533), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46484] = 6,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2728), 1,
      anon_sym_export,
    ACTIONS(2730), 1,
      anon_sym_class,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46504] = 3,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2734), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46518] = 6,
    ACTIONS(2736), 1,
      sym_identifier,
    ACTIONS(2738), 1,
      anon_sym_GT,
    ACTIONS(2740), 1,
      sym_jsx_identifier,
    STATE(1417), 1,
      sym_nested_identifier,
    STATE(1721), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46538] = 6,
    ACTIONS(2742), 1,
      sym_identifier,
    ACTIONS(2744), 1,
      anon_sym_GT,
    ACTIONS(2746), 1,
      sym_jsx_identifier,
    STATE(1536), 1,
      sym_nested_identifier,
    STATE(1706), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46558] = 3,
    ACTIONS(1484), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1486), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [46572] = 3,
    ACTIONS(1484), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1486), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [46586] = 6,
    ACTIONS(2710), 1,
      anon_sym_GT,
    ACTIONS(2748), 1,
      sym_identifier,
    ACTIONS(2750), 1,
      sym_jsx_identifier,
    STATE(1046), 1,
      sym_nested_identifier,
    STATE(1057), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46606] = 3,
    ACTIONS(1484), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1486), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [46620] = 3,
    ACTIONS(1484), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1486), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [46634] = 6,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(2109), 1,
      anon_sym_COLON,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(2752), 1,
      anon_sym_RBRACE,
    STATE(1352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46654] = 3,
    ACTIONS(2756), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2754), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [46668] = 6,
    ACTIONS(2726), 1,
      anon_sym_extends,
    ACTIONS(2758), 1,
      sym_identifier,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    STATE(731), 1,
      sym_class_body,
    STATE(1566), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46688] = 3,
    ACTIONS(2756), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2754), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [46702] = 3,
    ACTIONS(1516), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1518), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [46716] = 6,
    ACTIONS(2726), 1,
      anon_sym_extends,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    ACTIONS(2762), 1,
      sym_identifier,
    STATE(637), 1,
      sym_class_body,
    STATE(1560), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46736] = 3,
    ACTIONS(2756), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2754), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [46750] = 6,
    ACTIONS(2726), 1,
      anon_sym_extends,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    ACTIONS(2764), 1,
      sym_identifier,
    STATE(637), 1,
      sym_class_body,
    STATE(1560), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46770] = 3,
    ACTIONS(2766), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1309), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46784] = 4,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [46800] = 6,
    ACTIONS(2726), 1,
      anon_sym_extends,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    ACTIONS(2768), 1,
      sym_identifier,
    STATE(731), 1,
      sym_class_body,
    STATE(1566), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46820] = 3,
    ACTIONS(1396), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1398), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46834] = 3,
    ACTIONS(2706), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2704), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46848] = 6,
    ACTIONS(2710), 1,
      anon_sym_GT,
    ACTIONS(2770), 1,
      sym_identifier,
    ACTIONS(2772), 1,
      sym_jsx_identifier,
    STATE(1049), 1,
      sym_nested_identifier,
    STATE(1060), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46868] = 3,
    ACTIONS(2776), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2774), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [46882] = 6,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2778), 1,
      anon_sym_export,
    ACTIONS(2780), 1,
      anon_sym_class,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46902] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1534), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46914] = 3,
    ACTIONS(2782), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2784), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46928] = 6,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    ACTIONS(2726), 1,
      anon_sym_extends,
    ACTIONS(2786), 1,
      sym_identifier,
    STATE(549), 1,
      sym_class_body,
    STATE(1584), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46948] = 6,
    ACTIONS(2726), 1,
      anon_sym_extends,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    ACTIONS(2788), 1,
      sym_identifier,
    STATE(637), 1,
      sym_class_body,
    STATE(1560), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46968] = 5,
    ACTIONS(854), 1,
      anon_sym_DQUOTE,
    ACTIONS(856), 1,
      anon_sym_SQUOTE,
    ACTIONS(2790), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1479), 2,
      sym__module_export_name,
      sym_string,
  [46986] = 3,
    ACTIONS(1396), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1398), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47000] = 3,
    ACTIONS(1425), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1427), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47014] = 6,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(2792), 1,
      sym_identifier,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      sym_private_property_identifier,
    STATE(545), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47034] = 3,
    ACTIONS(2798), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1302), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [47048] = 5,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(2133), 1,
      anon_sym_RBRACE,
    STATE(1296), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [47066] = 3,
    ACTIONS(1456), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1458), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47080] = 3,
    ACTIONS(1460), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1462), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47094] = 3,
    ACTIONS(1425), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1427), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47108] = 3,
    ACTIONS(1484), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1486), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47122] = 3,
    ACTIONS(1484), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1486), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47136] = 3,
    ACTIONS(1484), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1486), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47150] = 3,
    ACTIONS(1484), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1486), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47164] = 3,
    ACTIONS(1516), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1518), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47178] = 6,
    ACTIONS(2726), 1,
      anon_sym_extends,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    ACTIONS(2801), 1,
      sym_identifier,
    STATE(731), 1,
      sym_class_body,
    STATE(1566), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47198] = 3,
    ACTIONS(2805), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2803), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47212] = 6,
    ACTIONS(2807), 1,
      sym_identifier,
    ACTIONS(2809), 1,
      anon_sym_GT,
    ACTIONS(2811), 1,
      sym_jsx_identifier,
    STATE(1582), 1,
      sym_nested_identifier,
    STATE(1679), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47232] = 6,
    ACTIONS(2813), 1,
      sym_identifier,
    ACTIONS(2815), 1,
      anon_sym_GT,
    ACTIONS(2817), 1,
      sym_jsx_identifier,
    STATE(1392), 1,
      sym_nested_identifier,
    STATE(1624), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47252] = 3,
    ACTIONS(2756), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2754), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47266] = 6,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(2109), 1,
      anon_sym_COLON,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47286] = 4,
    ACTIONS(2618), 1,
      anon_sym_EQ,
    STATE(1318), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2600), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [47302] = 3,
    ACTIONS(2821), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2823), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47316] = 3,
    ACTIONS(2825), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2827), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47330] = 4,
    ACTIONS(2831), 1,
      anon_sym_in,
    ACTIONS(2833), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2829), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [47346] = 3,
    ACTIONS(1456), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1458), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47360] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1538), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47372] = 6,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(2835), 1,
      sym_identifier,
    ACTIONS(2837), 1,
      anon_sym_LBRACK,
    ACTIONS(2839), 1,
      sym_private_property_identifier,
    STATE(723), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47392] = 3,
    ACTIONS(2805), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2803), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47406] = 3,
    ACTIONS(2843), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2841), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2845), 1,
      anon_sym_SQUOTE,
    STATE(1236), 1,
      aux_sym_string_repeat2,
    ACTIONS(2847), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47437] = 5,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(2849), 1,
      sym_identifier,
    ACTIONS(2851), 1,
      anon_sym_STAR,
    STATE(1550), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47454] = 4,
    ACTIONS(2109), 1,
      anon_sym_COLON,
    ACTIONS(2111), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47469] = 5,
    ACTIONS(665), 1,
      anon_sym_COMMA,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(2857), 1,
      anon_sym_RBRACK,
    STATE(1356), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47486] = 5,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2859), 1,
      anon_sym_class,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47503] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2861), 1,
      sym_html_character_reference,
    ACTIONS(2863), 1,
      anon_sym_DQUOTE,
    ACTIONS(2865), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1213), 1,
      aux_sym__jsx_string_repeat1,
  [47522] = 5,
    ACTIONS(2867), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      anon_sym_extends,
    STATE(341), 1,
      sym_class_body,
    STATE(1572), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47539] = 5,
    ACTIONS(665), 1,
      anon_sym_COMMA,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(2871), 1,
      anon_sym_RBRACK,
    STATE(1284), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47556] = 5,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      anon_sym_extends,
    STATE(69), 1,
      sym_class_body,
    STATE(1427), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47573] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2873), 1,
      sym_html_character_reference,
    ACTIONS(2875), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1218), 1,
      aux_sym__jsx_string_repeat2,
  [47592] = 5,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      anon_sym_extends,
    STATE(646), 1,
      sym_class_body,
    STATE(1597), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47609] = 4,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    STATE(1242), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2590), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47624] = 5,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(2877), 1,
      sym_identifier,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    STATE(1537), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47641] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2881), 1,
      sym_html_character_reference,
    ACTIONS(2883), 1,
      anon_sym_DQUOTE,
    ACTIONS(2885), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1263), 1,
      aux_sym__jsx_string_repeat1,
  [47660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2887), 1,
      anon_sym_DQUOTE,
    STATE(1244), 1,
      aux_sym_string_repeat1,
    ACTIONS(2889), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47677] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1648), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47688] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1644), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47699] = 5,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      anon_sym_extends,
    STATE(649), 1,
      sym_class_body,
    STATE(1611), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2883), 1,
      anon_sym_SQUOTE,
    ACTIONS(2891), 1,
      sym_html_character_reference,
    ACTIONS(2893), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1264), 1,
      aux_sym__jsx_string_repeat2,
  [47735] = 3,
    ACTIONS(2895), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1309), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [47748] = 5,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2897), 1,
      anon_sym_class,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47765] = 4,
    ACTIONS(2899), 1,
      anon_sym_COMMA,
    STATE(1221), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1815), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [47780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2887), 1,
      anon_sym_SQUOTE,
    STATE(1252), 1,
      aux_sym_string_repeat2,
    ACTIONS(2902), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47797] = 4,
    ACTIONS(2904), 1,
      anon_sym_with,
    STATE(1401), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2906), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2908), 1,
      anon_sym_SQUOTE,
    STATE(1222), 1,
      aux_sym_string_repeat2,
    ACTIONS(2910), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2912), 1,
      anon_sym_SQUOTE,
    STATE(1252), 1,
      aux_sym_string_repeat2,
    ACTIONS(2902), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2914), 1,
      anon_sym_DQUOTE,
    STATE(1249), 1,
      aux_sym_string_repeat1,
    ACTIONS(2916), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2914), 1,
      anon_sym_SQUOTE,
    STATE(1250), 1,
      aux_sym_string_repeat2,
    ACTIONS(2918), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47880] = 5,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      anon_sym_extends,
    STATE(71), 1,
      sym_class_body,
    STATE(1456), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47897] = 5,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      anon_sym_extends,
    STATE(515), 1,
      sym_class_body,
    STATE(1450), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47914] = 5,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(2920), 1,
      sym_identifier,
    ACTIONS(2922), 1,
      anon_sym_STAR,
    STATE(1565), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47931] = 4,
    ACTIONS(2924), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2927), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47946] = 5,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    ACTIONS(2929), 1,
      sym_optional_chain,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47963] = 5,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      anon_sym_extends,
    STATE(518), 1,
      sym_class_body,
    STATE(1425), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47980] = 5,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(2931), 1,
      sym_identifier,
    ACTIONS(2933), 1,
      anon_sym_STAR,
    STATE(1434), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2935), 1,
      anon_sym_DQUOTE,
    STATE(1244), 1,
      aux_sym_string_repeat1,
    ACTIONS(2889), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2935), 1,
      anon_sym_SQUOTE,
    STATE(1252), 1,
      aux_sym_string_repeat2,
    ACTIONS(2902), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48031] = 5,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2780), 1,
      anon_sym_class,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48048] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2109), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2937), 1,
      anon_sym_SQUOTE,
    STATE(1225), 1,
      aux_sym_string_repeat2,
    ACTIONS(2939), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48078] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2109), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [48089] = 5,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      anon_sym_extends,
    STATE(634), 1,
      sym_class_body,
    STATE(1589), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48106] = 4,
    ACTIONS(2941), 1,
      anon_sym_COMMA,
    STATE(1242), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1602), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48121] = 5,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    ACTIONS(2946), 1,
      anon_sym_RPAREN,
    STATE(1276), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2948), 1,
      anon_sym_DQUOTE,
    STATE(1244), 1,
      aux_sym_string_repeat1,
    ACTIONS(2950), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2937), 1,
      anon_sym_DQUOTE,
    STATE(1269), 1,
      aux_sym_string_repeat1,
    ACTIONS(2953), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48172] = 5,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      anon_sym_extends,
    STATE(661), 1,
      sym_class_body,
    STATE(1564), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2908), 1,
      anon_sym_DQUOTE,
    STATE(1214), 1,
      aux_sym_string_repeat1,
    ACTIONS(2955), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48206] = 4,
    ACTIONS(2957), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2959), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2961), 1,
      anon_sym_DQUOTE,
    STATE(1244), 1,
      aux_sym_string_repeat1,
    ACTIONS(2889), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2961), 1,
      anon_sym_SQUOTE,
    STATE(1252), 1,
      aux_sym_string_repeat2,
    ACTIONS(2902), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48255] = 4,
    ACTIONS(2963), 1,
      anon_sym_EQ,
    STATE(1388), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2602), 2,
      anon_sym_in,
      anon_sym_of,
  [48270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2965), 1,
      anon_sym_SQUOTE,
    STATE(1252), 1,
      aux_sym_string_repeat2,
    ACTIONS(2967), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48287] = 5,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2970), 1,
      anon_sym_class,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48304] = 5,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(2972), 1,
      sym_identifier,
    ACTIONS(2974), 1,
      anon_sym_STAR,
    STATE(1550), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48321] = 4,
    ACTIONS(2957), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2976), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48336] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1646), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [48347] = 4,
    ACTIONS(2451), 1,
      anon_sym_STAR,
    ACTIONS(2453), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1643), 2,
      sym_namespace_import,
      sym_named_imports,
  [48362] = 5,
    ACTIONS(2867), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      anon_sym_extends,
    STATE(354), 1,
      sym_class_body,
    STATE(1546), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48379] = 5,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(2978), 1,
      sym_identifier,
    ACTIONS(2980), 1,
      anon_sym_STAR,
    STATE(1434), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48396] = 4,
    ACTIONS(2957), 1,
      anon_sym_COMMA,
    STATE(1248), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2982), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48411] = 5,
    ACTIONS(2904), 1,
      anon_sym_with,
    ACTIONS(2984), 1,
      anon_sym_SEMI,
    ACTIONS(2986), 1,
      sym__automatic_semicolon,
    STATE(1528), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48428] = 5,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(2988), 1,
      sym_identifier,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    STATE(1550), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2992), 1,
      sym_html_character_reference,
    ACTIONS(2995), 1,
      anon_sym_DQUOTE,
    ACTIONS(2997), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1263), 1,
      aux_sym__jsx_string_repeat1,
  [48464] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3000), 1,
      sym_html_character_reference,
    ACTIONS(3003), 1,
      anon_sym_SQUOTE,
    ACTIONS(3005), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1264), 1,
      aux_sym__jsx_string_repeat2,
  [48483] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3008), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [48494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2845), 1,
      anon_sym_DQUOTE,
    STATE(1235), 1,
      aux_sym_string_repeat1,
    ACTIONS(3010), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48511] = 5,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(3012), 1,
      sym_identifier,
    ACTIONS(3014), 1,
      anon_sym_STAR,
    STATE(1434), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48528] = 4,
    ACTIONS(2957), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3016), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2912), 1,
      anon_sym_DQUOTE,
    STATE(1244), 1,
      aux_sym_string_repeat1,
    ACTIONS(2889), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48560] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1731), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [48571] = 4,
    ACTIONS(3018), 1,
      anon_sym_from,
    STATE(1402), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3020), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48586] = 5,
    ACTIONS(1333), 1,
      anon_sym_LPAREN,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(3022), 1,
      sym_optional_chain,
    STATE(528), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48603] = 5,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(2730), 1,
      anon_sym_class,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    STATE(1006), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48620] = 4,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(3024), 1,
      sym_identifier,
    STATE(1437), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48634] = 4,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(3026), 1,
      sym_identifier,
    STATE(1567), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48648] = 4,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    STATE(1307), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48662] = 4,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    ACTIONS(2946), 1,
      anon_sym_RPAREN,
    STATE(1276), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48676] = 4,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    ACTIONS(3032), 1,
      anon_sym_LPAREN,
    STATE(342), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48690] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1815), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [48700] = 3,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3034), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [48712] = 4,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(3036), 1,
      anon_sym_RBRACE,
    STATE(1324), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48726] = 3,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3038), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48738] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(3040), 1,
      anon_sym_RBRACK,
    STATE(1221), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48752] = 4,
    ACTIONS(665), 1,
      anon_sym_COMMA,
    ACTIONS(3042), 1,
      anon_sym_RBRACK,
    STATE(1288), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48766] = 4,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(3044), 1,
      sym_identifier,
    STATE(1592), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48780] = 4,
    ACTIONS(3046), 1,
      anon_sym_COMMA,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48794] = 4,
    ACTIONS(2011), 1,
      anon_sym_DQUOTE,
    ACTIONS(2013), 1,
      anon_sym_SQUOTE,
    STATE(1359), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48808] = 4,
    ACTIONS(3034), 1,
      anon_sym_RBRACK,
    ACTIONS(3051), 1,
      anon_sym_COMMA,
    STATE(1288), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48822] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3054), 1,
      anon_sym_RBRACE,
    STATE(1336), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48836] = 4,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    STATE(1521), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48850] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3058), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48864] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3058), 1,
      anon_sym_RBRACE,
    STATE(1366), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48878] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3060), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [48888] = 3,
    ACTIONS(3062), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3064), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48900] = 4,
    ACTIONS(3066), 1,
      anon_sym_COMMA,
    ACTIONS(3068), 1,
      anon_sym_RBRACE,
    STATE(1361), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48914] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3070), 1,
      anon_sym_RBRACE,
    STATE(1366), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48928] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3072), 1,
      anon_sym_RBRACE,
    STATE(1366), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48942] = 3,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3074), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [48954] = 4,
    ACTIONS(3076), 1,
      anon_sym_COMMA,
    ACTIONS(3078), 1,
      anon_sym_RBRACE,
    STATE(1321), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48968] = 3,
    ACTIONS(3080), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3082), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48980] = 4,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(3084), 1,
      anon_sym_COLON,
    STATE(1521), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48994] = 3,
    ACTIONS(3086), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3088), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49006] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1745), 1,
      anon_sym_RPAREN,
    STATE(1306), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49020] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1745), 1,
      anon_sym_RPAREN,
    STATE(1221), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49034] = 4,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(3090), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49048] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(3092), 1,
      anon_sym_RPAREN,
    STATE(1221), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49062] = 4,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    ACTIONS(3094), 1,
      anon_sym_COMMA,
    STATE(1307), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49076] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2927), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49086] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3054), 1,
      anon_sym_RBRACE,
    STATE(1366), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49100] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3097), 1,
      anon_sym_RBRACE,
    STATE(1366), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49114] = 4,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(3099), 1,
      anon_sym_RBRACE,
    STATE(1368), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49128] = 4,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(3036), 1,
      anon_sym_RBRACE,
    STATE(1368), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49142] = 3,
    ACTIONS(3101), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2602), 2,
      anon_sym_in,
      anon_sym_of,
  [49154] = 4,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49168] = 4,
    ACTIONS(3105), 1,
      anon_sym_LPAREN,
    ACTIONS(3107), 1,
      anon_sym_await,
    STATE(33), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49182] = 4,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(3109), 1,
      sym_identifier,
    STATE(1375), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49196] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    STATE(1221), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49210] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2829), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49220] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49234] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    STATE(1221), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49248] = 4,
    ACTIONS(2592), 1,
      anon_sym_RBRACE,
    ACTIONS(3113), 1,
      anon_sym_COMMA,
    STATE(1286), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49262] = 4,
    ACTIONS(2835), 1,
      sym_identifier,
    ACTIONS(2837), 1,
      anon_sym_LBRACK,
    ACTIONS(2839), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49276] = 4,
    ACTIONS(968), 1,
      anon_sym_while,
    ACTIONS(3115), 1,
      anon_sym_else,
    STATE(404), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49290] = 4,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(3117), 1,
      anon_sym_RBRACE,
    STATE(1368), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49304] = 3,
    ACTIONS(2766), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1321), 2,
      anon_sym_in,
      anon_sym_of,
  [49316] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1841), 1,
      anon_sym_RBRACK,
    STATE(1283), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49330] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3119), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49340] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1841), 1,
      anon_sym_RBRACK,
    STATE(1221), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49354] = 3,
    ACTIONS(3121), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3123), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49366] = 4,
    ACTIONS(3125), 1,
      anon_sym_COMMA,
    ACTIONS(3128), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49380] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3130), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49390] = 4,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(3132), 1,
      anon_sym_RBRACE,
    STATE(1353), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49404] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3134), 1,
      anon_sym_RBRACE,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49418] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3134), 1,
      anon_sym_RBRACE,
    STATE(1366), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49432] = 4,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(3132), 1,
      anon_sym_RBRACE,
    STATE(1368), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49446] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3136), 1,
      anon_sym_RBRACE,
    STATE(1366), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49460] = 3,
    ACTIONS(3138), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2455), 2,
      anon_sym_LPAREN,
      sym_optional_chain,
  [49472] = 4,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      sym_identifier,
    STATE(1375), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49486] = 4,
    ACTIONS(3142), 1,
      sym_identifier,
    STATE(917), 1,
      sym_decorator_member_expression,
    STATE(1002), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49500] = 3,
    ACTIONS(2457), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2455), 2,
      anon_sym_LPAREN,
      sym_optional_chain,
  [49512] = 4,
    ACTIONS(665), 1,
      anon_sym_COMMA,
    ACTIONS(2871), 1,
      anon_sym_RBRACK,
    STATE(1288), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49526] = 3,
    ACTIONS(2895), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1321), 2,
      anon_sym_in,
      anon_sym_of,
  [49538] = 4,
    ACTIONS(665), 1,
      anon_sym_COMMA,
    ACTIONS(2857), 1,
      anon_sym_RBRACK,
    STATE(1356), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49552] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1791), 1,
      anon_sym_RBRACK,
    STATE(1355), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49566] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1791), 1,
      anon_sym_RBRACK,
    STATE(1221), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49580] = 4,
    ACTIONS(665), 1,
      anon_sym_COMMA,
    ACTIONS(2857), 1,
      anon_sym_RBRACK,
    STATE(1288), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49594] = 4,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(3144), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49608] = 4,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(3146), 1,
      sym_identifier,
    STATE(1437), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49622] = 4,
    ACTIONS(2792), 1,
      sym_identifier,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49636] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3148), 1,
      anon_sym_RBRACE,
    STATE(1366), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49650] = 4,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(3150), 1,
      sym_identifier,
    STATE(1375), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49664] = 4,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(3152), 1,
      anon_sym_RBRACE,
    STATE(1368), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49678] = 4,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(3154), 1,
      anon_sym_RBRACE,
    STATE(1368), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49692] = 4,
    ACTIONS(1987), 1,
      anon_sym_COMMA,
    ACTIONS(3156), 1,
      anon_sym_RBRACE,
    STATE(1366), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49706] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(3158), 1,
      anon_sym_RBRACK,
    STATE(1221), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49720] = 4,
    ACTIONS(665), 1,
      anon_sym_COMMA,
    ACTIONS(3160), 1,
      anon_sym_RBRACK,
    STATE(1288), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49734] = 3,
    ACTIONS(1632), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1715), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49746] = 4,
    ACTIONS(3162), 1,
      anon_sym_LPAREN,
    ACTIONS(3164), 1,
      anon_sym_await,
    STATE(27), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49760] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3166), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [49770] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3168), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49780] = 4,
    ACTIONS(2614), 1,
      anon_sym_RBRACE,
    ACTIONS(3170), 1,
      anon_sym_COMMA,
    STATE(1330), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49794] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1795), 1,
      anon_sym_RPAREN,
    STATE(1367), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49808] = 4,
    ACTIONS(3018), 1,
      anon_sym_from,
    ACTIONS(3172), 1,
      anon_sym_as,
    STATE(1543), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49822] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(1795), 1,
      anon_sym_RPAREN,
    STATE(1221), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49836] = 4,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(3174), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49850] = 4,
    ACTIONS(3176), 1,
      anon_sym_COMMA,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    STATE(1366), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49864] = 4,
    ACTIONS(698), 1,
      anon_sym_COMMA,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    STATE(1221), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49878] = 4,
    ACTIONS(3183), 1,
      anon_sym_COMMA,
    ACTIONS(3186), 1,
      anon_sym_RBRACE,
    STATE(1368), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49892] = 4,
    ACTIONS(665), 1,
      anon_sym_COMMA,
    ACTIONS(2871), 1,
      anon_sym_RBRACK,
    STATE(1284), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49906] = 4,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(3188), 1,
      sym_identifier,
    STATE(1437), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49920] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(954), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49931] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49942] = 3,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(517), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49953] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1449), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49964] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(663), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49975] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49986] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1373), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49997] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50008] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3194), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [50017] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1580), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50028] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3074), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [50037] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [50046] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3198), 2,
      anon_sym_in,
      anon_sym_of,
  [50055] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(946), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50066] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(324), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50077] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(949), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50088] = 3,
    ACTIONS(3200), 1,
      anon_sym_LPAREN,
    STATE(358), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50099] = 3,
    ACTIONS(2831), 1,
      anon_sym_in,
    ACTIONS(2833), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50110] = 3,
    ACTIONS(3202), 1,
      sym_identifier,
    ACTIONS(3204), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50121] = 3,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(3090), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50132] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50143] = 3,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(3090), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50154] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(360), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50165] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1576), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50176] = 3,
    ACTIONS(3206), 1,
      sym_identifier,
    ACTIONS(3208), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50187] = 3,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50198] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1415), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50207] = 3,
    ACTIONS(3210), 1,
      anon_sym_SEMI,
    ACTIONS(3212), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50218] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3214), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50227] = 3,
    ACTIONS(3216), 1,
      anon_sym_LBRACE,
    STATE(1562), 1,
      sym_object,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50238] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3218), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50247] = 3,
    ACTIONS(3220), 1,
      anon_sym_SEMI,
    ACTIONS(3222), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50258] = 3,
    ACTIONS(2835), 1,
      sym_identifier,
    ACTIONS(2839), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50269] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(74), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50280] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1538), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50291] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1474), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50300] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50309] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1539), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50320] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1544), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50331] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1471), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50342] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(346), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50353] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1606), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50364] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50375] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1472), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50386] = 3,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(3103), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50397] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1547), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50408] = 3,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50419] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1396), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50430] = 3,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(519), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50441] = 3,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(520), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50452] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3186), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50461] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1475), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50472] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3224), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [50481] = 3,
    ACTIONS(3018), 1,
      anon_sym_from,
    STATE(1398), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50492] = 3,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    STATE(521), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50503] = 3,
    ACTIONS(3226), 1,
      anon_sym_LPAREN,
    STATE(25), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50514] = 3,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50525] = 3,
    ACTIONS(3226), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50536] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3034), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [50545] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3179), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50554] = 3,
    ACTIONS(3226), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50565] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(947), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50576] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1378), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50587] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(627), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50598] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50607] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1404), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50618] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(633), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50629] = 3,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50640] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50651] = 3,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(2275), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50662] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50673] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(70), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50684] = 3,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(3230), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50695] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1569), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50706] = 3,
    ACTIONS(3232), 1,
      anon_sym_COMMA,
    ACTIONS(3234), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50717] = 3,
    ACTIONS(3018), 1,
      anon_sym_from,
    STATE(1261), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50728] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3236), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50737] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3238), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50746] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(68), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50757] = 3,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50768] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3240), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50777] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50788] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3242), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50797] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3038), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50806] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3244), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50815] = 3,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50826] = 3,
    ACTIONS(3226), 1,
      anon_sym_LPAREN,
    STATE(1464), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50837] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1586), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50848] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(931), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50859] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50870] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3246), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50879] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1555), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50890] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1529), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50901] = 3,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    STATE(400), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50912] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1556), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50923] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1590), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50934] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1557), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50945] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50954] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1593), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50965] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1594), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50976] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50987] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50998] = 3,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(52), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51009] = 3,
    ACTIONS(3226), 1,
      anon_sym_LPAREN,
    STATE(28), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51020] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51031] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3250), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51040] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(969), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51051] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51062] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51071] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(938), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51082] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51093] = 3,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(338), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51104] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3256), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51113] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1598), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51124] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1599), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51135] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1600), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51146] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51157] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1603), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51168] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1604), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3258), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [51188] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3049), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51197] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1607), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51208] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1609), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51219] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1442), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51230] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1612), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51241] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51252] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(941), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51263] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1482), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51274] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1613), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51285] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1372), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51296] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1371), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51307] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1510), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51318] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1376), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51329] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1384), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51340] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1386), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51351] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1391), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51362] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1432), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51373] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1439), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51384] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1452), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51395] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51406] = 3,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(349), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51417] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51428] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1522), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51439] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(942), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51450] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1524), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51461] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1535), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51472] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1573), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51483] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1577), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51494] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1591), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51505] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1596), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51516] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(936), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51527] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(657), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51538] = 3,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(350), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51549] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51560] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51571] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(954), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51582] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51593] = 3,
    ACTIONS(3260), 1,
      anon_sym_SEMI,
    ACTIONS(3262), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51604] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51615] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1478), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51626] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1480), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51637] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1481), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51648] = 3,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51659] = 3,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(3144), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51670] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(938), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51681] = 3,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(3144), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51692] = 3,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51703] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(946), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51714] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(949), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51725] = 3,
    ACTIONS(3264), 1,
      sym_identifier,
    ACTIONS(3266), 1,
      sym_jsx_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51736] = 3,
    ACTIONS(3268), 1,
      sym_identifier,
    ACTIONS(3270), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51747] = 3,
    ACTIONS(2792), 1,
      sym_identifier,
    ACTIONS(2796), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51758] = 3,
    ACTIONS(3272), 1,
      anon_sym_SEMI,
    ACTIONS(3274), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51769] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51780] = 3,
    ACTIONS(3226), 1,
      anon_sym_LPAREN,
    STATE(50), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51791] = 3,
    ACTIONS(2867), 1,
      anon_sym_LBRACE,
    STATE(351), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51802] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(947), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51813] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1419), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51824] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51833] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(680), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51844] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(936), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51855] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1496), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51866] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1497), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51877] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1514), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51888] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51899] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51910] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(931), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51921] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1413), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51932] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1731), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [51941] = 3,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51952] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1406), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51961] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3276), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51970] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(955), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51981] = 3,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    STATE(638), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51992] = 3,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52003] = 3,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    STATE(640), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52014] = 3,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(562), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52025] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52034] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(642), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52045] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1723), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52054] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1512), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52065] = 3,
    ACTIONS(2867), 1,
      anon_sym_LBRACE,
    STATE(347), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52076] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52087] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1511), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52098] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1523), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52109] = 3,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52120] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52131] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1460), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52142] = 3,
    ACTIONS(3226), 1,
      anon_sym_LPAREN,
    STATE(35), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52153] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52164] = 3,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(3174), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52175] = 3,
    ACTIONS(2481), 1,
      anon_sym_DOT,
    ACTIONS(3174), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52186] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1525), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52197] = 3,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    STATE(566), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52208] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1526), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52219] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(950), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52230] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52241] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1441), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52252] = 3,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    STATE(647), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52263] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(648), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52274] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(941), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52285] = 3,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(567), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52296] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(650), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52307] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(618), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52318] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1420), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52329] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(942), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52340] = 3,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    STATE(652), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52351] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(955), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52362] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52373] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52384] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52395] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52406] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52417] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52428] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1527), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52439] = 3,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(950), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52450] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(653), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52461] = 3,
    ACTIONS(3278), 1,
      sym_identifier,
    ACTIONS(3280), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52472] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(654), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52483] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1563), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52494] = 3,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    STATE(655), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52505] = 3,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52516] = 3,
    ACTIONS(2119), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52527] = 3,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    STATE(1459), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52538] = 2,
    ACTIONS(1805), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52546] = 2,
    ACTIONS(3282), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52554] = 2,
    ACTIONS(1809), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52562] = 2,
    ACTIONS(3284), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52570] = 2,
    ACTIONS(3286), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52578] = 2,
    ACTIONS(3288), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52586] = 2,
    ACTIONS(1819), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3290), 1,
      anon_sym_SLASH2,
  [52604] = 2,
    ACTIONS(3292), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52612] = 2,
    ACTIONS(3090), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52620] = 2,
    ACTIONS(3294), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52628] = 2,
    ACTIONS(3296), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52636] = 2,
    ACTIONS(3298), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52644] = 2,
    ACTIONS(3300), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52652] = 2,
    ACTIONS(3302), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_SLASH2,
  [52670] = 2,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52678] = 2,
    ACTIONS(3230), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52686] = 2,
    ACTIONS(3306), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52694] = 2,
    ACTIONS(3308), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3310), 1,
      sym_regex_pattern,
  [52712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3312), 1,
      anon_sym_SLASH2,
  [52722] = 2,
    ACTIONS(1562), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52730] = 2,
    ACTIONS(1831), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52738] = 2,
    ACTIONS(1813), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52746] = 2,
    ACTIONS(3314), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52754] = 2,
    ACTIONS(1773), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52762] = 2,
    ACTIONS(1817), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52770] = 2,
    ACTIONS(3316), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52778] = 2,
    ACTIONS(3318), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52786] = 2,
    ACTIONS(1811), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52794] = 2,
    ACTIONS(3078), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52802] = 2,
    ACTIONS(1833), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52810] = 2,
    ACTIONS(1632), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52818] = 2,
    ACTIONS(2895), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52826] = 2,
    ACTIONS(1787), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52834] = 2,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52842] = 2,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52850] = 2,
    ACTIONS(3320), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52858] = 2,
    ACTIONS(3322), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52866] = 2,
    ACTIONS(3324), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52874] = 2,
    ACTIONS(1843), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52882] = 2,
    ACTIONS(1737), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52890] = 2,
    ACTIONS(1835), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52898] = 2,
    ACTIONS(3326), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52906] = 2,
    ACTIONS(1783), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52914] = 2,
    ACTIONS(3328), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52922] = 2,
    ACTIONS(3330), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52930] = 2,
    ACTIONS(2766), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52938] = 2,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52946] = 2,
    ACTIONS(3332), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52954] = 2,
    ACTIONS(3334), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52962] = 2,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52970] = 2,
    ACTIONS(1807), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52978] = 2,
    ACTIONS(1823), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52986] = 2,
    ACTIONS(1741), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52994] = 2,
    ACTIONS(3338), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53002] = 2,
    ACTIONS(1797), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53010] = 2,
    ACTIONS(1825), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53018] = 2,
    ACTIONS(3340), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53026] = 2,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53034] = 2,
    ACTIONS(3342), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53042] = 2,
    ACTIONS(3344), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53050] = 2,
    ACTIONS(1827), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53058] = 2,
    ACTIONS(3174), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53066] = 2,
    ACTIONS(3346), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53074] = 2,
    ACTIONS(1747), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53082] = 2,
    ACTIONS(2275), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53090] = 2,
    ACTIONS(3348), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53098] = 2,
    ACTIONS(3350), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53106] = 2,
    ACTIONS(3352), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53114] = 2,
    ACTIONS(3344), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53122] = 2,
    ACTIONS(1837), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3354), 1,
      sym_regex_pattern,
  [53140] = 2,
    ACTIONS(3356), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53148] = 2,
    ACTIONS(1829), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53156] = 2,
    ACTIONS(3358), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3360), 1,
      sym_regex_pattern,
  [53174] = 2,
    ACTIONS(3362), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53182] = 2,
    ACTIONS(1803), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53190] = 2,
    ACTIONS(1793), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53198] = 2,
    ACTIONS(3364), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53206] = 2,
    ACTIONS(3366), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3368), 1,
      sym_regex_pattern,
  [53224] = 2,
    ACTIONS(1871), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53232] = 2,
    ACTIONS(1674), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53240] = 2,
    ACTIONS(3370), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53248] = 2,
    ACTIONS(3372), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53256] = 2,
    ACTIONS(3374), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53264] = 2,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53272] = 2,
    ACTIONS(3378), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53280] = 2,
    ACTIONS(3144), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53288] = 2,
    ACTIONS(3380), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53296] = 2,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53304] = 2,
    ACTIONS(3384), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53312] = 2,
    ACTIONS(3386), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53320] = 2,
    ACTIONS(3068), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53328] = 2,
    ACTIONS(3358), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53336] = 2,
    ACTIONS(3234), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3388), 1,
      anon_sym_SLASH2,
  [53354] = 2,
    ACTIONS(3390), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53362] = 2,
    ACTIONS(3392), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53370] = 2,
    ACTIONS(1789), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53378] = 2,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53386] = 2,
    ACTIONS(1845), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53394] = 2,
    ACTIONS(3396), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53402] = 2,
    ACTIONS(3103), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(326)] = 0,
  [SMALL_STATE(327)] = 71,
  [SMALL_STATE(328)] = 142,
  [SMALL_STATE(329)] = 233,
  [SMALL_STATE(330)] = 322,
  [SMALL_STATE(331)] = 412,
  [SMALL_STATE(332)] = 498,
  [SMALL_STATE(333)] = 584,
  [SMALL_STATE(334)] = 658,
  [SMALL_STATE(335)] = 744,
  [SMALL_STATE(336)] = 815,
  [SMALL_STATE(337)] = 886,
  [SMALL_STATE(338)] = 955,
  [SMALL_STATE(339)] = 1026,
  [SMALL_STATE(340)] = 1095,
  [SMALL_STATE(341)] = 1164,
  [SMALL_STATE(342)] = 1235,
  [SMALL_STATE(343)] = 1304,
  [SMALL_STATE(344)] = 1391,
  [SMALL_STATE(345)] = 1480,
  [SMALL_STATE(346)] = 1553,
  [SMALL_STATE(347)] = 1622,
  [SMALL_STATE(348)] = 1693,
  [SMALL_STATE(349)] = 1762,
  [SMALL_STATE(350)] = 1833,
  [SMALL_STATE(351)] = 1904,
  [SMALL_STATE(352)] = 1975,
  [SMALL_STATE(353)] = 2062,
  [SMALL_STATE(354)] = 2133,
  [SMALL_STATE(355)] = 2204,
  [SMALL_STATE(356)] = 2273,
  [SMALL_STATE(357)] = 2358,
  [SMALL_STATE(358)] = 2443,
  [SMALL_STATE(359)] = 2514,
  [SMALL_STATE(360)] = 2583,
  [SMALL_STATE(361)] = 2651,
  [SMALL_STATE(362)] = 2719,
  [SMALL_STATE(363)] = 2787,
  [SMALL_STATE(364)] = 2855,
  [SMALL_STATE(365)] = 2923,
  [SMALL_STATE(366)] = 2991,
  [SMALL_STATE(367)] = 3059,
  [SMALL_STATE(368)] = 3127,
  [SMALL_STATE(369)] = 3195,
  [SMALL_STATE(370)] = 3263,
  [SMALL_STATE(371)] = 3331,
  [SMALL_STATE(372)] = 3399,
  [SMALL_STATE(373)] = 3467,
  [SMALL_STATE(374)] = 3535,
  [SMALL_STATE(375)] = 3603,
  [SMALL_STATE(376)] = 3671,
  [SMALL_STATE(377)] = 3739,
  [SMALL_STATE(378)] = 3807,
  [SMALL_STATE(379)] = 3875,
  [SMALL_STATE(380)] = 3943,
  [SMALL_STATE(381)] = 4011,
  [SMALL_STATE(382)] = 4079,
  [SMALL_STATE(383)] = 4147,
  [SMALL_STATE(384)] = 4215,
  [SMALL_STATE(385)] = 4283,
  [SMALL_STATE(386)] = 4351,
  [SMALL_STATE(387)] = 4419,
  [SMALL_STATE(388)] = 4487,
  [SMALL_STATE(389)] = 4555,
  [SMALL_STATE(390)] = 4623,
  [SMALL_STATE(391)] = 4691,
  [SMALL_STATE(392)] = 4759,
  [SMALL_STATE(393)] = 4827,
  [SMALL_STATE(394)] = 4895,
  [SMALL_STATE(395)] = 4963,
  [SMALL_STATE(396)] = 5031,
  [SMALL_STATE(397)] = 5099,
  [SMALL_STATE(398)] = 5167,
  [SMALL_STATE(399)] = 5235,
  [SMALL_STATE(400)] = 5303,
  [SMALL_STATE(401)] = 5371,
  [SMALL_STATE(402)] = 5439,
  [SMALL_STATE(403)] = 5507,
  [SMALL_STATE(404)] = 5575,
  [SMALL_STATE(405)] = 5643,
  [SMALL_STATE(406)] = 5711,
  [SMALL_STATE(407)] = 5779,
  [SMALL_STATE(408)] = 5847,
  [SMALL_STATE(409)] = 5915,
  [SMALL_STATE(410)] = 5983,
  [SMALL_STATE(411)] = 6071,
  [SMALL_STATE(412)] = 6139,
  [SMALL_STATE(413)] = 6207,
  [SMALL_STATE(414)] = 6275,
  [SMALL_STATE(415)] = 6343,
  [SMALL_STATE(416)] = 6411,
  [SMALL_STATE(417)] = 6479,
  [SMALL_STATE(418)] = 6547,
  [SMALL_STATE(419)] = 6615,
  [SMALL_STATE(420)] = 6683,
  [SMALL_STATE(421)] = 6751,
  [SMALL_STATE(422)] = 6819,
  [SMALL_STATE(423)] = 6887,
  [SMALL_STATE(424)] = 6955,
  [SMALL_STATE(425)] = 7023,
  [SMALL_STATE(426)] = 7091,
  [SMALL_STATE(427)] = 7174,
  [SMALL_STATE(428)] = 7240,
  [SMALL_STATE(429)] = 7306,
  [SMALL_STATE(430)] = 7372,
  [SMALL_STATE(431)] = 7442,
  [SMALL_STATE(432)] = 7508,
  [SMALL_STATE(433)] = 7590,
  [SMALL_STATE(434)] = 7656,
  [SMALL_STATE(435)] = 7738,
  [SMALL_STATE(436)] = 7804,
  [SMALL_STATE(437)] = 7870,
  [SMALL_STATE(438)] = 7952,
  [SMALL_STATE(439)] = 8023,
  [SMALL_STATE(440)] = 8094,
  [SMALL_STATE(441)] = 8165,
  [SMALL_STATE(442)] = 8236,
  [SMALL_STATE(443)] = 8319,
  [SMALL_STATE(444)] = 8387,
  [SMALL_STATE(445)] = 8450,
  [SMALL_STATE(446)] = 8513,
  [SMALL_STATE(447)] = 8576,
  [SMALL_STATE(448)] = 8645,
  [SMALL_STATE(449)] = 8708,
  [SMALL_STATE(450)] = 8777,
  [SMALL_STATE(451)] = 8840,
  [SMALL_STATE(452)] = 8909,
  [SMALL_STATE(453)] = 8980,
  [SMALL_STATE(454)] = 9051,
  [SMALL_STATE(455)] = 9120,
  [SMALL_STATE(456)] = 9191,
  [SMALL_STATE(457)] = 9262,
  [SMALL_STATE(458)] = 9325,
  [SMALL_STATE(459)] = 9394,
  [SMALL_STATE(460)] = 9457,
  [SMALL_STATE(461)] = 9526,
  [SMALL_STATE(462)] = 9593,
  [SMALL_STATE(463)] = 9656,
  [SMALL_STATE(464)] = 9719,
  [SMALL_STATE(465)] = 9790,
  [SMALL_STATE(466)] = 9853,
  [SMALL_STATE(467)] = 9924,
  [SMALL_STATE(468)] = 9995,
  [SMALL_STATE(469)] = 10066,
  [SMALL_STATE(470)] = 10137,
  [SMALL_STATE(471)] = 10206,
  [SMALL_STATE(472)] = 10275,
  [SMALL_STATE(473)] = 10338,
  [SMALL_STATE(474)] = 10401,
  [SMALL_STATE(475)] = 10464,
  [SMALL_STATE(476)] = 10527,
  [SMALL_STATE(477)] = 10590,
  [SMALL_STATE(478)] = 10653,
  [SMALL_STATE(479)] = 10724,
  [SMALL_STATE(480)] = 10794,
  [SMALL_STATE(481)] = 10866,
  [SMALL_STATE(482)] = 10932,
  [SMALL_STATE(483)] = 11002,
  [SMALL_STATE(484)] = 11070,
  [SMALL_STATE(485)] = 11142,
  [SMALL_STATE(486)] = 11210,
  [SMALL_STATE(487)] = 11278,
  [SMALL_STATE(488)] = 11344,
  [SMALL_STATE(489)] = 11415,
  [SMALL_STATE(490)] = 11484,
  [SMALL_STATE(491)] = 11551,
  [SMALL_STATE(492)] = 11618,
  [SMALL_STATE(493)] = 11689,
  [SMALL_STATE(494)] = 11756,
  [SMALL_STATE(495)] = 11826,
  [SMALL_STATE(496)] = 11892,
  [SMALL_STATE(497)] = 11958,
  [SMALL_STATE(498)] = 12028,
  [SMALL_STATE(499)] = 12096,
  [SMALL_STATE(500)] = 12162,
  [SMALL_STATE(501)] = 12228,
  [SMALL_STATE(502)] = 12295,
  [SMALL_STATE(503)] = 12358,
  [SMALL_STATE(504)] = 12424,
  [SMALL_STATE(505)] = 12484,
  [SMALL_STATE(506)] = 12540,
  [SMALL_STATE(507)] = 12593,
  [SMALL_STATE(508)] = 12654,
  [SMALL_STATE(509)] = 12707,
  [SMALL_STATE(510)] = 12768,
  [SMALL_STATE(511)] = 12831,
  [SMALL_STATE(512)] = 12884,
  [SMALL_STATE(513)] = 12939,
  [SMALL_STATE(514)] = 13002,
  [SMALL_STATE(515)] = 13054,
  [SMALL_STATE(516)] = 13104,
  [SMALL_STATE(517)] = 13154,
  [SMALL_STATE(518)] = 13204,
  [SMALL_STATE(519)] = 13254,
  [SMALL_STATE(520)] = 13304,
  [SMALL_STATE(521)] = 13354,
  [SMALL_STATE(522)] = 13404,
  [SMALL_STATE(523)] = 13454,
  [SMALL_STATE(524)] = 13504,
  [SMALL_STATE(525)] = 13554,
  [SMALL_STATE(526)] = 13608,
  [SMALL_STATE(527)] = 13658,
  [SMALL_STATE(528)] = 13708,
  [SMALL_STATE(529)] = 13758,
  [SMALL_STATE(530)] = 13808,
  [SMALL_STATE(531)] = 13858,
  [SMALL_STATE(532)] = 13908,
  [SMALL_STATE(533)] = 13958,
  [SMALL_STATE(534)] = 14012,
  [SMALL_STATE(535)] = 14062,
  [SMALL_STATE(536)] = 14112,
  [SMALL_STATE(537)] = 14162,
  [SMALL_STATE(538)] = 14212,
  [SMALL_STATE(539)] = 14262,
  [SMALL_STATE(540)] = 14312,
  [SMALL_STATE(541)] = 14362,
  [SMALL_STATE(542)] = 14412,
  [SMALL_STATE(543)] = 14466,
  [SMALL_STATE(544)] = 14516,
  [SMALL_STATE(545)] = 14566,
  [SMALL_STATE(546)] = 14616,
  [SMALL_STATE(547)] = 14666,
  [SMALL_STATE(548)] = 14716,
  [SMALL_STATE(549)] = 14766,
  [SMALL_STATE(550)] = 14816,
  [SMALL_STATE(551)] = 14866,
  [SMALL_STATE(552)] = 14916,
  [SMALL_STATE(553)] = 14966,
  [SMALL_STATE(554)] = 15016,
  [SMALL_STATE(555)] = 15066,
  [SMALL_STATE(556)] = 15116,
  [SMALL_STATE(557)] = 15166,
  [SMALL_STATE(558)] = 15216,
  [SMALL_STATE(559)] = 15266,
  [SMALL_STATE(560)] = 15316,
  [SMALL_STATE(561)] = 15366,
  [SMALL_STATE(562)] = 15416,
  [SMALL_STATE(563)] = 15466,
  [SMALL_STATE(564)] = 15516,
  [SMALL_STATE(565)] = 15566,
  [SMALL_STATE(566)] = 15616,
  [SMALL_STATE(567)] = 15666,
  [SMALL_STATE(568)] = 15716,
  [SMALL_STATE(569)] = 15766,
  [SMALL_STATE(570)] = 15816,
  [SMALL_STATE(571)] = 15866,
  [SMALL_STATE(572)] = 15916,
  [SMALL_STATE(573)] = 15966,
  [SMALL_STATE(574)] = 16016,
  [SMALL_STATE(575)] = 16097,
  [SMALL_STATE(576)] = 16190,
  [SMALL_STATE(577)] = 16283,
  [SMALL_STATE(578)] = 16334,
  [SMALL_STATE(579)] = 16427,
  [SMALL_STATE(580)] = 16490,
  [SMALL_STATE(581)] = 16583,
  [SMALL_STATE(582)] = 16676,
  [SMALL_STATE(583)] = 16769,
  [SMALL_STATE(584)] = 16862,
  [SMALL_STATE(585)] = 16919,
  [SMALL_STATE(586)] = 17012,
  [SMALL_STATE(587)] = 17085,
  [SMALL_STATE(588)] = 17178,
  [SMALL_STATE(589)] = 17241,
  [SMALL_STATE(590)] = 17334,
  [SMALL_STATE(591)] = 17419,
  [SMALL_STATE(592)] = 17506,
  [SMALL_STATE(593)] = 17575,
  [SMALL_STATE(594)] = 17658,
  [SMALL_STATE(595)] = 17743,
  [SMALL_STATE(596)] = 17810,
  [SMALL_STATE(597)] = 17903,
  [SMALL_STATE(598)] = 17954,
  [SMALL_STATE(599)] = 18017,
  [SMALL_STATE(600)] = 18068,
  [SMALL_STATE(601)] = 18145,
  [SMALL_STATE(602)] = 18196,
  [SMALL_STATE(603)] = 18285,
  [SMALL_STATE(604)] = 18378,
  [SMALL_STATE(605)] = 18430,
  [SMALL_STATE(606)] = 18484,
  [SMALL_STATE(607)] = 18534,
  [SMALL_STATE(608)] = 18626,
  [SMALL_STATE(609)] = 18674,
  [SMALL_STATE(610)] = 18734,
  [SMALL_STATE(611)] = 18784,
  [SMALL_STATE(612)] = 18842,
  [SMALL_STATE(613)] = 18892,
  [SMALL_STATE(614)] = 18942,
  [SMALL_STATE(615)] = 19000,
  [SMALL_STATE(616)] = 19052,
  [SMALL_STATE(617)] = 19100,
  [SMALL_STATE(618)] = 19160,
  [SMALL_STATE(619)] = 19211,
  [SMALL_STATE(620)] = 19258,
  [SMALL_STATE(621)] = 19305,
  [SMALL_STATE(622)] = 19352,
  [SMALL_STATE(623)] = 19399,
  [SMALL_STATE(624)] = 19490,
  [SMALL_STATE(625)] = 19581,
  [SMALL_STATE(626)] = 19628,
  [SMALL_STATE(627)] = 19675,
  [SMALL_STATE(628)] = 19722,
  [SMALL_STATE(629)] = 19769,
  [SMALL_STATE(630)] = 19860,
  [SMALL_STATE(631)] = 19907,
  [SMALL_STATE(632)] = 19998,
  [SMALL_STATE(633)] = 20049,
  [SMALL_STATE(634)] = 20096,
  [SMALL_STATE(635)] = 20143,
  [SMALL_STATE(636)] = 20190,
  [SMALL_STATE(637)] = 20237,
  [SMALL_STATE(638)] = 20284,
  [SMALL_STATE(639)] = 20335,
  [SMALL_STATE(640)] = 20382,
  [SMALL_STATE(641)] = 20429,
  [SMALL_STATE(642)] = 20476,
  [SMALL_STATE(643)] = 20527,
  [SMALL_STATE(644)] = 20576,
  [SMALL_STATE(645)] = 20623,
  [SMALL_STATE(646)] = 20674,
  [SMALL_STATE(647)] = 20725,
  [SMALL_STATE(648)] = 20772,
  [SMALL_STATE(649)] = 20819,
  [SMALL_STATE(650)] = 20866,
  [SMALL_STATE(651)] = 20917,
  [SMALL_STATE(652)] = 20964,
  [SMALL_STATE(653)] = 21015,
  [SMALL_STATE(654)] = 21062,
  [SMALL_STATE(655)] = 21109,
  [SMALL_STATE(656)] = 21156,
  [SMALL_STATE(657)] = 21207,
  [SMALL_STATE(658)] = 21254,
  [SMALL_STATE(659)] = 21301,
  [SMALL_STATE(660)] = 21348,
  [SMALL_STATE(661)] = 21395,
  [SMALL_STATE(662)] = 21446,
  [SMALL_STATE(663)] = 21493,
  [SMALL_STATE(664)] = 21540,
  [SMALL_STATE(665)] = 21587,
  [SMALL_STATE(666)] = 21636,
  [SMALL_STATE(667)] = 21727,
  [SMALL_STATE(668)] = 21778,
  [SMALL_STATE(669)] = 21829,
  [SMALL_STATE(670)] = 21880,
  [SMALL_STATE(671)] = 21927,
  [SMALL_STATE(672)] = 21978,
  [SMALL_STATE(673)] = 22025,
  [SMALL_STATE(674)] = 22116,
  [SMALL_STATE(675)] = 22163,
  [SMALL_STATE(676)] = 22210,
  [SMALL_STATE(677)] = 22257,
  [SMALL_STATE(678)] = 22304,
  [SMALL_STATE(679)] = 22351,
  [SMALL_STATE(680)] = 22398,
  [SMALL_STATE(681)] = 22445,
  [SMALL_STATE(682)] = 22492,
  [SMALL_STATE(683)] = 22541,
  [SMALL_STATE(684)] = 22588,
  [SMALL_STATE(685)] = 22679,
  [SMALL_STATE(686)] = 22726,
  [SMALL_STATE(687)] = 22817,
  [SMALL_STATE(688)] = 22888,
  [SMALL_STATE(689)] = 22935,
  [SMALL_STATE(690)] = 23026,
  [SMALL_STATE(691)] = 23117,
  [SMALL_STATE(692)] = 23178,
  [SMALL_STATE(693)] = 23269,
  [SMALL_STATE(694)] = 23360,
  [SMALL_STATE(695)] = 23451,
  [SMALL_STATE(696)] = 23522,
  [SMALL_STATE(697)] = 23583,
  [SMALL_STATE(698)] = 23666,
  [SMALL_STATE(699)] = 23749,
  [SMALL_STATE(700)] = 23834,
  [SMALL_STATE(701)] = 23901,
  [SMALL_STATE(702)] = 23980,
  [SMALL_STATE(703)] = 24061,
  [SMALL_STATE(704)] = 24144,
  [SMALL_STATE(705)] = 24209,
  [SMALL_STATE(706)] = 24270,
  [SMALL_STATE(707)] = 24345,
  [SMALL_STATE(708)] = 24432,
  [SMALL_STATE(709)] = 24523,
  [SMALL_STATE(710)] = 24614,
  [SMALL_STATE(711)] = 24699,
  [SMALL_STATE(712)] = 24766,
  [SMALL_STATE(713)] = 24857,
  [SMALL_STATE(714)] = 24948,
  [SMALL_STATE(715)] = 25039,
  [SMALL_STATE(716)] = 25118,
  [SMALL_STATE(717)] = 25199,
  [SMALL_STATE(718)] = 25282,
  [SMALL_STATE(719)] = 25373,
  [SMALL_STATE(720)] = 25438,
  [SMALL_STATE(721)] = 25499,
  [SMALL_STATE(722)] = 25574,
  [SMALL_STATE(723)] = 25661,
  [SMALL_STATE(724)] = 25708,
  [SMALL_STATE(725)] = 25755,
  [SMALL_STATE(726)] = 25804,
  [SMALL_STATE(727)] = 25851,
  [SMALL_STATE(728)] = 25942,
  [SMALL_STATE(729)] = 26033,
  [SMALL_STATE(730)] = 26080,
  [SMALL_STATE(731)] = 26171,
  [SMALL_STATE(732)] = 26218,
  [SMALL_STATE(733)] = 26309,
  [SMALL_STATE(734)] = 26400,
  [SMALL_STATE(735)] = 26494,
  [SMALL_STATE(736)] = 26544,
  [SMALL_STATE(737)] = 26636,
  [SMALL_STATE(738)] = 26726,
  [SMALL_STATE(739)] = 26820,
  [SMALL_STATE(740)] = 26910,
  [SMALL_STATE(741)] = 26962,
  [SMALL_STATE(742)] = 27014,
  [SMALL_STATE(743)] = 27066,
  [SMALL_STATE(744)] = 27116,
  [SMALL_STATE(745)] = 27168,
  [SMALL_STATE(746)] = 27262,
  [SMALL_STATE(747)] = 27356,
  [SMALL_STATE(748)] = 27450,
  [SMALL_STATE(749)] = 27544,
  [SMALL_STATE(750)] = 27594,
  [SMALL_STATE(751)] = 27687,
  [SMALL_STATE(752)] = 27780,
  [SMALL_STATE(753)] = 27873,
  [SMALL_STATE(754)] = 27966,
  [SMALL_STATE(755)] = 28059,
  [SMALL_STATE(756)] = 28152,
  [SMALL_STATE(757)] = 28245,
  [SMALL_STATE(758)] = 28334,
  [SMALL_STATE(759)] = 28423,
  [SMALL_STATE(760)] = 28474,
  [SMALL_STATE(761)] = 28567,
  [SMALL_STATE(762)] = 28618,
  [SMALL_STATE(763)] = 28669,
  [SMALL_STATE(764)] = 28762,
  [SMALL_STATE(765)] = 28851,
  [SMALL_STATE(766)] = 28944,
  [SMALL_STATE(767)] = 29037,
  [SMALL_STATE(768)] = 29130,
  [SMALL_STATE(769)] = 29223,
  [SMALL_STATE(770)] = 29316,
  [SMALL_STATE(771)] = 29409,
  [SMALL_STATE(772)] = 29502,
  [SMALL_STATE(773)] = 29595,
  [SMALL_STATE(774)] = 29688,
  [SMALL_STATE(775)] = 29781,
  [SMALL_STATE(776)] = 29874,
  [SMALL_STATE(777)] = 29967,
  [SMALL_STATE(778)] = 30060,
  [SMALL_STATE(779)] = 30153,
  [SMALL_STATE(780)] = 30242,
  [SMALL_STATE(781)] = 30335,
  [SMALL_STATE(782)] = 30424,
  [SMALL_STATE(783)] = 30513,
  [SMALL_STATE(784)] = 30606,
  [SMALL_STATE(785)] = 30699,
  [SMALL_STATE(786)] = 30788,
  [SMALL_STATE(787)] = 30877,
  [SMALL_STATE(788)] = 30966,
  [SMALL_STATE(789)] = 31059,
  [SMALL_STATE(790)] = 31152,
  [SMALL_STATE(791)] = 31221,
  [SMALL_STATE(792)] = 31314,
  [SMALL_STATE(793)] = 31373,
  [SMALL_STATE(794)] = 31454,
  [SMALL_STATE(795)] = 31537,
  [SMALL_STATE(796)] = 31602,
  [SMALL_STATE(797)] = 31691,
  [SMALL_STATE(798)] = 31784,
  [SMALL_STATE(799)] = 31861,
  [SMALL_STATE(800)] = 31940,
  [SMALL_STATE(801)] = 32021,
  [SMALL_STATE(802)] = 32084,
  [SMALL_STATE(803)] = 32143,
  [SMALL_STATE(804)] = 32236,
  [SMALL_STATE(805)] = 32309,
  [SMALL_STATE(806)] = 32402,
  [SMALL_STATE(807)] = 32487,
  [SMALL_STATE(808)] = 32580,
  [SMALL_STATE(809)] = 32669,
  [SMALL_STATE(810)] = 32762,
  [SMALL_STATE(811)] = 32851,
  [SMALL_STATE(812)] = 32944,
  [SMALL_STATE(813)] = 33037,
  [SMALL_STATE(814)] = 33130,
  [SMALL_STATE(815)] = 33219,
  [SMALL_STATE(816)] = 33308,
  [SMALL_STATE(817)] = 33359,
  [SMALL_STATE(818)] = 33452,
  [SMALL_STATE(819)] = 33541,
  [SMALL_STATE(820)] = 33629,
  [SMALL_STATE(821)] = 33675,
  [SMALL_STATE(822)] = 33763,
  [SMALL_STATE(823)] = 33809,
  [SMALL_STATE(824)] = 33895,
  [SMALL_STATE(825)] = 33981,
  [SMALL_STATE(826)] = 34069,
  [SMALL_STATE(827)] = 34155,
  [SMALL_STATE(828)] = 34241,
  [SMALL_STATE(829)] = 34327,
  [SMALL_STATE(830)] = 34413,
  [SMALL_STATE(831)] = 34463,
  [SMALL_STATE(832)] = 34553,
  [SMALL_STATE(833)] = 34641,
  [SMALL_STATE(834)] = 34729,
  [SMALL_STATE(835)] = 34817,
  [SMALL_STATE(836)] = 34905,
  [SMALL_STATE(837)] = 34993,
  [SMALL_STATE(838)] = 35081,
  [SMALL_STATE(839)] = 35169,
  [SMALL_STATE(840)] = 35237,
  [SMALL_STATE(841)] = 35295,
  [SMALL_STATE(842)] = 35375,
  [SMALL_STATE(843)] = 35457,
  [SMALL_STATE(844)] = 35521,
  [SMALL_STATE(845)] = 35597,
  [SMALL_STATE(846)] = 35675,
  [SMALL_STATE(847)] = 35755,
  [SMALL_STATE(848)] = 35817,
  [SMALL_STATE(849)] = 35875,
  [SMALL_STATE(850)] = 35947,
  [SMALL_STATE(851)] = 36031,
  [SMALL_STATE(852)] = 36119,
  [SMALL_STATE(853)] = 36207,
  [SMALL_STATE(854)] = 36295,
  [SMALL_STATE(855)] = 36383,
  [SMALL_STATE(856)] = 36471,
  [SMALL_STATE(857)] = 36559,
  [SMALL_STATE(858)] = 36646,
  [SMALL_STATE(859)] = 36733,
  [SMALL_STATE(860)] = 36820,
  [SMALL_STATE(861)] = 36907,
  [SMALL_STATE(862)] = 36994,
  [SMALL_STATE(863)] = 37081,
  [SMALL_STATE(864)] = 37170,
  [SMALL_STATE(865)] = 37257,
  [SMALL_STATE(866)] = 37344,
  [SMALL_STATE(867)] = 37422,
  [SMALL_STATE(868)] = 37506,
  [SMALL_STATE(869)] = 37590,
  [SMALL_STATE(870)] = 37660,
  [SMALL_STATE(871)] = 37731,
  [SMALL_STATE(872)] = 37802,
  [SMALL_STATE(873)] = 37873,
  [SMALL_STATE(874)] = 37944,
  [SMALL_STATE(875)] = 38015,
  [SMALL_STATE(876)] = 38080,
  [SMALL_STATE(877)] = 38151,
  [SMALL_STATE(878)] = 38208,
  [SMALL_STATE(879)] = 38265,
  [SMALL_STATE(880)] = 38336,
  [SMALL_STATE(881)] = 38388,
  [SMALL_STATE(882)] = 38444,
  [SMALL_STATE(883)] = 38502,
  [SMALL_STATE(884)] = 38558,
  [SMALL_STATE(885)] = 38616,
  [SMALL_STATE(886)] = 38672,
  [SMALL_STATE(887)] = 38730,
  [SMALL_STATE(888)] = 38788,
  [SMALL_STATE(889)] = 38846,
  [SMALL_STATE(890)] = 38902,
  [SMALL_STATE(891)] = 38960,
  [SMALL_STATE(892)] = 39016,
  [SMALL_STATE(893)] = 39072,
  [SMALL_STATE(894)] = 39123,
  [SMALL_STATE(895)] = 39174,
  [SMALL_STATE(896)] = 39227,
  [SMALL_STATE(897)] = 39278,
  [SMALL_STATE(898)] = 39329,
  [SMALL_STATE(899)] = 39380,
  [SMALL_STATE(900)] = 39431,
  [SMALL_STATE(901)] = 39481,
  [SMALL_STATE(902)] = 39531,
  [SMALL_STATE(903)] = 39583,
  [SMALL_STATE(904)] = 39643,
  [SMALL_STATE(905)] = 39691,
  [SMALL_STATE(906)] = 39736,
  [SMALL_STATE(907)] = 39779,
  [SMALL_STATE(908)] = 39824,
  [SMALL_STATE(909)] = 39867,
  [SMALL_STATE(910)] = 39914,
  [SMALL_STATE(911)] = 39969,
  [SMALL_STATE(912)] = 40014,
  [SMALL_STATE(913)] = 40057,
  [SMALL_STATE(914)] = 40104,
  [SMALL_STATE(915)] = 40149,
  [SMALL_STATE(916)] = 40204,
  [SMALL_STATE(917)] = 40242,
  [SMALL_STATE(918)] = 40276,
  [SMALL_STATE(919)] = 40314,
  [SMALL_STATE(920)] = 40352,
  [SMALL_STATE(921)] = 40390,
  [SMALL_STATE(922)] = 40428,
  [SMALL_STATE(923)] = 40468,
  [SMALL_STATE(924)] = 40506,
  [SMALL_STATE(925)] = 40533,
  [SMALL_STATE(926)] = 40560,
  [SMALL_STATE(927)] = 40587,
  [SMALL_STATE(928)] = 40614,
  [SMALL_STATE(929)] = 40641,
  [SMALL_STATE(930)] = 40668,
  [SMALL_STATE(931)] = 40695,
  [SMALL_STATE(932)] = 40722,
  [SMALL_STATE(933)] = 40749,
  [SMALL_STATE(934)] = 40776,
  [SMALL_STATE(935)] = 40803,
  [SMALL_STATE(936)] = 40830,
  [SMALL_STATE(937)] = 40857,
  [SMALL_STATE(938)] = 40884,
  [SMALL_STATE(939)] = 40911,
  [SMALL_STATE(940)] = 40938,
  [SMALL_STATE(941)] = 40965,
  [SMALL_STATE(942)] = 40992,
  [SMALL_STATE(943)] = 41019,
  [SMALL_STATE(944)] = 41046,
  [SMALL_STATE(945)] = 41079,
  [SMALL_STATE(946)] = 41106,
  [SMALL_STATE(947)] = 41133,
  [SMALL_STATE(948)] = 41160,
  [SMALL_STATE(949)] = 41189,
  [SMALL_STATE(950)] = 41216,
  [SMALL_STATE(951)] = 41243,
  [SMALL_STATE(952)] = 41270,
  [SMALL_STATE(953)] = 41297,
  [SMALL_STATE(954)] = 41326,
  [SMALL_STATE(955)] = 41353,
  [SMALL_STATE(956)] = 41380,
  [SMALL_STATE(957)] = 41406,
  [SMALL_STATE(958)] = 41432,
  [SMALL_STATE(959)] = 41460,
  [SMALL_STATE(960)] = 41498,
  [SMALL_STATE(961)] = 41540,
  [SMALL_STATE(962)] = 41580,
  [SMALL_STATE(963)] = 41606,
  [SMALL_STATE(964)] = 41632,
  [SMALL_STATE(965)] = 41678,
  [SMALL_STATE(966)] = 41720,
  [SMALL_STATE(967)] = 41764,
  [SMALL_STATE(968)] = 41804,
  [SMALL_STATE(969)] = 41846,
  [SMALL_STATE(970)] = 41872,
  [SMALL_STATE(971)] = 41914,
  [SMALL_STATE(972)] = 41940,
  [SMALL_STATE(973)] = 41975,
  [SMALL_STATE(974)] = 42010,
  [SMALL_STATE(975)] = 42045,
  [SMALL_STATE(976)] = 42080,
  [SMALL_STATE(977)] = 42105,
  [SMALL_STATE(978)] = 42140,
  [SMALL_STATE(979)] = 42181,
  [SMALL_STATE(980)] = 42216,
  [SMALL_STATE(981)] = 42255,
  [SMALL_STATE(982)] = 42298,
  [SMALL_STATE(983)] = 42333,
  [SMALL_STATE(984)] = 42368,
  [SMALL_STATE(985)] = 42409,
  [SMALL_STATE(986)] = 42444,
  [SMALL_STATE(987)] = 42479,
  [SMALL_STATE(988)] = 42514,
  [SMALL_STATE(989)] = 42553,
  [SMALL_STATE(990)] = 42588,
  [SMALL_STATE(991)] = 42623,
  [SMALL_STATE(992)] = 42658,
  [SMALL_STATE(993)] = 42693,
  [SMALL_STATE(994)] = 42728,
  [SMALL_STATE(995)] = 42763,
  [SMALL_STATE(996)] = 42798,
  [SMALL_STATE(997)] = 42833,
  [SMALL_STATE(998)] = 42868,
  [SMALL_STATE(999)] = 42903,
  [SMALL_STATE(1000)] = 42938,
  [SMALL_STATE(1001)] = 42963,
  [SMALL_STATE(1002)] = 42988,
  [SMALL_STATE(1003)] = 43013,
  [SMALL_STATE(1004)] = 43056,
  [SMALL_STATE(1005)] = 43081,
  [SMALL_STATE(1006)] = 43116,
  [SMALL_STATE(1007)] = 43141,
  [SMALL_STATE(1008)] = 43176,
  [SMALL_STATE(1009)] = 43208,
  [SMALL_STATE(1010)] = 43240,
  [SMALL_STATE(1011)] = 43272,
  [SMALL_STATE(1012)] = 43304,
  [SMALL_STATE(1013)] = 43336,
  [SMALL_STATE(1014)] = 43368,
  [SMALL_STATE(1015)] = 43400,
  [SMALL_STATE(1016)] = 43422,
  [SMALL_STATE(1017)] = 43454,
  [SMALL_STATE(1018)] = 43486,
  [SMALL_STATE(1019)] = 43508,
  [SMALL_STATE(1020)] = 43530,
  [SMALL_STATE(1021)] = 43562,
  [SMALL_STATE(1022)] = 43594,
  [SMALL_STATE(1023)] = 43626,
  [SMALL_STATE(1024)] = 43648,
  [SMALL_STATE(1025)] = 43680,
  [SMALL_STATE(1026)] = 43712,
  [SMALL_STATE(1027)] = 43744,
  [SMALL_STATE(1028)] = 43776,
  [SMALL_STATE(1029)] = 43808,
  [SMALL_STATE(1030)] = 43830,
  [SMALL_STATE(1031)] = 43862,
  [SMALL_STATE(1032)] = 43899,
  [SMALL_STATE(1033)] = 43929,
  [SMALL_STATE(1034)] = 43959,
  [SMALL_STATE(1035)] = 43995,
  [SMALL_STATE(1036)] = 44025,
  [SMALL_STATE(1037)] = 44061,
  [SMALL_STATE(1038)] = 44091,
  [SMALL_STATE(1039)] = 44121,
  [SMALL_STATE(1040)] = 44151,
  [SMALL_STATE(1041)] = 44187,
  [SMALL_STATE(1042)] = 44217,
  [SMALL_STATE(1043)] = 44253,
  [SMALL_STATE(1044)] = 44283,
  [SMALL_STATE(1045)] = 44316,
  [SMALL_STATE(1046)] = 44343,
  [SMALL_STATE(1047)] = 44376,
  [SMALL_STATE(1048)] = 44409,
  [SMALL_STATE(1049)] = 44442,
  [SMALL_STATE(1050)] = 44475,
  [SMALL_STATE(1051)] = 44508,
  [SMALL_STATE(1052)] = 44541,
  [SMALL_STATE(1053)] = 44574,
  [SMALL_STATE(1054)] = 44600,
  [SMALL_STATE(1055)] = 44630,
  [SMALL_STATE(1056)] = 44660,
  [SMALL_STATE(1057)] = 44686,
  [SMALL_STATE(1058)] = 44716,
  [SMALL_STATE(1059)] = 44746,
  [SMALL_STATE(1060)] = 44776,
  [SMALL_STATE(1061)] = 44806,
  [SMALL_STATE(1062)] = 44836,
  [SMALL_STATE(1063)] = 44866,
  [SMALL_STATE(1064)] = 44896,
  [SMALL_STATE(1065)] = 44926,
  [SMALL_STATE(1066)] = 44956,
  [SMALL_STATE(1067)] = 44986,
  [SMALL_STATE(1068)] = 45016,
  [SMALL_STATE(1069)] = 45046,
  [SMALL_STATE(1070)] = 45076,
  [SMALL_STATE(1071)] = 45104,
  [SMALL_STATE(1072)] = 45134,
  [SMALL_STATE(1073)] = 45164,
  [SMALL_STATE(1074)] = 45194,
  [SMALL_STATE(1075)] = 45224,
  [SMALL_STATE(1076)] = 45254,
  [SMALL_STATE(1077)] = 45281,
  [SMALL_STATE(1078)] = 45308,
  [SMALL_STATE(1079)] = 45326,
  [SMALL_STATE(1080)] = 45348,
  [SMALL_STATE(1081)] = 45370,
  [SMALL_STATE(1082)] = 45392,
  [SMALL_STATE(1083)] = 45416,
  [SMALL_STATE(1084)] = 45440,
  [SMALL_STATE(1085)] = 45464,
  [SMALL_STATE(1086)] = 45488,
  [SMALL_STATE(1087)] = 45506,
  [SMALL_STATE(1088)] = 45530,
  [SMALL_STATE(1089)] = 45544,
  [SMALL_STATE(1090)] = 45558,
  [SMALL_STATE(1091)] = 45582,
  [SMALL_STATE(1092)] = 45606,
  [SMALL_STATE(1093)] = 45626,
  [SMALL_STATE(1094)] = 45640,
  [SMALL_STATE(1095)] = 45660,
  [SMALL_STATE(1096)] = 45682,
  [SMALL_STATE(1097)] = 45706,
  [SMALL_STATE(1098)] = 45730,
  [SMALL_STATE(1099)] = 45752,
  [SMALL_STATE(1100)] = 45774,
  [SMALL_STATE(1101)] = 45788,
  [SMALL_STATE(1102)] = 45812,
  [SMALL_STATE(1103)] = 45826,
  [SMALL_STATE(1104)] = 45845,
  [SMALL_STATE(1105)] = 45864,
  [SMALL_STATE(1106)] = 45879,
  [SMALL_STATE(1107)] = 45898,
  [SMALL_STATE(1108)] = 45919,
  [SMALL_STATE(1109)] = 45938,
  [SMALL_STATE(1110)] = 45959,
  [SMALL_STATE(1111)] = 45972,
  [SMALL_STATE(1112)] = 45993,
  [SMALL_STATE(1113)] = 46006,
  [SMALL_STATE(1114)] = 46025,
  [SMALL_STATE(1115)] = 46046,
  [SMALL_STATE(1116)] = 46065,
  [SMALL_STATE(1117)] = 46078,
  [SMALL_STATE(1118)] = 46097,
  [SMALL_STATE(1119)] = 46110,
  [SMALL_STATE(1120)] = 46127,
  [SMALL_STATE(1121)] = 46140,
  [SMALL_STATE(1122)] = 46153,
  [SMALL_STATE(1123)] = 46172,
  [SMALL_STATE(1124)] = 46191,
  [SMALL_STATE(1125)] = 46206,
  [SMALL_STATE(1126)] = 46227,
  [SMALL_STATE(1127)] = 46240,
  [SMALL_STATE(1128)] = 46253,
  [SMALL_STATE(1129)] = 46266,
  [SMALL_STATE(1130)] = 46279,
  [SMALL_STATE(1131)] = 46300,
  [SMALL_STATE(1132)] = 46319,
  [SMALL_STATE(1133)] = 46338,
  [SMALL_STATE(1134)] = 46356,
  [SMALL_STATE(1135)] = 46370,
  [SMALL_STATE(1136)] = 46384,
  [SMALL_STATE(1137)] = 46398,
  [SMALL_STATE(1138)] = 46418,
  [SMALL_STATE(1139)] = 46430,
  [SMALL_STATE(1140)] = 46450,
  [SMALL_STATE(1141)] = 46464,
  [SMALL_STATE(1142)] = 46484,
  [SMALL_STATE(1143)] = 46504,
  [SMALL_STATE(1144)] = 46518,
  [SMALL_STATE(1145)] = 46538,
  [SMALL_STATE(1146)] = 46558,
  [SMALL_STATE(1147)] = 46572,
  [SMALL_STATE(1148)] = 46586,
  [SMALL_STATE(1149)] = 46606,
  [SMALL_STATE(1150)] = 46620,
  [SMALL_STATE(1151)] = 46634,
  [SMALL_STATE(1152)] = 46654,
  [SMALL_STATE(1153)] = 46668,
  [SMALL_STATE(1154)] = 46688,
  [SMALL_STATE(1155)] = 46702,
  [SMALL_STATE(1156)] = 46716,
  [SMALL_STATE(1157)] = 46736,
  [SMALL_STATE(1158)] = 46750,
  [SMALL_STATE(1159)] = 46770,
  [SMALL_STATE(1160)] = 46784,
  [SMALL_STATE(1161)] = 46800,
  [SMALL_STATE(1162)] = 46820,
  [SMALL_STATE(1163)] = 46834,
  [SMALL_STATE(1164)] = 46848,
  [SMALL_STATE(1165)] = 46868,
  [SMALL_STATE(1166)] = 46882,
  [SMALL_STATE(1167)] = 46902,
  [SMALL_STATE(1168)] = 46914,
  [SMALL_STATE(1169)] = 46928,
  [SMALL_STATE(1170)] = 46948,
  [SMALL_STATE(1171)] = 46968,
  [SMALL_STATE(1172)] = 46986,
  [SMALL_STATE(1173)] = 47000,
  [SMALL_STATE(1174)] = 47014,
  [SMALL_STATE(1175)] = 47034,
  [SMALL_STATE(1176)] = 47048,
  [SMALL_STATE(1177)] = 47066,
  [SMALL_STATE(1178)] = 47080,
  [SMALL_STATE(1179)] = 47094,
  [SMALL_STATE(1180)] = 47108,
  [SMALL_STATE(1181)] = 47122,
  [SMALL_STATE(1182)] = 47136,
  [SMALL_STATE(1183)] = 47150,
  [SMALL_STATE(1184)] = 47164,
  [SMALL_STATE(1185)] = 47178,
  [SMALL_STATE(1186)] = 47198,
  [SMALL_STATE(1187)] = 47212,
  [SMALL_STATE(1188)] = 47232,
  [SMALL_STATE(1189)] = 47252,
  [SMALL_STATE(1190)] = 47266,
  [SMALL_STATE(1191)] = 47286,
  [SMALL_STATE(1192)] = 47302,
  [SMALL_STATE(1193)] = 47316,
  [SMALL_STATE(1194)] = 47330,
  [SMALL_STATE(1195)] = 47346,
  [SMALL_STATE(1196)] = 47360,
  [SMALL_STATE(1197)] = 47372,
  [SMALL_STATE(1198)] = 47392,
  [SMALL_STATE(1199)] = 47406,
  [SMALL_STATE(1200)] = 47420,
  [SMALL_STATE(1201)] = 47437,
  [SMALL_STATE(1202)] = 47454,
  [SMALL_STATE(1203)] = 47469,
  [SMALL_STATE(1204)] = 47486,
  [SMALL_STATE(1205)] = 47503,
  [SMALL_STATE(1206)] = 47522,
  [SMALL_STATE(1207)] = 47539,
  [SMALL_STATE(1208)] = 47556,
  [SMALL_STATE(1209)] = 47573,
  [SMALL_STATE(1210)] = 47592,
  [SMALL_STATE(1211)] = 47609,
  [SMALL_STATE(1212)] = 47624,
  [SMALL_STATE(1213)] = 47641,
  [SMALL_STATE(1214)] = 47660,
  [SMALL_STATE(1215)] = 47677,
  [SMALL_STATE(1216)] = 47688,
  [SMALL_STATE(1217)] = 47699,
  [SMALL_STATE(1218)] = 47716,
  [SMALL_STATE(1219)] = 47735,
  [SMALL_STATE(1220)] = 47748,
  [SMALL_STATE(1221)] = 47765,
  [SMALL_STATE(1222)] = 47780,
  [SMALL_STATE(1223)] = 47797,
  [SMALL_STATE(1224)] = 47812,
  [SMALL_STATE(1225)] = 47829,
  [SMALL_STATE(1226)] = 47846,
  [SMALL_STATE(1227)] = 47863,
  [SMALL_STATE(1228)] = 47880,
  [SMALL_STATE(1229)] = 47897,
  [SMALL_STATE(1230)] = 47914,
  [SMALL_STATE(1231)] = 47931,
  [SMALL_STATE(1232)] = 47946,
  [SMALL_STATE(1233)] = 47963,
  [SMALL_STATE(1234)] = 47980,
  [SMALL_STATE(1235)] = 47997,
  [SMALL_STATE(1236)] = 48014,
  [SMALL_STATE(1237)] = 48031,
  [SMALL_STATE(1238)] = 48048,
  [SMALL_STATE(1239)] = 48061,
  [SMALL_STATE(1240)] = 48078,
  [SMALL_STATE(1241)] = 48089,
  [SMALL_STATE(1242)] = 48106,
  [SMALL_STATE(1243)] = 48121,
  [SMALL_STATE(1244)] = 48138,
  [SMALL_STATE(1245)] = 48155,
  [SMALL_STATE(1246)] = 48172,
  [SMALL_STATE(1247)] = 48189,
  [SMALL_STATE(1248)] = 48206,
  [SMALL_STATE(1249)] = 48221,
  [SMALL_STATE(1250)] = 48238,
  [SMALL_STATE(1251)] = 48255,
  [SMALL_STATE(1252)] = 48270,
  [SMALL_STATE(1253)] = 48287,
  [SMALL_STATE(1254)] = 48304,
  [SMALL_STATE(1255)] = 48321,
  [SMALL_STATE(1256)] = 48336,
  [SMALL_STATE(1257)] = 48347,
  [SMALL_STATE(1258)] = 48362,
  [SMALL_STATE(1259)] = 48379,
  [SMALL_STATE(1260)] = 48396,
  [SMALL_STATE(1261)] = 48411,
  [SMALL_STATE(1262)] = 48428,
  [SMALL_STATE(1263)] = 48445,
  [SMALL_STATE(1264)] = 48464,
  [SMALL_STATE(1265)] = 48483,
  [SMALL_STATE(1266)] = 48494,
  [SMALL_STATE(1267)] = 48511,
  [SMALL_STATE(1268)] = 48528,
  [SMALL_STATE(1269)] = 48543,
  [SMALL_STATE(1270)] = 48560,
  [SMALL_STATE(1271)] = 48571,
  [SMALL_STATE(1272)] = 48586,
  [SMALL_STATE(1273)] = 48603,
  [SMALL_STATE(1274)] = 48620,
  [SMALL_STATE(1275)] = 48634,
  [SMALL_STATE(1276)] = 48648,
  [SMALL_STATE(1277)] = 48662,
  [SMALL_STATE(1278)] = 48676,
  [SMALL_STATE(1279)] = 48690,
  [SMALL_STATE(1280)] = 48700,
  [SMALL_STATE(1281)] = 48712,
  [SMALL_STATE(1282)] = 48726,
  [SMALL_STATE(1283)] = 48738,
  [SMALL_STATE(1284)] = 48752,
  [SMALL_STATE(1285)] = 48766,
  [SMALL_STATE(1286)] = 48780,
  [SMALL_STATE(1287)] = 48794,
  [SMALL_STATE(1288)] = 48808,
  [SMALL_STATE(1289)] = 48822,
  [SMALL_STATE(1290)] = 48836,
  [SMALL_STATE(1291)] = 48850,
  [SMALL_STATE(1292)] = 48864,
  [SMALL_STATE(1293)] = 48878,
  [SMALL_STATE(1294)] = 48888,
  [SMALL_STATE(1295)] = 48900,
  [SMALL_STATE(1296)] = 48914,
  [SMALL_STATE(1297)] = 48928,
  [SMALL_STATE(1298)] = 48942,
  [SMALL_STATE(1299)] = 48954,
  [SMALL_STATE(1300)] = 48968,
  [SMALL_STATE(1301)] = 48980,
  [SMALL_STATE(1302)] = 48994,
  [SMALL_STATE(1303)] = 49006,
  [SMALL_STATE(1304)] = 49020,
  [SMALL_STATE(1305)] = 49034,
  [SMALL_STATE(1306)] = 49048,
  [SMALL_STATE(1307)] = 49062,
  [SMALL_STATE(1308)] = 49076,
  [SMALL_STATE(1309)] = 49086,
  [SMALL_STATE(1310)] = 49100,
  [SMALL_STATE(1311)] = 49114,
  [SMALL_STATE(1312)] = 49128,
  [SMALL_STATE(1313)] = 49142,
  [SMALL_STATE(1314)] = 49154,
  [SMALL_STATE(1315)] = 49168,
  [SMALL_STATE(1316)] = 49182,
  [SMALL_STATE(1317)] = 49196,
  [SMALL_STATE(1318)] = 49210,
  [SMALL_STATE(1319)] = 49220,
  [SMALL_STATE(1320)] = 49234,
  [SMALL_STATE(1321)] = 49248,
  [SMALL_STATE(1322)] = 49262,
  [SMALL_STATE(1323)] = 49276,
  [SMALL_STATE(1324)] = 49290,
  [SMALL_STATE(1325)] = 49304,
  [SMALL_STATE(1326)] = 49316,
  [SMALL_STATE(1327)] = 49330,
  [SMALL_STATE(1328)] = 49340,
  [SMALL_STATE(1329)] = 49354,
  [SMALL_STATE(1330)] = 49366,
  [SMALL_STATE(1331)] = 49380,
  [SMALL_STATE(1332)] = 49390,
  [SMALL_STATE(1333)] = 49404,
  [SMALL_STATE(1334)] = 49418,
  [SMALL_STATE(1335)] = 49432,
  [SMALL_STATE(1336)] = 49446,
  [SMALL_STATE(1337)] = 49460,
  [SMALL_STATE(1338)] = 49472,
  [SMALL_STATE(1339)] = 49486,
  [SMALL_STATE(1340)] = 49500,
  [SMALL_STATE(1341)] = 49512,
  [SMALL_STATE(1342)] = 49526,
  [SMALL_STATE(1343)] = 49538,
  [SMALL_STATE(1344)] = 49552,
  [SMALL_STATE(1345)] = 49566,
  [SMALL_STATE(1346)] = 49580,
  [SMALL_STATE(1347)] = 49594,
  [SMALL_STATE(1348)] = 49608,
  [SMALL_STATE(1349)] = 49622,
  [SMALL_STATE(1350)] = 49636,
  [SMALL_STATE(1351)] = 49650,
  [SMALL_STATE(1352)] = 49664,
  [SMALL_STATE(1353)] = 49678,
  [SMALL_STATE(1354)] = 49692,
  [SMALL_STATE(1355)] = 49706,
  [SMALL_STATE(1356)] = 49720,
  [SMALL_STATE(1357)] = 49734,
  [SMALL_STATE(1358)] = 49746,
  [SMALL_STATE(1359)] = 49760,
  [SMALL_STATE(1360)] = 49770,
  [SMALL_STATE(1361)] = 49780,
  [SMALL_STATE(1362)] = 49794,
  [SMALL_STATE(1363)] = 49808,
  [SMALL_STATE(1364)] = 49822,
  [SMALL_STATE(1365)] = 49836,
  [SMALL_STATE(1366)] = 49850,
  [SMALL_STATE(1367)] = 49864,
  [SMALL_STATE(1368)] = 49878,
  [SMALL_STATE(1369)] = 49892,
  [SMALL_STATE(1370)] = 49906,
  [SMALL_STATE(1371)] = 49920,
  [SMALL_STATE(1372)] = 49931,
  [SMALL_STATE(1373)] = 49942,
  [SMALL_STATE(1374)] = 49953,
  [SMALL_STATE(1375)] = 49964,
  [SMALL_STATE(1376)] = 49975,
  [SMALL_STATE(1377)] = 49986,
  [SMALL_STATE(1378)] = 49997,
  [SMALL_STATE(1379)] = 50008,
  [SMALL_STATE(1380)] = 50017,
  [SMALL_STATE(1381)] = 50028,
  [SMALL_STATE(1382)] = 50037,
  [SMALL_STATE(1383)] = 50046,
  [SMALL_STATE(1384)] = 50055,
  [SMALL_STATE(1385)] = 50066,
  [SMALL_STATE(1386)] = 50077,
  [SMALL_STATE(1387)] = 50088,
  [SMALL_STATE(1388)] = 50099,
  [SMALL_STATE(1389)] = 50110,
  [SMALL_STATE(1390)] = 50121,
  [SMALL_STATE(1391)] = 50132,
  [SMALL_STATE(1392)] = 50143,
  [SMALL_STATE(1393)] = 50154,
  [SMALL_STATE(1394)] = 50165,
  [SMALL_STATE(1395)] = 50176,
  [SMALL_STATE(1396)] = 50187,
  [SMALL_STATE(1397)] = 50198,
  [SMALL_STATE(1398)] = 50207,
  [SMALL_STATE(1399)] = 50218,
  [SMALL_STATE(1400)] = 50227,
  [SMALL_STATE(1401)] = 50238,
  [SMALL_STATE(1402)] = 50247,
  [SMALL_STATE(1403)] = 50258,
  [SMALL_STATE(1404)] = 50269,
  [SMALL_STATE(1405)] = 50280,
  [SMALL_STATE(1406)] = 50291,
  [SMALL_STATE(1407)] = 50300,
  [SMALL_STATE(1408)] = 50309,
  [SMALL_STATE(1409)] = 50320,
  [SMALL_STATE(1410)] = 50331,
  [SMALL_STATE(1411)] = 50342,
  [SMALL_STATE(1412)] = 50353,
  [SMALL_STATE(1413)] = 50364,
  [SMALL_STATE(1414)] = 50375,
  [SMALL_STATE(1415)] = 50386,
  [SMALL_STATE(1416)] = 50397,
  [SMALL_STATE(1417)] = 50408,
  [SMALL_STATE(1418)] = 50419,
  [SMALL_STATE(1419)] = 50430,
  [SMALL_STATE(1420)] = 50441,
  [SMALL_STATE(1421)] = 50452,
  [SMALL_STATE(1422)] = 50461,
  [SMALL_STATE(1423)] = 50472,
  [SMALL_STATE(1424)] = 50481,
  [SMALL_STATE(1425)] = 50492,
  [SMALL_STATE(1426)] = 50503,
  [SMALL_STATE(1427)] = 50514,
  [SMALL_STATE(1428)] = 50525,
  [SMALL_STATE(1429)] = 50536,
  [SMALL_STATE(1430)] = 50545,
  [SMALL_STATE(1431)] = 50554,
  [SMALL_STATE(1432)] = 50565,
  [SMALL_STATE(1433)] = 50576,
  [SMALL_STATE(1434)] = 50587,
  [SMALL_STATE(1435)] = 50598,
  [SMALL_STATE(1436)] = 50607,
  [SMALL_STATE(1437)] = 50618,
  [SMALL_STATE(1438)] = 50629,
  [SMALL_STATE(1439)] = 50640,
  [SMALL_STATE(1440)] = 50651,
  [SMALL_STATE(1441)] = 50662,
  [SMALL_STATE(1442)] = 50673,
  [SMALL_STATE(1443)] = 50684,
  [SMALL_STATE(1444)] = 50695,
  [SMALL_STATE(1445)] = 50706,
  [SMALL_STATE(1446)] = 50717,
  [SMALL_STATE(1447)] = 50728,
  [SMALL_STATE(1448)] = 50737,
  [SMALL_STATE(1449)] = 50746,
  [SMALL_STATE(1450)] = 50757,
  [SMALL_STATE(1451)] = 50768,
  [SMALL_STATE(1452)] = 50777,
  [SMALL_STATE(1453)] = 50788,
  [SMALL_STATE(1454)] = 50797,
  [SMALL_STATE(1455)] = 50806,
  [SMALL_STATE(1456)] = 50815,
  [SMALL_STATE(1457)] = 50826,
  [SMALL_STATE(1458)] = 50837,
  [SMALL_STATE(1459)] = 50848,
  [SMALL_STATE(1460)] = 50859,
  [SMALL_STATE(1461)] = 50870,
  [SMALL_STATE(1462)] = 50879,
  [SMALL_STATE(1463)] = 50890,
  [SMALL_STATE(1464)] = 50901,
  [SMALL_STATE(1465)] = 50912,
  [SMALL_STATE(1466)] = 50923,
  [SMALL_STATE(1467)] = 50934,
  [SMALL_STATE(1468)] = 50945,
  [SMALL_STATE(1469)] = 50954,
  [SMALL_STATE(1470)] = 50965,
  [SMALL_STATE(1471)] = 50976,
  [SMALL_STATE(1472)] = 50987,
  [SMALL_STATE(1473)] = 50998,
  [SMALL_STATE(1474)] = 51009,
  [SMALL_STATE(1475)] = 51020,
  [SMALL_STATE(1476)] = 51031,
  [SMALL_STATE(1477)] = 51040,
  [SMALL_STATE(1478)] = 51051,
  [SMALL_STATE(1479)] = 51062,
  [SMALL_STATE(1480)] = 51071,
  [SMALL_STATE(1481)] = 51082,
  [SMALL_STATE(1482)] = 51093,
  [SMALL_STATE(1483)] = 51104,
  [SMALL_STATE(1484)] = 51113,
  [SMALL_STATE(1485)] = 51124,
  [SMALL_STATE(1486)] = 51135,
  [SMALL_STATE(1487)] = 51146,
  [SMALL_STATE(1488)] = 51157,
  [SMALL_STATE(1489)] = 51168,
  [SMALL_STATE(1490)] = 51179,
  [SMALL_STATE(1491)] = 51188,
  [SMALL_STATE(1492)] = 51197,
  [SMALL_STATE(1493)] = 51208,
  [SMALL_STATE(1494)] = 51219,
  [SMALL_STATE(1495)] = 51230,
  [SMALL_STATE(1496)] = 51241,
  [SMALL_STATE(1497)] = 51252,
  [SMALL_STATE(1498)] = 51263,
  [SMALL_STATE(1499)] = 51274,
  [SMALL_STATE(1500)] = 51285,
  [SMALL_STATE(1501)] = 51296,
  [SMALL_STATE(1502)] = 51307,
  [SMALL_STATE(1503)] = 51318,
  [SMALL_STATE(1504)] = 51329,
  [SMALL_STATE(1505)] = 51340,
  [SMALL_STATE(1506)] = 51351,
  [SMALL_STATE(1507)] = 51362,
  [SMALL_STATE(1508)] = 51373,
  [SMALL_STATE(1509)] = 51384,
  [SMALL_STATE(1510)] = 51395,
  [SMALL_STATE(1511)] = 51406,
  [SMALL_STATE(1512)] = 51417,
  [SMALL_STATE(1513)] = 51428,
  [SMALL_STATE(1514)] = 51439,
  [SMALL_STATE(1515)] = 51450,
  [SMALL_STATE(1516)] = 51461,
  [SMALL_STATE(1517)] = 51472,
  [SMALL_STATE(1518)] = 51483,
  [SMALL_STATE(1519)] = 51494,
  [SMALL_STATE(1520)] = 51505,
  [SMALL_STATE(1521)] = 51516,
  [SMALL_STATE(1522)] = 51527,
  [SMALL_STATE(1523)] = 51538,
  [SMALL_STATE(1524)] = 51549,
  [SMALL_STATE(1525)] = 51560,
  [SMALL_STATE(1526)] = 51571,
  [SMALL_STATE(1527)] = 51582,
  [SMALL_STATE(1528)] = 51593,
  [SMALL_STATE(1529)] = 51604,
  [SMALL_STATE(1530)] = 51615,
  [SMALL_STATE(1531)] = 51626,
  [SMALL_STATE(1532)] = 51637,
  [SMALL_STATE(1533)] = 51648,
  [SMALL_STATE(1534)] = 51659,
  [SMALL_STATE(1535)] = 51670,
  [SMALL_STATE(1536)] = 51681,
  [SMALL_STATE(1537)] = 51692,
  [SMALL_STATE(1538)] = 51703,
  [SMALL_STATE(1539)] = 51714,
  [SMALL_STATE(1540)] = 51725,
  [SMALL_STATE(1541)] = 51736,
  [SMALL_STATE(1542)] = 51747,
  [SMALL_STATE(1543)] = 51758,
  [SMALL_STATE(1544)] = 51769,
  [SMALL_STATE(1545)] = 51780,
  [SMALL_STATE(1546)] = 51791,
  [SMALL_STATE(1547)] = 51802,
  [SMALL_STATE(1548)] = 51813,
  [SMALL_STATE(1549)] = 51824,
  [SMALL_STATE(1550)] = 51833,
  [SMALL_STATE(1551)] = 51844,
  [SMALL_STATE(1552)] = 51855,
  [SMALL_STATE(1553)] = 51866,
  [SMALL_STATE(1554)] = 51877,
  [SMALL_STATE(1555)] = 51888,
  [SMALL_STATE(1556)] = 51899,
  [SMALL_STATE(1557)] = 51910,
  [SMALL_STATE(1558)] = 51921,
  [SMALL_STATE(1559)] = 51932,
  [SMALL_STATE(1560)] = 51941,
  [SMALL_STATE(1561)] = 51952,
  [SMALL_STATE(1562)] = 51961,
  [SMALL_STATE(1563)] = 51970,
  [SMALL_STATE(1564)] = 51981,
  [SMALL_STATE(1565)] = 51992,
  [SMALL_STATE(1566)] = 52003,
  [SMALL_STATE(1567)] = 52014,
  [SMALL_STATE(1568)] = 52025,
  [SMALL_STATE(1569)] = 52034,
  [SMALL_STATE(1570)] = 52045,
  [SMALL_STATE(1571)] = 52054,
  [SMALL_STATE(1572)] = 52065,
  [SMALL_STATE(1573)] = 52076,
  [SMALL_STATE(1574)] = 52087,
  [SMALL_STATE(1575)] = 52098,
  [SMALL_STATE(1576)] = 52109,
  [SMALL_STATE(1577)] = 52120,
  [SMALL_STATE(1578)] = 52131,
  [SMALL_STATE(1579)] = 52142,
  [SMALL_STATE(1580)] = 52153,
  [SMALL_STATE(1581)] = 52164,
  [SMALL_STATE(1582)] = 52175,
  [SMALL_STATE(1583)] = 52186,
  [SMALL_STATE(1584)] = 52197,
  [SMALL_STATE(1585)] = 52208,
  [SMALL_STATE(1586)] = 52219,
  [SMALL_STATE(1587)] = 52230,
  [SMALL_STATE(1588)] = 52241,
  [SMALL_STATE(1589)] = 52252,
  [SMALL_STATE(1590)] = 52263,
  [SMALL_STATE(1591)] = 52274,
  [SMALL_STATE(1592)] = 52285,
  [SMALL_STATE(1593)] = 52296,
  [SMALL_STATE(1594)] = 52307,
  [SMALL_STATE(1595)] = 52318,
  [SMALL_STATE(1596)] = 52329,
  [SMALL_STATE(1597)] = 52340,
  [SMALL_STATE(1598)] = 52351,
  [SMALL_STATE(1599)] = 52362,
  [SMALL_STATE(1600)] = 52373,
  [SMALL_STATE(1601)] = 52384,
  [SMALL_STATE(1602)] = 52395,
  [SMALL_STATE(1603)] = 52406,
  [SMALL_STATE(1604)] = 52417,
  [SMALL_STATE(1605)] = 52428,
  [SMALL_STATE(1606)] = 52439,
  [SMALL_STATE(1607)] = 52450,
  [SMALL_STATE(1608)] = 52461,
  [SMALL_STATE(1609)] = 52472,
  [SMALL_STATE(1610)] = 52483,
  [SMALL_STATE(1611)] = 52494,
  [SMALL_STATE(1612)] = 52505,
  [SMALL_STATE(1613)] = 52516,
  [SMALL_STATE(1614)] = 52527,
  [SMALL_STATE(1615)] = 52538,
  [SMALL_STATE(1616)] = 52546,
  [SMALL_STATE(1617)] = 52554,
  [SMALL_STATE(1618)] = 52562,
  [SMALL_STATE(1619)] = 52570,
  [SMALL_STATE(1620)] = 52578,
  [SMALL_STATE(1621)] = 52586,
  [SMALL_STATE(1622)] = 52594,
  [SMALL_STATE(1623)] = 52604,
  [SMALL_STATE(1624)] = 52612,
  [SMALL_STATE(1625)] = 52620,
  [SMALL_STATE(1626)] = 52628,
  [SMALL_STATE(1627)] = 52636,
  [SMALL_STATE(1628)] = 52644,
  [SMALL_STATE(1629)] = 52652,
  [SMALL_STATE(1630)] = 52660,
  [SMALL_STATE(1631)] = 52670,
  [SMALL_STATE(1632)] = 52678,
  [SMALL_STATE(1633)] = 52686,
  [SMALL_STATE(1634)] = 52694,
  [SMALL_STATE(1635)] = 52702,
  [SMALL_STATE(1636)] = 52712,
  [SMALL_STATE(1637)] = 52722,
  [SMALL_STATE(1638)] = 52730,
  [SMALL_STATE(1639)] = 52738,
  [SMALL_STATE(1640)] = 52746,
  [SMALL_STATE(1641)] = 52754,
  [SMALL_STATE(1642)] = 52762,
  [SMALL_STATE(1643)] = 52770,
  [SMALL_STATE(1644)] = 52778,
  [SMALL_STATE(1645)] = 52786,
  [SMALL_STATE(1646)] = 52794,
  [SMALL_STATE(1647)] = 52802,
  [SMALL_STATE(1648)] = 52810,
  [SMALL_STATE(1649)] = 52818,
  [SMALL_STATE(1650)] = 52826,
  [SMALL_STATE(1651)] = 52834,
  [SMALL_STATE(1652)] = 52842,
  [SMALL_STATE(1653)] = 52850,
  [SMALL_STATE(1654)] = 52858,
  [SMALL_STATE(1655)] = 52866,
  [SMALL_STATE(1656)] = 52874,
  [SMALL_STATE(1657)] = 52882,
  [SMALL_STATE(1658)] = 52890,
  [SMALL_STATE(1659)] = 52898,
  [SMALL_STATE(1660)] = 52906,
  [SMALL_STATE(1661)] = 52914,
  [SMALL_STATE(1662)] = 52922,
  [SMALL_STATE(1663)] = 52930,
  [SMALL_STATE(1664)] = 52938,
  [SMALL_STATE(1665)] = 52946,
  [SMALL_STATE(1666)] = 52954,
  [SMALL_STATE(1667)] = 52962,
  [SMALL_STATE(1668)] = 52970,
  [SMALL_STATE(1669)] = 52978,
  [SMALL_STATE(1670)] = 52986,
  [SMALL_STATE(1671)] = 52994,
  [SMALL_STATE(1672)] = 53002,
  [SMALL_STATE(1673)] = 53010,
  [SMALL_STATE(1674)] = 53018,
  [SMALL_STATE(1675)] = 53026,
  [SMALL_STATE(1676)] = 53034,
  [SMALL_STATE(1677)] = 53042,
  [SMALL_STATE(1678)] = 53050,
  [SMALL_STATE(1679)] = 53058,
  [SMALL_STATE(1680)] = 53066,
  [SMALL_STATE(1681)] = 53074,
  [SMALL_STATE(1682)] = 53082,
  [SMALL_STATE(1683)] = 53090,
  [SMALL_STATE(1684)] = 53098,
  [SMALL_STATE(1685)] = 53106,
  [SMALL_STATE(1686)] = 53114,
  [SMALL_STATE(1687)] = 53122,
  [SMALL_STATE(1688)] = 53130,
  [SMALL_STATE(1689)] = 53140,
  [SMALL_STATE(1690)] = 53148,
  [SMALL_STATE(1691)] = 53156,
  [SMALL_STATE(1692)] = 53164,
  [SMALL_STATE(1693)] = 53174,
  [SMALL_STATE(1694)] = 53182,
  [SMALL_STATE(1695)] = 53190,
  [SMALL_STATE(1696)] = 53198,
  [SMALL_STATE(1697)] = 53206,
  [SMALL_STATE(1698)] = 53214,
  [SMALL_STATE(1699)] = 53224,
  [SMALL_STATE(1700)] = 53232,
  [SMALL_STATE(1701)] = 53240,
  [SMALL_STATE(1702)] = 53248,
  [SMALL_STATE(1703)] = 53256,
  [SMALL_STATE(1704)] = 53264,
  [SMALL_STATE(1705)] = 53272,
  [SMALL_STATE(1706)] = 53280,
  [SMALL_STATE(1707)] = 53288,
  [SMALL_STATE(1708)] = 53296,
  [SMALL_STATE(1709)] = 53304,
  [SMALL_STATE(1710)] = 53312,
  [SMALL_STATE(1711)] = 53320,
  [SMALL_STATE(1712)] = 53328,
  [SMALL_STATE(1713)] = 53336,
  [SMALL_STATE(1714)] = 53344,
  [SMALL_STATE(1715)] = 53354,
  [SMALL_STATE(1716)] = 53362,
  [SMALL_STATE(1717)] = 53370,
  [SMALL_STATE(1718)] = 53378,
  [SMALL_STATE(1719)] = 53386,
  [SMALL_STATE(1720)] = 53394,
  [SMALL_STATE(1721)] = 53402,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(456),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(299),
  [161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1031),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1579),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1095),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1098),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1545),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1457),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1358),
  [190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(93),
  [193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(339),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(227),
  [199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1474),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1385),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1302),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1476),
  [217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(109),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1245),
  [235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1239),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1156),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(322),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1262),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(143),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1698),
  [256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(181),
  [262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1115),
  [265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(677),
  [268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1648),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(677),
  [274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(643),
  [277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(478),
  [283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 98),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 98),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 57),
  [293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 57),
  [295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 36),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 36),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 67),
  [529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 67),
  [531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 96),
  [533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 96),
  [535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 96),
  [537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 96),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 35),
  [543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 35),
  [545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 35),
  [547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 35),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 74),
  [553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 74),
  [555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 74),
  [557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 74),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 78),
  [563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 78),
  [565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 78),
  [567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 78),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 69),
  [573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 69),
  [575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 69),
  [577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 69),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 86),
  [583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 86),
  [585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 86),
  [587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 86),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 86),
  [593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 86),
  [595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 86),
  [597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 86),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 90),
  [603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 90),
  [605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 90),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 90),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4),
  [775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(31),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(1008),
  [847] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4), SHIFT(97),
  [851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(220),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(97),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(201),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(231),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 6),
  [936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 6),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 19),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(130),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 19),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 28),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 28),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24),
  [970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 60),
  [988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 60),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 100),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 100),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 52),
  [1014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 52),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 96),
  [1018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 96),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 107),
  [1022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 107),
  [1024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 108),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 108),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 109),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 109),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 61),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 61),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 110),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 110),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 50),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 50),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 52),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 52),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 53),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 53),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 60),
  [1098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 60),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 69),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 69),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 77),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 77),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 52),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 52),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 74),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 74),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 58),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 58),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 89),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 89),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 86),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 86),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 78),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 78),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 35),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 35),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 59),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 59),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 94),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 94),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 86),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 86),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 90),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 90),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 101),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 101),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 76),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 76),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 44),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 44),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 43),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 43),
  [1250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 4),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 88),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 88),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [1271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(92),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 105),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 105),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 106),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 106),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 99),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 99),
  [1292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [1295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(203),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 92),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 92),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [1304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(232),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 93),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 93),
  [1315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(133),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 7),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 7),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8),
  [1347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 8),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 39),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 39),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 6),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 6),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 9),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 9),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 11),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 11),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 17),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 17),
  [1408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [1417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 31),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 31),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 36),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 36),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 37),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 37),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 1, 38),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 1, 38),
  [1441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 41),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 41),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 47),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 47),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 48),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 48),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 49),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 49),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 51),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 51),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 17),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 17),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 62),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 62),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 70),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 70),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 71),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 71),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 73),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 73),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 71),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 71),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 75),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 75),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 31),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 31),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 79),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 79),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 85),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 85),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 42),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 42),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 42),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 15),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 40),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 87),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 54), REDUCE(sym_assignment_expression, 3, 0, 40),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 54),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 57),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 57), SHIFT(254),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [1696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 40), REDUCE(sym_assignment_expression, 3, 0, 40),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 40),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 40),
  [1703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 54), REDUCE(sym_assignment_expression, 3, 0, 15),
  [1728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 55),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 57), SHIFT(281),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(1240),
  [2050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(1020),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68),
  [2055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(876),
  [2058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(268),
  [2061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(1266),
  [2064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(1200),
  [2067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(908),
  [2070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(1130),
  [2073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(1339),
  [2076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(895),
  [2079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(980),
  [2082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 68), SHIFT_REPEAT(921),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(1477),
  [2130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 81),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 81),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 97),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 97),
  [2229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 91),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 91),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 43),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 43),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 96),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 96),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 56),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 56),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(1339),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 74),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 74),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 86),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 86),
  [2268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 33),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 33),
  [2272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 33), SHIFT_REPEAT(963),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 33),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 33),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 36),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 36),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 9),
  [2405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 9),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [2409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(105),
  [2504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [2507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1137),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 63), SHIFT_REPEAT(1094),
  [2553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 63), SHIFT_REPEAT(104),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 63),
  [2558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 63), SHIFT_REPEAT(1094),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [2581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [2608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5), SHIFT(1383),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [2625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 18),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 43),
  [2637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 43),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 83),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 64),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 66),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [2665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1123),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [2678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(163),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, 0, 34),
  [2687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1685),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [2692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(165),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [2701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(203),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 4, -1, 62),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 62),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 3, -1, 31),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 31),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 32),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 32),
  [2786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(232),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 22),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [2843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [2853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [2899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(102),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [2924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1079),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [2941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [2948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1244),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [2967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1252),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1263),
  [2995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0),
  [2997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1263),
  [3000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1264),
  [3003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0),
  [3005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1264),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 55),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [3046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(1107),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [3051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1125),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 20),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(875),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(880),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [3236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 82),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 84),
  [3240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, 0, 95),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 65),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 80),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 80),
  [3258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3296] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [3316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
  ts_external_token_jsx_text = 7,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
  [ts_external_token_jsx_text] = sym_jsx_text,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_jsx_text] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_jsx_text] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
